package cn.superdesk.uniorder.common.mq.redis.constants;

/**
 * @Description: redis TODO 此处还要待定
 * @link RedisKeyPrefix
 * @Author: linjinyu
 * @CreateDate: 2021/10/27 下午4:47
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/27 下午4:47
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class BaseRedisConf {

	public final static int TOKEN_EXPIRE_TIME         = 86400; //24 hour 2018.10.10
	public final static int REFRESH_TOKEN_EXPIRE_TIME = 604800;//604800; //7 days 2018.10.10

	/**
	 * 请求限制
	 */
	public final static String REQUEST_LIMIT = "REQUEST_LIMIT";


	/**
	 * Redis分隔符
	 */
	public final static String SEGMENTATION = ":";

	/**
	 * 等于
	 */
	public final static String EQUAL_TO = "=";

	/**
	 * 井号
	 */
	public final static String WELL_NUMBER = "#";

	/**
	 * 月份集合
	 */
	public final static String MONTH_SET = "MONTH_SET";

	/**
	 * IP地址解析
	 */
	public final static String IP_SOURCE = "IP_SOURCE";


	/**
	 * 表单重复提交
	 */
	public final static String AVOID_REPEATABLE_COMMIT = "AVOID_REPEATABLE_COMMIT";


	/**
	 * 字典类型
	 */
	public final static String REDIS_DICT_TYPE              = "REDIS_DICT_TYPE";
	/**
	 * token令牌
	 */
	public final static String FRONTEND_USER_TOKEN          = "FRONTEND_USER_TOKEN";
	/**
	 * 登录用户的token
	 */
	public final static String BACKEND_USER_TOKEN           = "BACKEND_USER_TOKEN";
	/**
	 * 登录的UUID
	 */
	public final static String BACKEND_UID_KEY_2_USER_TOKEN = "BACKEND_UID_KEY_2_USER_TOKEN";

	/**
	 * 激活用户的时间
	 */
	public final static String ACTIVATE_USER = "ACTIVATE_USER";


	/**
	 * 用户提交无效评论的次数
	 */
	public final static String USER_PUBLISH_SPAM_COMMENT_COUNT = "USER_PUBLISH_SPAM_COMMENT_COUNT";

	/**
	 * 后端账号能访问资源 菜单|按钮 对映 API URI
	 */
	public final static String OPEN_API_VISIT_MENU = "OPEN_API_VISIT_MENU";


	/**
	 * ALL
	 */
	public final static String ALL = "ALL";


	/**
	 * 系统参数配置
	 */
	public final static String SYSTEM_PARAMS = "SYSTEM_PARAMS";
	/**
	 * 系统配置
	 */
	public final static String SYSTEM_CONFIG = "SYSTEM_CONFIG";


	/**
	 * 首页展示
	 */
	public final static String DASHBOARD = "DASHBOARD";

	/**
	 * 一周访问量
	 */
	public final static String WEEK_VISIT = "WEEK_VISIT";

	/**
	 * 订单标签下包含的订单数量
	 */
	public final static String ORDER_COUNT_BY_TAG = "ORDER_COUNT_BY_TAG";

	/**
	 * 订单分类下包含的订单数量
	 */
	public final static String ORDER_COUNT_BY_SORT = "ORDER_COUNT_BY_SORT";


	/**
	 * 登录方式
	 */
	public final static String LOGIN_TYPE  = "LOGIN_TYPE";
	/**
	 * 登录限制
	 */
	public final static String LOGIN_LIMIT = "LOGIN_LIMIT";

	public final static String PASSWORD = "PASSWORD";

}
