package cn.superdesk.uniorder.common.mq.redis.constants;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/2/4 下午3:19
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/4 下午3:19
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class RedisCommonConstants {

	// QueueChannel
	public final static String CHANNEL_ACCOUNTING_UNIFIED_CUSTOMER = "CHANNEL_ACCOUNTING_UNIFIED_CUSTOMER";
	public final static String CHANNEL_ACCOUNTING_UNIFIED_SUPPLIER = "CHANNEL_ACCOUNTING_UNIFIED_SUPPLIER";
	public final static String CHANNEL_QUEUE                       = "CHANNEL_QUEUE";
	public final static String CHANNEL_QUEUE_F                     = "CHANNEL_QUEUE_F";

//	public final static String topic_excel_import_

	// Cache


	/**
	 * @link RedisKeyPrefix.关联性校验_前缀(" relation ", " 关联性校验_前缀 ")
	 */
	public final static String RELATION                                            = "relation";
	/**
	 * @link RedisKeyPrefix.关联性校验_销方主体_发票抬头(" invoice_bank_info : company_name ", " 关联性校验_销方主体_发票抬头 "),
	 */
	public final static String INVOICE_BANK_INFO_FIELD_COMPANY_NAME                = "invoice_bank_info:company_name";
	/**
	 * @link RedisKeyPrefix.关联性校验_购方主体_发票抬头(" sys_enterprise_ext_invoice : company_name ", " 关联性校验_购方主体_发票抬头 "),
	 */
	public final static String SYS_ENTERPRISE_EXT_INVOICE_FIELD_COMPANY_NAME       = "sys_enterprise_ext_invoice:company_name";
	/**
	 * @link RedisKeyPrefix.关联性校验_购方主体_纳税人识别码(" sys_enterprise_ext_invoice : taxpayers_i_d_code ", " 关联性校验_购方主体_纳税人识别码 "),
	 */
	public final static String SYS_ENTERPRISE_EXT_INVOICE_FIELD_TAXPAYERS_I_D_CODE = "sys_enterprise_ext_invoice:taxpayers_i_d_code";
	/**
	 * @link RedisKeyPrefix.关联性校验_发票种类(" invoice_type : type_name ", " 关联性校验_发票种类 "),
	 */
	public final static String INVOICE_TYPE_FIELD_TYPE_NAME                        = "invoice_type:type_name";
}
