package cn.superdesk.uniorder.common.bizScene.invoice.supplier;

import cn.superdesk.uniorder.common.enums.invoice.supplier.InvoiceApplySupplierInvoiceProgressingStatusEnum;
import cn.superdesk.uniorder.common.enums.invoice.supplier.InvoiceApplySupplierPayOffAccountStatusEnum;
import cn.superdesk.uniorder.common.enums.invoice.supplier.InvoiceApplySupplierReceiveInvoiceStatusEnum;
import lombok.RequiredArgsConstructor;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/19 3:32 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/19 3:32 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@RequiredArgsConstructor
public class InvoiceApplySupplierScene {


    /**************************************** 企业商城 事件 付款前 start ****************************************/

    public static Integer[] statusV2_3_Array_InvoiceProgressingSceneOpEventQchjcSupplierStatementReceiveInvoiceStatusSyncStateCheck() {

        Integer[] invoiceProgressingStatusContains = {
                InvoiceApplySupplierInvoiceProgressingStatusEnum.待付款.getKey()
        };

        return invoiceProgressingStatusContains;
    }

    public static Integer[] statusV2_3_Array_ReceiveInvoiceSceneOpEventQchjcSupplierStatementReceiveInvoiceStatusSyncStateCheck() {

        Integer[] receiveInvoiceStatusContains = {
                InvoiceApplySupplierReceiveInvoiceStatusEnum.已收票.getKey()
        };

        return receiveInvoiceStatusContains;
    }

    /**************************************** 企业商城 事件 付款前   end ****************************************/

    /**************************************** 企业商城 事件 付款后 start ****************************************/

    public static Integer[] statusV2_3_Array_InvoiceProgressingSceneOpEventQchjcSupplierStatementPaymentStatusSyncStateCheck() {

        Integer[] invoiceProgressingStatusContains = {
                InvoiceApplySupplierInvoiceProgressingStatusEnum.已完成.getKey()
        };

        return invoiceProgressingStatusContains;
    }

    public static Integer[] statusV2_3_Array_ReceiveInvoiceSceneOpEventQchjcSupplierStatementPaymentStatusSyncStateCheck() {

        Integer[] payOffAccountStatusContains = {
                InvoiceApplySupplierPayOffAccountStatusEnum.已付款.getKey()
        };

        return payOffAccountStatusContains;
    }

    /**************************************** 企业商城 事件 付款后   end ****************************************/
}
