package cn.superdesk.uniorder.common.constants;

/**
 * @Description: response message
 * @Author: linjinyu
 * @CreateDate: 2021/10/27 下午4:46
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/27 下午4:46
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class BaseMessageConf {

	public final static String INVALID_TOKEN = "token令牌未被识别";

	public static final String DATA_NO_PRIVILEGE    = "该数据无权限访问";
	public static final String ACCESS_NO_PRIVILEGE  = "该资源无权限访问";
	public static final String RESTAPI_NO_PRIVILEGE = "您无权进行该操作";


	public static final String LOGIN_TIMEOUT = "您已退出,请重新登录";
	public static final String LOGIN_DISABLE = "该账号已被封禁";
	public static final String LOGIN_ERROR   = "用户名或密码错误,错误%d次后,账户将被锁定30分钟";

	public static final String NO_ROLE              = "没有分配角色权限";
	public static final String INTERFACE_FREQUENTLY = "接口过于频繁调用";
	public static final String PARAM_INCORRECT      = "传入参数有误！";

}
