package cn.superdesk.uniorder.common.excel.constants;

import cn.superdesk.uniorder.common.mq.redis.constants.RedisKeyPrefix;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/2/3 上午11:45
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/3 上午11:45
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class ExcelFileNameConstants {

	public static final String EXCEL_EXPORT = "";

	public static final String EXCEL_EXPORT_MODEL_ACCOUNTING_CUSTOMER  = "客户结算";
	public static final String EXCEL_EXPORT_MODEL_ACCOUNTING_SUPPLIER  = "供应商结算";
	public static final String EXCEL_EXPORT_MODEL_DASHBOARD            = "仪表盘";
	public static final String EXCEL_EXPORT_MODEL_INVOICE_CUSTOMER     = "发票(开票申请)";
	public static final String EXCEL_EXPORT_MODEL_MARKETING_DEPARTMENT = "市场";
	public static final String EXCEL_EXPORT_MODEL_ORDER                = "订单管理";
	public static final String EXCEL_EXPORT_MODEL_SCORE                = "订单管理";

	public static final String EXCEL_EXPORT_FUNC_TABLE_LIST           = "数据列表";
	public static final String EXCEL_EXPORT_FUNC_NOT_YET              = "未对账";
	public static final String EXCEL_EXPORT_FUNC_STATEMENT_OF_ACCOUNT = "电子账单";

	public static final String EXCEL_EXPORT_DIM_ORDER  = "订单";
	public static final String EXCEL_EXPORT_DIM_GOODS  = "商品";
	public static final String EXCEL_EXPORT_DIM_CREDIT = "流水";

	// relation:sys_enterprise_ext_invoice:company_name
	public static final String RELATION_SYS_ENTERPRISE_EXT_INVOICE_COMPANY_NAME = RedisKeyPrefix.关联性校验_前缀.getKey() + ":" + RedisKeyPrefix.关联性校验_购方主体_发票抬头.getKey();

}
