package cn.superdesk.uniorder.common.exception;



// 关于异常的说明
//
//
// 直接看规范吧 Chapter 11.
//
// ExceptionsException is the superclass of all the exceptions from which ordinary programs may wish to recover.
//
// The class RuntimeException is a direct subclass of Exception.
// RuntimeException is the superclass of all the exceptions which may be thrown for many reasons during expression evaluation,
// but from which recovery may still be possible.
//
// RuntimeException and all its subclasses are, collectively, the run-time exception classes.
//
// The unchecked exception classes are the run-time exception classes and the error classes.
//
// The checked exception classes are all exception classes other than the unchecked exception classes. That is,
// the checked exception classes are Throwable and all its subclasses other than RuntimeException and its subclasses and Error and its subclasses.
//
// 规范里说明了,Java Exception分为两种, unchecked exception 和 checked exception 显然,前者是运行时异常继承自RuntimeException,后者受控异常继承自Exception。
// 我理解面试官考察的基本就是这些,至于自定义异常到底继承哪个,完全系统/业务所然,
//
// 		通常业务类异常如果希望它是Throwable的,或者带有业务语义的异常,就定义checked;
// 		系统类异常就unchecked。
//
// 		当然,这也不是原则...
