package cn.superdesk.uniorder.dao.entity.accounting;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table accounting_appeal
 */
@Data
@ToString
public class AccountingAppeal implements Serializable {
    /**
     *
     *
     * column accounting_appeal.id
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   对账单Id
     *
     *
     * column accounting_appeal.accounting_order_id
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Long accountingOrderId;

    /**
     * Database Column Remarks:
     *   对账单编号
     *
     *
     * column accounting_appeal.accounting_order_sn
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private String accountingOrderSn;

    /**
     * Database Column Remarks:
     *   对账单类型 unified score
     *
     *
     * column accounting_appeal.accounting_type
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private String accountingType;

    /**
     * Database Column Remarks:
     *   对账单类型 customer supplier
     *
     *
     * column accounting_appeal.accounting_sub_type
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private String accountingSubType;

    /**
     *
     *
     * column accounting_appeal.remark
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private String remark;

    /**
     *
     *
     * column accounting_appeal.img
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Object img;

    /**
     *
     *
     * column accounting_appeal.create_time
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column accounting_appeal.create_user_id
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column accounting_appeal.update_time
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column accounting_appeal.update_user_id
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    private static final long serialVersionUID = 1L;
}