package cn.superdesk.uniorder.dao.entity.accounting.score.customer;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 2022-02-21 14:02:38
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-02-21 14:02:38
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class AccountingScoreCustomerXCredit implements Serializable {
    /**
     * 系统信息-自增Id
     */
    @ApiModelProperty(value = "系统信息-自增Id")
    private Long id;

    /**
     * 对账单-Id
     */
    @ApiModelProperty(value = "对账单-Id")
    private Long accountingOrderId;

    /**
     * 对账单-Sn
     */
    @ApiModelProperty(value = "对账单-Sn")
    private String accountingOrderSn;

    /**
     * 统一订单-Id
     */
    @ApiModelProperty(value = "统一订单-Id")
    private Long unifiedOrderId;

    /**
     * 统一订单-商品-Id
     */
    @ApiModelProperty(value = "统一订单-商品-Id")
    private Long unifiedOrderGoodsId;

    /**
     * 统一订单-流水-Id
     */
    @ApiModelProperty(value = "统一订单-流水-Id")
    private Long unifiedOrderCreditId;

    /**
     * 是否对账:-1-不对账;1-已对账;取值参考订单|商品|流水,共用的对账状态:-1-不对账;1-已对账;2-未对账;3-已作废;
     */
    @ApiModelProperty(value = "是否对账:-1-不对账;1-已对账;取值参考订单|商品|流水,共用的对账状态:-1-不对账;1-已对账;2-未对账;3-已作废;")
    private Integer accountingState;

    /**
     * 系统信息-创建时间
     */
    @ApiModelProperty(value = "系统信息-创建时间")
    private Date createTime;

    /**
     * 系统信息-创建人Id
     */
    @ApiModelProperty(value = "系统信息-创建人Id")
    private Long createUserId;

    /**
     * 系统信息-更新时间
     */
    @ApiModelProperty(value = "系统信息-更新时间")
    private Date updateTime;

    /**
     * 系统信息-更新人Id
     */
    @ApiModelProperty(value = "系统信息-更新人Id")
    private Long updateUserId;

    private static final long serialVersionUID = 1L;
}
