package cn.superdesk.uniorder.dao.entity.accounting.score.supplier;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table accounting_score_supplier
 */
@Data
@ToString
public class AccountingScoreSupplier implements Serializable {
    /**
     *
     *
     * column accounting_score_supplier.id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column accounting_score_supplier.accounting_order_sn_supplier
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String accountingOrderSnSupplier;

    /**
     * Database Column Remarks:
     *   对账单(结算单)状态:0-未确认;1-已确认;-1-已取消;
     *
     *
     * column accounting_score_supplier.accounting_status
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Integer accountingStatus;

    /**
     *
     *
     * column accounting_score_supplier.merchant_id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long merchantId;

    /**
     *
     *
     * column accounting_score_supplier.merchant_name
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String merchantName;

    /**
     *
     *
     * column accounting_score_supplier.address
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String address;

    /**
     * Database Column Remarks:
     *   开票状态:0-未开票;1-已开票;2-部分开票;
     *
     *
     * column accounting_score_supplier.invoice_status
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Integer invoiceStatus;

    /**
     * Database Column Remarks:
     *   生产环境也是空的
     *
     *
     * column accounting_score_supplier.invoice_title
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String invoiceTitle;

    /**
     * Database Column Remarks:
     *   发票种类:1-增值税普票;2-增值税专票;
     *
     *
     * column accounting_score_supplier.invoice_type
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Integer invoiceType;

    /**
     * Database Column Remarks:
     *   生产环境也是空的
     *
     *
     * column accounting_score_supplier.tax_code
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String taxCode;

    /**
     * Database Column Remarks:
     *   是否发邮件:0-不发;1-发;
     *
     *
     * column accounting_score_supplier.is_send_email
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Integer isSendEmail;

    /**
     *
     *
     * column accounting_score_supplier.send_email_time
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Date sendEmailTime;

    /**
     *
     *
     * column accounting_score_supplier.start_time
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Date startTime;

    /**
     *
     *
     * column accounting_score_supplier.end_time
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Date endTime;

    /**
     *
     *
     * column accounting_score_supplier.back_account_status
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Integer backAccountStatus;

    /**
     *
     *
     * column accounting_score_supplier.create_time
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column accounting_score_supplier.create_user_id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column accounting_score_supplier.update_time
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column accounting_score_supplier.update_user_id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table accounting_score_supplier
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private static final long serialVersionUID = 1L;
}