package cn.superdesk.uniorder.dao.entity.accounting.unified.supplier;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class AccountingUnifiedSupplierIssues implements Serializable {
    private Long id;

    /**
     * 问题来源:1-统一订单;
     */
    private Integer issuesComeFrom;

    /**
     * 对账单Id
     */
    private Long accountingOrderId;

    /**
     * 对账单Sn
     */
    private String accountingOrderSn;

    /**
     * 是否是问题:-1-忽略问题;0-不是问题;1-是有问题;
     */
    private Integer isProblem;

    /**
     * 是否有处理:-1-不处理;0-待处理;1-进行中;2-已处理;
     */
    private Integer isProcess;

    /**
     * 是否有结果:-1-不了了之;0-还没结果;1-有结果;2-;
     */
    private Integer isResult;

    private Date createTime;

    private Long createUserId;

    private Date updateTime;

    private Long updateUserId;

    private String orderSnList;

    /**
     * 问题记录报告
     */
    private String problemReport;

    /**
     * 处理过程报告
     */
    private String processReport;

    /**
     * 处理结果报告
     */
    private String resultReport;

    private static final long serialVersionUID = 1L;
}