package cn.superdesk.uniorder.dao.entity.accounting.unified.supplier;

import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table accounting_unified_supplier_order
 */
@Data
@ToString
public class AccountingUnifiedSupplierOrder implements Serializable {
    /**
     *
     *
     * column accounting_unified_supplier_order.id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   供应商 对账单 创建维度:0-订单;1-商品;
     *
     *
     * column accounting_unified_supplier_order.dim_create_by
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Integer dimCreateBy;

    /**
     * Database Column Remarks:
     *   对账单Id
     *
     *
     * column accounting_unified_supplier_order.accounting_order_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long accountingOrderId;

    /**
     *
     *
     * column accounting_unified_supplier_order.accounting_order_sn
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private String accountingOrderSn;

    /**
     * Database Column Remarks:
     *   统一订单id
     *
     *
     * column accounting_unified_supplier_order.unified_order_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long unifiedOrderId;

    /**
     *
     *
     * column accounting_unified_supplier_order.order_sn
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private String orderSn;

    /**
     *
     *
     * column accounting_unified_supplier_order.amount
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private BigDecimal amount;

    /**
     *
     *
     * column accounting_unified_supplier_order.cost_amount
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private BigDecimal costAmount;

    /**
     *
     *
     * column accounting_unified_supplier_order.amount_with_freight
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private BigDecimal amountWithFreight;

    /**
     *
     *
     * column accounting_unified_supplier_order.cost_amount_with_freight
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private BigDecimal costAmountWithFreight;

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private static final long serialVersionUID = 1L;
}