package cn.superdesk.uniorder.dao.entity.accounting.unified.supplier;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table accounting_unified_supplier_x_goods
 */
@Data
@ToString
public class AccountingUnifiedSupplierXGoods implements Serializable {
    /**
     *
     *
     * column accounting_unified_supplier_x_goods.id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   供应商 对账单 创建维度:0-订单;1-商品;
     *
     *
     * column accounting_unified_supplier_x_goods.dim_create_by
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Integer dimCreateBy;

    /**
     * Database Column Remarks:
     *   对账单Id
     *
     *
     * column accounting_unified_supplier_x_goods.accounting_order_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long accountingOrderId;

    /**
     * Database Column Remarks:
     *   对账单Sn
     *
     *
     * column accounting_unified_supplier_x_goods.accounting_order_sn
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private String accountingOrderSn;

    /**
     * Database Column Remarks:
     *   统一订单id
     *
     *
     * column accounting_unified_supplier_x_goods.unified_order_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long unifiedOrderId;

    /**
     *
     *
     * column accounting_unified_supplier_x_goods.order_sn
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private String orderSn;

    /**
     * Database Column Remarks:
     *   统一订单商品Id
     *
     *
     * column accounting_unified_supplier_x_goods.unified_order_goods_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long unifiedOrderGoodsId;

    /**
     * Database Column Remarks:
     *   第三方商城的商品表Id
     *
     *
     * column accounting_unified_supplier_x_goods.goods_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long goodsId;

    /**
     * Database Column Remarks:
     *   第三方商城的订单的商品快照Id
     *
     *
     * column accounting_unified_supplier_x_goods.out_snapshot_order_goods_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long outSnapshotOrderGoodsId;

    /**
     * Database Column Remarks:
     *   统一订单流水Id,目前维度是没有用的
     *
     *
     * column accounting_unified_supplier_x_goods.unified_order_credit_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long unifiedOrderCreditId;

    /**
     *
     *
     * column accounting_unified_supplier_x_goods.create_time
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column accounting_unified_supplier_x_goods.create_user_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column accounting_unified_supplier_x_goods.update_time
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column accounting_unified_supplier_x_goods.update_user_id
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table accounting_unified_supplier_x_goods
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    private static final long serialVersionUID = 1L;
}