package cn.superdesk.uniorder.dao.entity.base;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedOrderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UnifiedOrderExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    unified_order
     *
     * @mbg.generated Thu Dec 02 14:22:16 CST 2021
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeIsNull() {
            addCriterion("order_sn_out_trade is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeIsNotNull() {
            addCriterion("order_sn_out_trade is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeEqualTo(String value) {
            addCriterion("order_sn_out_trade =", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeNotEqualTo(String value) {
            addCriterion("order_sn_out_trade <>", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeGreaterThan(String value) {
            addCriterion("order_sn_out_trade >", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn_out_trade >=", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeLessThan(String value) {
            addCriterion("order_sn_out_trade <", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeLessThanOrEqualTo(String value) {
            addCriterion("order_sn_out_trade <=", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeLike(String value) {
            addCriterion("order_sn_out_trade like", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeNotLike(String value) {
            addCriterion("order_sn_out_trade not like", value, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeIn(List<String> values) {
            addCriterion("order_sn_out_trade in", values, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeNotIn(List<String> values) {
            addCriterion("order_sn_out_trade not in", values, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeBetween(String value1, String value2) {
            addCriterion("order_sn_out_trade between", value1, value2, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andOrderSnOutTradeNotBetween(String value1, String value2) {
            addCriterion("order_sn_out_trade not between", value1, value2, "orderSnOutTrade");
            return (Criteria) this;
        }

        public Criteria andServiceNameIsNull() {
            addCriterion("service_name is null");
            return (Criteria) this;
        }

        public Criteria andServiceNameIsNotNull() {
            addCriterion("service_name is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNameEqualTo(String value) {
            addCriterion("service_name =", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotEqualTo(String value) {
            addCriterion("service_name <>", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameGreaterThan(String value) {
            addCriterion("service_name >", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameGreaterThanOrEqualTo(String value) {
            addCriterion("service_name >=", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLessThan(String value) {
            addCriterion("service_name <", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLessThanOrEqualTo(String value) {
            addCriterion("service_name <=", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLike(String value) {
            addCriterion("service_name like", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotLike(String value) {
            addCriterion("service_name not like", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameIn(List<String> values) {
            addCriterion("service_name in", values, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotIn(List<String> values) {
            addCriterion("service_name not in", values, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameBetween(String value1, String value2) {
            addCriterion("service_name between", value1, value2, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotBetween(String value1, String value2) {
            addCriterion("service_name not between", value1, value2, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(String value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(String value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(String value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(String value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(String value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLike(String value) {
            addCriterion("service_no like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotLike(String value) {
            addCriterion("service_no not like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<String> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<String> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(String value1, String value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(String value1, String value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andProjectIdIsNull() {
            addCriterion("project_id is null");
            return (Criteria) this;
        }

        public Criteria andProjectIdIsNotNull() {
            addCriterion("project_id is not null");
            return (Criteria) this;
        }

        public Criteria andProjectIdEqualTo(Long value) {
            addCriterion("project_id =", value, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdNotEqualTo(Long value) {
            addCriterion("project_id <>", value, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdGreaterThan(Long value) {
            addCriterion("project_id >", value, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdGreaterThanOrEqualTo(Long value) {
            addCriterion("project_id >=", value, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdLessThan(Long value) {
            addCriterion("project_id <", value, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdLessThanOrEqualTo(Long value) {
            addCriterion("project_id <=", value, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdIn(List<Long> values) {
            addCriterion("project_id in", values, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdNotIn(List<Long> values) {
            addCriterion("project_id not in", values, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdBetween(Long value1, Long value2) {
            addCriterion("project_id between", value1, value2, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectIdNotBetween(Long value1, Long value2) {
            addCriterion("project_id not between", value1, value2, "projectId");
            return (Criteria) this;
        }

        public Criteria andProjectNameIsNull() {
            addCriterion("project_name is null");
            return (Criteria) this;
        }

        public Criteria andProjectNameIsNotNull() {
            addCriterion("project_name is not null");
            return (Criteria) this;
        }

        public Criteria andProjectNameEqualTo(String value) {
            addCriterion("project_name =", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameNotEqualTo(String value) {
            addCriterion("project_name <>", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameGreaterThan(String value) {
            addCriterion("project_name >", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameGreaterThanOrEqualTo(String value) {
            addCriterion("project_name >=", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameLessThan(String value) {
            addCriterion("project_name <", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameLessThanOrEqualTo(String value) {
            addCriterion("project_name <=", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameLike(String value) {
            addCriterion("project_name like", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameNotLike(String value) {
            addCriterion("project_name not like", value, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameIn(List<String> values) {
            addCriterion("project_name in", values, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameNotIn(List<String> values) {
            addCriterion("project_name not in", values, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameBetween(String value1, String value2) {
            addCriterion("project_name between", value1, value2, "projectName");
            return (Criteria) this;
        }

        public Criteria andProjectNameNotBetween(String value1, String value2) {
            addCriterion("project_name not between", value1, value2, "projectName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdIsNull() {
            addCriterion("purchase_virt_id is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdIsNotNull() {
            addCriterion("purchase_virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdEqualTo(Long value) {
            addCriterion("purchase_virt_id =", value, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdNotEqualTo(Long value) {
            addCriterion("purchase_virt_id <>", value, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdGreaterThan(Long value) {
            addCriterion("purchase_virt_id >", value, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("purchase_virt_id >=", value, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdLessThan(Long value) {
            addCriterion("purchase_virt_id <", value, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("purchase_virt_id <=", value, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdIn(List<Long> values) {
            addCriterion("purchase_virt_id in", values, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdNotIn(List<Long> values) {
            addCriterion("purchase_virt_id not in", values, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdBetween(Long value1, Long value2) {
            addCriterion("purchase_virt_id between", value1, value2, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("purchase_virt_id not between", value1, value2, "purchaseVirtId");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameIsNull() {
            addCriterion("purchase_virt_name is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameIsNotNull() {
            addCriterion("purchase_virt_name is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameEqualTo(String value) {
            addCriterion("purchase_virt_name =", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameNotEqualTo(String value) {
            addCriterion("purchase_virt_name <>", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameGreaterThan(String value) {
            addCriterion("purchase_virt_name >", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_virt_name >=", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameLessThan(String value) {
            addCriterion("purchase_virt_name <", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameLessThanOrEqualTo(String value) {
            addCriterion("purchase_virt_name <=", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameLike(String value) {
            addCriterion("purchase_virt_name like", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameNotLike(String value) {
            addCriterion("purchase_virt_name not like", value, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameIn(List<String> values) {
            addCriterion("purchase_virt_name in", values, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameNotIn(List<String> values) {
            addCriterion("purchase_virt_name not in", values, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameBetween(String value1, String value2) {
            addCriterion("purchase_virt_name between", value1, value2, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseVirtNameNotBetween(String value1, String value2) {
            addCriterion("purchase_virt_name not between", value1, value2, "purchaseVirtName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameIsNull() {
            addCriterion("purchase_department_name is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameIsNotNull() {
            addCriterion("purchase_department_name is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameEqualTo(String value) {
            addCriterion("purchase_department_name =", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameNotEqualTo(String value) {
            addCriterion("purchase_department_name <>", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameGreaterThan(String value) {
            addCriterion("purchase_department_name >", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_department_name >=", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameLessThan(String value) {
            addCriterion("purchase_department_name <", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameLessThanOrEqualTo(String value) {
            addCriterion("purchase_department_name <=", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameLike(String value) {
            addCriterion("purchase_department_name like", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameNotLike(String value) {
            addCriterion("purchase_department_name not like", value, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameIn(List<String> values) {
            addCriterion("purchase_department_name in", values, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameNotIn(List<String> values) {
            addCriterion("purchase_department_name not in", values, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameBetween(String value1, String value2) {
            addCriterion("purchase_department_name between", value1, value2, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseDepartmentNameNotBetween(String value1, String value2) {
            addCriterion("purchase_department_name not between", value1, value2, "purchaseDepartmentName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdIsNull() {
            addCriterion("purchase_user_id is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdIsNotNull() {
            addCriterion("purchase_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdEqualTo(Long value) {
            addCriterion("purchase_user_id =", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdNotEqualTo(Long value) {
            addCriterion("purchase_user_id <>", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdGreaterThan(Long value) {
            addCriterion("purchase_user_id >", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("purchase_user_id >=", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdLessThan(Long value) {
            addCriterion("purchase_user_id <", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdLessThanOrEqualTo(Long value) {
            addCriterion("purchase_user_id <=", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdIn(List<Long> values) {
            addCriterion("purchase_user_id in", values, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdNotIn(List<Long> values) {
            addCriterion("purchase_user_id not in", values, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdBetween(Long value1, Long value2) {
            addCriterion("purchase_user_id between", value1, value2, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdNotBetween(Long value1, Long value2) {
            addCriterion("purchase_user_id not between", value1, value2, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameIsNull() {
            addCriterion("purchase_user_name is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameIsNotNull() {
            addCriterion("purchase_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameEqualTo(String value) {
            addCriterion("purchase_user_name =", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotEqualTo(String value) {
            addCriterion("purchase_user_name <>", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameGreaterThan(String value) {
            addCriterion("purchase_user_name >", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_user_name >=", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameLessThan(String value) {
            addCriterion("purchase_user_name <", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameLessThanOrEqualTo(String value) {
            addCriterion("purchase_user_name <=", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameLike(String value) {
            addCriterion("purchase_user_name like", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotLike(String value) {
            addCriterion("purchase_user_name not like", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameIn(List<String> values) {
            addCriterion("purchase_user_name in", values, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotIn(List<String> values) {
            addCriterion("purchase_user_name not in", values, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameBetween(String value1, String value2) {
            addCriterion("purchase_user_name between", value1, value2, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotBetween(String value1, String value2) {
            addCriterion("purchase_user_name not between", value1, value2, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneIsNull() {
            addCriterion("purchase_phone is null");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneIsNotNull() {
            addCriterion("purchase_phone is not null");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneEqualTo(String value) {
            addCriterion("purchase_phone =", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotEqualTo(String value) {
            addCriterion("purchase_phone <>", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneGreaterThan(String value) {
            addCriterion("purchase_phone >", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_phone >=", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneLessThan(String value) {
            addCriterion("purchase_phone <", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneLessThanOrEqualTo(String value) {
            addCriterion("purchase_phone <=", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneLike(String value) {
            addCriterion("purchase_phone like", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotLike(String value) {
            addCriterion("purchase_phone not like", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneIn(List<String> values) {
            addCriterion("purchase_phone in", values, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotIn(List<String> values) {
            addCriterion("purchase_phone not in", values, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneBetween(String value1, String value2) {
            addCriterion("purchase_phone between", value1, value2, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotBetween(String value1, String value2) {
            addCriterion("purchase_phone not between", value1, value2, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andSaleIdIsNull() {
            addCriterion("sale_id is null");
            return (Criteria) this;
        }

        public Criteria andSaleIdIsNotNull() {
            addCriterion("sale_id is not null");
            return (Criteria) this;
        }

        public Criteria andSaleIdEqualTo(Long value) {
            addCriterion("sale_id =", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdNotEqualTo(Long value) {
            addCriterion("sale_id <>", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdGreaterThan(Long value) {
            addCriterion("sale_id >", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdGreaterThanOrEqualTo(Long value) {
            addCriterion("sale_id >=", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdLessThan(Long value) {
            addCriterion("sale_id <", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdLessThanOrEqualTo(Long value) {
            addCriterion("sale_id <=", value, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdIn(List<Long> values) {
            addCriterion("sale_id in", values, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdNotIn(List<Long> values) {
            addCriterion("sale_id not in", values, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdBetween(Long value1, Long value2) {
            addCriterion("sale_id between", value1, value2, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleIdNotBetween(Long value1, Long value2) {
            addCriterion("sale_id not between", value1, value2, "saleId");
            return (Criteria) this;
        }

        public Criteria andSaleNameIsNull() {
            addCriterion("sale_name is null");
            return (Criteria) this;
        }

        public Criteria andSaleNameIsNotNull() {
            addCriterion("sale_name is not null");
            return (Criteria) this;
        }

        public Criteria andSaleNameEqualTo(String value) {
            addCriterion("sale_name =", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotEqualTo(String value) {
            addCriterion("sale_name <>", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameGreaterThan(String value) {
            addCriterion("sale_name >", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameGreaterThanOrEqualTo(String value) {
            addCriterion("sale_name >=", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameLessThan(String value) {
            addCriterion("sale_name <", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameLessThanOrEqualTo(String value) {
            addCriterion("sale_name <=", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameLike(String value) {
            addCriterion("sale_name like", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotLike(String value) {
            addCriterion("sale_name not like", value, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameIn(List<String> values) {
            addCriterion("sale_name in", values, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotIn(List<String> values) {
            addCriterion("sale_name not in", values, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameBetween(String value1, String value2) {
            addCriterion("sale_name between", value1, value2, "saleName");
            return (Criteria) this;
        }

        public Criteria andSaleNameNotBetween(String value1, String value2) {
            addCriterion("sale_name not between", value1, value2, "saleName");
            return (Criteria) this;
        }

        public Criteria andAmountIsNull() {
            addCriterion("amount is null");
            return (Criteria) this;
        }

        public Criteria andAmountIsNotNull() {
            addCriterion("amount is not null");
            return (Criteria) this;
        }

        public Criteria andAmountEqualTo(BigDecimal value) {
            addCriterion("amount =", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountNotEqualTo(BigDecimal value) {
            addCriterion("amount <>", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountGreaterThan(BigDecimal value) {
            addCriterion("amount >", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("amount >=", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountLessThan(BigDecimal value) {
            addCriterion("amount <", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("amount <=", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountIn(List<BigDecimal> values) {
            addCriterion("amount in", values, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountNotIn(List<BigDecimal> values) {
            addCriterion("amount not in", values, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("amount between", value1, value2, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("amount not between", value1, value2, "amount");
            return (Criteria) this;
        }

        public Criteria andCostAmountIsNull() {
            addCriterion("cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andCostAmountIsNotNull() {
            addCriterion("cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andCostAmountEqualTo(BigDecimal value) {
            addCriterion("cost_amount =", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("cost_amount <>", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountGreaterThan(BigDecimal value) {
            addCriterion("cost_amount >", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cost_amount >=", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountLessThan(BigDecimal value) {
            addCriterion("cost_amount <", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cost_amount <=", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountIn(List<BigDecimal> values) {
            addCriterion("cost_amount in", values, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("cost_amount not in", values, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cost_amount between", value1, value2, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cost_amount not between", value1, value2, "costAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIsNull() {
            addCriterion("transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIsNotNull() {
            addCriterion("transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andTransportAmountEqualTo(BigDecimal value) {
            addCriterion("transport_amount =", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("transport_amount <>", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("transport_amount >", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_amount >=", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountLessThan(BigDecimal value) {
            addCriterion("transport_amount <", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_amount <=", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIn(List<BigDecimal> values) {
            addCriterion("transport_amount in", values, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("transport_amount not in", values, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_amount between", value1, value2, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_amount not between", value1, value2, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountIsNull() {
            addCriterion("transport_merchant_assume_amount is null");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountIsNotNull() {
            addCriterion("transport_merchant_assume_amount is not null");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount =", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountNotEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount <>", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountGreaterThan(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount >", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount >=", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountLessThan(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount <", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount <=", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountIn(List<BigDecimal> values) {
            addCriterion("transport_merchant_assume_amount in", values, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountNotIn(List<BigDecimal> values) {
            addCriterion("transport_merchant_assume_amount not in", values, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_merchant_assume_amount between", value1, value2, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_merchant_assume_amount not between", value1, value2, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNull() {
            addCriterion("goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNotNull() {
            addCriterion("goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("goods_amount =", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_amount <>", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_amount >", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount >=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThan(BigDecimal value) {
            addCriterion("goods_amount <", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount <=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("goods_amount in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_amount not in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount not between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNull() {
            addCriterion("goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNotNull() {
            addCriterion("goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount =", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <>", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_cost_amount >", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount >=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("goods_cost_amount <", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount not in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount not between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIsNull() {
            addCriterion("refund_goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIsNotNull() {
            addCriterion("refund_goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount =", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount <>", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_amount >", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount >=", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_amount <", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount <=", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_amount in", values, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_amount not in", values, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_amount between", value1, value2, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_amount not between", value1, value2, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIsNull() {
            addCriterion("refund_goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIsNotNull() {
            addCriterion("refund_goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount =", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <>", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_cost_amount >", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount >=", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <=", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_cost_amount in", values, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_cost_amount not in", values, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_cost_amount between", value1, value2, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_cost_amount not between", value1, value2, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andCompletStateIsNull() {
            addCriterion("complet_state is null");
            return (Criteria) this;
        }

        public Criteria andCompletStateIsNotNull() {
            addCriterion("complet_state is not null");
            return (Criteria) this;
        }

        public Criteria andCompletStateEqualTo(Integer value) {
            addCriterion("complet_state =", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateNotEqualTo(Integer value) {
            addCriterion("complet_state <>", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateGreaterThan(Integer value) {
            addCriterion("complet_state >", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("complet_state >=", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateLessThan(Integer value) {
            addCriterion("complet_state <", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateLessThanOrEqualTo(Integer value) {
            addCriterion("complet_state <=", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateIn(List<Integer> values) {
            addCriterion("complet_state in", values, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateNotIn(List<Integer> values) {
            addCriterion("complet_state not in", values, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateBetween(Integer value1, Integer value2) {
            addCriterion("complet_state between", value1, value2, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateNotBetween(Integer value1, Integer value2) {
            addCriterion("complet_state not between", value1, value2, "completState");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerIsNull() {
            addCriterion("order_locking_customer is null");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerIsNotNull() {
            addCriterion("order_locking_customer is not null");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerEqualTo(Integer value) {
            addCriterion("order_locking_customer =", value, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerNotEqualTo(Integer value) {
            addCriterion("order_locking_customer <>", value, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerGreaterThan(Integer value) {
            addCriterion("order_locking_customer >", value, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_locking_customer >=", value, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerLessThan(Integer value) {
            addCriterion("order_locking_customer <", value, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerLessThanOrEqualTo(Integer value) {
            addCriterion("order_locking_customer <=", value, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerIn(List<Integer> values) {
            addCriterion("order_locking_customer in", values, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerNotIn(List<Integer> values) {
            addCriterion("order_locking_customer not in", values, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerBetween(Integer value1, Integer value2) {
            addCriterion("order_locking_customer between", value1, value2, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingCustomerNotBetween(Integer value1, Integer value2) {
            addCriterion("order_locking_customer not between", value1, value2, "orderLockingCustomer");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierIsNull() {
            addCriterion("order_locking_supplier is null");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierIsNotNull() {
            addCriterion("order_locking_supplier is not null");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierEqualTo(Integer value) {
            addCriterion("order_locking_supplier =", value, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierNotEqualTo(Integer value) {
            addCriterion("order_locking_supplier <>", value, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierGreaterThan(Integer value) {
            addCriterion("order_locking_supplier >", value, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_locking_supplier >=", value, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierLessThan(Integer value) {
            addCriterion("order_locking_supplier <", value, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierLessThanOrEqualTo(Integer value) {
            addCriterion("order_locking_supplier <=", value, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierIn(List<Integer> values) {
            addCriterion("order_locking_supplier in", values, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierNotIn(List<Integer> values) {
            addCriterion("order_locking_supplier not in", values, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierBetween(Integer value1, Integer value2) {
            addCriterion("order_locking_supplier between", value1, value2, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderLockingSupplierNotBetween(Integer value1, Integer value2) {
            addCriterion("order_locking_supplier not between", value1, value2, "orderLockingSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierIsNull() {
            addCriterion("accounting_state_supplier is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierIsNotNull() {
            addCriterion("accounting_state_supplier is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierEqualTo(Integer value) {
            addCriterion("accounting_state_supplier =", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierNotEqualTo(Integer value) {
            addCriterion("accounting_state_supplier <>", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierGreaterThan(Integer value) {
            addCriterion("accounting_state_supplier >", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_supplier >=", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierLessThan(Integer value) {
            addCriterion("accounting_state_supplier <", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_supplier <=", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierIn(List<Integer> values) {
            addCriterion("accounting_state_supplier in", values, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierNotIn(List<Integer> values) {
            addCriterion("accounting_state_supplier not in", values, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_supplier between", value1, value2, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_supplier not between", value1, value2, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerIsNull() {
            addCriterion("accounting_state_customer is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerIsNotNull() {
            addCriterion("accounting_state_customer is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerEqualTo(Integer value) {
            addCriterion("accounting_state_customer =", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerNotEqualTo(Integer value) {
            addCriterion("accounting_state_customer <>", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerGreaterThan(Integer value) {
            addCriterion("accounting_state_customer >", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_customer >=", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerLessThan(Integer value) {
            addCriterion("accounting_state_customer <", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_customer <=", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerIn(List<Integer> values) {
            addCriterion("accounting_state_customer in", values, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerNotIn(List<Integer> values) {
            addCriterion("accounting_state_customer not in", values, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_customer between", value1, value2, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_customer not between", value1, value2, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNull() {
            addCriterion("pay_type is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNotNull() {
            addCriterion("pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeEqualTo(Integer value) {
            addCriterion("pay_type =", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotEqualTo(Integer value) {
            addCriterion("pay_type <>", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThan(Integer value) {
            addCriterion("pay_type >", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_type >=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThan(Integer value) {
            addCriterion("pay_type <", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThanOrEqualTo(Integer value) {
            addCriterion("pay_type <=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeIn(List<Integer> values) {
            addCriterion("pay_type in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotIn(List<Integer> values) {
            addCriterion("pay_type not in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeBetween(Integer value1, Integer value2) {
            addCriterion("pay_type between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_type not between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameIsNull() {
            addCriterion("pay_type_name is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameIsNotNull() {
            addCriterion("pay_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameEqualTo(String value) {
            addCriterion("pay_type_name =", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotEqualTo(String value) {
            addCriterion("pay_type_name <>", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameGreaterThan(String value) {
            addCriterion("pay_type_name >", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("pay_type_name >=", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameLessThan(String value) {
            addCriterion("pay_type_name <", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameLessThanOrEqualTo(String value) {
            addCriterion("pay_type_name <=", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameLike(String value) {
            addCriterion("pay_type_name like", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotLike(String value) {
            addCriterion("pay_type_name not like", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameIn(List<String> values) {
            addCriterion("pay_type_name in", values, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotIn(List<String> values) {
            addCriterion("pay_type_name not in", values, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameBetween(String value1, String value2) {
            addCriterion("pay_type_name between", value1, value2, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotBetween(String value1, String value2) {
            addCriterion("pay_type_name not between", value1, value2, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayStateIsNull() {
            addCriterion("pay_state is null");
            return (Criteria) this;
        }

        public Criteria andPayStateIsNotNull() {
            addCriterion("pay_state is not null");
            return (Criteria) this;
        }

        public Criteria andPayStateEqualTo(Integer value) {
            addCriterion("pay_state =", value, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateNotEqualTo(Integer value) {
            addCriterion("pay_state <>", value, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateGreaterThan(Integer value) {
            addCriterion("pay_state >", value, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_state >=", value, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateLessThan(Integer value) {
            addCriterion("pay_state <", value, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateLessThanOrEqualTo(Integer value) {
            addCriterion("pay_state <=", value, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateIn(List<Integer> values) {
            addCriterion("pay_state in", values, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateNotIn(List<Integer> values) {
            addCriterion("pay_state not in", values, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateBetween(Integer value1, Integer value2) {
            addCriterion("pay_state between", value1, value2, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_state not between", value1, value2, "payState");
            return (Criteria) this;
        }

        public Criteria andPayStateNameIsNull() {
            addCriterion("pay_state_name is null");
            return (Criteria) this;
        }

        public Criteria andPayStateNameIsNotNull() {
            addCriterion("pay_state_name is not null");
            return (Criteria) this;
        }

        public Criteria andPayStateNameEqualTo(String value) {
            addCriterion("pay_state_name =", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameNotEqualTo(String value) {
            addCriterion("pay_state_name <>", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameGreaterThan(String value) {
            addCriterion("pay_state_name >", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameGreaterThanOrEqualTo(String value) {
            addCriterion("pay_state_name >=", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameLessThan(String value) {
            addCriterion("pay_state_name <", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameLessThanOrEqualTo(String value) {
            addCriterion("pay_state_name <=", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameLike(String value) {
            addCriterion("pay_state_name like", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameNotLike(String value) {
            addCriterion("pay_state_name not like", value, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameIn(List<String> values) {
            addCriterion("pay_state_name in", values, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameNotIn(List<String> values) {
            addCriterion("pay_state_name not in", values, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameBetween(String value1, String value2) {
            addCriterion("pay_state_name between", value1, value2, "payStateName");
            return (Criteria) this;
        }

        public Criteria andPayStateNameNotBetween(String value1, String value2) {
            addCriterion("pay_state_name not between", value1, value2, "payStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateIsNull() {
            addCriterion("order_state is null");
            return (Criteria) this;
        }

        public Criteria andOrderStateIsNotNull() {
            addCriterion("order_state is not null");
            return (Criteria) this;
        }

        public Criteria andOrderStateEqualTo(Integer value) {
            addCriterion("order_state =", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotEqualTo(Integer value) {
            addCriterion("order_state <>", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateGreaterThan(Integer value) {
            addCriterion("order_state >", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_state >=", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLessThan(Integer value) {
            addCriterion("order_state <", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLessThanOrEqualTo(Integer value) {
            addCriterion("order_state <=", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateIn(List<Integer> values) {
            addCriterion("order_state in", values, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotIn(List<Integer> values) {
            addCriterion("order_state not in", values, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateBetween(Integer value1, Integer value2) {
            addCriterion("order_state between", value1, value2, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotBetween(Integer value1, Integer value2) {
            addCriterion("order_state not between", value1, value2, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameIsNull() {
            addCriterion("order_state_name is null");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameIsNotNull() {
            addCriterion("order_state_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameEqualTo(String value) {
            addCriterion("order_state_name =", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameNotEqualTo(String value) {
            addCriterion("order_state_name <>", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameGreaterThan(String value) {
            addCriterion("order_state_name >", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameGreaterThanOrEqualTo(String value) {
            addCriterion("order_state_name >=", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameLessThan(String value) {
            addCriterion("order_state_name <", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameLessThanOrEqualTo(String value) {
            addCriterion("order_state_name <=", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameLike(String value) {
            addCriterion("order_state_name like", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameNotLike(String value) {
            addCriterion("order_state_name not like", value, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameIn(List<String> values) {
            addCriterion("order_state_name in", values, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameNotIn(List<String> values) {
            addCriterion("order_state_name not in", values, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameBetween(String value1, String value2) {
            addCriterion("order_state_name between", value1, value2, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andOrderStateNameNotBetween(String value1, String value2) {
            addCriterion("order_state_name not between", value1, value2, "orderStateName");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeIsNull() {
            addCriterion("settlement_type is null");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeIsNotNull() {
            addCriterion("settlement_type is not null");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeEqualTo(Integer value) {
            addCriterion("settlement_type =", value, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeNotEqualTo(Integer value) {
            addCriterion("settlement_type <>", value, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeGreaterThan(Integer value) {
            addCriterion("settlement_type >", value, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("settlement_type >=", value, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeLessThan(Integer value) {
            addCriterion("settlement_type <", value, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeLessThanOrEqualTo(Integer value) {
            addCriterion("settlement_type <=", value, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeIn(List<Integer> values) {
            addCriterion("settlement_type in", values, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeNotIn(List<Integer> values) {
            addCriterion("settlement_type not in", values, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeBetween(Integer value1, Integer value2) {
            addCriterion("settlement_type between", value1, value2, "settlementType");
            return (Criteria) this;
        }

        public Criteria andSettlementTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("settlement_type not between", value1, value2, "settlementType");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateIsNull() {
            addCriterion("appraise_state is null");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateIsNotNull() {
            addCriterion("appraise_state is not null");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateEqualTo(Integer value) {
            addCriterion("appraise_state =", value, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateNotEqualTo(Integer value) {
            addCriterion("appraise_state <>", value, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateGreaterThan(Integer value) {
            addCriterion("appraise_state >", value, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("appraise_state >=", value, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateLessThan(Integer value) {
            addCriterion("appraise_state <", value, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateLessThanOrEqualTo(Integer value) {
            addCriterion("appraise_state <=", value, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateIn(List<Integer> values) {
            addCriterion("appraise_state in", values, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateNotIn(List<Integer> values) {
            addCriterion("appraise_state not in", values, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateBetween(Integer value1, Integer value2) {
            addCriterion("appraise_state between", value1, value2, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andAppraiseStateNotBetween(Integer value1, Integer value2) {
            addCriterion("appraise_state not between", value1, value2, "appraiseState");
            return (Criteria) this;
        }

        public Criteria andSourceChannelIsNull() {
            addCriterion("source_channel is null");
            return (Criteria) this;
        }

        public Criteria andSourceChannelIsNotNull() {
            addCriterion("source_channel is not null");
            return (Criteria) this;
        }

        public Criteria andSourceChannelEqualTo(Integer value) {
            addCriterion("source_channel =", value, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelNotEqualTo(Integer value) {
            addCriterion("source_channel <>", value, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelGreaterThan(Integer value) {
            addCriterion("source_channel >", value, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelGreaterThanOrEqualTo(Integer value) {
            addCriterion("source_channel >=", value, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelLessThan(Integer value) {
            addCriterion("source_channel <", value, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelLessThanOrEqualTo(Integer value) {
            addCriterion("source_channel <=", value, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelIn(List<Integer> values) {
            addCriterion("source_channel in", values, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelNotIn(List<Integer> values) {
            addCriterion("source_channel not in", values, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelBetween(Integer value1, Integer value2) {
            addCriterion("source_channel between", value1, value2, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andSourceChannelNotBetween(Integer value1, Integer value2) {
            addCriterion("source_channel not between", value1, value2, "sourceChannel");
            return (Criteria) this;
        }

        public Criteria andOtherParamsIsNull() {
            addCriterion("other_params is null");
            return (Criteria) this;
        }

        public Criteria andOtherParamsIsNotNull() {
            addCriterion("other_params is not null");
            return (Criteria) this;
        }

        public Criteria andOtherParamsEqualTo(String value) {
            addCriterion("other_params =", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsNotEqualTo(String value) {
            addCriterion("other_params <>", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsGreaterThan(String value) {
            addCriterion("other_params >", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsGreaterThanOrEqualTo(String value) {
            addCriterion("other_params >=", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsLessThan(String value) {
            addCriterion("other_params <", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsLessThanOrEqualTo(String value) {
            addCriterion("other_params <=", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsLike(String value) {
            addCriterion("other_params like", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsNotLike(String value) {
            addCriterion("other_params not like", value, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsIn(List<String> values) {
            addCriterion("other_params in", values, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsNotIn(List<String> values) {
            addCriterion("other_params not in", values, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsBetween(String value1, String value2) {
            addCriterion("other_params between", value1, value2, "otherParams");
            return (Criteria) this;
        }

        public Criteria andOtherParamsNotBetween(String value1, String value2) {
            addCriterion("other_params not between", value1, value2, "otherParams");
            return (Criteria) this;
        }

        public Criteria andUserTypeIsNull() {
            addCriterion("user_type is null");
            return (Criteria) this;
        }

        public Criteria andUserTypeIsNotNull() {
            addCriterion("user_type is not null");
            return (Criteria) this;
        }

        public Criteria andUserTypeEqualTo(String value) {
            addCriterion("user_type =", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotEqualTo(String value) {
            addCriterion("user_type <>", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeGreaterThan(String value) {
            addCriterion("user_type >", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeGreaterThanOrEqualTo(String value) {
            addCriterion("user_type >=", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeLessThan(String value) {
            addCriterion("user_type <", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeLessThanOrEqualTo(String value) {
            addCriterion("user_type <=", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeLike(String value) {
            addCriterion("user_type like", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotLike(String value) {
            addCriterion("user_type not like", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeIn(List<String> values) {
            addCriterion("user_type in", values, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotIn(List<String> values) {
            addCriterion("user_type not in", values, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeBetween(String value1, String value2) {
            addCriterion("user_type between", value1, value2, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotBetween(String value1, String value2) {
            addCriterion("user_type not between", value1, value2, "userType");
            return (Criteria) this;
        }

        public Criteria andUserNameIsNull() {
            addCriterion("user_name is null");
            return (Criteria) this;
        }

        public Criteria andUserNameIsNotNull() {
            addCriterion("user_name is not null");
            return (Criteria) this;
        }

        public Criteria andUserNameEqualTo(String value) {
            addCriterion("user_name =", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotEqualTo(String value) {
            addCriterion("user_name <>", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameGreaterThan(String value) {
            addCriterion("user_name >", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("user_name >=", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameLessThan(String value) {
            addCriterion("user_name <", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameLessThanOrEqualTo(String value) {
            addCriterion("user_name <=", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameLike(String value) {
            addCriterion("user_name like", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotLike(String value) {
            addCriterion("user_name not like", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameIn(List<String> values) {
            addCriterion("user_name in", values, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotIn(List<String> values) {
            addCriterion("user_name not in", values, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameBetween(String value1, String value2) {
            addCriterion("user_name between", value1, value2, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotBetween(String value1, String value2) {
            addCriterion("user_name not between", value1, value2, "userName");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIsNull() {
            addCriterion("order_type is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIsNotNull() {
            addCriterion("order_type is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeEqualTo(Integer value) {
            addCriterion("order_type =", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotEqualTo(Integer value) {
            addCriterion("order_type <>", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeGreaterThan(Integer value) {
            addCriterion("order_type >", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_type >=", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLessThan(Integer value) {
            addCriterion("order_type <", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLessThanOrEqualTo(Integer value) {
            addCriterion("order_type <=", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIn(List<Integer> values) {
            addCriterion("order_type in", values, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotIn(List<Integer> values) {
            addCriterion("order_type not in", values, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeBetween(Integer value1, Integer value2) {
            addCriterion("order_type between", value1, value2, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("order_type not between", value1, value2, "orderType");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnIsNull() {
            addCriterion("refund_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnIsNotNull() {
            addCriterion("refund_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnEqualTo(String value) {
            addCriterion("refund_order_sn =", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnNotEqualTo(String value) {
            addCriterion("refund_order_sn <>", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnGreaterThan(String value) {
            addCriterion("refund_order_sn >", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("refund_order_sn >=", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnLessThan(String value) {
            addCriterion("refund_order_sn <", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnLessThanOrEqualTo(String value) {
            addCriterion("refund_order_sn <=", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnLike(String value) {
            addCriterion("refund_order_sn like", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnNotLike(String value) {
            addCriterion("refund_order_sn not like", value, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnIn(List<String> values) {
            addCriterion("refund_order_sn in", values, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnNotIn(List<String> values) {
            addCriterion("refund_order_sn not in", values, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnBetween(String value1, String value2) {
            addCriterion("refund_order_sn between", value1, value2, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOrderSnNotBetween(String value1, String value2) {
            addCriterion("refund_order_sn not between", value1, value2, "refundOrderSn");
            return (Criteria) this;
        }

        public Criteria andRecUserNameIsNull() {
            addCriterion("rec_user_name is null");
            return (Criteria) this;
        }

        public Criteria andRecUserNameIsNotNull() {
            addCriterion("rec_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andRecUserNameEqualTo(String value) {
            addCriterion("rec_user_name =", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameNotEqualTo(String value) {
            addCriterion("rec_user_name <>", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameGreaterThan(String value) {
            addCriterion("rec_user_name >", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("rec_user_name >=", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameLessThan(String value) {
            addCriterion("rec_user_name <", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameLessThanOrEqualTo(String value) {
            addCriterion("rec_user_name <=", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameLike(String value) {
            addCriterion("rec_user_name like", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameNotLike(String value) {
            addCriterion("rec_user_name not like", value, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameIn(List<String> values) {
            addCriterion("rec_user_name in", values, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameNotIn(List<String> values) {
            addCriterion("rec_user_name not in", values, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameBetween(String value1, String value2) {
            addCriterion("rec_user_name between", value1, value2, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserNameNotBetween(String value1, String value2) {
            addCriterion("rec_user_name not between", value1, value2, "recUserName");
            return (Criteria) this;
        }

        public Criteria andRecUserIdIsNull() {
            addCriterion("rec_user_id is null");
            return (Criteria) this;
        }

        public Criteria andRecUserIdIsNotNull() {
            addCriterion("rec_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andRecUserIdEqualTo(Long value) {
            addCriterion("rec_user_id =", value, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdNotEqualTo(Long value) {
            addCriterion("rec_user_id <>", value, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdGreaterThan(Long value) {
            addCriterion("rec_user_id >", value, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("rec_user_id >=", value, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdLessThan(Long value) {
            addCriterion("rec_user_id <", value, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdLessThanOrEqualTo(Long value) {
            addCriterion("rec_user_id <=", value, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdIn(List<Long> values) {
            addCriterion("rec_user_id in", values, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdNotIn(List<Long> values) {
            addCriterion("rec_user_id not in", values, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdBetween(Long value1, Long value2) {
            addCriterion("rec_user_id between", value1, value2, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserIdNotBetween(Long value1, Long value2) {
            addCriterion("rec_user_id not between", value1, value2, "recUserId");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneIsNull() {
            addCriterion("rec_user_phone is null");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneIsNotNull() {
            addCriterion("rec_user_phone is not null");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneEqualTo(String value) {
            addCriterion("rec_user_phone =", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneNotEqualTo(String value) {
            addCriterion("rec_user_phone <>", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneGreaterThan(String value) {
            addCriterion("rec_user_phone >", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("rec_user_phone >=", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneLessThan(String value) {
            addCriterion("rec_user_phone <", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneLessThanOrEqualTo(String value) {
            addCriterion("rec_user_phone <=", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneLike(String value) {
            addCriterion("rec_user_phone like", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneNotLike(String value) {
            addCriterion("rec_user_phone not like", value, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneIn(List<String> values) {
            addCriterion("rec_user_phone in", values, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneNotIn(List<String> values) {
            addCriterion("rec_user_phone not in", values, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneBetween(String value1, String value2) {
            addCriterion("rec_user_phone between", value1, value2, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecUserPhoneNotBetween(String value1, String value2) {
            addCriterion("rec_user_phone not between", value1, value2, "recUserPhone");
            return (Criteria) this;
        }

        public Criteria andRecAddressIsNull() {
            addCriterion("rec_address is null");
            return (Criteria) this;
        }

        public Criteria andRecAddressIsNotNull() {
            addCriterion("rec_address is not null");
            return (Criteria) this;
        }

        public Criteria andRecAddressEqualTo(String value) {
            addCriterion("rec_address =", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressNotEqualTo(String value) {
            addCriterion("rec_address <>", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressGreaterThan(String value) {
            addCriterion("rec_address >", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressGreaterThanOrEqualTo(String value) {
            addCriterion("rec_address >=", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressLessThan(String value) {
            addCriterion("rec_address <", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressLessThanOrEqualTo(String value) {
            addCriterion("rec_address <=", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressLike(String value) {
            addCriterion("rec_address like", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressNotLike(String value) {
            addCriterion("rec_address not like", value, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressIn(List<String> values) {
            addCriterion("rec_address in", values, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressNotIn(List<String> values) {
            addCriterion("rec_address not in", values, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressBetween(String value1, String value2) {
            addCriterion("rec_address between", value1, value2, "recAddress");
            return (Criteria) this;
        }

        public Criteria andRecAddressNotBetween(String value1, String value2) {
            addCriterion("rec_address not between", value1, value2, "recAddress");
            return (Criteria) this;
        }

        public Criteria andExpressSnIsNull() {
            addCriterion("express_sn is null");
            return (Criteria) this;
        }

        public Criteria andExpressSnIsNotNull() {
            addCriterion("express_sn is not null");
            return (Criteria) this;
        }

        public Criteria andExpressSnEqualTo(String value) {
            addCriterion("express_sn =", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnNotEqualTo(String value) {
            addCriterion("express_sn <>", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnGreaterThan(String value) {
            addCriterion("express_sn >", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnGreaterThanOrEqualTo(String value) {
            addCriterion("express_sn >=", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnLessThan(String value) {
            addCriterion("express_sn <", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnLessThanOrEqualTo(String value) {
            addCriterion("express_sn <=", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnLike(String value) {
            addCriterion("express_sn like", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnNotLike(String value) {
            addCriterion("express_sn not like", value, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnIn(List<String> values) {
            addCriterion("express_sn in", values, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnNotIn(List<String> values) {
            addCriterion("express_sn not in", values, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnBetween(String value1, String value2) {
            addCriterion("express_sn between", value1, value2, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressSnNotBetween(String value1, String value2) {
            addCriterion("express_sn not between", value1, value2, "expressSn");
            return (Criteria) this;
        }

        public Criteria andExpressIsNull() {
            addCriterion("express is null");
            return (Criteria) this;
        }

        public Criteria andExpressIsNotNull() {
            addCriterion("express is not null");
            return (Criteria) this;
        }

        public Criteria andExpressEqualTo(String value) {
            addCriterion("express =", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressNotEqualTo(String value) {
            addCriterion("express <>", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressGreaterThan(String value) {
            addCriterion("express >", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressGreaterThanOrEqualTo(String value) {
            addCriterion("express >=", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressLessThan(String value) {
            addCriterion("express <", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressLessThanOrEqualTo(String value) {
            addCriterion("express <=", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressLike(String value) {
            addCriterion("express like", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressNotLike(String value) {
            addCriterion("express not like", value, "express");
            return (Criteria) this;
        }

        public Criteria andExpressIn(List<String> values) {
            addCriterion("express in", values, "express");
            return (Criteria) this;
        }

        public Criteria andExpressNotIn(List<String> values) {
            addCriterion("express not in", values, "express");
            return (Criteria) this;
        }

        public Criteria andExpressBetween(String value1, String value2) {
            addCriterion("express between", value1, value2, "express");
            return (Criteria) this;
        }

        public Criteria andExpressNotBetween(String value1, String value2) {
            addCriterion("express not between", value1, value2, "express");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIsNull() {
            addCriterion("express_company is null");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIsNotNull() {
            addCriterion("express_company is not null");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyEqualTo(String value) {
            addCriterion("express_company =", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyNotEqualTo(String value) {
            addCriterion("express_company <>", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyGreaterThan(String value) {
            addCriterion("express_company >", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("express_company >=", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyLessThan(String value) {
            addCriterion("express_company <", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyLessThanOrEqualTo(String value) {
            addCriterion("express_company <=", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyLike(String value) {
            addCriterion("express_company like", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyNotLike(String value) {
            addCriterion("express_company not like", value, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIn(List<String> values) {
            addCriterion("express_company in", values, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyNotIn(List<String> values) {
            addCriterion("express_company not in", values, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyBetween(String value1, String value2) {
            addCriterion("express_company between", value1, value2, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyNotBetween(String value1, String value2) {
            addCriterion("express_company not between", value1, value2, "expressCompany");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNull() {
            addCriterion("remarks is null");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNotNull() {
            addCriterion("remarks is not null");
            return (Criteria) this;
        }

        public Criteria andRemarksEqualTo(String value) {
            addCriterion("remarks =", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotEqualTo(String value) {
            addCriterion("remarks <>", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThan(String value) {
            addCriterion("remarks >", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThanOrEqualTo(String value) {
            addCriterion("remarks >=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThan(String value) {
            addCriterion("remarks <", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThanOrEqualTo(String value) {
            addCriterion("remarks <=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLike(String value) {
            addCriterion("remarks like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotLike(String value) {
            addCriterion("remarks not like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksIn(List<String> values) {
            addCriterion("remarks in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotIn(List<String> values) {
            addCriterion("remarks not in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksBetween(String value1, String value2) {
            addCriterion("remarks between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotBetween(String value1, String value2) {
            addCriterion("remarks not between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNull() {
            addCriterion("invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNotNull() {
            addCriterion("invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusEqualTo(Integer value) {
            addCriterion("invoice_status =", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("invoice_status <>", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThan(Integer value) {
            addCriterion("invoice_status >", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_status >=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThan(Integer value) {
            addCriterion("invoice_status <", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_status <=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIn(List<Integer> values) {
            addCriterion("invoice_status in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("invoice_status not in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("invoice_status between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_status not between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnIsNull() {
            addCriterion("invoice_apply_sn is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnIsNotNull() {
            addCriterion("invoice_apply_sn is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnEqualTo(String value) {
            addCriterion("invoice_apply_sn =", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnNotEqualTo(String value) {
            addCriterion("invoice_apply_sn <>", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnGreaterThan(String value) {
            addCriterion("invoice_apply_sn >", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_apply_sn >=", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnLessThan(String value) {
            addCriterion("invoice_apply_sn <", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnLessThanOrEqualTo(String value) {
            addCriterion("invoice_apply_sn <=", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnLike(String value) {
            addCriterion("invoice_apply_sn like", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnNotLike(String value) {
            addCriterion("invoice_apply_sn not like", value, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnIn(List<String> values) {
            addCriterion("invoice_apply_sn in", values, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnNotIn(List<String> values) {
            addCriterion("invoice_apply_sn not in", values, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnBetween(String value1, String value2) {
            addCriterion("invoice_apply_sn between", value1, value2, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplySnNotBetween(String value1, String value2) {
            addCriterion("invoice_apply_sn not between", value1, value2, "invoiceApplySn");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberIsNull() {
            addCriterion("invoice_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberIsNotNull() {
            addCriterion("invoice_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberEqualTo(String value) {
            addCriterion("invoice_number =", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotEqualTo(String value) {
            addCriterion("invoice_number <>", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberGreaterThan(String value) {
            addCriterion("invoice_number >", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_number >=", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberLessThan(String value) {
            addCriterion("invoice_number <", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_number <=", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberLike(String value) {
            addCriterion("invoice_number like", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotLike(String value) {
            addCriterion("invoice_number not like", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberIn(List<String> values) {
            addCriterion("invoice_number in", values, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotIn(List<String> values) {
            addCriterion("invoice_number not in", values, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberBetween(String value1, String value2) {
            addCriterion("invoice_number between", value1, value2, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_number not between", value1, value2, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andOperAccountIsNull() {
            addCriterion("oper_account is null");
            return (Criteria) this;
        }

        public Criteria andOperAccountIsNotNull() {
            addCriterion("oper_account is not null");
            return (Criteria) this;
        }

        public Criteria andOperAccountEqualTo(String value) {
            addCriterion("oper_account =", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountNotEqualTo(String value) {
            addCriterion("oper_account <>", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountGreaterThan(String value) {
            addCriterion("oper_account >", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountGreaterThanOrEqualTo(String value) {
            addCriterion("oper_account >=", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountLessThan(String value) {
            addCriterion("oper_account <", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountLessThanOrEqualTo(String value) {
            addCriterion("oper_account <=", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountLike(String value) {
            addCriterion("oper_account like", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountNotLike(String value) {
            addCriterion("oper_account not like", value, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountIn(List<String> values) {
            addCriterion("oper_account in", values, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountNotIn(List<String> values) {
            addCriterion("oper_account not in", values, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountBetween(String value1, String value2) {
            addCriterion("oper_account between", value1, value2, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperAccountNotBetween(String value1, String value2) {
            addCriterion("oper_account not between", value1, value2, "operAccount");
            return (Criteria) this;
        }

        public Criteria andOperNameIsNull() {
            addCriterion("oper_name is null");
            return (Criteria) this;
        }

        public Criteria andOperNameIsNotNull() {
            addCriterion("oper_name is not null");
            return (Criteria) this;
        }

        public Criteria andOperNameEqualTo(String value) {
            addCriterion("oper_name =", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameNotEqualTo(String value) {
            addCriterion("oper_name <>", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameGreaterThan(String value) {
            addCriterion("oper_name >", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameGreaterThanOrEqualTo(String value) {
            addCriterion("oper_name >=", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameLessThan(String value) {
            addCriterion("oper_name <", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameLessThanOrEqualTo(String value) {
            addCriterion("oper_name <=", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameLike(String value) {
            addCriterion("oper_name like", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameNotLike(String value) {
            addCriterion("oper_name not like", value, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameIn(List<String> values) {
            addCriterion("oper_name in", values, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameNotIn(List<String> values) {
            addCriterion("oper_name not in", values, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameBetween(String value1, String value2) {
            addCriterion("oper_name between", value1, value2, "operName");
            return (Criteria) this;
        }

        public Criteria andOperNameNotBetween(String value1, String value2) {
            addCriterion("oper_name not between", value1, value2, "operName");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNull() {
            addCriterion("pay_time is null");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNotNull() {
            addCriterion("pay_time is not null");
            return (Criteria) this;
        }

        public Criteria andPayTimeEqualTo(Date value) {
            addCriterion("pay_time =", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotEqualTo(Date value) {
            addCriterion("pay_time <>", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThan(Date value) {
            addCriterion("pay_time >", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("pay_time >=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThan(Date value) {
            addCriterion("pay_time <", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThanOrEqualTo(Date value) {
            addCriterion("pay_time <=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeIn(List<Date> values) {
            addCriterion("pay_time in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotIn(List<Date> values) {
            addCriterion("pay_time not in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeBetween(Date value1, Date value2) {
            addCriterion("pay_time between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotBetween(Date value1, Date value2) {
            addCriterion("pay_time not between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeIsNull() {
            addCriterion("send_time is null");
            return (Criteria) this;
        }

        public Criteria andSendTimeIsNotNull() {
            addCriterion("send_time is not null");
            return (Criteria) this;
        }

        public Criteria andSendTimeEqualTo(Date value) {
            addCriterion("send_time =", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotEqualTo(Date value) {
            addCriterion("send_time <>", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeGreaterThan(Date value) {
            addCriterion("send_time >", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("send_time >=", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeLessThan(Date value) {
            addCriterion("send_time <", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeLessThanOrEqualTo(Date value) {
            addCriterion("send_time <=", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeIn(List<Date> values) {
            addCriterion("send_time in", values, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotIn(List<Date> values) {
            addCriterion("send_time not in", values, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeBetween(Date value1, Date value2) {
            addCriterion("send_time between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotBetween(Date value1, Date value2) {
            addCriterion("send_time not between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeIsNull() {
            addCriterion("accounting_time is null");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeIsNotNull() {
            addCriterion("accounting_time is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeEqualTo(Date value) {
            addCriterion("accounting_time =", value, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeNotEqualTo(Date value) {
            addCriterion("accounting_time <>", value, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeGreaterThan(Date value) {
            addCriterion("accounting_time >", value, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("accounting_time >=", value, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeLessThan(Date value) {
            addCriterion("accounting_time <", value, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeLessThanOrEqualTo(Date value) {
            addCriterion("accounting_time <=", value, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeIn(List<Date> values) {
            addCriterion("accounting_time in", values, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeNotIn(List<Date> values) {
            addCriterion("accounting_time not in", values, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeBetween(Date value1, Date value2) {
            addCriterion("accounting_time between", value1, value2, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andAccountingTimeNotBetween(Date value1, Date value2) {
            addCriterion("accounting_time not between", value1, value2, "accountingTime");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIsNull() {
            addCriterion("back_account_status is null");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIsNotNull() {
            addCriterion("back_account_status is not null");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusEqualTo(Integer value) {
            addCriterion("back_account_status =", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotEqualTo(Integer value) {
            addCriterion("back_account_status <>", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusGreaterThan(Integer value) {
            addCriterion("back_account_status >", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("back_account_status >=", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusLessThan(Integer value) {
            addCriterion("back_account_status <", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusLessThanOrEqualTo(Integer value) {
            addCriterion("back_account_status <=", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIn(List<Integer> values) {
            addCriterion("back_account_status in", values, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotIn(List<Integer> values) {
            addCriterion("back_account_status not in", values, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusBetween(Integer value1, Integer value2) {
            addCriterion("back_account_status between", value1, value2, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("back_account_status not between", value1, value2, "backAccountStatus");
            return (Criteria) this;
        }
    }

    /**
    unified_order
     *
     * @mbg.generated do_not_delete_during_merge Thu Dec 02 14:22:16 CST 2021
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    unified_order
     *
     * @mbg.generated Thu Dec 02 14:22:16 CST 2021
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}