package cn.superdesk.uniorder.dao.entity.channel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table unified_channel_profit_sync
 */
@Data
@ToString
public class UnifiedChannelProfitSync implements Serializable {
    /**
     *
     *
     * column unified_channel_profit_sync.id
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column unified_channel_profit_sync.sync_id
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Long syncId;

    /**
     *
     *
     * column unified_channel_profit_sync.channel_id
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Long channelId;

    /**
     *
     *
     * column unified_channel_profit_sync.organization_id
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Long organizationId;

    /**
     *
     *
     * column unified_channel_profit_sync.business_code
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private String businessCode;

    /**
     *
     *
     * column unified_channel_profit_sync.sync_time
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Date syncTime;

    /**
     *
     *
     * column unified_channel_profit_sync.create_time
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column unified_channel_profit_sync.create_user_id
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column unified_channel_profit_sync.update_time
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column unified_channel_profit_sync.update_user_id
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Long updateUserId;

    /**
     *
     *
     * column unified_channel_profit_sync.begin_date
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Date beginDate;

    /**
     *
     *
     * column unified_channel_profit_sync.end_date
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Date endDate;

    /**
     *
     *
     * column unified_channel_profit_sync.proportion
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private BigDecimal proportion;

    /**
     * Database Column Remarks:
     *   是否关联企业 0:未关联1:已关联
     *
     *
     * column unified_channel_profit_sync.is_bind_virt
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private Integer isBindVirt;

    /**
     * Database Column Remarks:
     *   已关联的企业id 按;分开
     *
     *
     * column unified_channel_profit_sync.virt_ids
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private String virtIds;

    /**
     *
     * table unified_channel_profit_sync
     *
     * Wed Sep 02 09:26:43 CST 2020
     */
    private static final long serialVersionUID = 1L;
}
