package cn.superdesk.uniorder.dao.entity.fund;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * sys_fund_user
 *
 * @author
 */
@Data
@ToString
public class SysFundUser implements Serializable {
	/**
	 * id
	 */
	private Long id;

	/**
	 * 项目id
	 */
	private Long organizationId;

	/**
	 * 企业id
	 */
	private Long enterpriseId;

	/**
	 * 用户id
	 */
	private Long userId;

	/**
	 * 发票总金额
	 */
	private BigDecimal invoiceCount;

	/**
	 * 待激活基金
	 */
	private BigDecimal noActivatedFund;

	/**
	 * 激活基金金额
	 */
	private BigDecimal activatedFundCount;

	/**
	 * 创建人
	 */
	private Long createUserId;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新人
	 */
	private Long updateUserId;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	private static final long serialVersionUID = 1L;

}