package cn.superdesk.uniorder.dao.entity.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 2022-02-10 17:34:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-02-10 17:34:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class InvoiceTypeModeConfigOffLine implements Serializable {
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "")
    private Long invoiceTypeId;

    /**
     * 从属模块-customer_goods(客户结算),customer_credit(积分结算),supplier_goods(供应商结算)
     */
    @ApiModelProperty(value = "从属模块-customer_goods(客户结算),customer_credit(积分结算),supplier_goods(供应商结算)")
    private String invoiceTypeModule;

    /**
     * 开票规则-开启状态-是否启用:1-启用;0-禁用;
     */
    @ApiModelProperty(value = "开票规则-开启状态-是否启用:1-启用;0-禁用;")
    private Integer ruleEnable;

    /**
     * 商品行规则(单张发票最大行数) 默认为0,不限
     */
    @ApiModelProperty(value = "商品行规则(单张发票最大行数) 默认为0,不限")
    private Integer ruleGoodsLines;

    @ApiModelProperty(value = "")
    private Date createTime;

    @ApiModelProperty(value = "")
    private Long createUserId;

    @ApiModelProperty(value = "")
    private Date updateTime;

    @ApiModelProperty(value = "")
    private Long updateUserId;

    private static final long serialVersionUID = 1L;
}
