package cn.superdesk.uniorder.dao.entity.operationCenter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class OperationCenterOrderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public OperationCenterOrderExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdIsNull() {
            addCriterion("order_biz_type_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdIsNotNull() {
            addCriterion("order_biz_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdEqualTo(Byte value) {
            addCriterion("order_biz_type_id =", value, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdNotEqualTo(Byte value) {
            addCriterion("order_biz_type_id <>", value, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdGreaterThan(Byte value) {
            addCriterion("order_biz_type_id >", value, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("order_biz_type_id >=", value, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdLessThan(Byte value) {
            addCriterion("order_biz_type_id <", value, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdLessThanOrEqualTo(Byte value) {
            addCriterion("order_biz_type_id <=", value, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdIn(List<Byte> values) {
            addCriterion("order_biz_type_id in", values, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdNotIn(List<Byte> values) {
            addCriterion("order_biz_type_id not in", values, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdBetween(Byte value1, Byte value2) {
            addCriterion("order_biz_type_id between", value1, value2, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderBizTypeIdNotBetween(Byte value1, Byte value2) {
            addCriterion("order_biz_type_id not between", value1, value2, "orderBizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdIsNull() {
            addCriterion("biz_order_id is null");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdIsNotNull() {
            addCriterion("biz_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdEqualTo(String value) {
            addCriterion("biz_order_id =", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdNotEqualTo(String value) {
            addCriterion("biz_order_id <>", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdGreaterThan(String value) {
            addCriterion("biz_order_id >", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdGreaterThanOrEqualTo(String value) {
            addCriterion("biz_order_id >=", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdLessThan(String value) {
            addCriterion("biz_order_id <", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdLessThanOrEqualTo(String value) {
            addCriterion("biz_order_id <=", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdLike(String value) {
            addCriterion("biz_order_id like", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdNotLike(String value) {
            addCriterion("biz_order_id not like", value, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdIn(List<String> values) {
            addCriterion("biz_order_id in", values, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdNotIn(List<String> values) {
            addCriterion("biz_order_id not in", values, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdBetween(String value1, String value2) {
            addCriterion("biz_order_id between", value1, value2, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andBizOrderIdNotBetween(String value1, String value2) {
            addCriterion("biz_order_id not between", value1, value2, "bizOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnIsNull() {
            addCriterion("parent_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnIsNotNull() {
            addCriterion("parent_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnEqualTo(String value) {
            addCriterion("parent_order_sn =", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotEqualTo(String value) {
            addCriterion("parent_order_sn <>", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnGreaterThan(String value) {
            addCriterion("parent_order_sn >", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("parent_order_sn >=", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnLessThan(String value) {
            addCriterion("parent_order_sn <", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnLessThanOrEqualTo(String value) {
            addCriterion("parent_order_sn <=", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnLike(String value) {
            addCriterion("parent_order_sn like", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotLike(String value) {
            addCriterion("parent_order_sn not like", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnIn(List<String> values) {
            addCriterion("parent_order_sn in", values, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotIn(List<String> values) {
            addCriterion("parent_order_sn not in", values, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnBetween(String value1, String value2) {
            addCriterion("parent_order_sn between", value1, value2, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotBetween(String value1, String value2) {
            addCriterion("parent_order_sn not between", value1, value2, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdIsNull() {
            addCriterion("parent_order_id is null");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdIsNotNull() {
            addCriterion("parent_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdEqualTo(String value) {
            addCriterion("parent_order_id =", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotEqualTo(String value) {
            addCriterion("parent_order_id <>", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdGreaterThan(String value) {
            addCriterion("parent_order_id >", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdGreaterThanOrEqualTo(String value) {
            addCriterion("parent_order_id >=", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdLessThan(String value) {
            addCriterion("parent_order_id <", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdLessThanOrEqualTo(String value) {
            addCriterion("parent_order_id <=", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdLike(String value) {
            addCriterion("parent_order_id like", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotLike(String value) {
            addCriterion("parent_order_id not like", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdIn(List<String> values) {
            addCriterion("parent_order_id in", values, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotIn(List<String> values) {
            addCriterion("parent_order_id not in", values, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdBetween(String value1, String value2) {
            addCriterion("parent_order_id between", value1, value2, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotBetween(String value1, String value2) {
            addCriterion("parent_order_id not between", value1, value2, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdIsNull() {
            addCriterion("order_data_type_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdIsNotNull() {
            addCriterion("order_data_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdEqualTo(Byte value) {
            addCriterion("order_data_type_id =", value, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdNotEqualTo(Byte value) {
            addCriterion("order_data_type_id <>", value, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdGreaterThan(Byte value) {
            addCriterion("order_data_type_id >", value, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("order_data_type_id >=", value, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdLessThan(Byte value) {
            addCriterion("order_data_type_id <", value, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdLessThanOrEqualTo(Byte value) {
            addCriterion("order_data_type_id <=", value, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdIn(List<Byte> values) {
            addCriterion("order_data_type_id in", values, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdNotIn(List<Byte> values) {
            addCriterion("order_data_type_id not in", values, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdBetween(Byte value1, Byte value2) {
            addCriterion("order_data_type_id between", value1, value2, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderDataTypeIdNotBetween(Byte value1, Byte value2) {
            addCriterion("order_data_type_id not between", value1, value2, "orderDataTypeId");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnIsNull() {
            addCriterion("third_party_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnIsNotNull() {
            addCriterion("third_party_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnEqualTo(String value) {
            addCriterion("third_party_order_sn =", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnNotEqualTo(String value) {
            addCriterion("third_party_order_sn <>", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnGreaterThan(String value) {
            addCriterion("third_party_order_sn >", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("third_party_order_sn >=", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnLessThan(String value) {
            addCriterion("third_party_order_sn <", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnLessThanOrEqualTo(String value) {
            addCriterion("third_party_order_sn <=", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnLike(String value) {
            addCriterion("third_party_order_sn like", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnNotLike(String value) {
            addCriterion("third_party_order_sn not like", value, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnIn(List<String> values) {
            addCriterion("third_party_order_sn in", values, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnNotIn(List<String> values) {
            addCriterion("third_party_order_sn not in", values, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnBetween(String value1, String value2) {
            addCriterion("third_party_order_sn between", value1, value2, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andThirdPartyOrderSnNotBetween(String value1, String value2) {
            addCriterion("third_party_order_sn not between", value1, value2, "thirdPartyOrderSn");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeIsNull() {
            addCriterion("biz_platform_code is null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeIsNotNull() {
            addCriterion("biz_platform_code is not null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeEqualTo(String value) {
            addCriterion("biz_platform_code =", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotEqualTo(String value) {
            addCriterion("biz_platform_code <>", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeGreaterThan(String value) {
            addCriterion("biz_platform_code >", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeGreaterThanOrEqualTo(String value) {
            addCriterion("biz_platform_code >=", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeLessThan(String value) {
            addCriterion("biz_platform_code <", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeLessThanOrEqualTo(String value) {
            addCriterion("biz_platform_code <=", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeLike(String value) {
            addCriterion("biz_platform_code like", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotLike(String value) {
            addCriterion("biz_platform_code not like", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeIn(List<String> values) {
            addCriterion("biz_platform_code in", values, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotIn(List<String> values) {
            addCriterion("biz_platform_code not in", values, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeBetween(String value1, String value2) {
            addCriterion("biz_platform_code between", value1, value2, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotBetween(String value1, String value2) {
            addCriterion("biz_platform_code not between", value1, value2, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameIsNull() {
            addCriterion("biz_platform_name is null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameIsNotNull() {
            addCriterion("biz_platform_name is not null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameEqualTo(String value) {
            addCriterion("biz_platform_name =", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotEqualTo(String value) {
            addCriterion("biz_platform_name <>", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameGreaterThan(String value) {
            addCriterion("biz_platform_name >", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameGreaterThanOrEqualTo(String value) {
            addCriterion("biz_platform_name >=", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameLessThan(String value) {
            addCriterion("biz_platform_name <", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameLessThanOrEqualTo(String value) {
            addCriterion("biz_platform_name <=", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameLike(String value) {
            addCriterion("biz_platform_name like", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotLike(String value) {
            addCriterion("biz_platform_name not like", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameIn(List<String> values) {
            addCriterion("biz_platform_name in", values, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotIn(List<String> values) {
            addCriterion("biz_platform_name not in", values, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameBetween(String value1, String value2) {
            addCriterion("biz_platform_name between", value1, value2, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotBetween(String value1, String value2) {
            addCriterion("biz_platform_name not between", value1, value2, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeIsNull() {
            addCriterion("order_type_code is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeIsNotNull() {
            addCriterion("order_type_code is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeEqualTo(String value) {
            addCriterion("order_type_code =", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotEqualTo(String value) {
            addCriterion("order_type_code <>", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeGreaterThan(String value) {
            addCriterion("order_type_code >", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeGreaterThanOrEqualTo(String value) {
            addCriterion("order_type_code >=", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeLessThan(String value) {
            addCriterion("order_type_code <", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeLessThanOrEqualTo(String value) {
            addCriterion("order_type_code <=", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeLike(String value) {
            addCriterion("order_type_code like", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotLike(String value) {
            addCriterion("order_type_code not like", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeIn(List<String> values) {
            addCriterion("order_type_code in", values, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotIn(List<String> values) {
            addCriterion("order_type_code not in", values, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeBetween(String value1, String value2) {
            addCriterion("order_type_code between", value1, value2, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotBetween(String value1, String value2) {
            addCriterion("order_type_code not between", value1, value2, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameIsNull() {
            addCriterion("order_type_name is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameIsNotNull() {
            addCriterion("order_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameEqualTo(String value) {
            addCriterion("order_type_name =", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotEqualTo(String value) {
            addCriterion("order_type_name <>", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameGreaterThan(String value) {
            addCriterion("order_type_name >", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("order_type_name >=", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameLessThan(String value) {
            addCriterion("order_type_name <", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameLessThanOrEqualTo(String value) {
            addCriterion("order_type_name <=", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameLike(String value) {
            addCriterion("order_type_name like", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotLike(String value) {
            addCriterion("order_type_name not like", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameIn(List<String> values) {
            addCriterion("order_type_name in", values, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotIn(List<String> values) {
            addCriterion("order_type_name not in", values, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameBetween(String value1, String value2) {
            addCriterion("order_type_name between", value1, value2, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotBetween(String value1, String value2) {
            addCriterion("order_type_name not between", value1, value2, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdIsNull() {
            addCriterion("biz_source_id is null");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdIsNotNull() {
            addCriterion("biz_source_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdEqualTo(Byte value) {
            addCriterion("biz_source_id =", value, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdNotEqualTo(Byte value) {
            addCriterion("biz_source_id <>", value, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdGreaterThan(Byte value) {
            addCriterion("biz_source_id >", value, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("biz_source_id >=", value, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdLessThan(Byte value) {
            addCriterion("biz_source_id <", value, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdLessThanOrEqualTo(Byte value) {
            addCriterion("biz_source_id <=", value, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdIn(List<Byte> values) {
            addCriterion("biz_source_id in", values, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdNotIn(List<Byte> values) {
            addCriterion("biz_source_id not in", values, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdBetween(Byte value1, Byte value2) {
            addCriterion("biz_source_id between", value1, value2, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceIdNotBetween(Byte value1, Byte value2) {
            addCriterion("biz_source_id not between", value1, value2, "bizSourceId");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameIsNull() {
            addCriterion("biz_source_name is null");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameIsNotNull() {
            addCriterion("biz_source_name is not null");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameEqualTo(String value) {
            addCriterion("biz_source_name =", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameNotEqualTo(String value) {
            addCriterion("biz_source_name <>", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameGreaterThan(String value) {
            addCriterion("biz_source_name >", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameGreaterThanOrEqualTo(String value) {
            addCriterion("biz_source_name >=", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameLessThan(String value) {
            addCriterion("biz_source_name <", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameLessThanOrEqualTo(String value) {
            addCriterion("biz_source_name <=", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameLike(String value) {
            addCriterion("biz_source_name like", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameNotLike(String value) {
            addCriterion("biz_source_name not like", value, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameIn(List<String> values) {
            addCriterion("biz_source_name in", values, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameNotIn(List<String> values) {
            addCriterion("biz_source_name not in", values, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameBetween(String value1, String value2) {
            addCriterion("biz_source_name between", value1, value2, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizSourceNameNotBetween(String value1, String value2) {
            addCriterion("biz_source_name not between", value1, value2, "bizSourceName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdIsNull() {
            addCriterion("biz_terminal_id is null");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdIsNotNull() {
            addCriterion("biz_terminal_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdEqualTo(Byte value) {
            addCriterion("biz_terminal_id =", value, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdNotEqualTo(Byte value) {
            addCriterion("biz_terminal_id <>", value, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdGreaterThan(Byte value) {
            addCriterion("biz_terminal_id >", value, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("biz_terminal_id >=", value, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdLessThan(Byte value) {
            addCriterion("biz_terminal_id <", value, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdLessThanOrEqualTo(Byte value) {
            addCriterion("biz_terminal_id <=", value, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdIn(List<Byte> values) {
            addCriterion("biz_terminal_id in", values, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdNotIn(List<Byte> values) {
            addCriterion("biz_terminal_id not in", values, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdBetween(Byte value1, Byte value2) {
            addCriterion("biz_terminal_id between", value1, value2, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalIdNotBetween(Byte value1, Byte value2) {
            addCriterion("biz_terminal_id not between", value1, value2, "bizTerminalId");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeIsNull() {
            addCriterion("biz_terminal_code is null");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeIsNotNull() {
            addCriterion("biz_terminal_code is not null");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeEqualTo(String value) {
            addCriterion("biz_terminal_code =", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeNotEqualTo(String value) {
            addCriterion("biz_terminal_code <>", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeGreaterThan(String value) {
            addCriterion("biz_terminal_code >", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeGreaterThanOrEqualTo(String value) {
            addCriterion("biz_terminal_code >=", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeLessThan(String value) {
            addCriterion("biz_terminal_code <", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeLessThanOrEqualTo(String value) {
            addCriterion("biz_terminal_code <=", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeLike(String value) {
            addCriterion("biz_terminal_code like", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeNotLike(String value) {
            addCriterion("biz_terminal_code not like", value, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeIn(List<String> values) {
            addCriterion("biz_terminal_code in", values, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeNotIn(List<String> values) {
            addCriterion("biz_terminal_code not in", values, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeBetween(String value1, String value2) {
            addCriterion("biz_terminal_code between", value1, value2, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalCodeNotBetween(String value1, String value2) {
            addCriterion("biz_terminal_code not between", value1, value2, "bizTerminalCode");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameIsNull() {
            addCriterion("biz_terminal_name is null");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameIsNotNull() {
            addCriterion("biz_terminal_name is not null");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameEqualTo(String value) {
            addCriterion("biz_terminal_name =", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameNotEqualTo(String value) {
            addCriterion("biz_terminal_name <>", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameGreaterThan(String value) {
            addCriterion("biz_terminal_name >", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameGreaterThanOrEqualTo(String value) {
            addCriterion("biz_terminal_name >=", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameLessThan(String value) {
            addCriterion("biz_terminal_name <", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameLessThanOrEqualTo(String value) {
            addCriterion("biz_terminal_name <=", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameLike(String value) {
            addCriterion("biz_terminal_name like", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameNotLike(String value) {
            addCriterion("biz_terminal_name not like", value, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameIn(List<String> values) {
            addCriterion("biz_terminal_name in", values, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameNotIn(List<String> values) {
            addCriterion("biz_terminal_name not in", values, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameBetween(String value1, String value2) {
            addCriterion("biz_terminal_name between", value1, value2, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andBizTerminalNameNotBetween(String value1, String value2) {
            addCriterion("biz_terminal_name not between", value1, value2, "bizTerminalName");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeIsNull() {
            addCriterion("order_create_time is null");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeIsNotNull() {
            addCriterion("order_create_time is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeEqualTo(Date value) {
            addCriterion("order_create_time =", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeNotEqualTo(Date value) {
            addCriterion("order_create_time <>", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeGreaterThan(Date value) {
            addCriterion("order_create_time >", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("order_create_time >=", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeLessThan(Date value) {
            addCriterion("order_create_time <", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("order_create_time <=", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeIn(List<Date> values) {
            addCriterion("order_create_time in", values, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeNotIn(List<Date> values) {
            addCriterion("order_create_time not in", values, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeBetween(Date value1, Date value2) {
            addCriterion("order_create_time between", value1, value2, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("order_create_time not between", value1, value2, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeIsNull() {
            addCriterion("trading_time is null");
            return (Criteria) this;
        }

        public Criteria andTradingTimeIsNotNull() {
            addCriterion("trading_time is not null");
            return (Criteria) this;
        }

        public Criteria andTradingTimeEqualTo(Date value) {
            addCriterion("trading_time =", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeNotEqualTo(Date value) {
            addCriterion("trading_time <>", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeGreaterThan(Date value) {
            addCriterion("trading_time >", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("trading_time >=", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeLessThan(Date value) {
            addCriterion("trading_time <", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeLessThanOrEqualTo(Date value) {
            addCriterion("trading_time <=", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeIn(List<Date> values) {
            addCriterion("trading_time in", values, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeNotIn(List<Date> values) {
            addCriterion("trading_time not in", values, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeBetween(Date value1, Date value2) {
            addCriterion("trading_time between", value1, value2, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeNotBetween(Date value1, Date value2) {
            addCriterion("trading_time not between", value1, value2, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeIsNull() {
            addCriterion("send_time is null");
            return (Criteria) this;
        }

        public Criteria andSendTimeIsNotNull() {
            addCriterion("send_time is not null");
            return (Criteria) this;
        }

        public Criteria andSendTimeEqualTo(Date value) {
            addCriterion("send_time =", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotEqualTo(Date value) {
            addCriterion("send_time <>", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeGreaterThan(Date value) {
            addCriterion("send_time >", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("send_time >=", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeLessThan(Date value) {
            addCriterion("send_time <", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeLessThanOrEqualTo(Date value) {
            addCriterion("send_time <=", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeIn(List<Date> values) {
            addCriterion("send_time in", values, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotIn(List<Date> values) {
            addCriterion("send_time not in", values, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeBetween(Date value1, Date value2) {
            addCriterion("send_time between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotBetween(Date value1, Date value2) {
            addCriterion("send_time not between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andOperatorIdIsNull() {
            addCriterion("operator_id is null");
            return (Criteria) this;
        }

        public Criteria andOperatorIdIsNotNull() {
            addCriterion("operator_id is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorIdEqualTo(String value) {
            addCriterion("operator_id =", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotEqualTo(String value) {
            addCriterion("operator_id <>", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdGreaterThan(String value) {
            addCriterion("operator_id >", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdGreaterThanOrEqualTo(String value) {
            addCriterion("operator_id >=", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdLessThan(String value) {
            addCriterion("operator_id <", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdLessThanOrEqualTo(String value) {
            addCriterion("operator_id <=", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdLike(String value) {
            addCriterion("operator_id like", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotLike(String value) {
            addCriterion("operator_id not like", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdIn(List<String> values) {
            addCriterion("operator_id in", values, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotIn(List<String> values) {
            addCriterion("operator_id not in", values, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdBetween(String value1, String value2) {
            addCriterion("operator_id between", value1, value2, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotBetween(String value1, String value2) {
            addCriterion("operator_id not between", value1, value2, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorNameIsNull() {
            addCriterion("operator_name is null");
            return (Criteria) this;
        }

        public Criteria andOperatorNameIsNotNull() {
            addCriterion("operator_name is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorNameEqualTo(String value) {
            addCriterion("operator_name =", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotEqualTo(String value) {
            addCriterion("operator_name <>", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameGreaterThan(String value) {
            addCriterion("operator_name >", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameGreaterThanOrEqualTo(String value) {
            addCriterion("operator_name >=", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameLessThan(String value) {
            addCriterion("operator_name <", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameLessThanOrEqualTo(String value) {
            addCriterion("operator_name <=", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameLike(String value) {
            addCriterion("operator_name like", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotLike(String value) {
            addCriterion("operator_name not like", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameIn(List<String> values) {
            addCriterion("operator_name in", values, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotIn(List<String> values) {
            addCriterion("operator_name not in", values, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameBetween(String value1, String value2) {
            addCriterion("operator_name between", value1, value2, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotBetween(String value1, String value2) {
            addCriterion("operator_name not between", value1, value2, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNull() {
            addCriterion("org_name is null");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNotNull() {
            addCriterion("org_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrgNameEqualTo(String value) {
            addCriterion("org_name =", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotEqualTo(String value) {
            addCriterion("org_name <>", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThan(String value) {
            addCriterion("org_name >", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThanOrEqualTo(String value) {
            addCriterion("org_name >=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThan(String value) {
            addCriterion("org_name <", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThanOrEqualTo(String value) {
            addCriterion("org_name <=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLike(String value) {
            addCriterion("org_name like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotLike(String value) {
            addCriterion("org_name not like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameIn(List<String> values) {
            addCriterion("org_name in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotIn(List<String> values) {
            addCriterion("org_name not in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameBetween(String value1, String value2) {
            addCriterion("org_name between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotBetween(String value1, String value2) {
            addCriterion("org_name not between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNull() {
            addCriterion("enterprise_id is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNotNull() {
            addCriterion("enterprise_id is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdEqualTo(String value) {
            addCriterion("enterprise_id =", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotEqualTo(String value) {
            addCriterion("enterprise_id <>", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThan(String value) {
            addCriterion("enterprise_id >", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThanOrEqualTo(String value) {
            addCriterion("enterprise_id >=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThan(String value) {
            addCriterion("enterprise_id <", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThanOrEqualTo(String value) {
            addCriterion("enterprise_id <=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLike(String value) {
            addCriterion("enterprise_id like", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotLike(String value) {
            addCriterion("enterprise_id not like", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIn(List<String> values) {
            addCriterion("enterprise_id in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotIn(List<String> values) {
            addCriterion("enterprise_id not in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdBetween(String value1, String value2) {
            addCriterion("enterprise_id between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotBetween(String value1, String value2) {
            addCriterion("enterprise_id not between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameIsNull() {
            addCriterion("enterprise_name is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameIsNotNull() {
            addCriterion("enterprise_name is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameEqualTo(String value) {
            addCriterion("enterprise_name =", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotEqualTo(String value) {
            addCriterion("enterprise_name <>", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameGreaterThan(String value) {
            addCriterion("enterprise_name >", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameGreaterThanOrEqualTo(String value) {
            addCriterion("enterprise_name >=", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameLessThan(String value) {
            addCriterion("enterprise_name <", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameLessThanOrEqualTo(String value) {
            addCriterion("enterprise_name <=", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameLike(String value) {
            addCriterion("enterprise_name like", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotLike(String value) {
            addCriterion("enterprise_name not like", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameIn(List<String> values) {
            addCriterion("enterprise_name in", values, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotIn(List<String> values) {
            addCriterion("enterprise_name not in", values, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameBetween(String value1, String value2) {
            addCriterion("enterprise_name between", value1, value2, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotBetween(String value1, String value2) {
            addCriterion("enterprise_name not between", value1, value2, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andBuyerIdIsNull() {
            addCriterion("buyer_id is null");
            return (Criteria) this;
        }

        public Criteria andBuyerIdIsNotNull() {
            addCriterion("buyer_id is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerIdEqualTo(String value) {
            addCriterion("buyer_id =", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdNotEqualTo(String value) {
            addCriterion("buyer_id <>", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdGreaterThan(String value) {
            addCriterion("buyer_id >", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdGreaterThanOrEqualTo(String value) {
            addCriterion("buyer_id >=", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdLessThan(String value) {
            addCriterion("buyer_id <", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdLessThanOrEqualTo(String value) {
            addCriterion("buyer_id <=", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdLike(String value) {
            addCriterion("buyer_id like", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdNotLike(String value) {
            addCriterion("buyer_id not like", value, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdIn(List<String> values) {
            addCriterion("buyer_id in", values, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdNotIn(List<String> values) {
            addCriterion("buyer_id not in", values, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdBetween(String value1, String value2) {
            addCriterion("buyer_id between", value1, value2, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerIdNotBetween(String value1, String value2) {
            addCriterion("buyer_id not between", value1, value2, "buyerId");
            return (Criteria) this;
        }

        public Criteria andBuyerNameIsNull() {
            addCriterion("buyer_name is null");
            return (Criteria) this;
        }

        public Criteria andBuyerNameIsNotNull() {
            addCriterion("buyer_name is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerNameEqualTo(String value) {
            addCriterion("buyer_name =", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotEqualTo(String value) {
            addCriterion("buyer_name <>", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameGreaterThan(String value) {
            addCriterion("buyer_name >", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameGreaterThanOrEqualTo(String value) {
            addCriterion("buyer_name >=", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameLessThan(String value) {
            addCriterion("buyer_name <", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameLessThanOrEqualTo(String value) {
            addCriterion("buyer_name <=", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameLike(String value) {
            addCriterion("buyer_name like", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotLike(String value) {
            addCriterion("buyer_name not like", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameIn(List<String> values) {
            addCriterion("buyer_name in", values, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotIn(List<String> values) {
            addCriterion("buyer_name not in", values, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameBetween(String value1, String value2) {
            addCriterion("buyer_name between", value1, value2, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotBetween(String value1, String value2) {
            addCriterion("buyer_name not between", value1, value2, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdIsNull() {
            addCriterion("buyer_dept_id is null");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdIsNotNull() {
            addCriterion("buyer_dept_id is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdEqualTo(String value) {
            addCriterion("buyer_dept_id =", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdNotEqualTo(String value) {
            addCriterion("buyer_dept_id <>", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdGreaterThan(String value) {
            addCriterion("buyer_dept_id >", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdGreaterThanOrEqualTo(String value) {
            addCriterion("buyer_dept_id >=", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdLessThan(String value) {
            addCriterion("buyer_dept_id <", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdLessThanOrEqualTo(String value) {
            addCriterion("buyer_dept_id <=", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdLike(String value) {
            addCriterion("buyer_dept_id like", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdNotLike(String value) {
            addCriterion("buyer_dept_id not like", value, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdIn(List<String> values) {
            addCriterion("buyer_dept_id in", values, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdNotIn(List<String> values) {
            addCriterion("buyer_dept_id not in", values, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdBetween(String value1, String value2) {
            addCriterion("buyer_dept_id between", value1, value2, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptIdNotBetween(String value1, String value2) {
            addCriterion("buyer_dept_id not between", value1, value2, "buyerDeptId");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameIsNull() {
            addCriterion("buyer_dept_name is null");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameIsNotNull() {
            addCriterion("buyer_dept_name is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameEqualTo(String value) {
            addCriterion("buyer_dept_name =", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameNotEqualTo(String value) {
            addCriterion("buyer_dept_name <>", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameGreaterThan(String value) {
            addCriterion("buyer_dept_name >", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameGreaterThanOrEqualTo(String value) {
            addCriterion("buyer_dept_name >=", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameLessThan(String value) {
            addCriterion("buyer_dept_name <", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameLessThanOrEqualTo(String value) {
            addCriterion("buyer_dept_name <=", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameLike(String value) {
            addCriterion("buyer_dept_name like", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameNotLike(String value) {
            addCriterion("buyer_dept_name not like", value, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameIn(List<String> values) {
            addCriterion("buyer_dept_name in", values, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameNotIn(List<String> values) {
            addCriterion("buyer_dept_name not in", values, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameBetween(String value1, String value2) {
            addCriterion("buyer_dept_name between", value1, value2, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerDeptNameNotBetween(String value1, String value2) {
            addCriterion("buyer_dept_name not between", value1, value2, "buyerDeptName");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileIsNull() {
            addCriterion("buyer_mobile is null");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileIsNotNull() {
            addCriterion("buyer_mobile is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileEqualTo(String value) {
            addCriterion("buyer_mobile =", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileNotEqualTo(String value) {
            addCriterion("buyer_mobile <>", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileGreaterThan(String value) {
            addCriterion("buyer_mobile >", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileGreaterThanOrEqualTo(String value) {
            addCriterion("buyer_mobile >=", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileLessThan(String value) {
            addCriterion("buyer_mobile <", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileLessThanOrEqualTo(String value) {
            addCriterion("buyer_mobile <=", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileLike(String value) {
            addCriterion("buyer_mobile like", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileNotLike(String value) {
            addCriterion("buyer_mobile not like", value, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileIn(List<String> values) {
            addCriterion("buyer_mobile in", values, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileNotIn(List<String> values) {
            addCriterion("buyer_mobile not in", values, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileBetween(String value1, String value2) {
            addCriterion("buyer_mobile between", value1, value2, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andBuyerMobileNotBetween(String value1, String value2) {
            addCriterion("buyer_mobile not between", value1, value2, "buyerMobile");
            return (Criteria) this;
        }

        public Criteria andSupplierIdIsNull() {
            addCriterion("supplier_id is null");
            return (Criteria) this;
        }

        public Criteria andSupplierIdIsNotNull() {
            addCriterion("supplier_id is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierIdEqualTo(String value) {
            addCriterion("supplier_id =", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotEqualTo(String value) {
            addCriterion("supplier_id <>", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdGreaterThan(String value) {
            addCriterion("supplier_id >", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdGreaterThanOrEqualTo(String value) {
            addCriterion("supplier_id >=", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdLessThan(String value) {
            addCriterion("supplier_id <", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdLessThanOrEqualTo(String value) {
            addCriterion("supplier_id <=", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdLike(String value) {
            addCriterion("supplier_id like", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotLike(String value) {
            addCriterion("supplier_id not like", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdIn(List<String> values) {
            addCriterion("supplier_id in", values, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotIn(List<String> values) {
            addCriterion("supplier_id not in", values, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdBetween(String value1, String value2) {
            addCriterion("supplier_id between", value1, value2, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotBetween(String value1, String value2) {
            addCriterion("supplier_id not between", value1, value2, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierNameIsNull() {
            addCriterion("supplier_name is null");
            return (Criteria) this;
        }

        public Criteria andSupplierNameIsNotNull() {
            addCriterion("supplier_name is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierNameEqualTo(String value) {
            addCriterion("supplier_name =", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotEqualTo(String value) {
            addCriterion("supplier_name <>", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameGreaterThan(String value) {
            addCriterion("supplier_name >", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameGreaterThanOrEqualTo(String value) {
            addCriterion("supplier_name >=", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameLessThan(String value) {
            addCriterion("supplier_name <", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameLessThanOrEqualTo(String value) {
            addCriterion("supplier_name <=", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameLike(String value) {
            addCriterion("supplier_name like", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotLike(String value) {
            addCriterion("supplier_name not like", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameIn(List<String> values) {
            addCriterion("supplier_name in", values, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotIn(List<String> values) {
            addCriterion("supplier_name not in", values, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameBetween(String value1, String value2) {
            addCriterion("supplier_name between", value1, value2, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotBetween(String value1, String value2) {
            addCriterion("supplier_name not between", value1, value2, "supplierName");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountIsNull() {
            addCriterion("order_goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountIsNotNull() {
            addCriterion("order_goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("order_goods_amount =", value, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_goods_amount <>", value, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("order_goods_amount >", value, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_goods_amount >=", value, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountLessThan(BigDecimal value) {
            addCriterion("order_goods_amount <", value, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_goods_amount <=", value, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("order_goods_amount in", values, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_goods_amount not in", values, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_goods_amount between", value1, value2, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_goods_amount not between", value1, value2, "orderGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountIsNull() {
            addCriterion("order_negotiated_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountIsNotNull() {
            addCriterion("order_negotiated_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountEqualTo(BigDecimal value) {
            addCriterion("order_negotiated_amount =", value, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_negotiated_amount <>", value, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountGreaterThan(BigDecimal value) {
            addCriterion("order_negotiated_amount >", value, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_negotiated_amount >=", value, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountLessThan(BigDecimal value) {
            addCriterion("order_negotiated_amount <", value, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_negotiated_amount <=", value, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountIn(List<BigDecimal> values) {
            addCriterion("order_negotiated_amount in", values, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_negotiated_amount not in", values, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_negotiated_amount between", value1, value2, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderNegotiatedAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_negotiated_amount not between", value1, value2, "orderNegotiatedAmount");
            return (Criteria) this;
        }

        public Criteria andOrderPriceIsNull() {
            addCriterion("order_price is null");
            return (Criteria) this;
        }

        public Criteria andOrderPriceIsNotNull() {
            addCriterion("order_price is not null");
            return (Criteria) this;
        }

        public Criteria andOrderPriceEqualTo(BigDecimal value) {
            addCriterion("order_price =", value, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceNotEqualTo(BigDecimal value) {
            addCriterion("order_price <>", value, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceGreaterThan(BigDecimal value) {
            addCriterion("order_price >", value, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_price >=", value, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceLessThan(BigDecimal value) {
            addCriterion("order_price <", value, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_price <=", value, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceIn(List<BigDecimal> values) {
            addCriterion("order_price in", values, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceNotIn(List<BigDecimal> values) {
            addCriterion("order_price not in", values, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_price between", value1, value2, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_price not between", value1, value2, "orderPrice");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountIsNull() {
            addCriterion("order_settlement_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountIsNotNull() {
            addCriterion("order_settlement_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountEqualTo(BigDecimal value) {
            addCriterion("order_settlement_amount =", value, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_settlement_amount <>", value, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountGreaterThan(BigDecimal value) {
            addCriterion("order_settlement_amount >", value, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_settlement_amount >=", value, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountLessThan(BigDecimal value) {
            addCriterion("order_settlement_amount <", value, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_settlement_amount <=", value, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountIn(List<BigDecimal> values) {
            addCriterion("order_settlement_amount in", values, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_settlement_amount not in", values, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_settlement_amount between", value1, value2, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderSettlementAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_settlement_amount not between", value1, value2, "orderSettlementAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceIsNull() {
            addCriterion("order_cost_price is null");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceIsNotNull() {
            addCriterion("order_cost_price is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceEqualTo(BigDecimal value) {
            addCriterion("order_cost_price =", value, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceNotEqualTo(BigDecimal value) {
            addCriterion("order_cost_price <>", value, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceGreaterThan(BigDecimal value) {
            addCriterion("order_cost_price >", value, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_price >=", value, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceLessThan(BigDecimal value) {
            addCriterion("order_cost_price <", value, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_price <=", value, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceIn(List<BigDecimal> values) {
            addCriterion("order_cost_price in", values, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceNotIn(List<BigDecimal> values) {
            addCriterion("order_cost_price not in", values, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_price between", value1, value2, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andOrderCostPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_price not between", value1, value2, "orderCostPrice");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIsNull() {
            addCriterion("transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIsNotNull() {
            addCriterion("transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andTransportAmountEqualTo(BigDecimal value) {
            addCriterion("transport_amount =", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("transport_amount <>", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("transport_amount >", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_amount >=", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountLessThan(BigDecimal value) {
            addCriterion("transport_amount <", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_amount <=", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIn(List<BigDecimal> values) {
            addCriterion("transport_amount in", values, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("transport_amount not in", values, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_amount between", value1, value2, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_amount not between", value1, value2, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountIsNull() {
            addCriterion("merchant_transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountIsNotNull() {
            addCriterion("merchant_transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountEqualTo(BigDecimal value) {
            addCriterion("merchant_transport_amount =", value, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("merchant_transport_amount <>", value, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("merchant_transport_amount >", value, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("merchant_transport_amount >=", value, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountLessThan(BigDecimal value) {
            addCriterion("merchant_transport_amount <", value, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("merchant_transport_amount <=", value, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountIn(List<BigDecimal> values) {
            addCriterion("merchant_transport_amount in", values, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("merchant_transport_amount not in", values, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("merchant_transport_amount between", value1, value2, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andMerchantTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("merchant_transport_amount not between", value1, value2, "merchantTransportAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountIsNull() {
            addCriterion("discount_amount is null");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountIsNotNull() {
            addCriterion("discount_amount is not null");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountEqualTo(BigDecimal value) {
            addCriterion("discount_amount =", value, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountNotEqualTo(BigDecimal value) {
            addCriterion("discount_amount <>", value, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountGreaterThan(BigDecimal value) {
            addCriterion("discount_amount >", value, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("discount_amount >=", value, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountLessThan(BigDecimal value) {
            addCriterion("discount_amount <", value, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("discount_amount <=", value, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountIn(List<BigDecimal> values) {
            addCriterion("discount_amount in", values, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountNotIn(List<BigDecimal> values) {
            addCriterion("discount_amount not in", values, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("discount_amount between", value1, value2, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andDiscountAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("discount_amount not between", value1, value2, "discountAmount");
            return (Criteria) this;
        }

        public Criteria andCouponIdIsNull() {
            addCriterion("coupon_id is null");
            return (Criteria) this;
        }

        public Criteria andCouponIdIsNotNull() {
            addCriterion("coupon_id is not null");
            return (Criteria) this;
        }

        public Criteria andCouponIdEqualTo(String value) {
            addCriterion("coupon_id =", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotEqualTo(String value) {
            addCriterion("coupon_id <>", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdGreaterThan(String value) {
            addCriterion("coupon_id >", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdGreaterThanOrEqualTo(String value) {
            addCriterion("coupon_id >=", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdLessThan(String value) {
            addCriterion("coupon_id <", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdLessThanOrEqualTo(String value) {
            addCriterion("coupon_id <=", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdLike(String value) {
            addCriterion("coupon_id like", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotLike(String value) {
            addCriterion("coupon_id not like", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdIn(List<String> values) {
            addCriterion("coupon_id in", values, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotIn(List<String> values) {
            addCriterion("coupon_id not in", values, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdBetween(String value1, String value2) {
            addCriterion("coupon_id between", value1, value2, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotBetween(String value1, String value2) {
            addCriterion("coupon_id not between", value1, value2, "couponId");
            return (Criteria) this;
        }

        public Criteria andDiscountDescIsNull() {
            addCriterion("discount_desc is null");
            return (Criteria) this;
        }

        public Criteria andDiscountDescIsNotNull() {
            addCriterion("discount_desc is not null");
            return (Criteria) this;
        }

        public Criteria andDiscountDescEqualTo(String value) {
            addCriterion("discount_desc =", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescNotEqualTo(String value) {
            addCriterion("discount_desc <>", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescGreaterThan(String value) {
            addCriterion("discount_desc >", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescGreaterThanOrEqualTo(String value) {
            addCriterion("discount_desc >=", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescLessThan(String value) {
            addCriterion("discount_desc <", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescLessThanOrEqualTo(String value) {
            addCriterion("discount_desc <=", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescLike(String value) {
            addCriterion("discount_desc like", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescNotLike(String value) {
            addCriterion("discount_desc not like", value, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescIn(List<String> values) {
            addCriterion("discount_desc in", values, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescNotIn(List<String> values) {
            addCriterion("discount_desc not in", values, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescBetween(String value1, String value2) {
            addCriterion("discount_desc between", value1, value2, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andDiscountDescNotBetween(String value1, String value2) {
            addCriterion("discount_desc not between", value1, value2, "discountDesc");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdIsNull() {
            addCriterion("platform_aftersale_status_id is null");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdIsNotNull() {
            addCriterion("platform_aftersale_status_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdEqualTo(Byte value) {
            addCriterion("platform_aftersale_status_id =", value, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdNotEqualTo(Byte value) {
            addCriterion("platform_aftersale_status_id <>", value, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdGreaterThan(Byte value) {
            addCriterion("platform_aftersale_status_id >", value, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("platform_aftersale_status_id >=", value, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdLessThan(Byte value) {
            addCriterion("platform_aftersale_status_id <", value, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdLessThanOrEqualTo(Byte value) {
            addCriterion("platform_aftersale_status_id <=", value, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdIn(List<Byte> values) {
            addCriterion("platform_aftersale_status_id in", values, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdNotIn(List<Byte> values) {
            addCriterion("platform_aftersale_status_id not in", values, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdBetween(Byte value1, Byte value2) {
            addCriterion("platform_aftersale_status_id between", value1, value2, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleStatusIdNotBetween(Byte value1, Byte value2) {
            addCriterion("platform_aftersale_status_id not between", value1, value2, "platformAftersaleStatusId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdIsNull() {
            addCriterion("platform_aftersale_type_id is null");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdIsNotNull() {
            addCriterion("platform_aftersale_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdEqualTo(Byte value) {
            addCriterion("platform_aftersale_type_id =", value, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdNotEqualTo(Byte value) {
            addCriterion("platform_aftersale_type_id <>", value, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdGreaterThan(Byte value) {
            addCriterion("platform_aftersale_type_id >", value, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("platform_aftersale_type_id >=", value, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdLessThan(Byte value) {
            addCriterion("platform_aftersale_type_id <", value, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdLessThanOrEqualTo(Byte value) {
            addCriterion("platform_aftersale_type_id <=", value, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdIn(List<Byte> values) {
            addCriterion("platform_aftersale_type_id in", values, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdNotIn(List<Byte> values) {
            addCriterion("platform_aftersale_type_id not in", values, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdBetween(Byte value1, Byte value2) {
            addCriterion("platform_aftersale_type_id between", value1, value2, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIdNotBetween(Byte value1, Byte value2) {
            addCriterion("platform_aftersale_type_id not between", value1, value2, "platformAftersaleTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIsNull() {
            addCriterion("platform_aftersale_type is null");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIsNotNull() {
            addCriterion("platform_aftersale_type is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeEqualTo(String value) {
            addCriterion("platform_aftersale_type =", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeNotEqualTo(String value) {
            addCriterion("platform_aftersale_type <>", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeGreaterThan(String value) {
            addCriterion("platform_aftersale_type >", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeGreaterThanOrEqualTo(String value) {
            addCriterion("platform_aftersale_type >=", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeLessThan(String value) {
            addCriterion("platform_aftersale_type <", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeLessThanOrEqualTo(String value) {
            addCriterion("platform_aftersale_type <=", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeLike(String value) {
            addCriterion("platform_aftersale_type like", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeNotLike(String value) {
            addCriterion("platform_aftersale_type not like", value, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeIn(List<String> values) {
            addCriterion("platform_aftersale_type in", values, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeNotIn(List<String> values) {
            addCriterion("platform_aftersale_type not in", values, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeBetween(String value1, String value2) {
            addCriterion("platform_aftersale_type between", value1, value2, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andPlatformAftersaleTypeNotBetween(String value1, String value2) {
            addCriterion("platform_aftersale_type not between", value1, value2, "platformAftersaleType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdIsNull() {
            addCriterion("biz_order_pay_type_id is null");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdIsNotNull() {
            addCriterion("biz_order_pay_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdEqualTo(String value) {
            addCriterion("biz_order_pay_type_id =", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdNotEqualTo(String value) {
            addCriterion("biz_order_pay_type_id <>", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdGreaterThan(String value) {
            addCriterion("biz_order_pay_type_id >", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdGreaterThanOrEqualTo(String value) {
            addCriterion("biz_order_pay_type_id >=", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdLessThan(String value) {
            addCriterion("biz_order_pay_type_id <", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdLessThanOrEqualTo(String value) {
            addCriterion("biz_order_pay_type_id <=", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdLike(String value) {
            addCriterion("biz_order_pay_type_id like", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdNotLike(String value) {
            addCriterion("biz_order_pay_type_id not like", value, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdIn(List<String> values) {
            addCriterion("biz_order_pay_type_id in", values, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdNotIn(List<String> values) {
            addCriterion("biz_order_pay_type_id not in", values, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdBetween(String value1, String value2) {
            addCriterion("biz_order_pay_type_id between", value1, value2, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIdNotBetween(String value1, String value2) {
            addCriterion("biz_order_pay_type_id not between", value1, value2, "bizOrderPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIsNull() {
            addCriterion("biz_order_pay_type is null");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIsNotNull() {
            addCriterion("biz_order_pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeEqualTo(String value) {
            addCriterion("biz_order_pay_type =", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeNotEqualTo(String value) {
            addCriterion("biz_order_pay_type <>", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeGreaterThan(String value) {
            addCriterion("biz_order_pay_type >", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeGreaterThanOrEqualTo(String value) {
            addCriterion("biz_order_pay_type >=", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeLessThan(String value) {
            addCriterion("biz_order_pay_type <", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeLessThanOrEqualTo(String value) {
            addCriterion("biz_order_pay_type <=", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeLike(String value) {
            addCriterion("biz_order_pay_type like", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeNotLike(String value) {
            addCriterion("biz_order_pay_type not like", value, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeIn(List<String> values) {
            addCriterion("biz_order_pay_type in", values, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeNotIn(List<String> values) {
            addCriterion("biz_order_pay_type not in", values, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeBetween(String value1, String value2) {
            addCriterion("biz_order_pay_type between", value1, value2, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andBizOrderPayTypeNotBetween(String value1, String value2) {
            addCriterion("biz_order_pay_type not between", value1, value2, "bizOrderPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdIsNull() {
            addCriterion("platform_pay_type_id is null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdIsNotNull() {
            addCriterion("platform_pay_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdEqualTo(Long value) {
            addCriterion("platform_pay_type_id =", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdNotEqualTo(Long value) {
            addCriterion("platform_pay_type_id <>", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdGreaterThan(Long value) {
            addCriterion("platform_pay_type_id >", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdGreaterThanOrEqualTo(Long value) {
            addCriterion("platform_pay_type_id >=", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdLessThan(Long value) {
            addCriterion("platform_pay_type_id <", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdLessThanOrEqualTo(Long value) {
            addCriterion("platform_pay_type_id <=", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdIn(List<Long> values) {
            addCriterion("platform_pay_type_id in", values, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdNotIn(List<Long> values) {
            addCriterion("platform_pay_type_id not in", values, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdBetween(Long value1, Long value2) {
            addCriterion("platform_pay_type_id between", value1, value2, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdNotBetween(Long value1, Long value2) {
            addCriterion("platform_pay_type_id not between", value1, value2, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIsNull() {
            addCriterion("platform_pay_type is null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIsNotNull() {
            addCriterion("platform_pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeEqualTo(String value) {
            addCriterion("platform_pay_type =", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNotEqualTo(String value) {
            addCriterion("platform_pay_type <>", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeGreaterThan(String value) {
            addCriterion("platform_pay_type >", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeGreaterThanOrEqualTo(String value) {
            addCriterion("platform_pay_type >=", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeLessThan(String value) {
            addCriterion("platform_pay_type <", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeLessThanOrEqualTo(String value) {
            addCriterion("platform_pay_type <=", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeLike(String value) {
            addCriterion("platform_pay_type like", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNotLike(String value) {
            addCriterion("platform_pay_type not like", value, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIn(List<String> values) {
            addCriterion("platform_pay_type in", values, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNotIn(List<String> values) {
            addCriterion("platform_pay_type not in", values, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeBetween(String value1, String value2) {
            addCriterion("platform_pay_type between", value1, value2, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNotBetween(String value1, String value2) {
            addCriterion("platform_pay_type not between", value1, value2, "platformPayType");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusIsNull() {
            addCriterion("order_pay_status is null");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusIsNotNull() {
            addCriterion("order_pay_status is not null");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusEqualTo(Byte value) {
            addCriterion("order_pay_status =", value, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusNotEqualTo(Byte value) {
            addCriterion("order_pay_status <>", value, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusGreaterThan(Byte value) {
            addCriterion("order_pay_status >", value, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusGreaterThanOrEqualTo(Byte value) {
            addCriterion("order_pay_status >=", value, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusLessThan(Byte value) {
            addCriterion("order_pay_status <", value, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusLessThanOrEqualTo(Byte value) {
            addCriterion("order_pay_status <=", value, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusIn(List<Byte> values) {
            addCriterion("order_pay_status in", values, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusNotIn(List<Byte> values) {
            addCriterion("order_pay_status not in", values, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusBetween(Byte value1, Byte value2) {
            addCriterion("order_pay_status between", value1, value2, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andOrderPayStatusNotBetween(Byte value1, Byte value2) {
            addCriterion("order_pay_status not between", value1, value2, "orderPayStatus");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdIsNull() {
            addCriterion("biz_order_status_id is null");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdIsNotNull() {
            addCriterion("biz_order_status_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdEqualTo(String value) {
            addCriterion("biz_order_status_id =", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdNotEqualTo(String value) {
            addCriterion("biz_order_status_id <>", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdGreaterThan(String value) {
            addCriterion("biz_order_status_id >", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdGreaterThanOrEqualTo(String value) {
            addCriterion("biz_order_status_id >=", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdLessThan(String value) {
            addCriterion("biz_order_status_id <", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdLessThanOrEqualTo(String value) {
            addCriterion("biz_order_status_id <=", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdLike(String value) {
            addCriterion("biz_order_status_id like", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdNotLike(String value) {
            addCriterion("biz_order_status_id not like", value, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdIn(List<String> values) {
            addCriterion("biz_order_status_id in", values, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdNotIn(List<String> values) {
            addCriterion("biz_order_status_id not in", values, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdBetween(String value1, String value2) {
            addCriterion("biz_order_status_id between", value1, value2, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusIdNotBetween(String value1, String value2) {
            addCriterion("biz_order_status_id not between", value1, value2, "bizOrderStatusId");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameIsNull() {
            addCriterion("biz_order_status_name is null");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameIsNotNull() {
            addCriterion("biz_order_status_name is not null");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameEqualTo(String value) {
            addCriterion("biz_order_status_name =", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameNotEqualTo(String value) {
            addCriterion("biz_order_status_name <>", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameGreaterThan(String value) {
            addCriterion("biz_order_status_name >", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameGreaterThanOrEqualTo(String value) {
            addCriterion("biz_order_status_name >=", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameLessThan(String value) {
            addCriterion("biz_order_status_name <", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameLessThanOrEqualTo(String value) {
            addCriterion("biz_order_status_name <=", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameLike(String value) {
            addCriterion("biz_order_status_name like", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameNotLike(String value) {
            addCriterion("biz_order_status_name not like", value, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameIn(List<String> values) {
            addCriterion("biz_order_status_name in", values, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameNotIn(List<String> values) {
            addCriterion("biz_order_status_name not in", values, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameBetween(String value1, String value2) {
            addCriterion("biz_order_status_name between", value1, value2, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andBizOrderStatusNameNotBetween(String value1, String value2) {
            addCriterion("biz_order_status_name not between", value1, value2, "bizOrderStatusName");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdIsNull() {
            addCriterion("transaction_status_id is null");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdIsNotNull() {
            addCriterion("transaction_status_id is not null");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdEqualTo(Byte value) {
            addCriterion("transaction_status_id =", value, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdNotEqualTo(Byte value) {
            addCriterion("transaction_status_id <>", value, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdGreaterThan(Byte value) {
            addCriterion("transaction_status_id >", value, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("transaction_status_id >=", value, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdLessThan(Byte value) {
            addCriterion("transaction_status_id <", value, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdLessThanOrEqualTo(Byte value) {
            addCriterion("transaction_status_id <=", value, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdIn(List<Byte> values) {
            addCriterion("transaction_status_id in", values, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdNotIn(List<Byte> values) {
            addCriterion("transaction_status_id not in", values, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdBetween(Byte value1, Byte value2) {
            addCriterion("transaction_status_id between", value1, value2, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andTransactionStatusIdNotBetween(Byte value1, Byte value2) {
            addCriterion("transaction_status_id not between", value1, value2, "transactionStatusId");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkIsNull() {
            addCriterion("order_remark is null");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkIsNotNull() {
            addCriterion("order_remark is not null");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkEqualTo(String value) {
            addCriterion("order_remark =", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkNotEqualTo(String value) {
            addCriterion("order_remark <>", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkGreaterThan(String value) {
            addCriterion("order_remark >", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("order_remark >=", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkLessThan(String value) {
            addCriterion("order_remark <", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkLessThanOrEqualTo(String value) {
            addCriterion("order_remark <=", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkLike(String value) {
            addCriterion("order_remark like", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkNotLike(String value) {
            addCriterion("order_remark not like", value, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkIn(List<String> values) {
            addCriterion("order_remark in", values, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkNotIn(List<String> values) {
            addCriterion("order_remark not in", values, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkBetween(String value1, String value2) {
            addCriterion("order_remark between", value1, value2, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andOrderRemarkNotBetween(String value1, String value2) {
            addCriterion("order_remark not between", value1, value2, "orderRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkIsNull() {
            addCriterion("merchant_remark is null");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkIsNotNull() {
            addCriterion("merchant_remark is not null");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkEqualTo(String value) {
            addCriterion("merchant_remark =", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkNotEqualTo(String value) {
            addCriterion("merchant_remark <>", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkGreaterThan(String value) {
            addCriterion("merchant_remark >", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("merchant_remark >=", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkLessThan(String value) {
            addCriterion("merchant_remark <", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkLessThanOrEqualTo(String value) {
            addCriterion("merchant_remark <=", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkLike(String value) {
            addCriterion("merchant_remark like", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkNotLike(String value) {
            addCriterion("merchant_remark not like", value, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkIn(List<String> values) {
            addCriterion("merchant_remark in", values, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkNotIn(List<String> values) {
            addCriterion("merchant_remark not in", values, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkBetween(String value1, String value2) {
            addCriterion("merchant_remark between", value1, value2, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andMerchantRemarkNotBetween(String value1, String value2) {
            addCriterion("merchant_remark not between", value1, value2, "merchantRemark");
            return (Criteria) this;
        }

        public Criteria andConsigneeIsNull() {
            addCriterion("consignee is null");
            return (Criteria) this;
        }

        public Criteria andConsigneeIsNotNull() {
            addCriterion("consignee is not null");
            return (Criteria) this;
        }

        public Criteria andConsigneeEqualTo(String value) {
            addCriterion("consignee =", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeNotEqualTo(String value) {
            addCriterion("consignee <>", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeGreaterThan(String value) {
            addCriterion("consignee >", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeGreaterThanOrEqualTo(String value) {
            addCriterion("consignee >=", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeLessThan(String value) {
            addCriterion("consignee <", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeLessThanOrEqualTo(String value) {
            addCriterion("consignee <=", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeLike(String value) {
            addCriterion("consignee like", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeNotLike(String value) {
            addCriterion("consignee not like", value, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeIn(List<String> values) {
            addCriterion("consignee in", values, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeNotIn(List<String> values) {
            addCriterion("consignee not in", values, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeBetween(String value1, String value2) {
            addCriterion("consignee between", value1, value2, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeNotBetween(String value1, String value2) {
            addCriterion("consignee not between", value1, value2, "consignee");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileIsNull() {
            addCriterion("consignee_mobile is null");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileIsNotNull() {
            addCriterion("consignee_mobile is not null");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileEqualTo(String value) {
            addCriterion("consignee_mobile =", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileNotEqualTo(String value) {
            addCriterion("consignee_mobile <>", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileGreaterThan(String value) {
            addCriterion("consignee_mobile >", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileGreaterThanOrEqualTo(String value) {
            addCriterion("consignee_mobile >=", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileLessThan(String value) {
            addCriterion("consignee_mobile <", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileLessThanOrEqualTo(String value) {
            addCriterion("consignee_mobile <=", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileLike(String value) {
            addCriterion("consignee_mobile like", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileNotLike(String value) {
            addCriterion("consignee_mobile not like", value, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileIn(List<String> values) {
            addCriterion("consignee_mobile in", values, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileNotIn(List<String> values) {
            addCriterion("consignee_mobile not in", values, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileBetween(String value1, String value2) {
            addCriterion("consignee_mobile between", value1, value2, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeMobileNotBetween(String value1, String value2) {
            addCriterion("consignee_mobile not between", value1, value2, "consigneeMobile");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIsNull() {
            addCriterion("consignee_address is null");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIsNotNull() {
            addCriterion("consignee_address is not null");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressEqualTo(String value) {
            addCriterion("consignee_address =", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressNotEqualTo(String value) {
            addCriterion("consignee_address <>", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressGreaterThan(String value) {
            addCriterion("consignee_address >", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressGreaterThanOrEqualTo(String value) {
            addCriterion("consignee_address >=", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressLessThan(String value) {
            addCriterion("consignee_address <", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressLessThanOrEqualTo(String value) {
            addCriterion("consignee_address <=", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressLike(String value) {
            addCriterion("consignee_address like", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressNotLike(String value) {
            addCriterion("consignee_address not like", value, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIn(List<String> values) {
            addCriterion("consignee_address in", values, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressNotIn(List<String> values) {
            addCriterion("consignee_address not in", values, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressBetween(String value1, String value2) {
            addCriterion("consignee_address between", value1, value2, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressNotBetween(String value1, String value2) {
            addCriterion("consignee_address not between", value1, value2, "consigneeAddress");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdIsNull() {
            addCriterion("consignee_address_id is null");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdIsNotNull() {
            addCriterion("consignee_address_id is not null");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdEqualTo(String value) {
            addCriterion("consignee_address_id =", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdNotEqualTo(String value) {
            addCriterion("consignee_address_id <>", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdGreaterThan(String value) {
            addCriterion("consignee_address_id >", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdGreaterThanOrEqualTo(String value) {
            addCriterion("consignee_address_id >=", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdLessThan(String value) {
            addCriterion("consignee_address_id <", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdLessThanOrEqualTo(String value) {
            addCriterion("consignee_address_id <=", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdLike(String value) {
            addCriterion("consignee_address_id like", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdNotLike(String value) {
            addCriterion("consignee_address_id not like", value, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdIn(List<String> values) {
            addCriterion("consignee_address_id in", values, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdNotIn(List<String> values) {
            addCriterion("consignee_address_id not in", values, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdBetween(String value1, String value2) {
            addCriterion("consignee_address_id between", value1, value2, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andConsigneeAddressIdNotBetween(String value1, String value2) {
            addCriterion("consignee_address_id not between", value1, value2, "consigneeAddressId");
            return (Criteria) this;
        }

        public Criteria andProvinceIsNull() {
            addCriterion("province is null");
            return (Criteria) this;
        }

        public Criteria andProvinceIsNotNull() {
            addCriterion("province is not null");
            return (Criteria) this;
        }

        public Criteria andProvinceEqualTo(String value) {
            addCriterion("province =", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotEqualTo(String value) {
            addCriterion("province <>", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceGreaterThan(String value) {
            addCriterion("province >", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceGreaterThanOrEqualTo(String value) {
            addCriterion("province >=", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceLessThan(String value) {
            addCriterion("province <", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceLessThanOrEqualTo(String value) {
            addCriterion("province <=", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceLike(String value) {
            addCriterion("province like", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotLike(String value) {
            addCriterion("province not like", value, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceIn(List<String> values) {
            addCriterion("province in", values, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotIn(List<String> values) {
            addCriterion("province not in", values, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceBetween(String value1, String value2) {
            addCriterion("province between", value1, value2, "province");
            return (Criteria) this;
        }

        public Criteria andProvinceNotBetween(String value1, String value2) {
            addCriterion("province not between", value1, value2, "province");
            return (Criteria) this;
        }

        public Criteria andCityIsNull() {
            addCriterion("city is null");
            return (Criteria) this;
        }

        public Criteria andCityIsNotNull() {
            addCriterion("city is not null");
            return (Criteria) this;
        }

        public Criteria andCityEqualTo(String value) {
            addCriterion("city =", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotEqualTo(String value) {
            addCriterion("city <>", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityGreaterThan(String value) {
            addCriterion("city >", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityGreaterThanOrEqualTo(String value) {
            addCriterion("city >=", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityLessThan(String value) {
            addCriterion("city <", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityLessThanOrEqualTo(String value) {
            addCriterion("city <=", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityLike(String value) {
            addCriterion("city like", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotLike(String value) {
            addCriterion("city not like", value, "city");
            return (Criteria) this;
        }

        public Criteria andCityIn(List<String> values) {
            addCriterion("city in", values, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotIn(List<String> values) {
            addCriterion("city not in", values, "city");
            return (Criteria) this;
        }

        public Criteria andCityBetween(String value1, String value2) {
            addCriterion("city between", value1, value2, "city");
            return (Criteria) this;
        }

        public Criteria andCityNotBetween(String value1, String value2) {
            addCriterion("city not between", value1, value2, "city");
            return (Criteria) this;
        }

        public Criteria andCountyIsNull() {
            addCriterion("county is null");
            return (Criteria) this;
        }

        public Criteria andCountyIsNotNull() {
            addCriterion("county is not null");
            return (Criteria) this;
        }

        public Criteria andCountyEqualTo(String value) {
            addCriterion("county =", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyNotEqualTo(String value) {
            addCriterion("county <>", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyGreaterThan(String value) {
            addCriterion("county >", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyGreaterThanOrEqualTo(String value) {
            addCriterion("county >=", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyLessThan(String value) {
            addCriterion("county <", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyLessThanOrEqualTo(String value) {
            addCriterion("county <=", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyLike(String value) {
            addCriterion("county like", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyNotLike(String value) {
            addCriterion("county not like", value, "county");
            return (Criteria) this;
        }

        public Criteria andCountyIn(List<String> values) {
            addCriterion("county in", values, "county");
            return (Criteria) this;
        }

        public Criteria andCountyNotIn(List<String> values) {
            addCriterion("county not in", values, "county");
            return (Criteria) this;
        }

        public Criteria andCountyBetween(String value1, String value2) {
            addCriterion("county between", value1, value2, "county");
            return (Criteria) this;
        }

        public Criteria andCountyNotBetween(String value1, String value2) {
            addCriterion("county not between", value1, value2, "county");
            return (Criteria) this;
        }

        public Criteria andStreetIsNull() {
            addCriterion("street is null");
            return (Criteria) this;
        }

        public Criteria andStreetIsNotNull() {
            addCriterion("street is not null");
            return (Criteria) this;
        }

        public Criteria andStreetEqualTo(String value) {
            addCriterion("street =", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetNotEqualTo(String value) {
            addCriterion("street <>", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetGreaterThan(String value) {
            addCriterion("street >", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetGreaterThanOrEqualTo(String value) {
            addCriterion("street >=", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetLessThan(String value) {
            addCriterion("street <", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetLessThanOrEqualTo(String value) {
            addCriterion("street <=", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetLike(String value) {
            addCriterion("street like", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetNotLike(String value) {
            addCriterion("street not like", value, "street");
            return (Criteria) this;
        }

        public Criteria andStreetIn(List<String> values) {
            addCriterion("street in", values, "street");
            return (Criteria) this;
        }

        public Criteria andStreetNotIn(List<String> values) {
            addCriterion("street not in", values, "street");
            return (Criteria) this;
        }

        public Criteria andStreetBetween(String value1, String value2) {
            addCriterion("street between", value1, value2, "street");
            return (Criteria) this;
        }

        public Criteria andStreetNotBetween(String value1, String value2) {
            addCriterion("street not between", value1, value2, "street");
            return (Criteria) this;
        }

        public Criteria andAddressDetailIsNull() {
            addCriterion("address_detail is null");
            return (Criteria) this;
        }

        public Criteria andAddressDetailIsNotNull() {
            addCriterion("address_detail is not null");
            return (Criteria) this;
        }

        public Criteria andAddressDetailEqualTo(String value) {
            addCriterion("address_detail =", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailNotEqualTo(String value) {
            addCriterion("address_detail <>", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailGreaterThan(String value) {
            addCriterion("address_detail >", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailGreaterThanOrEqualTo(String value) {
            addCriterion("address_detail >=", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailLessThan(String value) {
            addCriterion("address_detail <", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailLessThanOrEqualTo(String value) {
            addCriterion("address_detail <=", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailLike(String value) {
            addCriterion("address_detail like", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailNotLike(String value) {
            addCriterion("address_detail not like", value, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailIn(List<String> values) {
            addCriterion("address_detail in", values, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailNotIn(List<String> values) {
            addCriterion("address_detail not in", values, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailBetween(String value1, String value2) {
            addCriterion("address_detail between", value1, value2, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andAddressDetailNotBetween(String value1, String value2) {
            addCriterion("address_detail not between", value1, value2, "addressDetail");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdIsNull() {
            addCriterion("distribution_type_id is null");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdIsNotNull() {
            addCriterion("distribution_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdEqualTo(String value) {
            addCriterion("distribution_type_id =", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdNotEqualTo(String value) {
            addCriterion("distribution_type_id <>", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdGreaterThan(String value) {
            addCriterion("distribution_type_id >", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdGreaterThanOrEqualTo(String value) {
            addCriterion("distribution_type_id >=", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdLessThan(String value) {
            addCriterion("distribution_type_id <", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdLessThanOrEqualTo(String value) {
            addCriterion("distribution_type_id <=", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdLike(String value) {
            addCriterion("distribution_type_id like", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdNotLike(String value) {
            addCriterion("distribution_type_id not like", value, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdIn(List<String> values) {
            addCriterion("distribution_type_id in", values, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdNotIn(List<String> values) {
            addCriterion("distribution_type_id not in", values, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdBetween(String value1, String value2) {
            addCriterion("distribution_type_id between", value1, value2, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIdNotBetween(String value1, String value2) {
            addCriterion("distribution_type_id not between", value1, value2, "distributionTypeId");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIsNull() {
            addCriterion("distribution_type is null");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIsNotNull() {
            addCriterion("distribution_type is not null");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeEqualTo(String value) {
            addCriterion("distribution_type =", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeNotEqualTo(String value) {
            addCriterion("distribution_type <>", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeGreaterThan(String value) {
            addCriterion("distribution_type >", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeGreaterThanOrEqualTo(String value) {
            addCriterion("distribution_type >=", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeLessThan(String value) {
            addCriterion("distribution_type <", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeLessThanOrEqualTo(String value) {
            addCriterion("distribution_type <=", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeLike(String value) {
            addCriterion("distribution_type like", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeNotLike(String value) {
            addCriterion("distribution_type not like", value, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeIn(List<String> values) {
            addCriterion("distribution_type in", values, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeNotIn(List<String> values) {
            addCriterion("distribution_type not in", values, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeBetween(String value1, String value2) {
            addCriterion("distribution_type between", value1, value2, "distributionType");
            return (Criteria) this;
        }

        public Criteria andDistributionTypeNotBetween(String value1, String value2) {
            addCriterion("distribution_type not between", value1, value2, "distributionType");
            return (Criteria) this;
        }

        public Criteria andExpressCodeIsNull() {
            addCriterion("express_code is null");
            return (Criteria) this;
        }

        public Criteria andExpressCodeIsNotNull() {
            addCriterion("express_code is not null");
            return (Criteria) this;
        }

        public Criteria andExpressCodeEqualTo(String value) {
            addCriterion("express_code =", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeNotEqualTo(String value) {
            addCriterion("express_code <>", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeGreaterThan(String value) {
            addCriterion("express_code >", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeGreaterThanOrEqualTo(String value) {
            addCriterion("express_code >=", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeLessThan(String value) {
            addCriterion("express_code <", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeLessThanOrEqualTo(String value) {
            addCriterion("express_code <=", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeLike(String value) {
            addCriterion("express_code like", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeNotLike(String value) {
            addCriterion("express_code not like", value, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeIn(List<String> values) {
            addCriterion("express_code in", values, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeNotIn(List<String> values) {
            addCriterion("express_code not in", values, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeBetween(String value1, String value2) {
            addCriterion("express_code between", value1, value2, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressCodeNotBetween(String value1, String value2) {
            addCriterion("express_code not between", value1, value2, "expressCode");
            return (Criteria) this;
        }

        public Criteria andExpressNameIsNull() {
            addCriterion("express_name is null");
            return (Criteria) this;
        }

        public Criteria andExpressNameIsNotNull() {
            addCriterion("express_name is not null");
            return (Criteria) this;
        }

        public Criteria andExpressNameEqualTo(String value) {
            addCriterion("express_name =", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameNotEqualTo(String value) {
            addCriterion("express_name <>", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameGreaterThan(String value) {
            addCriterion("express_name >", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameGreaterThanOrEqualTo(String value) {
            addCriterion("express_name >=", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameLessThan(String value) {
            addCriterion("express_name <", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameLessThanOrEqualTo(String value) {
            addCriterion("express_name <=", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameLike(String value) {
            addCriterion("express_name like", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameNotLike(String value) {
            addCriterion("express_name not like", value, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameIn(List<String> values) {
            addCriterion("express_name in", values, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameNotIn(List<String> values) {
            addCriterion("express_name not in", values, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameBetween(String value1, String value2) {
            addCriterion("express_name between", value1, value2, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressNameNotBetween(String value1, String value2) {
            addCriterion("express_name not between", value1, value2, "expressName");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoIsNull() {
            addCriterion("express_tracking_no is null");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoIsNotNull() {
            addCriterion("express_tracking_no is not null");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoEqualTo(String value) {
            addCriterion("express_tracking_no =", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoNotEqualTo(String value) {
            addCriterion("express_tracking_no <>", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoGreaterThan(String value) {
            addCriterion("express_tracking_no >", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoGreaterThanOrEqualTo(String value) {
            addCriterion("express_tracking_no >=", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoLessThan(String value) {
            addCriterion("express_tracking_no <", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoLessThanOrEqualTo(String value) {
            addCriterion("express_tracking_no <=", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoLike(String value) {
            addCriterion("express_tracking_no like", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoNotLike(String value) {
            addCriterion("express_tracking_no not like", value, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoIn(List<String> values) {
            addCriterion("express_tracking_no in", values, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoNotIn(List<String> values) {
            addCriterion("express_tracking_no not in", values, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoBetween(String value1, String value2) {
            addCriterion("express_tracking_no between", value1, value2, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andExpressTrackingNoNotBetween(String value1, String value2) {
            addCriterion("express_tracking_no not between", value1, value2, "expressTrackingNo");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnIsNull() {
            addCriterion("refund_origin_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnIsNotNull() {
            addCriterion("refund_origin_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnEqualTo(String value) {
            addCriterion("refund_origin_order_sn =", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnNotEqualTo(String value) {
            addCriterion("refund_origin_order_sn <>", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnGreaterThan(String value) {
            addCriterion("refund_origin_order_sn >", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("refund_origin_order_sn >=", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnLessThan(String value) {
            addCriterion("refund_origin_order_sn <", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnLessThanOrEqualTo(String value) {
            addCriterion("refund_origin_order_sn <=", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnLike(String value) {
            addCriterion("refund_origin_order_sn like", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnNotLike(String value) {
            addCriterion("refund_origin_order_sn not like", value, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnIn(List<String> values) {
            addCriterion("refund_origin_order_sn in", values, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnNotIn(List<String> values) {
            addCriterion("refund_origin_order_sn not in", values, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnBetween(String value1, String value2) {
            addCriterion("refund_origin_order_sn between", value1, value2, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andRefundOriginOrderSnNotBetween(String value1, String value2) {
            addCriterion("refund_origin_order_sn not between", value1, value2, "refundOriginOrderSn");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(String value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(String value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(String value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(String value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(String value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLike(String value) {
            addCriterion("create_user_id like", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotLike(String value) {
            addCriterion("create_user_id not like", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<String> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<String> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(String value1, String value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(String value1, String value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIsNull() {
            addCriterion("create_user_name is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIsNotNull() {
            addCriterion("create_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameEqualTo(String value) {
            addCriterion("create_user_name =", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotEqualTo(String value) {
            addCriterion("create_user_name <>", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameGreaterThan(String value) {
            addCriterion("create_user_name >", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("create_user_name >=", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLessThan(String value) {
            addCriterion("create_user_name <", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLessThanOrEqualTo(String value) {
            addCriterion("create_user_name <=", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLike(String value) {
            addCriterion("create_user_name like", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotLike(String value) {
            addCriterion("create_user_name not like", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIn(List<String> values) {
            addCriterion("create_user_name in", values, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotIn(List<String> values) {
            addCriterion("create_user_name not in", values, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameBetween(String value1, String value2) {
            addCriterion("create_user_name between", value1, value2, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotBetween(String value1, String value2) {
            addCriterion("create_user_name not between", value1, value2, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(String value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(String value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(String value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(String value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(String value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLike(String value) {
            addCriterion("update_user_id like", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotLike(String value) {
            addCriterion("update_user_id not like", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<String> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<String> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(String value1, String value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(String value1, String value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIsNull() {
            addCriterion("update_user_name is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIsNotNull() {
            addCriterion("update_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameEqualTo(String value) {
            addCriterion("update_user_name =", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotEqualTo(String value) {
            addCriterion("update_user_name <>", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameGreaterThan(String value) {
            addCriterion("update_user_name >", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("update_user_name >=", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLessThan(String value) {
            addCriterion("update_user_name <", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLessThanOrEqualTo(String value) {
            addCriterion("update_user_name <=", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLike(String value) {
            addCriterion("update_user_name like", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotLike(String value) {
            addCriterion("update_user_name not like", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIn(List<String> values) {
            addCriterion("update_user_name in", values, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotIn(List<String> values) {
            addCriterion("update_user_name not in", values, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameBetween(String value1, String value2) {
            addCriterion("update_user_name between", value1, value2, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotBetween(String value1, String value2) {
            addCriterion("update_user_name not between", value1, value2, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Byte value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Byte value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Byte value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Byte value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Byte value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Byte value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Byte> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Byte> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Byte value1, Byte value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Byte value1, Byte value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}