package cn.superdesk.uniorder.dao.entity.scheduler;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_quartz_job
 */
@Data
@ToString
public class SysQuartzJob implements Serializable {
    /**
     * Database Column Remarks:
     *   ID
     *
     *
     * column sys_quartz_job.id
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   Spring Bean名称
     *
     *
     * column sys_quartz_job.bean_name
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private String beanName;

    /**
     * Database Column Remarks:
     *   cron 表达式
     *
     *
     * column sys_quartz_job.cron_expression
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private String cronExpression;

    /**
     * Database Column Remarks:
     *   状态:1暂停、0启用
     *
     *
     * column sys_quartz_job.is_pause
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private Integer isPause;

    /**
     * Database Column Remarks:
     *   任务名称
     *
     *
     * column sys_quartz_job.job_name
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private String jobName;

    /**
     * Database Column Remarks:
     *   方法名称
     *
     *
     * column sys_quartz_job.method_name
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private String methodName;

    /**
     * Database Column Remarks:
     *   参数
     *
     *
     * column sys_quartz_job.params
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private String params;

    /**
     * Database Column Remarks:
     *   备注
     *
     *
     * column sys_quartz_job.remark
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private String remark;

    /**
     *
     *
     * column sys_quartz_job.create_time
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column sys_quartz_job.create_user_id
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column sys_quartz_job.update_time
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column sys_quartz_job.update_user_id
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table sys_quartz_job
     *
     * Thu Dec 17 13:26:14 CST 2020
     */
    private static final long serialVersionUID = 1L;
}
