package cn.superdesk.uniorder.dao.entity.sys;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ToString
public class SysInvoice implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long    id;
	private Long    dzMainId;
	private Long    dzOrderId;
	private String  myOrdersn;
	private String  invoiceNumber;
	/**
	 * 回款状态  (0未回款\1部分回款\2全部回款
	 */
	private Integer backStatus;

	private BigDecimal backAccount;

	private Date backOperationTime;

	private Date backAccountTime;

	private Date invoiceTime;

	private Date mailTickTime;

	/**
	 * 发票状态 0未邮寄 1已邮寄 2已作废
	 */
	private Integer invoiceStatus;
	/**
	 * 开票状态 0未开票 1 已开票
	 */
	private Integer makeInvoiceStatus;

	private Long expressCompanyId;

	private String expressNo;



}