package cn.superdesk.uniorder.dao.entity.sys;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_oder_user
 */
@Data
@ToString
public class SysOderUser implements Serializable {
    /**
     *
     *
     * column sys_oder_user.id
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   同步用户ID
     *
     *
     * column sys_oder_user.user_id
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private Long userId;

    /**
     * Database Column Remarks:
     *   会员姓名
     *
     *
     * column sys_oder_user.realname
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private String realname;

    /**
     * Database Column Remarks:
     *   手机号码
     *
     *
     * column sys_oder_user.mobile
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private String mobile;

    /**
     * Database Column Remarks:
     *   帐单邮箱
     *
     *
     * column sys_oder_user.bill_email
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private String billEmail;

    /**
     * Database Column Remarks:
     *   同步时间
     *
     *
     * column sys_oder_user.sync_time
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private Date syncTime;

    /**
     * Database Column Remarks:
     *   其他字段1 占坑用
     *
     *
     * column sys_oder_user.other_field1
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private String otherField1;

    /**
     * Database Column Remarks:
     *   其他字段2 占坑用
     *
     *
     * column sys_oder_user.other_field2
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private String otherField2;

    /**
     * Database Column Remarks:
     *   其他字段3 占坑用
     *
     *
     * column sys_oder_user.other_field3
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private String otherField3;

    /**
     * Database Column Remarks:
     *   企业Id
     *
     *
     * column sys_oder_user.enterprise_id
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private Long enterpriseId;

    /**
     * Database Column Remarks:
     *   项目Id
     *
     *
     * column sys_oder_user.organization_id
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private Long organizationId;

    /**
     * Database Column Remarks:
     *   基金余额
     *
     *
     * column sys_oder_user.fund_balance
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private BigDecimal fundBalance;

    /**
     *
     * table sys_oder_user
     *
     * Fri Nov 13 15:07:38 CST 2020
     */
    private static final long serialVersionUID = 1L;
}