package cn.superdesk.uniorder.dao.entity.sys.role;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class SysMenu implements Serializable {
    /**
     * Id
     */
    private Long id;

    /**
     * 父Id
     */
    private Long pid;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单路由地址(前端)
     */
    private String menuUrl;

    /**
     * 权限
     */
    private String perms;

    /**
     * 菜单类型:1-目录;2-菜单;3-权限;
     */
    private Integer menuType;

    /**
     * 菜单图标
     */
    private String menuIcon;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 是否启用:1-启用;0-禁用;
     */
    private Integer enabled;

    /**
     * 软删除:0-未删除;1-已删除
     */
    private Integer deleted;

    private String remark;

    private Date createTime;

    private Long createUserId;

    private Date updateTime;

    private Long updateUserId;

    private static final long serialVersionUID = 1L;
}