package cn.superdesk.uniorder.dao.entity.sys.role;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_role_ext_data
 */
@Data
@ToString
public class SysRoleExtData implements Serializable {
    /**
     *
     *
     * column sys_role_ext_data.id
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column sys_role_ext_data.service_no_mult
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private String serviceNoMult;

    /**
     *
     *
     * column sys_role_ext_data.service_name_mult
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private String serviceNameMult;

    /**
     *
     *
     * column sys_role_ext_data.sys_role_ext_sample_ids
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private String sysRoleExtSampleIds;

    /**
     * Database Column Remarks:
     *   数据权限角色 来源:1-system;2-superdesk-app;3-superdesk-mall; 
     *
     *
     * column sys_role_ext_data.source_from
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private String sourceFrom;

    /**
     * Database Column Remarks:
     *   引用id,没有统一定义
     *
     *
     * column sys_role_ext_data.source_from_quote_id
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Long sourceFromQuoteId;

    /**
     * Database Column Remarks:
     *   许可时间 开始
     *
     *
     * column sys_role_ext_data.permit_start_time
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Date permitStartTime;

    /**
     * Database Column Remarks:
     *   许可时间 结束
     *
     *
     * column sys_role_ext_data.permit_end_time
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Date permitEndTime;

    /**
     *
     *
     * column sys_role_ext_data.name
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private String name;

    /**
     *
     *
     * column sys_role_ext_data.remark
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private String remark;

    /**
     *
     *
     * column sys_role_ext_data.enabled
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Integer enabled;

    /**
     *
     *
     * column sys_role_ext_data.deleted
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Integer deleted;

    /**
     *
     *
     * column sys_role_ext_data.create_time
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column sys_role_ext_data.create_user_id
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column sys_role_ext_data.update_time
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column sys_role_ext_data.update_user_id
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table sys_role_ext_data
     *
     * Tue Sep 01 18:00:48 CST 2020
     */
    private static final long serialVersionUID = 1L;
}