package cn.superdesk.uniorder.dao.entity.sys.role;

import java.io.Serializable;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_role_ext_data_sample_permission
 */
@Data
@ToString
public class SysRoleExtDataSamplePermission implements Serializable {
    /**
     *
     *
     * column sys_role_ext_data_sample_permission.id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column sys_role_ext_data_sample_permission.service_no
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private String serviceNo;

    /**
     *
     *
     * column sys_role_ext_data_sample_permission.service_name
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private String serviceName;

    /**
     * Database Column Remarks:
     *   角色定义-扩展-数据权限角色.id
     *
     *
     * column sys_role_ext_data_sample_permission.sys_role_ext_data_id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long sysRoleExtDataId;

    /**
     * Database Column Remarks:
     *   角色定义-扩展-数据权限描述.id
     *
     *
     * column sys_role_ext_data_sample_permission.sys_role_ext_sample_id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long sysRoleExtSampleId;

    /**
     * Database Column Remarks:
     *   统一订单 项目ID
     *
     *
     * column sys_role_ext_data_sample_permission.sys_org_id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long sysOrgId;

    /**
     * Database Column Remarks:
     *   统一订单 企业ID
     *
     *
     * column sys_role_ext_data_sample_permission.sys_virt_id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long sysVirtId;

    /**
     * Database Column Remarks:
     *   第三方 项目ID(服务之窗)
     *
     *
     * column sys_role_ext_data_sample_permission.out_org_id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long outOrgId;

    /**
     * Database Column Remarks:
     *   第三方 企业ID(服务之窗)
     *
     *
     * column sys_role_ext_data_sample_permission.out_virt_id
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Long outVirtId;

    /**
     *
     *
     * column sys_role_ext_data_sample_permission.deleted
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private Integer deleted;

    /**
     *
     * table sys_role_ext_data_sample_permission
     *
     * Wed Aug 26 11:48:59 CST 2020
     */
    private static final long serialVersionUID = 1L;
}