package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dto.param.accounting.score.customer.AccountingOrderScoreCustomerNotYetDimCreditQueryCriteria;
import cn.superdesk.uniorder.dto.param.order.AutoCompleteUnifiedOrderCreditDimOrderGoodsStep01QueryCriteria;
import cn.superdesk.uniorder.dto.param.order.AutoCompleteUnifiedOrderCreditDimOrderGoodsStep02QueryCriteria;
import cn.superdesk.uniorder.dto.param.order.AutoCompleteUnifiedOrderCreditDimOrderStep01QueryCriteria;
import cn.superdesk.uniorder.dto.vo.order.AutoCompleteUnifiedOrderCreditDimOrderGoodsStep01Vo;
import cn.superdesk.uniorder.dto.vo.order.AutoCompleteUnifiedOrderCreditDimOrderStep01Vo;
import cn.superdesk.uniorder.dto.vo.score.ScoreOrderReconciliationNotYetHeadVo;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyDetailDimCreditItemVo;

import java.util.List;

/**
 * @Description: 客户结算 未对账流水
 * @Author: linjinyu
 * @CreateDate: 6/12/20 3:26 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 6/12/20 3:26 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedOrderMapperExCustomerDimCredit {


    ScoreOrderReconciliationNotYetHeadVo getScoreOrderReconciliationNotYetHeadSum(AccountingOrderScoreCustomerNotYetDimCreditQueryCriteria queryCriteria);

    /**
     * @param queryCriteria
     * @return
     */
    List<InvoiceApplyDetailDimCreditItemVo> getScoreOrderReconciliationNotYet(AccountingOrderScoreCustomerNotYetDimCreditQueryCriteria queryCriteria);

    List<AutoCompleteUnifiedOrderCreditDimOrderStep01Vo> autoCompleteUnifiedOrderCreditDimOrderStep01(AutoCompleteUnifiedOrderCreditDimOrderStep01QueryCriteria queryCriteria);

    List<AutoCompleteUnifiedOrderCreditDimOrderGoodsStep01Vo> autoCompleteUnifiedOrderCreditDimOrderGoodsStep01(AutoCompleteUnifiedOrderCreditDimOrderGoodsStep01QueryCriteria queryCriteria);

    List<Long> autoCompleteUnifiedOrderCreditDimOrderGoodsStep02(AutoCompleteUnifiedOrderCreditDimOrderGoodsStep02QueryCriteria queryCriteria);


}
