package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.notyet.UnifiedOrderSupplierHeadSumVo;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedOrderSupplierDimOrderNotCheckVo;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedOrderSupplierNotCheckDetail2GoodsVo;

import java.util.List;
import java.util.Map;

public interface UnifiedOrderMapperExSupplierDimOrder {

    /**
     * 供应商结算-未对账 订单 Head
     *
     * @param params
     * @return
     */
    UnifiedOrderSupplierHeadSumVo getSupplierUnAccountingDimOrderHeadSum(Map<String, Object> params);

    /**
     * 供应商结算-未对账 订单 List
     *
     * @param params
     * @return
     */
    List<UnifiedOrderSupplierDimOrderNotCheckVo> getSupplierUnAccountingDimOrderList(Map<String, Object> params);

    /**
     * 供应商结算-未对账订单 opt 导出报表 (未对账列表-导出)
     *
     * @param queryMap
     * @return
     */
    List<UnifiedOrderSupplierNotCheckDetail2GoodsVo> getSupplierUnAccountingDetail2Goods(Map<String, Object> queryMap);


    /**
     *
     * 弃用
     * State 表达的是形态,而 Status 表达的是从一种形态转换成另一种形态的过程中
     *
     * @param orderparams
     * @return
     */
//	int updateAccountingStateSupplier(Map<String, Object> orderparams);
}
