package cn.superdesk.uniorder.dao.mapper.invoice.customer;

import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApply;
import cn.superdesk.uniorder.dto.vo.invoice.customer.OrderSnMapInvoiceApplyVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 7/1/20 11:51 AM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/1/20 11:51 AM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
//@CacheConfig(cacheNames = "InvoiceApplyMapper")
@Repository
public interface InvoiceApplyMapperEx {





	List<InvoiceApply> findAll(Map<String, Object> params);

	/**
	 * invQuery("orderSn","xxxxxxxx")
	 *
	 * @param invQuery
	 * @return
	 */
//	@Cacheable(keyGenerator = "findByXXKeyGenerator")
	List<InvoiceApply> findInvoiceByOrderSn(Map<String, Object> invQuery);


	List<OrderSnMapInvoiceApplyVo> findInvoiceByOrderSnList(Map<String, Object> invQuery);
}