package cn.superdesk.uniorder.dao.mapper.invoice.customer;

import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyDetailDimOrderItemVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * @Description: 开票(发票)申请 基于 开票(发票)申请.id 来查 有什么商品
 * @Author: linjinyu
 * @CreateDate: 2020/11/13 上午11:24
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/13 上午11:24
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Repository
public interface InvoiceApplyMapperExUnifiedCompatible {


	/**
	 * 20210201 最新的用这个,下边的大概都有逻辑问题
	 * @param invoiceApplyId
	 * @return
	 */
//	@Deprecated
	List<InvoiceApplyDetailDimOrderItemVo> findInvoiceApplyDetail20210201Dim1Unified2Goods(@Param("invoiceApplyId") Long invoiceApplyId);
	/**
	 * 开票(发票)申请 详情 ---- 兼容
	 *
	 * @param invoiceApplyId
	 * @return
	 */
	@Deprecated
	List<InvoiceApplyDetailDimOrderItemVo> findInvoiceApplyDetailOldDim1Unified2Goods(@Param("invoiceApplyId") Long invoiceApplyId);

	/**
	 * 开票(发票)申请 详情 ---- 生产现在用的是这个 TODO mark by linjinyu 20210201 存在逻辑问题
	 *
	 * @param invoiceApplyId
	 * @return
	 */
	@Deprecated
	List<InvoiceApplyDetailDimOrderItemVo> findInvoiceApplyDetailNewDim1Unified2Goods(@Param("invoiceApplyId") Long invoiceApplyId);


	/**
	 * 开票(发票)申请 详情 ---- 大概是最老的？
	 *
	 * @param invoiceApplyId
	 * @return
	 */
	@Deprecated
	List<InvoiceApplyDetailDimOrderItemVo> findDzOrderByGoodId(@Param("invoiceApplyId") Long invoiceApplyId);

}
