package cn.superdesk.uniorder.dao.mapper.thirdpart.jd;

import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJd;
import cn.superdesk.uniorder.dto.param.thirdpart.jd.AccountingUnifiedSupplierOrderJdQueryCriteria;
import cn.superdesk.uniorder.dto.vo.thirdpart.jd.AccountingUnifiedSupplierOrderJdDetailStatisticsVo;
import cn.superdesk.uniorder.dto.vo.thirdpart.jd.AccountingUnifiedSupplierOrderJdListItemVo;
import cn.superdesk.uniorder.dto.vo.thirdpart.jd.AccountingUnifiedSupplierOrderJdUpperLevelsStatisticsVo;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/10/14 下午3:19
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/14 下午3:19
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedSupplierOrderJdMapperEx {

    int insertBatch(List<AccountingUnifiedSupplierOrderJd> processList);

    int replaceBatch(List<AccountingUnifiedSupplierOrderJd> processList);


    List<AccountingUnifiedSupplierOrderJdListItemVo> pageQueryGenericParam(AccountingUnifiedSupplierOrderJdQueryCriteria queryCriteria);

    AccountingUnifiedSupplierOrderJdDetailStatisticsVo pageQueryHeadGenericParam(
            AccountingUnifiedSupplierOrderJdQueryCriteria queryCriteria);

    AccountingUnifiedSupplierOrderJdUpperLevelsStatisticsVo statisticsQuantityDimOrderNormalOrException(
            AccountingUnifiedSupplierOrderJdQueryCriteria queryCriteria);
}
