package cn.superdesk.uniorder.dto._variable;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/7/6 10:13 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/7/6 10:13 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class ThirdpartJdAccountingVariable implements Serializable {

    private Boolean isLimitSale;
    private Boolean isOpenThreadPool;
    private Integer corePoolSize;
    private Integer maxPoolSize;
}
