package cn.superdesk.uniorder.dto.dubbo.channel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-08-28 17:10:10
 */
@Data
@ToString
public class UnifiedChannelProfitXVirtParam implements Serializable {

	@ApiModelProperty("id")
	private Long       id;
	@ApiModelProperty("渠道商id")
	private Long       channelId;
	@ApiModelProperty("企业id")
	private Long       virtId;
	@ApiModelProperty("业务代码")
	private String     businessCode;
	@ApiModelProperty("分润比例")
	private BigDecimal proportion;
	@ApiModelProperty("")
	private Long       begindate;
	@ApiModelProperty("")
	private Long       enddate;


}