package cn.superdesk.uniorder.dto.dubbo.channel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-08-28 16:37:32
 */
@Data
@ToString
public class UnifiedChannelSyncParam implements Serializable {

	@ApiModelProperty("")
	private Long    id;
	@ApiModelProperty("")
	private Long    channelId;
	@ApiModelProperty("")
	private String  channelName;
	@ApiModelProperty("")
	private String  code;
	@ApiModelProperty("")
	private String  leaderName;
	@ApiModelProperty("")
	private String  leaderPhone;
	@ApiModelProperty("用户类别 1:微信用户 2:管理用户")
	private Integer leaderType;
	@ApiModelProperty("渠道商类别为微信的时绑定的微信账号")
	private String  leaderWxAccount;
	@ApiModelProperty("")
	private String  address;
	@ApiModelProperty("")
	private String  remark;
	@ApiModelProperty("")
	private Integer companyType;
	@ApiModelProperty("")
	private String  provinceCode;
	@ApiModelProperty("")
	private String  provinceName;
	@ApiModelProperty("")
	private String  cityCode;
	@ApiModelProperty("")
	private String  cityName;
	@ApiModelProperty("")
	private Integer enabled;
	@ApiModelProperty("")
	private Date    syncTime;
	@ApiModelProperty("")
	private Date    createTime;
	@ApiModelProperty("")
	private Long    createUserId;
	@ApiModelProperty("")
	private Date    updateTime;
	@ApiModelProperty("")
	private Long    updateUserId;


}