package cn.superdesk.uniorder.dto.dubbo.sys.role;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 角色定义-扩展-数据权限角色
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-08-26 14:15:28
 */
@Data
@ToString
public class SysRoleExtDataParam implements Serializable {

	@ApiModelProperty("")
	private Long    id;
	@ApiModelProperty("")
	private String  serviceNoMult;
	@ApiModelProperty("")
	private String  serviceNameMult;
	@ApiModelProperty("")
	private String  sysRoleExtSampleIds;
	@ApiModelProperty("数据权限角色 来源:1-system;2-superdesk-app;3-superdesk-mall; ")
	private String  sourceFrom;
	@ApiModelProperty("许可时间 开始")
	private Date    permitStartTime;
	@ApiModelProperty("许可时间 结束")
	private Date    permitEndTime;
	@ApiModelProperty("")
	private String  name;
	@ApiModelProperty("")
	private String  remark;
	@ApiModelProperty("")
	private Integer deleted;

	@ApiModelProperty("")
	private Date   createTime;
	@ApiModelProperty("")
	private Long   createUserId;
	@ApiModelProperty("")
	private String createUserName;

	@ApiModelProperty("")
	private Date updateTime;
	@ApiModelProperty("")
	private Long updateUserId;


}