package cn.superdesk.uniorder.dto.dubbo.sys.role;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 角色定义-扩展-数据权限许可(所谓的数据主体) 平铺
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-08-26 14:15:28
 */
@Data
@ToString
public class SysRoleExtDataSamplePermissionParam implements Serializable {

	@ApiModelProperty("")
	private Long    id;
	@ApiModelProperty("")
	private String  serviceNo;
	@ApiModelProperty("")
	private String  serviceName;
	@ApiModelProperty("角色定义-扩展-数据权限角色.id")
	private Long    sysRoleExtDataId;
	@ApiModelProperty("角色定义-扩展-数据权限描述.id")
	private Long    sysRoleExtSampleId;
	@ApiModelProperty("统一订单 项目ID")
	private Long    sysOrgId;
	@ApiModelProperty("统一订单 企业ID")
	private Long    sysVirtId;
	@ApiModelProperty("第三方 项目ID(服务之窗)")
	private Long    outOrgId;
	@ApiModelProperty("第三方 企业ID(服务之窗)")
	private Long    outVirtId;
	@ApiModelProperty("")
	private Integer deleted;


}