package cn.superdesk.uniorder.dto.param.accounting;

import cn.superdesk.uniorder.common.json.deserializer.DateTimeConvertDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/12/18 上午11:09
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/12/18 上午11:09
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class AutoCreateScheduleTaskStatementOfAccountParam implements Serializable {

//	{
//		"startTime":"2020-10-01 00:00:00",
//			"endTime":"2020-10-31 23:59:59",
//			"isTest":1
//	}


//	3838_深圳市福桥大酒店有限公司_QYNG_企业采购
//	{
//		"outVirtId":3838,
//			"serviceNo":"QYNG",
//		"startTime":"2020-09-01 00:00:00",
//			"endTime":"2020-09-30 23:59:59",
//			"isTest":1
//	}

	private Long   outVirtId;
	private String serviceNo;

	//	@NotBlank(message = "不能为空")
	@JsonDeserialize(using = DateTimeConvertDeserializer.class)
	private Date startTime;
	//	@NotBlank(message = "不能为空")
	@JsonDeserialize(using = DateTimeConvertDeserializer.class)
	private Date endTime;

	// 创建维度:0-订单;1-商品;2-流水;
	private Integer dimCreateBy;

	private Integer isTest;
}
