package cn.superdesk.uniorder.dto.param.accounting.score.customer;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Description: XML getScoreOrderReconciliationNotYet
 * @Author: linjinyu
 * @CreateDate: 2022/2/25 下午1:32
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/25 下午1:32
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class AccountingOrderScoreCustomerNotYetDimCreditScene3QueryCriteria extends AnBaseQueryCriteria {

	/****************************************** 场景3 start ******************************************/

	@ApiModelProperty("前端不用传;当自动补全=0时,creditSelected(不为空)转换填充")
	private List<Long> idsCredit;

	/****************************************** 场景3   end ******************************************/
}
