package cn.superdesk.uniorder.dto.param.accounting.score.customer;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: XML getScoreOrderReconciliationNotYet
 * @Author: linjinyu
 * @CreateDate: 2022/2/25 下午1:32
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/25 下午1:32
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class AccountingOrderScoreCustomerNotYetDimCreditScene4QueryCriteria extends AnBaseQueryCriteria {

    /****************************************** 场景4 start ******************************************/

//    @ApiModelProperty("前端不用传;当自动补全=0时,creditSelected(不为空)转换填充")
//    private List<Long> idsCredit;

    /****************************************** 场景4   end ******************************************/

    /**************************************** v2.5.1 mark by linjinyu at 2022-07-14 14:27:06 - start ****************************************/


    //    orderSn: "245764065100"
//    goodsName: "菊芝韵 茶叶 花草茶 庐山金菊 金丝皇菊大菊花茶30朵礼盒装"
//    goodsId: 5128573
//    unifiedOrderGoodsId: 1911428
//    operationTaxCode: "1010116010000000000"

    @ApiModelProperty("统一订单-发票申请Id")
    private Long invoiceApplyId;

    @ApiModelProperty("筛选条件-订单编号 uo.order_sn like CONCAT('%',#{orderSn},'%') or uo.refund_order_sn like CONCAT('%',#{orderSn},'%')")
    private String orderSn;
    @ApiModelProperty("筛选条件-订单编号 uo.order_sn = #{orderSnEq} or uo.refund_order_sn = #{orderSnEq}")
    private String orderSnEq;
    @ApiModelProperty("")
    private String goodsName;
    @ApiModelProperty("")
    private Long   goodsId;
    @ApiModelProperty("")
    private Long   unifiedOrderGoodsId;
    @ApiModelProperty("")
    private String operationTaxCode;

    /**************************************** v2.5.1 mark by linjinyu at 2022-07-14 14:27:06 -  end ****************************************/
}
