package cn.superdesk.uniorder.dto.param.accounting.statistics;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import lombok.Data;

import java.util.List;

/**
 * @author xc
 * @description 应付余额查询参数
 * @date 2022/6/21 14:52
 */
@Data
public class ReceivableBalanceQueryParam extends AnBaseQueryCriteria {

    private String serviceNo;
    private Long settlementId;
    private String startDate;
    private String endDate;
    private List<Long> settlementIds;

    private int queryType;

    private int customerType;
}
