package cn.superdesk.uniorder.dto.param.accounting.statistics;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author xc
 * @description 应收报表查询条件
 * @date 2022/4/14 20:10
 */
@Data
public class ReceivableStatisticsPageQueryParam extends AnBaseQueryCriteria {





    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量


    private String settlementId;  //客户Id 应收查企业Id

    private List<Integer> listSettlementId;//客户Ids

    private  String startTime;
    private  String endTime;

    private String serviceNo; //平台 福利平台-FLSC_QCH 集采平台-QYSC_QCH

    private boolean isExportExcel = false;//是否导出
}
