package cn.superdesk.uniorder.dto.param.accounting.unified.customer;

import cn.superdesk.uniorder.common.json.deserializer.DateTimeConvertDeserializer;
import cn.superdesk.uniorder.common.json.serializer.DateTimeConvertSerializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


@Data
public class UnifiedCustomerCreateDimGoodsParam implements Serializable {

	//[
//    {
//        "unifiedOrderGoodsId": 147089,
//            "unifiedOrderId": 38678
//    },
//    {
//        "unifiedOrderGoodsId": 147089,
//            "unifiedOrderId": 38678
//    }
//]

	private static final long serialVersionUID = 3967340357144442950L;

	/**
	 * 订单ID集合 逗号分隔 uo.id
	 */
//	private String jsonStr;
	private List<UnifiedCustomerCreateDimGoodsParamJsonStruct> jsonStr;

	// TODO 这个是对账单 周期吗? mark by linjinyu at 202012241821
//	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
//	@JsonSerialize(using = DateTimeConvertSerializer.class)
	@JsonDeserialize(using = DateTimeConvertDeserializer.class)
	private Date startTime;
	//	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonDeserialize(using = DateTimeConvertDeserializer.class)
	private Date endTime;

	/**
	 * 是否发送邮件:1-是;0-否;
	 */
	private Integer isSendEmail;
	/**
	 * 收件人邮箱
	 */
	private String  emailAddress;

	@ApiModelProperty("下单人Id")
	private Long   purchaseUserId;
	@ApiModelProperty("下单人姓名")
	private String purchaseUserName;
	@ApiModelProperty("下单人联系电话")
	private String purchasePhone;

	// 关联的是我们的收款主体?
	private Long bankInfoId;

	private String serviceNo;

	private Long       outVirtId;
	private Integer    orderQuantity;
	private BigDecimal accountingAmount;


	/****************************************** 前端没有传 start ******************************************/


	/****************************************** 前端没有传   end ******************************************/
}
