package cn.superdesk.uniorder.dto.param.accounting.unified.supplier;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @Description: 供应商结算 > 未对账商品 opt 创建对账单(前端)
 * @Author: linjinyu
 * @CreateDate: 2020/10/28 下午5:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/10/28 下午5:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierCreateParamDimGoodsSelected implements Serializable {

    @ApiModelProperty("统一订单-订单Id")
    private Long unifiedOrderId;
    @ApiModelProperty("统一订单-订单商品Id")
    private Long unifiedOrderGoodsId;
    @ApiModelProperty("第三方系统-商品Id")
    private Long goodsId;
}
