package cn.superdesk.uniorder.dto.param.invoice.common;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 前端searchForm对映
 * @Author: linjinyu
 * @CreateDate: 2021/3/17 下午4:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/3/17 下午4:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceBankCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 流水Id
	 */
	private Long id;

	private List<Long> ids;

	/**
	 * 银行
	 */
	private String bankName;

	/**
	 * 核销状态 0未核销 1已核销 2部分核销
	 */
	private Integer status;

	/**
	 * 收款人
	 */
	private String payee;

	/**
	 * 收款人账号
	 */
	private String payeeAccount;

	/**
	 * 收款日期开始
	 */
	private String payStartTime;

	/**
	 * 收款日期
	 */
	private String payEndTime;

}
