package cn.superdesk.uniorder.dto.param.invoice.common;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/9/22 下午2:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/9/22 下午2:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@Builder(toBuilder = true)
public class InvoiceTypeCacheCriteria implements Serializable {

	public final static String HASHTABLE_KEY_FIELD_ID        = "id";
	public final static String HASHTABLE_KEY_FIELD_TYPE_NAME = "type_name";

	public final static String HASHTABLE = "relation:invoice_type";

	private String hashTableKeyField = "type_name";

	private String hashTable = "relation:invoice_type";
	private String keyField;

	// 过期时间 ms
	private Long expireTime;

}

//eg:
//{
//	"hashTableKeyField": "type_name"
//}
