package cn.superdesk.uniorder.dto.param.invoice.common;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2022-02-10 17:46:12
 */
@Data
@ToString
public class InvoiceTypeModeConfigSzhtxxElectronicInvoiceQueryCriteria extends AnBaseQueryCriteria {

	@ApiModelProperty("")
	private Long   id;
	@ApiModelProperty("")
	private Long   invoiceTypeId;
	@ApiModelProperty("从属模块-customer_goods(客户结算),customer_credit(积分结算),supplier_goods(供应商结算)")
	private String invoiceTypeModule;

	@ApiModelProperty("基本信息-税号-特指开票方-注册企业纳税人识别码")
	private String baseInfoTaxpayersIDCode;
	@ApiModelProperty("基本信息-企业名称-特指开票方-注册企业名称")
	private String baseInfoCompanyName;
	@ApiModelProperty("基本信息-接口信息-接口BaseUrl")
	private String baseInfoBaseUrl;
	@ApiModelProperty("基本信息-接口信息-注册码")
	private String baseInfoRegistrationCode;
	@ApiModelProperty("基本信息-接口信息-授权码")
	private String baseInfoAuthorizationCode;
	@ApiModelProperty("基本信息-接口信息-平台编码")
	private String baseInfoPlatformCode;
	@ApiModelProperty("基本信息-接口信息-密钥")
	private String baseInfoSecretKey;

	@ApiModelProperty("开票规则-开启状态-是否启用:1-启用;0-禁用;")
	private Integer ruleEnable;
	@ApiModelProperty("开票规则-商品行规则(单张发票最大行数) 默认为999")
	private Integer ruleGoodsLines;

	@ApiModelProperty("")
	private Date createTime;
	@ApiModelProperty("")
	private Long createUserId;
	@ApiModelProperty("")
	private Date updateTime;
	@ApiModelProperty("")
	private Long updateUserId;


}
