package cn.superdesk.uniorder.dto.param.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/28 下午5:54
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/28 下午5:54
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class InvoiceTypeModeRuleSuper implements Serializable {

	@ApiModelProperty("开票规则-开启状态-是否启用:1-启用;0-禁用;")
	private Integer ruleEnable;
	@ApiModelProperty("开票规则-商品行规则(单张发票最大行数) 0为不限")
	private Integer ruleGoodsLines;
}
