package cn.superdesk.uniorder.dto.param.invoice.customer.fundrestream;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-07-23 15:30:45
 */
@Data
@ToString
public class InvoiceBankStatementOffParam implements Serializable {

	@ApiModelProperty("")
	private Long       id;
	@ApiModelProperty("")
	private String     hxSn;
	@ApiModelProperty("银行流水Ids")
	private String     invBankIds;
	@ApiModelProperty("")
	private String     invIds;
	@ApiModelProperty("")
	private Integer    hxStatus;
	@ApiModelProperty("")
	private BigDecimal invBankAmount;
	@ApiModelProperty("")
	private BigDecimal invAmount;
	@ApiModelProperty("")
	private Date       createTime;
	@ApiModelProperty("")
	private Long       createUserId;
	@ApiModelProperty("")
	private Date       updateTime;
	@ApiModelProperty("")
	private Long       updateUserId;


}