package cn.superdesk.uniorder.dto.param.invoice.customer.fundrestream;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-07-23 15:30:45
 */
@Data
@ToString
public class InvoiceBankStatementParam implements Serializable {

	@ApiModelProperty("流水Id")
	private Long       id;
	@ApiModelProperty("")
	private String     mainName;
	@ApiModelProperty("银行")
	private String     bankName;
	@ApiModelProperty("金额")
	private BigDecimal count;
	@ApiModelProperty("未核销金额")
	private BigDecimal noCheckCount;
	@ApiModelProperty("是否删除 0删除 1未删除")
	private Integer    enable;
	@ApiModelProperty("核销状态 0-未核销;1-已核销;2-部分核销;")
	private Integer    status;
	@ApiModelProperty("收款人")
	private String     payee;
	@ApiModelProperty("收款人账号")
	private String     payeeAccount;
	@ApiModelProperty("收款日期")
	private Date       payTime;
	@ApiModelProperty("备注")
	private String     remark;
	@ApiModelProperty("")
	private Date       createTime;


}