package cn.superdesk.uniorder.dto.param.invoice.customer.invoiced;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/7/28 下午3:55
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/28 下午3:55
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class InvoiceInvoicedBackCollectionOperationLogQueryCriteria extends AnBaseQueryCriteria {

	@ApiModelProperty("应收账款-发票-系统Id")
	private Long   invoiceInvoicedId;
	@ApiModelProperty("冗余-发票号码")
	private String invoiceNumber;
}
