package cn.superdesk.uniorder.dto.param.invoice.customer.status;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/11/22 下午4:08
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/22 下午4:08
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@ToString
@Data
public class OpMailTickStatusFormInnerListItemV2_1 extends OpChangeStatusBaseItem implements Serializable {


    @ApiModelProperty("发票登记部分-填写税局发票号-运营领票时填充-不动脑思考的产品要求运营寄票时还能去改运营领票时的发票号-要是能这样-何必加个运营领票呢?信息直接都在寄票时填写呀")
    private List<String> invoiceNumber;

    @ApiModelProperty("寄票登记部分-快递公司Id")
    private Long   expressCompanyId;
    @ApiModelProperty("寄票登记部分-快递单号")
    private String expressNo;
}
