package cn.superdesk.uniorder.dto.param.invoice.customer.status;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 积分结算 > 发票管理 > 寄票登记
 * @Author: linjinyu
 * @CreateDate: 2022/4/29 12:49 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/29 12:49 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
@Data
public class OpMailTickStatusFormV2_2 implements Serializable {

    @ApiModelProperty("对账单编号")
    private String accountingOrderSn;

    @ApiModelProperty("寄票登记-快递公司Id")
    private Long   expressCompanyId;
    @ApiModelProperty("寄票登记-快递单号")
    private String expressNo;

    @ApiModelProperty("对账单X发票单-用于感知前端与后端两边的数是否一致")
    private List<OpMailTickStatusFormInnerListItemV2_2> submitList;
}
