package cn.superdesk.uniorder.dto.param.invoice.supplier;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: 开票申请 预览页
 * @Author: linjinyu
 * @CreateDate: 2021/12/8 上午10:02
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/8 上午10:02
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceApplySupplierOpApplyPreViewQueryCriteria extends AnBaseQueryCriteria {


	private Long invoiceApplyId;


//	// 对账单编号
//	params.put("accountingOrderSn", getString("accountingOrderSn"));
//	// 订单编号
//	params.put("orderSn", getString("orderSn"));
//	// 供应商名称
//	params.put("supplierName", getString("supplierName"));

	@ApiModelProperty("所属对账单Id-供应商结算2.0")
	private Long   accountingOrderId;
	@ApiModelProperty("所属对账单编号-供应商结算2.0")
	private String accountingOrderSn;


	@ApiModelProperty("订单编号-预留")
	private String orderSn;
	@ApiModelProperty("供应商名称-预留")
	private String supplierName;

}
