package cn.superdesk.uniorder.dto.param.operation;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * Excel导入日志
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-08-23 10:38:52
 */
@Data
@ToString
public class ExcelImportLogQueryCriteria extends AnBaseQueryCriteria {

    @ApiModelProperty("Id")
    private Long    id;
    @ApiModelProperty("批次Id")
    private String  batchId;
    @ApiModelProperty("区分是什么导入")
    private Integer operationType;
    @ApiModelProperty("操作人 创建时间")
    private Date    createTime;
    @ApiModelProperty("操作人 sysUserId")
    private Long    createUserId;
    @ApiModelProperty("操作人 sysUserName")
    private String  createUserName;
    @ApiModelProperty("处理结果:-1-正常;2-异常;")
    private Integer processResult;
    @ApiModelProperty("处理过程报告")
    private String  processReport;
    @ApiModelProperty("excel row 转 json")
    private String  rowData;


}