package cn.superdesk.uniorder.dto.param.operationCenter.customer;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author : zx
 * @Create : 2023/4/13 10:37
 * Description : 运营商和项目关联关系
 */
@Data
public class OpCenterOperatorOrgParam implements Serializable {
    private Long id;//运营商id
    private Long operatorsId;//业务方式运营商id
    private String name;//运营商名称
    private String bizPlatformName;//业务平台名称
    private String bizPlatformCode;//业务平台编码
    private Integer isLinkAllOrg;//是否关联所有项目 0 否 1-是
    private String orgIdList;//项目id-多个
    private String orgNameList;
}
