package cn.superdesk.uniorder.dto.param.operationCenter.customer;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/11 09:55
 * Description : 客户管理-开票抬头入参
 */
@Data
public class OperationCenterBillStartParam implements Serializable {
    private Long id;

    private Long customerId;
    @NotNull
    private Byte type;

    @NotNull
    private Byte invoiceType;


    private String billName;


    private String taxpayerSn;


    private String address;


    private String mobile;


    private String bankName;


    private String bankAccount;


    private String email;


    private String remark;

}
