package cn.superdesk.uniorder.dto.param.operationCenter.customer;

import io.swagger.models.auth.In;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Author : zx
 * @Create : 2023/4/11 09:55
 * Description : 客户管理入参
 */
@Data
public class OperationCenterCustomerParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量
    private Long id;

    private Integer type; //类型 1-运营商
    private Integer status;//状态 0-停用 1-启用
    private String customerName;//客户名称
    private String customerSn;//客户编号
    private String customerContact;//客户联系人
    private String business;//业务人员

    //客户管理-结算方案
    private String programmeName;//方案名称
    private String programmeNo;//方案编号

}
