package cn.superdesk.uniorder.dto.param.operationCenter.customer;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author : zx
 * @Create : 2023/4/11 10:54
 * Description : 客户管理新增 修改参数
 */
@Data
public class OperationCenterCustomerSaveParam implements Serializable {
    private Long id;

    private Byte type;

    @NotBlank(message = "客户名称不能为空")
    private String customerName;
    @NotBlank(message = "公司名称不能为空")
    private String companyName;
    @NotBlank(message = "公司名称不能为空")
    private String socialCreditCode;
    private String address;

    private String contact;

    private String mobile;

    private String email;

    private Long businessId;

    private String businessName;

    private String remark;

    private Byte status;


}
