package cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement;

import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.sys.SysSelectVo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/5/10 17:06
 * Description : 结算范围
 * 当选择 部分订单不参与结算
 *
 */
@Data
public class UnifiedSettlementRangeRuleParam implements Serializable {
    private Integer display;//排序 序号
    private Integer way;//方式 SettlementRangeWayEnum
    //指定供应商，指定订单类型，指定支付方式
    private String notJoiningRange;//不参与结算范围

    List<OperationCenterVo> sysSelectVoList;


}
