package cn.superdesk.uniorder.dto.param.operationCenter.operators;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/3/28 11:27
 * Description : 运营商入参
 */
@Data
public class OperationCenterOperatorsParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量

    //业务平台
    private String platformCode;
    //运营商名称
    private String operatorsName;
    //运营商-表中id多个"," 隔开
    private List<Long> operatorsIdList;

    private String orderBy;
}
