package cn.superdesk.uniorder.dto.param.operationCenter.operators;

import cn.superdesk.uniorder.dto.vo.operationCenter.customer.OperationCenterPaymentCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.operators.OperationCenterPaymentOperatorVo;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/3/30 10:24
 * Description : 支付方式关联运营商入参
 */
@Data
public class OperationCenterPaymentCustomerParam implements Serializable {
    // 关联运营商类型 1-不关联 2-关联所有运营商 3-关联指定运营商
    @NotNull
    private Integer associateType;

    //支付方式ID
    @NotNull
    private Long paymentId;

    private String paymentName;
    //已选客户
    List<OperationCenterPaymentCustomerVo> operationCenterPaymentCustomerVos;







}
