package cn.superdesk.uniorder.dto.param.operationCenter.payment;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Author : zx
 * @Create : 2023/3/29 16:38
 * Description :支付方式配置查询条件
 */
@Data
public class OperationCenterPayParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量


    //状态 0-停用 1-启用
    private String enabled;
    //平台支付方式名称
    private String payName;
    //客户
    private Long customerId;
}
