package cn.superdesk.uniorder.dto.param.operationCenter.payment;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Author : zx
 * @Create : 2023/3/29 11:35
 * Description : 业务支付方式参数
 */
@Data
public class OperationCenterPaymentBizParam implements Serializable {
    //业务平台编码
    @NotBlank
    private String bizPlatformCode;
    //业务支付方式id
    @NotBlank
    private String bizPayTypeId;
    //业务支付方式名称
    @NotBlank
    private String bizPayTypeName;

}
