package cn.superdesk.uniorder.dto.param.order.base;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-07-13 14:07:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-07-13 14:07:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderAppraiseQueryCriteria extends AnBaseQueryCriteria {

    @ApiModelProperty("")
    private Long    id;
    @ApiModelProperty("")
    private String  sn;
    @ApiModelProperty("")
    private Integer appraiseLevel;
    @ApiModelProperty("")
    private String  appraiseContent;
    @ApiModelProperty("")
    private String  pics;
    @ApiModelProperty("")
    private Integer tranLevel;
    @ApiModelProperty("")
    private String  tranContent;
    @ApiModelProperty("")
    private Integer serviceLevel;
    @ApiModelProperty("")
    private String  serviceContent;
    @ApiModelProperty("")
    private Integer describesLevel;
    @ApiModelProperty("")
    private Integer appendState;
    @ApiModelProperty("")
    private String  userName;
    @ApiModelProperty("")
    private Date    createTime;
    @ApiModelProperty("")
    private Long    createUserId;
    @ApiModelProperty("")
    private Integer sysState;


}