package cn.superdesk.uniorder.dto.param.order.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/7/14 11:16 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/7/14 11:16 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderGoodsOpSetOperationTaxCodeForm implements Serializable {

//    goodsId: 5128573
//
//    unifiedOrderCreditId: 1581079
//    unifiedOrderGoodsId: 1911428
//    unifiedOrderId: 1167018

    @ApiModelProperty("统一订单-发票申请Id")
    private Long invoiceApplyId;

    @ApiModelProperty("统一订单-订单流水Id")
    private Long unifiedOrderCreditId;
    @ApiModelProperty("统一订单-订单商品Id")
    private Long unifiedOrderGoodsId;
    @ApiModelProperty("第三方-商品Id")
    private Long goodsId;
    @ApiModelProperty("第三方-订单商品Id")
    private Long outSnapshotOrderGoodsId;
    @ApiModelProperty("统一订单-订单Id")
    private Long unifiedOrderId;

    @ApiModelProperty("平台税率ID-20210413-添加")
    private Long       operationTaxId;
    @ApiModelProperty("平台税率编码-20210413-添加")
    private String     operationTaxCode;
    @ApiModelProperty("平台税率-20210413-添加")
    private BigDecimal operationTaxRate;



}
