package cn.superdesk.uniorder.dto.param.order.base;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-07-13 14:07:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-07-13 14:07:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderProfitQueryCriteria extends AnBaseQueryCriteria {

    @ApiModelProperty("")
    private Long       id;
    @ApiModelProperty("")
    private String     orderSn;
    @ApiModelProperty("")
    private String     orderSnReturn;
    @ApiModelProperty("")
    private BigDecimal profitAmount;
    @ApiModelProperty("")
    private Date       createTime;
    @ApiModelProperty("")
    private Date       updateTime;
    @ApiModelProperty("")
    private Long       virtId;
    @ApiModelProperty("")
    private String     snapshotOrder;
    @ApiModelProperty("")
    private String     snapshotProfit;
    @ApiModelProperty("")
    private BigDecimal proportion;
    @ApiModelProperty("")
    private Long       channelId;
    @ApiModelProperty("")
    private Long       orgId;
    @ApiModelProperty("")
    private String     businessCode;


}