package cn.superdesk.uniorder.dto.param.order.base;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-07-13 14:07:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-07-13 14:07:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderUpdateQueryCriteria extends AnBaseQueryCriteria {

    @ApiModelProperty("")
    private Long    id;
    @ApiModelProperty("")
    private String  orderSn;
    @ApiModelProperty("")
    private Integer payState;
    @ApiModelProperty("")
    private Integer orderState;
    @ApiModelProperty("")
    private String  orderStateName;
    @ApiModelProperty("")
    private Integer completState;
    @ApiModelProperty("")
    private String  userName;
    @ApiModelProperty("")
    private Long    userId;
    @ApiModelProperty("")
    private String  userType;
    @ApiModelProperty("")
    private Date    createTime;


}