package cn.superdesk.uniorder.dto.param.organisation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 集团
 *
 * @author linjinyu
 * @email  linjinyu@avic-s.com
 * @date   2021-04-28 14:08:25
 */
@Data
@ToString
public class SysCliqueParam implements Serializable {

    @ApiModelProperty("集团id")
    private Long id;
    @ApiModelProperty("上级id")
    private Long pid;
    @ApiModelProperty("根节点集团id")
    private Long higherPid;
    @ApiModelProperty("级别,根节点为0")
    private Integer levels;
    @ApiModelProperty("集团名称")
    private String name;
    @ApiModelProperty("集团编码")
    private String code;
    @ApiModelProperty("是否有效")
    private Integer enabled;
    

}