package cn.superdesk.uniorder.dto.param.organisation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业信息
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-08-20 18:35:15
 */
@Data
@ToString
public class SysEnterpriseParam implements Serializable {

	@ApiModelProperty("统一订单-企业Id-sysVirtId")
	private Long    id;
	@ApiModelProperty("")
	private String  serviceNo;
	@ApiModelProperty("第三方-项目Id-outOrgId")
	private Long    organizationId;
	@ApiModelProperty("项目名称")
	private String  organizationName;
	@ApiModelProperty("第三方-企业ID-outVirtId")
	private Long    enterpriseId;
	@ApiModelProperty("企业名称")
	private String  enterpriseName;
	@ApiModelProperty("企业编码")
	private String  enterpriseNo;
	@ApiModelProperty("同步时间")
	private Date    syncTime;
	@ApiModelProperty("其他字段1 占坑用")
	private String  otherField1;
	@ApiModelProperty("其他字段2 占坑用")
	private String  otherField2;
	@ApiModelProperty("其他字段3 占坑用")
	private String  otherField3;
	@ApiModelProperty("")
	private Integer enabled;


}