package cn.superdesk.uniorder.dto.param.organisation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class SysOrgQueryParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量
    @ApiModelProperty("运营商")
    private String compId;
    @ApiModelProperty("业务平台")
    private String bizPlatformCode;
    @ApiModelProperty("删除状态:0-未删除;1-已删除")
    private Integer deleted;
    @ApiModelProperty(value = "项目编码")
    private String organizationNo;
    @ApiModelProperty(value = "项目名称")
    private String organizationName;
}
