package cn.superdesk.uniorder.dto.param.organisation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class SysVirtQueryParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量
    @ApiModelProperty("运营商")
    private String compId;
    @ApiModelProperty("项目")
    private Integer orgId;
    @ApiModelProperty("业务平台")
    private String bizPlatformCode;
    @ApiModelProperty("删除状态:0-未删除;1-已删除")
    private Integer virtDeleted;
    @ApiModelProperty("企业名称")
    private String virtName;
}
