package cn.superdesk.uniorder.dto.param.scheduler;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 定时任务
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-12-17 16:35:26
 */
@Data
@ToString
public class SysQuartzJobParam implements Serializable {

	public static final String JOB_KEY = "JOB_KEY";

	@ApiModelProperty("ID")
	private Long    id;
	@ApiModelProperty("Spring Bean名称")
	private String  beanName;
	@ApiModelProperty("cron 表达式")
	private String  cronExpression;
	@ApiModelProperty("状态:1-暂停;0-启用;")
	private Integer isPause;
	@ApiModelProperty("任务名称")
	private String  jobName;
	@ApiModelProperty("方法名称")
	private String  methodName;
	@ApiModelProperty("参数")
	private String  params;
	@ApiModelProperty("备注")
	private String  remark;
	@ApiModelProperty("")
	private Date    createTime;
	@ApiModelProperty("")
	private Long    createUserId;
	@ApiModelProperty("")
	private Date    updateTime;
	@ApiModelProperty("")
	private Long    updateUserId;


}