package cn.superdesk.uniorder.dto.param.scheduler;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 定时任务-时刻任务-对账单
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-12-17 16:35:26
 */
@Data
@ToString
public class SysQuartzScheduleTaskStatementOfAccountParam implements Serializable {

	@ApiModelProperty("ID")
	private Long    id;
	@ApiModelProperty("对账单名 eg:某某企业 12月对账单")
	private String  statementOfAccountName;
	@ApiModelProperty("对账单类型 1-客户结算;2-供应商结算;")
	private Integer statementOfAccountType;
	@ApiModelProperty("")
	private String  serviceNo;
	@ApiModelProperty("订单类型-订单来源渠道")
	private String  servicesName;
	@ApiModelProperty("统一订单 项目ID")
	private Long    sysOrgId;
	@ApiModelProperty("统一订单 企业ID")
	private Long    sysVirtId;
	@ApiModelProperty("服务之窗 项目ID")
	private Long    outOrgId;
	@ApiModelProperty("服务之窗 企业ID")
	private Long    outVirtId;
	@ApiModelProperty("状态:1暂停、0启用")
	private Integer isPause;
	@ApiModelProperty("任务名称")
	private Long    jobId;
	@ApiModelProperty("运行状态:-1-失败;0-待命;1-成功")
	private Integer runState;
	@ApiModelProperty("参数json ,记录 什么条件生成")
	private String  params;
	@ApiModelProperty("备注")
	private String  remark;
	@ApiModelProperty("")
	private Date    createTime;
	@ApiModelProperty("")
	private Long    createUserId;
	@ApiModelProperty("")
	private Date    updateTime;
	@ApiModelProperty("")
	private Long    updateUserId;
	@ApiModelProperty("")
	private Date    runTime;
	@ApiModelProperty("")
	private Date    finishTime;
	@ApiModelProperty("报告-查看异常")
	private String  report;


}
