package cn.superdesk.uniorder.dto.param.setting;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-03-19 17:43:24
 */
@Data
@ToString
public class UnifiedServicePartGoodsTransportParam implements Serializable {

	@ApiModelProperty("")
	private Long id;

	@ApiModelProperty("运费-财务编码")
	private String     goodsTransportFiscalCode;
	@ApiModelProperty("运费-税务编码")
	private String     goodsTransportTaxCode;
	@ApiModelProperty("运费-税率%")
	private BigDecimal goodsTransportTaxRate;

	@ApiModelProperty("")
	private Date updateTime;
	@ApiModelProperty("")
	private Long updateUserId;

}