package cn.superdesk.uniorder.dto.param.system.logger;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 监控日志
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-07-05 16:35:25
 */
@Data
@ToString
public class SysMonitorFunctionLogParam implements Serializable {

	@ApiModelProperty("")
	private Long   id;
	@ApiModelProperty("")
	private String clazzName;
	@ApiModelProperty("")
	private String methodName;
	@ApiModelProperty("")
	private String annotations;
	@ApiModelProperty("")
	private String args;
	@ApiModelProperty("")
	private Date   startTime;
	@ApiModelProperty("")
	private Date   endTime;
	@ApiModelProperty("")
	private Long   timeConsuming;


}