package cn.superdesk.uniorder.dto.param.system.notify;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-03-01 17:37:17
 */
@Data
@ToString
public class SysNotifyParam implements Serializable {

    @ApiModelProperty("")
    private Long id;

    @ApiModelProperty("")
    private Integer isDeleted;

    @ApiModelProperty("通知类型:1000-websocket")
    private Integer categoryId;

    @ApiModelProperty("")
    private Date fromTime;
    @ApiModelProperty("")
    private Long fromUserId;

    @ApiModelProperty("")
    private Date toTime;
    @ApiModelProperty("")
    private Long toUserId;

    @ApiModelProperty("是否已读:0-未读;1-已读;")
    private Integer isReaded;
    @ApiModelProperty("")
    private Date    readTime;

    @ApiModelProperty("")
    private String  identifier;
    @ApiModelProperty("")
    private Integer templateId;
    @ApiModelProperty("")
    private String  title;
    @ApiModelProperty("")
    private String  content;
    @ApiModelProperty("")
    private String  messageBody;


}