package cn.superdesk.uniorder.dto.param.system.role;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * 一级菜单-二级菜单-按钮 X 开放接口
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-11-01 10:58:18
 */
@Data
@ToString
public class SysMenuOpenApiQueryCriteria extends AnBaseQueryCriteria {

	@ApiModelProperty("")
	private Long    id;
	@ApiModelProperty("归属谁 sysUserId")
	private Long    belongWho;
	@ApiModelProperty("开放等级,设想,值再定吧å")
	private Integer level;
	@ApiModelProperty("")
	private String  requestType;
	@ApiModelProperty("")
	private String  clazzUrl;
	@ApiModelProperty("")
	private String  methodUrl;
	@ApiModelProperty("")
	private String  clazzDesc;
	@ApiModelProperty("")
	private String  methodDesc;
	@ApiModelProperty("")
	private String  clazzName;
	@ApiModelProperty("")
	private String  methodName;
	@ApiModelProperty("创建时间")
	private Date    createTime;
	@ApiModelProperty("操作人 sysUserId")
	private Long    createUserId;
	@ApiModelProperty("操作人 sysUserName")
	private String  createUserName;
	@ApiModelProperty("最近更新时间")
	private Date    updateTime;
	@ApiModelProperty("操作人 sysUserId")
	private Long    updateUserId;
	@ApiModelProperty("操作人 sysUserName")
	private String  updateUserName;
	@ApiModelProperty("软删除:0-未删除;1-已删除")
	private Integer deleted;
	@ApiModelProperty("是否启用:1-启用;0-禁用;")
	private Integer enabled;


}