package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;


/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 2021/10/26 下午12:02
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/26 下午12:02
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 * {@link cn.superdesk.uniorder.service.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportService#findUnifiedSupplierCreateDimGoodsParam}
 */
@Builder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierOrderJdCheckUpReportTaskQueryCriteria implements Serializable {

    /**************************************** accounting_unified_supplier_order_jd_check_up_report ausuojcur start ****************************************/

    @ApiModelProperty("批次Id")
    private String  batchId;
    @ApiModelProperty("处理结果:-1-正常;2-异常;")
    private Integer processResult;

    @ApiModelProperty("accounting_unified_supplier_order_jd_check_up_report.jdOrderSn")
    private String  jdOrderSn;
    @ApiModelProperty("accounting_unified_supplier_order_jd_check_up_report.orderSn")
    private String  orderSn;

    /**************************************** accounting_unified_supplier_order_jd_check_up_report ausuojcur   end ****************************************/


    /**************************************** uog x uo start ****************************************/

    @ApiModelProperty("")
    private Integer accountingStateSupplier;

    /**************************************** uog x uo   end ****************************************/
}
