package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/7/1 9:44 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/7/1 9:44 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class AccountingUnifiedSupplierOrderJdImportLiteVersionFacadeExcelRow implements Serializable {

    @ApiModelProperty("京东订单编号")
//    @ExcelProperty(value = "京东订单编号", index = 0)
    @ExcelProperty(index = 0)
    private String jdOrderSn;

    @ApiModelProperty(value = "订单金额 159.18")
//    @ExcelProperty(value = "订单金额", index = 1)
    @ExcelProperty(index = 1)
    private String jdOrderAmountStr;
}
