package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import cn.superdesk.uniorder.common.enums.thirdpart.jd.SysQuartzScheduleTaskStatementOfAccountIsPauseEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/29 10:30 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/29 10:30 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class SysQuartzScheduleTaskStatementOfAccountJdOpSetIsPauseForm implements Serializable {

    @ApiModelProperty("对账单号")
    private String batchId;

    @ApiModelProperty("前端不用传;在接口上体现")
    private SysQuartzScheduleTaskStatementOfAccountIsPauseEnum isPauseEnum;
}
