package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/9 10:35 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/9 10:35 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class SysQuartzScheduleTaskStatementOfAccountJdOpSetRemarkForm implements Serializable {

    @ApiModelProperty("sysQuartzScheduleTaskStatementOfAccountJdId opList 上的Id")
    private Long   sysQuartzScheduleTaskStatementOfAccountJdId;
    @ApiModelProperty("备注")
    private String remark;
}
