package cn.superdesk.uniorder.dto.param.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingUnifiedSupplierOpCreateParamDimGoods;
import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingUnifiedSupplierXGoodsParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author xc
 * @description 集采供应商对账单入库参数 由service层返回
 * @date 2022/4/24 15:04
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QchjcSupplierStorageParam {

    private AccountingUnifiedSupplierOpCreateParamDimGoods formParam;
    private LoginSysUser                                   loginUser;
    private List<AccountingUnifiedSupplierXGoodsParam> xGoodsList;
}
