package cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.common.becomeInvalid;

import cn.superdesk.uniorder.common.enums.common.CommonFormStateEnum;
import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @Description: op作废发票
 * @Author: linjinyu
 * @CreateDate: 2022/4/28 9:47 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/28 9:47 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SzhtxxInvoiceFptxxOpBecomeInvalidForm implements Serializable {

    /**************************************** 表单状态 start ****************************************/

    @ApiModelProperty("表单状态:1-预览;2-提交;-前端不用传(传了会报错) enum 引用 CommonFormStateEnum")
    private CommonFormStateEnum formState;

    /**************************************** 表单状态 start ****************************************/

    /**************************************** op作废发票->op确认作废 start ****************************************/

    @ApiModelProperty("op作废发票-szhtxxElectronicInvoiceFptxxId")
    private Long   szhtxxElectronicInvoiceFptxxId;
    @ApiModelProperty("op作废发票-发票请求唯一流水号:对当前列表数据中`开票申请编号`字段内容,`精确`查询;")
    private String fpqqlsh;
    @ApiModelProperty("op作废发票-作废原因(对映前端界面 *作废原因)")
    private String becomeInvalidReason;
    @ApiModelProperty("op作废发票-invoiceApplyId")
    private Long   invoiceApplyId;
    @ApiModelProperty("op作废发票-开票申请编号")
    private String invoiceApplySn;

    /**************************************** op作废发票->op确认作废   end ****************************************/

    /**************************************** 深圳航信纸质票-返回时传 start ****************************************/

    @ApiModelProperty("深圳航信纸质票-返回时传-batchId")
    protected String batchId;
    @ApiModelProperty("深圳航信纸质票-返回时传-编码串")
    @JsonProperty("ENCMSG")
    @JSONField(name = "ENCMSG")
    protected String ENCMSG;

    /**************************************** 深圳航信纸质票-返回时传 start ****************************************/

}
