package cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.common.redBitchLlq;

import cn.superdesk.uniorder.common.enums.common.CommonFormStateEnum;
import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SzhtxxInvoiceFptxxOpRedLowerWorkLlqForm implements Serializable {

    /**************************************** 表单状态 start ****************************************/

    @ApiModelProperty("表单状态:1-预览;2-提交;-前端不用传(传了会报错) enum 引用 CommonFormStateEnum")
    private CommonFormStateEnum formState;

    /**************************************** 表单状态 start ****************************************/

    /**************************************** op下载红字信息表-op确认下载 start ****************************************/

    @ApiModelProperty("op下载红字信息表-op确认下载-信息表编号")
    private String redTaxInfoSn;
    @ApiModelProperty("op下载红字信息表-op确认下载-购买方税号")
    private String ghfNsrsbh;
    @ApiModelProperty("op下载红字信息表-op确认下载-销售方税号")
    private String xhfNsrsbh;

    /**************************************** op下载红字信息表-op确认下载   end ****************************************/


    /**************************************** 共用部分 start ****************************************/

    @ApiModelProperty("共用部分-batchId")
    protected String batchId;
    @ApiModelProperty("共用部分-编码串")
    @JsonProperty("ENCMSG")
    @JSONField(name = "ENCMSG")
    protected String ENCMSG;

    /**************************************** 共用部分 start ****************************************/

}
