package cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 *
 * @author linjinyu
 * @email  linjinyu@avic-s.com
 * @date   2022-01-24 11:50:43
 */
@Data
@ToString
public class SzhtxxElectronicInvoiceFptxxResultParam implements Serializable {

    @ApiModelProperty("Id")
    private Long id;
    @ApiModelProperty("引用ref.szhtxx_fptxx.fpqqlsh发票请求唯一流水号^_^每张发票的发票请求唯一流水号无重复,由企业定义.限制固定20位.流水号包含公司简称(如:华为终端:HWZD************)")
    private String fpqqlsh;
    @ApiModelProperty("合计不含税金额^_^默认为0,小数点后2位,以元为单位精确到分开票成功,必填项")
    private BigDecimal hjbhsje;
    @ApiModelProperty("合计税额^_^默认为0,小数点后2位,以元为单位精确到分,开票成功,必填项")
    private BigDecimal hjse;
    @ApiModelProperty("开票日期^_^YYYYMMDDHHMISS")
    private String     kprq;
    @ApiModelProperty("发票代码^_^开票成功,必填项")
    private String fpdm;
    @ApiModelProperty("发票号码^_^开票成功,必填项")
    private String fphm;
    @ApiModelProperty("PDF下载链接^_^开票成功,必填项")
    private String pdfUrl;
    @ApiModelProperty("校验码^_^开票成功,必填项")
    private String jym;
    @ApiModelProperty("所属月份^_^yyyyMM")
    private String ssyf;
    @ApiModelProperty("分机号^_^分机号")
    private String fjh;
    @ApiModelProperty("二维码^_^开票成功必填")
    private String ewm;
    @ApiModelProperty("签名值^_^签名值")
    private String szqm;
    @ApiModelProperty("0000")
    private String returnCode;
    @ApiModelProperty("发票开具成功")
    private String returnMsg;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("操作人 sysUserId")
    private Long createUserId;
    @ApiModelProperty("操作人 sysUserName")
    private String createUserName;
    @ApiModelProperty("最近更新时间")
    private Date updateTime;
    @ApiModelProperty("操作人 sysUserId")
    private Long updateUserId;
    @ApiModelProperty("操作人 sysUserName")
    private String updateUserName;
    @ApiModelProperty("软删除:0-未删除;1-已删除")
    private Integer deleted;


}
