package cn.superdesk.uniorder.dto.receive.consumer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/6/25 上午11:54
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/6/25 上午11:54
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class BaseReceiveParam implements Serializable {

	@ApiModelProperty("统一订单 接收到信息 生成 统一uid 不传 (本地系统)")
	private String uid;

	@ApiModelProperty("外部系统 发送时信息 生成 messageId 选传 (外部系统)")
	private String messageId;
}