package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.opcenter;


import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
@Data
public class UnifiedFlscOrderCreditParam {
    @NotBlank
    private String orderCreditId;//流水主键id
    @NotBlank
    private String orderGoodsId;//订单商品id
    private String bizTransactionNumber;//业务支付流水号
    private String thirdPartyTransactionNumber;//三方支付流水号
    @NotNull
    private int goodsTypeId;//商品类型id
    @NotBlank
    private String goodsId;//商品id
    @NotBlank
    private String goodsName;//商品名称
    @NotNull
    private BigDecimal orderAmount;//订单金额（流水实际支付/退款金额）
    private String creditTypeId;//积分类型id
    private String creditTypeName;//积分类型名称
    private String batch;//积分批次
    @NotBlank
    private String transactorId;//交易人id
    @NotBlank
    private String enterpriseId;//企业id
    @NotBlank
    private String orgId;//项目id
    @NotBlank
    private String operatorId;//运营商id
    @NotBlank
    private String bizPayTypeId;//业务支付方式id
    @NotBlank
    private String bizPayTypeName;//业务支付方式名称
    @NotNull
    private int payStatusId;//支付状态id
    @NotBlank
    private String tradingTime;//支付/退款时间
}