package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.score.refund;

import cn.superdesk.uniorder.dto.receive.consumer.BaseReceiveParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: 企业福利-侨城汇-退单
 * @Author: linjinyu
 * @CreateDate: 8/12/20 4:46 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 8/12/20 4:46 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class ScoreOrderRefundReceiveParam extends BaseReceiveParam {


	/**
	 * order : {"ordersn":"ME20200722150905822211","project_id":"0","parentid":"47808","integralCredit":[{"enterprise_id":"4","member_id":"8542","credit_type":"1","batchs":"JF20200721155729831","balance":"10.00","orderid":"47809","goodsid":"2479969","createtime":"1595403735","pay_status":"1","pay_type":"1","credit_name":"福利积分","daily_account_type":"3"},{"enterprise_id":"4","member_id":"8542","credit_type":"0","batchs":"wechat","balance":"10.19","orderid":"47809","goodsid":"2479969","createtime":"1595403735","pay_status":"1","pay_type":"2","credit_name":null,"daily_account_type":"3"}]," refundno ":"SR20200722153451040481","amount":"","complet_state":1}
	 * goods : {"refundno":"SR20200722153451040481","goods_name":"我是准备测试复制的商品3333333","goods_id":"2479969","refund_total":"1","cost_price":"8.00","realprice":"40.40","total":"2","orderid":"47809","price":20.19}
	 */

	@ApiModelProperty("订单信息")
	private ScoreOrderRefundOrderReceiveParam order;
	@ApiModelProperty("订单商品信息")
	private ScoreOrderRefundGoodsReceiveParam goods;

}
