package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.qyng.refund;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/6/28 下午5:06
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/6/28 下午5:06
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedQyngRefundOrderGoodsReceiveParam implements Serializable {

	/**
	 * refundno : SR20210622193440124176
	 * goods_name : 西班牙进口 公鸡(GALLO)直条形意大利面3#1000g　直形意面条
	 * goods_id : 187
	 * refund_total : 1
	 * cost_price : 20.00
	 * realprice : 23.80
	 * total : 1
	 * orderid : 123885
	 * price : 23.80
	 */

	@JsonProperty("orderid")
	private Long   orderId;
	@ApiModelProperty("修改 - 20211130 - 退单编号 refundno 修正为 refundOrderSn")
	@JsonProperty("refundOrderSn")
	private String refundOrderSn;
	@JsonProperty("goods_name")
	private String goodsName;
	@JsonProperty("goods_id")
	private Long   goodsId;


	private Integer total;
	@JsonProperty("refund_total")
	private Integer refundTotal;

	private BigDecimal price;
	@JsonProperty("cost_price")
	private BigDecimal costPrice;
	@JsonProperty("realprice")
	private BigDecimal realPrice;
}
