package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.qyng.refund;

import cn.superdesk.uniorder.dto.receive.consumer.BaseReceiveParam;
import lombok.Data;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 下午5:07
 * @UpdateUser: linjinyu
 * @UpdateDate: 下午5:07
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedQyngRefundOrderReceiveParam extends BaseReceiveParam {


	/**
	 * order : {"ordersn":"ME20210619085628276348","project_id":"0","parentid":"123881","refundno":"SR20210622193440124176","amount":"","complet_state":1}
	 * goods : {"refundno":"SR20210622193440124176","goods_name":"西班牙进口 公鸡(GALLO)直条形意大利面3#1000g　直形意面条","goods_id":"187","refund_total":"1","cost_price":"20.00","realprice":"23.80","total":"1","orderid":"123885","price":"23.80"}
	 */

	private UnifiedQyngRefundOrderOrderReceiveParam order;
	private UnifiedQyngRefundOrderGoodsReceiveParam goods;

}
