package cn.superdesk.uniorder.dto.vo._dashboard;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/***
 * 年度采购情况
 */
@Data
public class UnifiedDashboardYearPurchaseVo implements Serializable {


	private String projectName; //项目名称
	private String virtName;//企业名称
	private String yearStr;//年度名称
	private String monthNumStr;//月度名称
	private Integer monthNum;

	private Integer orderNum;


	/**
	 * 单位-万
	 */
	private  BigDecimal orderAmount;

	public UnifiedDashboardYearPurchaseVo() {
	}

	public UnifiedDashboardYearPurchaseVo(Integer monthNum, Integer orderNum, BigDecimal orderAmount) {
		this.monthNum = monthNum;
		this.orderNum = orderNum;
		this.orderAmount = orderAmount;
	}
}
