package cn.superdesk.uniorder.dto.vo._statistics;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description 应收每日数据Vo
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReceivableDayDataVo implements Serializable {



    private  String detailId;  //明细数据Id 用于返回

    private String pertainMonth; //所属月份

    private Date accountAt; //入账日期

    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private Byte creditType;

    private String creditName;

    private String serviceNo;
    private String serviceNoName;

    private BigDecimal operationTaxRate;

    private BigDecimal incomeNoTax;

    private BigDecimal taxAmount;

    private BigDecimal receivableAmount;

    private String accountingOrderSn; //所属对账单编号

}
