package cn.superdesk.uniorder.dto.vo._statistics;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description 应收每日数据 导出使用
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReceivableStatisticsDayDataByExcelVo implements Serializable {


    private Long id;

    private  String detailId;  //明细数据Id 用于返回

    private String pertainMonth; //所属月份

    private Date accountAt; //入账日期

    private String formatAccountAt;

    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private String serviceNo;
    private String serviceNoName;

    private String accountTypeName; //入账类型

    private Byte creditType;

    private String creditName;

    private BigDecimal operationTaxRate;

    private BigDecimal formatOperationTaxRate;

    private BigDecimal incomeNoTax;

    private BigDecimal taxAmount;

    private BigDecimal receivableAmount;

    private String accountingOrderSn;

    private Date createdAt;

    private String createUserName;

    private String updateUserName;

    private Date updateTime;

    private String accountWayName; //入账方式

}
