package cn.superdesk.uniorder.dto.vo._statistics;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description 应收明细数据 导出使用
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReceivableStatisticsDetailDataByExcelVo implements Serializable {


    private Long id;

    private String pertainMonth;


    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private String orderSn;

    private String refundOrderSn;

    private String creditNo;

    private String serviceNo;

    private String serviceNoName;

    private Byte orderState;

    private String orderStateName;

    private Date billCreatedAt;

    private Date finishTime;

    private Long goodsId;

    private String goodsName;

    private String goodsUnit;

    private Long goodsQuantity;

    private BigDecimal goodsPrice;

    private BigDecimal goodsTotalAmount;

    private Byte creditType;

    private String creditName;

    private BigDecimal balance;

    private BigDecimal operationTaxRate;

    ///100后
    private BigDecimal formatOperationTaxRate;

    private String operationTaxCode;

    private String accountingOrderSn;

    private Byte accountingState;

    private Byte makeInvoiceStatus;

    private Byte backStatus;

    private BigDecimal incomeNoTax;

    private BigDecimal taxAmount;

    private BigDecimal receivableAmount;

    private Date createdAt;
    private String createTimeStr;

    private Date accountAt;
    private String accountAtStr;

    private Byte accountState;

    private String accountTypeName;
    private String accountWayName;

    protected  String remark;


    private Long chargeReceivableDayId;

    private String collectionOrderSn;

    private Byte chargeStatus;

    private Long chargeUserId;

    private Date chargeCreatedAt;

    private String createUserName;

    private String updateUserName;

    private Date updateTime;
    private Date updateTimeStr;

    private String accountingTypeName; //对账状态 1-已确认;-1-已取消


    private String chargeUserName;

    private String chargeStatusName;

    private String accountStateName;//入账状态 0未入账 1已入账 3撤销入账 4已撤销

}
