package cn.superdesk.uniorder.dto.vo._statistics.payable;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author xc
 * @description 应付数据列表vo
 * @date 2022/6/21 15:33
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PayableBalanceDetail implements Serializable {
    private String seq;//序号
    private String settlementName;//供应商名称
    private String serviceNoName;//平台
    private BigDecimal payableAmount;//应付账款
    private BigDecimal actualPay;//实付账款
    private BigDecimal endingBalance;//期末余额
}
