package cn.superdesk.uniorder.dto.vo._statistics.payable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description 应付明细数据 导出使用
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayableStatisticsDetailDataByExcelVo implements Serializable {


    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private String orderSn;

    private String refundOrderSn;

    private String creditNo;

    private String serviceNo;

    private String serviceNoName;

    private Byte orderState;

    private String orderStateName;

    private Date billCreatedAt;

    private Date finishTime;

    private Long goodsId;

    private String goodsName;

    private String goodsUnit;

    private Long goodsQuantity;

    private BigDecimal goodsPrice;

    private BigDecimal goodsTotalAmount;

    private String merchTaxCode;

    private BigDecimal merchTaxRate;

    private BigDecimal formatMerchTaxRate;

    private Byte accountingState;

    private Byte makeInvoiceStatus;

    private Byte backStatus;

    private BigDecimal costNoTax;

    private BigDecimal taxAmount;

    private BigDecimal payableAmount;

    private Date accountAt;

    private Byte accountState; //入账状态

    private String accountTypeName;

    private Date createdAt;

    protected  String remark;

    private String dataTypeName;

    private Long chargePayableDayId;

    private String collectionOrderSn;

    private Byte chargeStatus;

    private Long chargeUserId;

    private Date chargeCreatedAt;

    private String createUserName;

    private String updateUserName;

    private Date updateTime;

    private String accountingTypeName;

    private Long chargeGoodsId;

    private Long id;

    private BigDecimal balanceCost;//结算成本

    private String chargeStatusName;

    private String chargeUserName;

    private String accountStateName; //入账状态 0未入账 1已入账 3撤销入账 4已撤销

    private String accountingOrderSn;

}
