package cn.superdesk.uniorder.dto.vo.accounting.score.customer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/11/16 下午5:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/16 下午5:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class AccountingOrderScoreCustomerOpCreatePreviewReport implements Serializable {

	@ApiModelProperty("数据变动 输入与输出条件不一至 大概情况就是 某些记录已经拿到对账或订单取消 作废")
	private String dataChangeReport;

	@ApiModelProperty("存在 数据变动 的订单号")
	private List<String> orderSnsDataChange;
	@ApiModelProperty("存在 订单状态 未完成 的订单号")
	private List<String> orderSnsCompletStateEq2;
	@ApiModelProperty("存在 锁单状态 锁定 的订单号 积分结算目前是没有销单逻辑,用的是供应商结算的锁单逻辑的信息来判定")
	private List<String> orderSnsOrderLockingSupplierEq1;

}
