package cn.superdesk.uniorder.dto.vo.accounting.unified.customer.notyet;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class UnifiedOrderCustomerHeadSumVo implements Serializable {

	/**
	 * 订单数
	 */
	private Integer    total;
	/**
	 * 订单 销售金额(订单维度)
	 */
	private BigDecimal orderAmount;
	/**
	 * 订单 成本金额(订单维度)
	 */
	private BigDecimal orderCostAmount;


	/**
	 * 订单 销售金额(商品维度)
	 */
	private BigDecimal goodsAmount;
	/**
	 * 订单 成本金额(商品维度)
	 */
	private BigDecimal goodsCostAmount;

	/**
	 * 订单运费 销售金额(商品维度)
	 */
	private BigDecimal transportAmount;
	/**
	 * 订单运费 成本金额(商品维度)
	 */
	private BigDecimal transportCostAmount;


	/**
	 * 订单 退款 销售金额(商品维度) TODO refundOrderAmount
	 */
	private BigDecimal refundAmount;
	/**
	 * 订单 退款 成本金额(商品维度) TODO refundOrderCostAmount
	 */
	private BigDecimal refundCostAmount;

}
