package cn.superdesk.uniorder.dto.vo.accounting.unified.operator;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author : zx
 * @Create : 2023/4/23 15:42
 * Description : 账单基本信息
 */
@Data
public class AccountingBillBaseVo implements Serializable {
    //账单编号
    private String accountingOrderSn;
    //客户名称
    private String customerName;
    //账单周期
    private String accountingCycle;
    //账单金额
    private BigDecimal accountingAmount;
    //驳回原因
    private String rejectReason;
    //取消原因
    private String cancelReason;

}
