package cn.superdesk.uniorder.dto.vo.accounting.unified.operator;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 购买方信息
 */
@Data
public class PurchaserVo  implements Serializable {

    @ApiModelProperty("类型")
    private Integer type;
    @ApiModelProperty("类型")
    private String typeDesc;
    @ApiModelProperty("发票种类")
    private Integer invoiceType;
    @ApiModelProperty("发票种类")
    private String invoiceTypeDesc;
    @ApiModelProperty("名称")
    private String billName;
    @ApiModelProperty("纳税人识别号")
    private String taxpayerSn;
    @ApiModelProperty("地址")
    private String address;
    @ApiModelProperty("电话")
    private String mobile;
    @ApiModelProperty("开户银行")
    private String bankName;
    @ApiModelProperty("账号")
    private String bankAccount;
    @ApiModelProperty("邮箱")
    private String email;
    @ApiModelProperty("备注")
    private String remark;
}
