package cn.superdesk.uniorder.dto.vo.accounting.unified.operator;

import cn.superdesk.uniorder.dto.vo.unified.settlement.RangeRuleVo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 结算方案
 */
@Data
public class SettlementProgrammeVo implements Serializable {
    //客户名称
    //方案名称
    //结算范围
    //订单结算金额
    //结算规则
    private Long id;
    private Long customerId;
    private String customerName;
    private Integer type;
    private String programmeName;
    private String programmeNo;
    private Integer settlementScope;
    private Integer settlementRule;
    private String exportBillName;
    private Integer supnameDisplayRule;
    private String customSupplierName;
    private String exportField;
}
