package cn.superdesk.uniorder.dto.vo.fund;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class SysFundActivatedVoEx extends SysFundActivatedVo implements Serializable {

	private static final long serialVersionUID = 1L;

	private String organizationName;
	private String enterpriseName;

	private String realname;
	private String mobile;

	@ApiModelProperty("发票金额")
	private BigDecimal invoiceCount;

	private String createUserName;
	private String checkUserName;

}
