package cn.superdesk.uniorder.dto.vo.fund;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * sys_fund_user
 *
 * @author
 */
@Data
@ToString
public class SysFundUserVo implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long id;

	/**
	 * 项目id
	 */
	private Long organizationId;
	/**
	 * 企业id
	 */
	private Long enterpriseId;
	/**
	 * 用户id
	 */
	private Long userId;

	/**
	 * 发票总金额
	 */
	private BigDecimal invoiceCount;
	/**
	 * 待激活基金
	 */
	private BigDecimal noActivatedFund;
	/**
	 * 激活基金金额
	 */
	private BigDecimal activatedFundCount;


	private Long createUserId;
	private Date createTime;
	private Long updateUserId;
	private Date updateTime;


}