package cn.superdesk.uniorder.dto.vo.inv;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qzy
 * 发票管理
 */
@Data
public class ViewInvoiceManage implements Serializable {


	private static final long serialVersionUID = -5134632526785399550L;

	private String dzSn; //帐单编码

	private String orderSn;//订单号

	private String buyerInfo;//买家信息
	private String billOrReceiptTime;//下单时间收货时间

	private String orderTime;//下单时间
	private String recipientGoodsTime;//收货时间

	private String invoiceId;//发票表ID 用于寄票登记查询
	private String orderId;//订单ID

	private String mdzId;//dz 帐单ID 用于查询

	private String invoiceNumber;//发票号

	private String companyName;//开票抬头
	private String enterpriseName;//企业名称

	private Integer orderNum;//订单数

	private BigDecimal invoiceAccount;//发票金额\订单金额

	private Date invoiceTime;//开票时间

	private Integer invoiceStatus;//发票状态 0未邮寄 1已邮寄 2已作废

	//不用了
	private Integer makeInvoiceStatus;//开票状态 0未开票 1 已开票

	private Integer backStatus;//回款状态  (0未回款\1部分回款\2全部回款c

	private Integer billStatus; //订单状态 (-1:已关闭,0:待付款,1:待发货,2:待收货,3:已完成
	private Integer payType; //支付方式 (0为未支付 1为余额支付 2在线支付 3 企业月结 11 后台付款 21 微信支付 22 支付宝支付 23 银联支付
	private String  sourceName;//订单类型 (企业采购 1\代客下单 2
	private String  remark;//备注

	private String expressCompanyId;//快递ID
	private String expressNo;//快递单号


}
