package cn.superdesk.uniorder.dto.vo.invoice.common;

import cn.superdesk.uniorder.dto.param.invoice.common.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/11 下午5:39
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/11 下午5:39
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class InvoiceTypeOpInvoiceSettingLoadingVo implements Serializable {

	@ApiModelProperty("回显")
	private InvoiceTypeOpCriteria echo;


	private List<InvoiceTypeMoudelXModeIsDefaultStructModuleMode> moudelXModeIsDefaultStruct;

	@ApiModelProperty("开票方式-线下开票-配置内容")
	private InvoiceTypeModeConfigOffLineParam offLine;

	@ApiModelProperty("开票方式-深圳航信电子发票-配置内容")
	private InvoiceTypeModeConfigSzhtxxElectronicInvoiceParam szhtxxElectronicInvoice;

	@ApiModelProperty("开票方式-深圳航信纸质发票-配置内容")
	private InvoiceTypeModeConfigSzhtxxPaperInvoiceParam szhtxxPaperInvoice;

}
