package cn.superdesk.uniorder.dto.vo.invoice.common;

import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeMoudelXModeIsDefaultStructModuleMode;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/10 下午8:10
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/10 下午8:10
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder(toBuilder = true)
public class InvoiceTypeSelectVo implements Serializable {

	@ApiModelProperty(value = "发票种类Id")
	private Long   invoiceTypeId;
	@ApiModelProperty(value = "发票种类名称")
	private String invoiceTypeName;

	@ApiModelProperty("是否默认:0-正常;1-默认;")
	private Integer isDefault;

	@ApiModelProperty(value = "发票种类下的开票方式")
	private List<InvoiceTypeMoudelXModeIsDefaultStructModuleMode> modes;
}
