package cn.superdesk.uniorder.dto.vo.invoice.customer;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description: "客户结算" + "_" + "开票申请(发票)税务管理软件E6_" + "ExcelAndTxt组件接口版_" + ExcelResponse.addTail() + ".xlsx";
 * @Author: linjinyu
 * @CreateDate: 2021/3/31 下午3:30
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/3/31 下午3:30
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class ExportExcelDimUnifiedInvoiceRegister4E6Vo {

	// 订单编号
	private String     orderSn;
	// ERP单据编号
	// inva.invoice_apply_sn
	private String     invoiceApplySn;
	// 商品及劳务名称
	private String     goodsName;
	// 发票抬头/客户信息(名称)
	private String     invoiceCompanyName;
	// 数量
	private Integer    quantity;
	// 金额(含税/不含税)
	private BigDecimal priceXQuantity;
	// 规格型号  非必填
	private String     selfOption;
	// 计量单位
	private String     unit;
	// 备注
	// inva.remark
	private String     remark;
	// 税率
	private BigDecimal taxRate;
	// 发票种类
	private String     invoiceTypeName;
	// 税收分类编码
	private String     taxCode;
	// 下单人姓名 非必填
	private String     purchaseUserName;
	// 收货人姓名 非必填
	private String     recUserName;

}
