package cn.superdesk.uniorder.dto.vo.invoice.customer;

import cn.superdesk.uniorder.dto.vo.accounting.score.customer.AccountingOrderScoreCustomerListItemVo;
import cn.superdesk.uniorder.dto.vo.invoice.common.InvoiceBankInfoVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 结构体 引用
 * 1. 积分结算-申请开票-opt 搜索 - 积分结算2.0 已适配 积分结算2.1 在用 mark by linjinyu at 20220217
 * @Author: linjinyu
 * @Author: linjinyu
 * @CreateDate: 2022/2/17 下午7:56
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/17 下午7:56
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class InvoiceApplyCustomerSelectScoreStruct implements Serializable {

	@ApiModelProperty("对账单 view obj")
    AccountingOrderScoreCustomerListItemVo  accounting;
	@ApiModelProperty("流水 list")
	List<InvoiceApplyCustomerSelectScoreVo> creditList;
	@ApiModelProperty("销方信息")
	InvoiceBankInfoVo                       bankInfo;
}
