package cn.superdesk.uniorder.dto.vo.invoice.customer;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description: 开票申请 订单维度 Inner List Item
 * @Author: linjinyu
 * @CreateDate: 2021/1/22 上午10:27
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/1/22 上午10:27
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceApplyDetailDimOrderItemVo implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;

	private Long    dzId;
	private String  accountingOrderSn;
	private Long    orderId;
	private String  orderSn;
	private Integer parentOrderId;
	private String  parentOrderSn;


	private String addressRealname;
	private String addressMobile;
	private String addressAddress;

	// auco.invoice_company_name AS invoice_company_name,
	private String  invoiceCompanyName;
	// auco.invoice_taxpayers_i_d_code AS invoice_taxpayers_i_d_code,
	private String  invoiceTaxpayersIDcode;
	private String  invoiceAccount;
	private String  invoiceBank;
	private Integer invoiceType;

	// 发票号
	private String invoiceNumber;
	private String invoiceApplySn; // 修改标记 20211201

	private Date createTime;
	private Date sendTime;
	private Date finishTime;
	private Date syncTime;
	private Date payTime;

	private Integer status;
	private String  statusName;
	private Integer payType;
	private String  payTypeName;

	private String merchName;

	private String orderType;

	private String searchField1;
	private String searchField2;
	private String searchField3;

	private String remarks;


	private Long   examineId;
	// 审核人
	private String examineName;
	private Long   realnameId;
	// 下单人
	private String realname;


	private String detailUrl;

	private Long organizationId;
	private Long enterpriseId;


	private String     dispatchName;
	private BigDecimal dispatchPrice;

//	findInvoiceApplyDetailOldDim1Unified2Goods      aucog.id AS dz_order_goods_id,
//  findInvoiceApplyDetail20210201Dim1Unified2Goods invo.dz_good_id as dz_order_goods_id,
//  findInvoiceApplyDetailNewDim1Unified2Goods      invo.dz_good_id as dz_order_goods_id,
	private Long dzOrderGoodsId;

//	findInvoiceApplyDetailOldDim1Unified2Goods
//  findInvoiceApplyDetail20210201Dim1Unified2Goods uog.id AS unified_order_goods_id,
//  findInvoiceApplyDetailNewDim1Unified2Goods      uog.id AS unified_order_goods_id,
	private Long unifiedOrderGoodsId;

//	findInvoiceApplyDetailOldDim1Unified2Goods      aucog.dz_order_id AS dz_order_id,
//  findInvoiceApplyDetail20210201Dim1Unified2Goods aucuo.id AS dz_order_id,
//  findInvoiceApplyDetailNewDim1Unified2Goods      aucuo.id AS dz_order_id,
	private Long dzOrderId;

	private Long   goodId;
	private String goodno;

	private BigDecimal price;

	private Integer total;

	private BigDecimal unitPrice;

	private String optionname;

	private String unit;

	private String otherField1;
	private String otherField2;

//	findInvoiceApplyDetailOldDim1Unified2Goods      aucog.total_price AS total_price,
//  findInvoiceApplyDetail20210201Dim1Unified2Goods uog.quantity * uog.price AS total_price,
//  findInvoiceApplyDetailNewDim1Unified2Goods      uog.quantity * uog.price AS total_price,
	private BigDecimal totalPrice;

	private String taxCode;
	private String fiscalCode;

	private BigDecimal orderPrice;


	private String invoiceTypeName;

	/****************************************** invoice_order start ******************************************/

	//	<!-- invo.id as invoice_order_id,-->
//	<result column="invoice_order_id" property="invoiceOrderId" jdbcType="BIGINT"/>
	private Long       invoiceOrderId;
	private Date       backTime;
	private BigDecimal waterCount;
	private Long       bankId;

	/****************************************** invoice_order   end ******************************************/

	private Integer backStatus;


}
