package cn.superdesk.uniorder.dto.vo.invoice.customer.invoiced;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class InvoiceInvoicedHeadSum implements Serializable {

	@ApiModelProperty("发票金额: ¥14000.00 应收金额: ¥14000.00 已回款金额: ¥5500.00 待回款金额: ¥8500.00")
	private InvoiceInvoicedHeadSumAmount                 headSumAmount;
	@ApiModelProperty("应收账款: 6 笔 (未回款:2 笔,部分回款:2 笔,已回款:1 笔,红冲发票:1 笔)")
	private List<InvoiceInvoicedHeadSumIsBackCollection> headSumIsBackCollectionList;
	@ApiModelProperty("逾期: 2 笔")
	private List<InvoiceInvoicedHeadSumIsOverdue>        headSumIsOverdueList;
}
