package cn.superdesk.uniorder.dto.vo.invoice.customer.invoiced;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/7/26 下午3:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/26 下午3:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceInvoicedHeadSumAmount implements Serializable {

	@ApiModelProperty("发票金额: ¥14000.00")
	private BigDecimal sumTotalAmountIncludingTax;
	@ApiModelProperty("应收金额: ¥14000.00")
	private BigDecimal sumReceivableAmount;
	@ApiModelProperty("已回款金额: ¥5500.00")
	private BigDecimal sumBackCollectionAmountAlready;
	@ApiModelProperty("待回款金额: ¥8500.00")
	private BigDecimal sumBackCollectionAmountWaitFor;


}
