package cn.superdesk.uniorder.dto.vo.invoice.supplier;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 用于 发票申请 排除已开票的商品
 * 装的是 基于 某对账单Sn 查出这个对账单 商品 已申请开票
 * @Author: linjinyu
 * @CreateDate: 2020/11/4 上午11:36
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/4 上午11:36
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceApplySupplierXUnifiedOrderGoodsEdVo implements Serializable {


    //<!-- usii.id as invoice_apply_x_unified_order_goods_id ,-->
//<result column="invoice_apply_x_unified_order_goods_id" property="invoiceApplyXUnifiedOrderGoodsId" jdbcType="BIGINT" />
    private Long invoiceApplyXUnifiedOrderGoodsId;

    //<!-- usi.id as invoice_apply_id ,-->
//<result column="invoice_apply_id"  property="invoiceApplyId" jdbcType="BIGINT"/>
    private Long invoiceApplyId;

    //<!-- usii.invoice_sn as invoice_apply_sn,-->
//<result column="invoice_apply_sn" property="invoiceApplySn" jdbcType="VARCHAR"/>
    private String invoiceApplySn;

    //<!-- 0 as accounting_order_id ,-->
//<result column="accounting_order_id" property="accountingOrderId" jdbcType="BIGINT" />
    private Long accountingOrderId;

    //<!-- usii.accounting_order_sn,-->
//<result column="accounting_order_sn" property="accountingOrderSn" jdbcType="VARCHAR"/>
    private String accountingOrderSn;

    //<!-- usii.order_sn ,-->
//<result column="order_sn" property="orderSn" jdbcType="VARCHAR"/>
    private String orderSn;

    //<!-- usii.goods_id as unified_order_goods_id-->
//<result column="unified_order_goods_id" property="unifiedOrderGoodsId" jdbcType="BIGINT" />
    private Long unifiedOrderGoodsId;


}
