package cn.superdesk.uniorder.dto.vo.marketing.department;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/11/25 下午5:56
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/25 下午5:56
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedAreaWeb implements Serializable {

	private static final long serialVersionUID = -2842583305387443595L;

	private Long id;

	private Long   parentId;
	private String parentName;

	private Integer lev;

	private String areaName;
	private String areaCode;

	private String customerUsers;
	private String purchaseUsers;

	private String remarks;

	private Date createTime;
	private Long createUserId;
	private Date updateTime;
	private Long updateUserId;

	private String customerUsersName;
	private String purchaseUsersName;

	private BigDecimal kpiTarget;
	private BigDecimal okrTarget;
	private BigDecimal profitKpiTarget;

	private Integer yearly;
	private Integer monthly;

	private List<UnifiedAreaWeb> children;


}
