package cn.superdesk.uniorder.dto.vo.operationCenter.order;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author : zx
 * @Create : 2023/4/27 11:36
 * Description : 流水
 */
@Data
public class OperationCenterOrderTransactionLogVo implements Serializable {
    private Long id;
    //业务类型
    private Byte bizTypeId;
    //订单类型
    private String orderTypeName;
    //订单商品id
    private String orderGoodsId;
    //订单编号
    private String orderSn;
    //业务支付流水号
    private String bizTransactionNumber;
    //三方支付流水号
    private String thirdPartyTransactionNumber;
    //订单时间
    private String orderCreateTime;
    //支付/退款时间
    private String tradingTime;
    //完成时间
    private String finishTime;
    //商品类型
    private Integer goodsTypeId;
    private String goodsTypeDesc;
    //商品id
    private String goodsId;
    //商品sku
    private String goodsSku;
    //商品名称
    private String goodsName;
    //结算金额
    private BigDecimal settlementAmount;
    //支付方式
    private String platformPayTypeName;
    //支付状态
    private Integer payStatusId;
    private String payStatusDesc;
    //积分类型
    private String integralTypeName;
    //积分批次
    private String batch;
    //交易人姓名
    private String transactorName;
    //交易人手机号码
    private String transactorMobile;
    //退单原单号
    private String refundOriginOrderSn;
    //运营商
    private String operatorName;
    //业务平台
    private String bizPlatformName;

}
