package cn.superdesk.uniorder.dto.vo.operationCenter.payment;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Author : zx
 * @Create : 2023/3/29 16:24
 * Description : 业务平台支付方式 封装
 */
@Data
public class OperationCenterPaymentBizVo implements Serializable {
    private Long id;

    //业务平台名称
    @NotBlank
    private String bizPlatformName;
    //业务支付方式名称
    @NotBlank
    private String bizPayTypeName;
}
