package cn.superdesk.uniorder.dto.vo.order;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/4/7 6:04 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/7 6:04 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class AutoCompleteUnifiedOrderCreditDimOrderGoodsStep01Vo implements Serializable {

    @ApiModelProperty(value = "out订单号")
    private String orderSn;
    @ApiModelProperty(value = "out商品Id")
    private Long   goodsId;
}
