package cn.superdesk.uniorder.dto.vo.order;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/24 下午8:08
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/24 下午8:08
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class AutoCompleteUnifiedOrderCreditDimOrderStep01Vo implements Serializable {

	@ApiModelProperty(value = "unifiedOrderId")
	private Long    unifiedOrderId;
	@ApiModelProperty(value = "订单号")
	private String  orderSn;
	@ApiModelProperty(value = "退单号")
	private String  refundOrderSn;
	@ApiModelProperty(value = "订单类型:1-订单;2-退单;")
	private Integer orderType;
}
