package cn.superdesk.uniorder.dto.vo.order.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-07-13 14:07:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-07-13 14:07:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderAppraiseListItemVo implements Serializable {

    @ApiModelProperty("")
    private Long    id;
    @ApiModelProperty("")
    private String  sn;
    @ApiModelProperty("")
    private Integer appraiseLevel;
    @ApiModelProperty("")
    private String  appraiseContent;
    @ApiModelProperty("")
    private String  pics;
    @ApiModelProperty("")
    private Integer tranLevel;
    @ApiModelProperty("")
    private String  tranContent;
    @ApiModelProperty("")
    private Integer serviceLevel;
    @ApiModelProperty("")
    private String  serviceContent;
    @ApiModelProperty("")
    private Integer describesLevel;
    @ApiModelProperty("")
    private Integer appendState;
    @ApiModelProperty("")
    private String  userName;
    @ApiModelProperty("")
    private Date    createTime;
    @ApiModelProperty("")
    private Long    createUserId;
    @ApiModelProperty("")
    private Integer sysState;


}