package cn.superdesk.uniorder.dto.vo.order.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 问题订单
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-07-13 14:07:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-07-13 14:07:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderIssuesDetailVo implements Serializable {

    @ApiModelProperty("")
    private Long    id;
    @ApiModelProperty("问题来源:1-统一订单;")
    private Integer issuesComeFrom;
    @ApiModelProperty("")
    private Long    unifiedOrderId;
    @ApiModelProperty("")
    private String  orderSn;
    @ApiModelProperty("是否是问题:-1-忽略问题;0-不是问题;1-是有问题;")
    private Integer isProblem;
    @ApiModelProperty("是否有处理:-1-不处理;0-待处理;1-进行中;2-已处理;")
    private Integer isProcess;
    @ApiModelProperty("是否有结果:-1-不了了之;0-还没结果;1-有结果;2-;")
    private Integer isResult;
    @ApiModelProperty("")
    private Date    createTime;
    @ApiModelProperty("")
    private Long    createUserId;
    @ApiModelProperty("")
    private Date    updateTime;
    @ApiModelProperty("")
    private Long    updateUserId;
    @ApiModelProperty("问题记录报告")
    private String  problemReport;
    @ApiModelProperty("处理过程报告")
    private String  processReport;
    @ApiModelProperty("处理结果报告")
    private String  resultReport;


}