package cn.superdesk.uniorder.dto.vo.order.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-07-13 14:07:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-07-13 14:07:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderUpdateListItemVo implements Serializable {

    @ApiModelProperty("")
    private Long    id;
    @ApiModelProperty("")
    private String  orderSn;
    @ApiModelProperty("")
    private Integer payState;
    @ApiModelProperty("")
    private Integer orderState;
    @ApiModelProperty("")
    private String  orderStateName;
    @ApiModelProperty("")
    private Integer completState;
    @ApiModelProperty("")
    private String  userName;
    @ApiModelProperty("")
    private Long    userId;
    @ApiModelProperty("")
    private String  userType;
    @ApiModelProperty("")
    private Date    createTime;


}