package cn.superdesk.uniorder.dto.vo.score;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: xml id getScoreOrderReconciliationNotYetHeadSum
 * 积分结算 -> 未结算商品 头部 | 此页面是以商品流水的维度去展示的 opt 搜索 下单时间 只能以订单维度 最终
 * @Author: linjinyu
 * @CreateDate: 6/15/20 5:37 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 6/15/20 5:37 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class ScoreOrderReconciliationNotYetHeadVo implements Serializable {


    private BigDecimal totalBalanceAmount;


    @ApiModelProperty("统计类-订单数")
    private Integer orderQuantity;
    @ApiModelProperty("统计类-订单商品数")
    private Integer goodsQuantity;
    @ApiModelProperty("统计类-订单流水")
    private Integer creditQuantity;

}
