package cn.superdesk.uniorder.dto.vo.sys;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SysOrgVo implements Serializable {
    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "同步项目ID")
    private Long organizationId;
    @ApiModelProperty(value = "项目编码")
    private String organizationNo;
    @ApiModelProperty(value = "项目名称")
    private String organizationName;
    @ApiModelProperty(value = "同步时间")
    private Date syncTime;
    @ApiModelProperty(value = "删除状态:0-未删除;1-已删除")
    private Integer deleted;
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "业务平台 OpCenterBizPlatformEnum")
    private String bizPlatformCode;
    @ApiModelProperty(value = "业务平台")
    private String bizPlatformName;
    @ApiModelProperty(value = "业务方运营商id")
    private String bizOperatorId;
    @ApiModelProperty(value = "业务方运营商id")
    private String bizOperatorName;
}
