package cn.superdesk.uniorder.dto.vo.sys;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: resultMap id SysOrganizationXEnterpriseResultMap
 * @Author: linjinyu
 * @CreateDate: 2021/4/9 下午12:31
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/4/9 下午12:31
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SysOrganizationXEnterpriseVo implements Serializable {


    /****************************************** 项目部分 start ******************************************/

    @ApiModelProperty("项目部分-")
    private Long       sysOrgId;
    @ApiModelProperty("项目部分-")
    private Long       organizationId;
    @ApiModelProperty("项目部分-")
    private String     organizationNo;
    @ApiModelProperty("项目部分-")
    private String     organizationName;
    @ApiModelProperty("项目部分-")
    private String     provinceCode;
    @ApiModelProperty("项目部分-")
    private String     provinceName;
    @ApiModelProperty("项目部分-")
    private String     cityCode;
    @ApiModelProperty("项目部分-")
    private String     cityName;
    @ApiModelProperty("项目部分-")
    private String     address;
    @ApiModelProperty("项目部分-")
    private BigDecimal lng;
    @ApiModelProperty("项目部分-")
    private BigDecimal lat;
    @ApiModelProperty("项目部分-")
    private Date       orgSyncTime;
    @ApiModelProperty("项目部分-")
    private String     orgOtherField1;
    @ApiModelProperty("项目部分-")
    private String     orgOtherField2;
    @ApiModelProperty("项目部分-")
    private String     orgOtherField3;
    @ApiModelProperty("项目部分-")
    private Integer    orgDeleted;

    /****************************************** 企业部分 start ******************************************/

    @ApiModelProperty("企业部分-")
    private Long   sysVirtId;
    @ApiModelProperty("企业部分-")
    private Long   enterpriseId;
    @ApiModelProperty("企业部分-")
    private String enterpriseNo;
    @ApiModelProperty("企业部分-")
    private String enterpriseName;
    @ApiModelProperty("企业部分-")
    private Date   virtSyncTime;
    @ApiModelProperty("企业部分-")
    private String virtOtherField1;
    @ApiModelProperty("企业部分-")
    private String virtOtherField2;
    @ApiModelProperty("企业部分-")
    private String virtOtherField3;

    @ApiModelProperty("企业部分-")
    private Integer virtEnabled;
    @ApiModelProperty("企业部分-软删除:0-未删除;1-已删除")
    private Integer virtDeleted;

    @ApiModelProperty(value = "企业部分-是否有订单:0-默认;1-有的;2-没有;")
    private Integer virtIsHasOrder;
    @ApiModelProperty(value = "企业部分-是否有开票设置 0-没有:大于0-有")
    private Integer virtIsHasExtInvoice;

	@ApiModelProperty("操作来源-引用enum CommonSourceFromEnum")
	private String  sourceFrom;
	@ApiModelProperty("操作来源-引用enum CommonSourceFromEnum")
	private String  sourceFromName;
    /**
     * 业务平台 OpCenterBizPlatformEnum
     */
    @ApiModelProperty(value = "业务平台")
    private String bizPlatformCode;

    /**
     * 业务方运营商id
     */
    @ApiModelProperty(value = "业务方运营商id")
    private String bizOperatorId;
}
