package cn.superdesk.uniorder.dto.vo.sys.role;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: @link ViewMenuTree @link ViewRoleMenu @link SysMenuTreeNode 为什么要分开写呀? 什么鬼 就差子List的问题
 * @Author: linjinyu
 * @CreateDate: 2021/11/24 下午2:45
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/24 下午2:45
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SysMenuTreeNode implements Serializable {

	private static final long serialVersionUID = 2008279914868002703L;

	private Integer id;
	private Integer pid;

	private String  menuName;
	private String  menuUrl;
	private String  menuType;
	private String  menuIcon;
	private String  perms;
	private Integer orderNum;

	private List<SysMenuTreeNode> childMenus;


}