package cn.superdesk.uniorder.dto.vo.thirdpart.jd;


import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/9 3:34 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/9 3:34 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SysQuartzScheduleTaskStatementOfAccountJdDetailVo implements Serializable {


    @ApiModelProperty("供应商结算-京东对账-op列表-op查看对账(对账详情) 页头")
    private SysQuartzScheduleTaskStatementOfAccountJdListItemVo             head;
    @ApiModelProperty("供应商结算-京东对账-op列表-op查看对账(对账详情) 统计")
    private AccountingUnifiedSupplierOrderJdCheckUpReportDetailStatisticsVo statistics;
    @ApiModelProperty("供应商结算-京东对账-op列表-op查看对账(对账详情) 列表")
    private List<AccountingUnifiedSupplierOrderJdCheckUpReportListItemVo>   list;
}
