package cn.superdesk.uniorder.dto.vo.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/9 9:29 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/9 9:29 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SysQuartzScheduleTaskStatementOfAccountJdHeadVo implements Serializable {

    @ApiModelProperty("COUNT Quantity")
    private Integer jdAccountingQuantity;

    @ApiModelProperty(value = "统计部分_第三方对账金额 SUM")
    private BigDecimal statisticsAmountDimOrderOutsider;
    @ApiModelProperty(value = "统计部分_结算中心对账金 SUM")
    private BigDecimal statisticsAmountDimOrderOwnsider;

    @ApiModelProperty(value = "统计部分_导入对账数据_订单维度_总数 SUM")
    private Long statisticsQuantityDimOrderTotal;
    @ApiModelProperty(value = "统计部分_导入对账数据_订单维度_正常 SUM")
    private Long statisticsQuantityDimOrderNormal;
    @ApiModelProperty(value = "统计部分_导入对账数据_订单维度_异常 SUM")
    private Long statisticsQuantityDimOrderException;
}
