package cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.accounting;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description
 * @date 2022/4/4 17:58
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QchjcOrderGoodsVo implements Serializable {
    private Long       id;
    private Long       unifiedOrderGoodsId;
    private String     cateIdLv1;
    private String     cateNameLv1;
    private String     cateIdLv2;
    private String     cateNameLv2;
    private String     cateIdLv3;
    private String     cateNameLv3;
    private BigDecimal costPrice;
    private Integer    direction;
    private String     goodsAlias;
    private String     goodsId;
    private String     goodsName;
    private String     goodsParams;
    private Integer    goodsType;
    private BigDecimal merchTaxRate;
    private String     merchTaxCode;
    private String     merchTaxId;
    private BigDecimal operationTaxRate;
    private String     operationTaxCode;
    private String     operationTaxId;
    private String     orderSn;
    private String     refundOrderSn;
    private String     outSnapshotOrderGoodsId;
    private Integer    quantity;
    private String     selfOption;
    private BigDecimal sellingPrice;
    private String     unit;
    private Date       syncTime;
    private Date       storageTime;
    private Integer    storageStatus;
}
