package cn.superdesk.uniorder.dto.vo.unified;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 存在问题 先标记
 * @Author: linjinyu 整理 未整完
 * @CreateDate: 2021/11/25 下午5:29
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/25 下午5:29
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedOrderGoodsDetailVo implements Serializable {

	private static final long serialVersionUID = 7558492755173262018L;

	private Long id;

	private String sn;
	private String orderType;

	private String projectName;

	private String purchaseVirtName;
	private String purchaseUserName;
	private String purchasePhone;


	private Byte   paymentType;
	private Byte   payState;
	private String orderStateName;
	private Byte   invState;

	private String     goodsName;
	private Integer    quantity;
	private BigDecimal price;

	private String otherParams;

	private String goodsParams;

	@ApiModelProperty("收货人Id 必须")
	private Long   recUserId;
	@ApiModelProperty("收货人姓名 必须")
	private String recUserName;
	@ApiModelProperty("收货人手机号 必须")
	private String recUserPhone;
	@ApiModelProperty("收货人地址 必须")
	private String recAddress;

	/****************************************** add by linjinyu at 20201221 start ******************************************/
	private String operAccount;
	private String operName;

	@ApiModelProperty("订单 下单时间")
	private Date createTime;
	@ApiModelProperty("订单 支付时间")
	private Date payTime;
	@ApiModelProperty("订单 发货时间")
	private Date sendTime;
	@ApiModelProperty("订单 完成时间")
	private Date finishTime;
	/****************************************** add by linjinyu at 20201221   end ******************************************/


}
