package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class UnifiedProjectVo implements Serializable {

    private static final long serialVersionUID = 6463570330285725655L;

    private Long   projectId;
    private String projectName;
    private String projectNo;

    private String provinceCode;
    private String provinceName;

    private String cityCode;
    private String cityName;

    private Long customerUserId;
    private Long purchaseUserId;
    private String customerUserName;
    private String purchaseUserName;

    private Date createTime;
    private Long createUserId;
    private Date updateTime;
    private Long updateUserId;



    private BigDecimal okrTarget;
    private BigDecimal kpiTarget;

    // 成交额
    private BigDecimal amount;

}
