package cn.superdesk.uniorder.dto.vo.unified;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: mark by linjinyu at 20201125 重构
 * @Author: linjinyu
 * @CreateDate: 2020/11/25 上午11:51
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/25 上午11:51
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedStatisticsVirtSum implements Serializable {

	private Integer quantity;

	@ApiModelProperty("订单维度-订单 销售金额")
	private BigDecimal orderAmount;
	@ApiModelProperty("订单维度-订单 成本金额")
	private BigDecimal orderCostAmount;
	@ApiModelProperty("订单维度-退单 销售金额")
	private BigDecimal orderRefundAmount;
	@ApiModelProperty("订单维度-退单 成本金额")
	private BigDecimal orderRefundCostAmount;
	@ApiModelProperty("订单维度-订单 运费")
	private BigDecimal orderTransportAmount;

	private BigDecimal goodsAmount;
	private BigDecimal goodsCostAmount;
	private BigDecimal goodsRefundAmount;
	private BigDecimal goodsRefundCostAmount;
	private BigDecimal goodsTransportAmount;

	private BigDecimal payableAmount;
}
