package cn.superdesk.uniorder.dto.vo.wechat;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class WxBillOrder implements Serializable {

	private static final long serialVersionUID = 7084980205132028738L;

	private Long   id;
	private String orderSn;

	private String serviceName;
	private String serviceNo;

	private String     purchaseUserName;
	private BigDecimal amount;

	private Date   createTime;
	/**
	 * 回款状态 0未回款 1部分回款 2全部回款
	 */
	private String backAccountStatus;

}
