package cn.superdesk.uniorder.dubbo.facade.invoice.customer.state;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApply;
import cn.superdesk.uniorder.dto.param.invoice.customer.status.InvoiceApplyCustomerOpReceiveInvoiceStatusForm;

import java.util.List;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 10/12/20 4:28 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 10/12/20 4:28 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceApplyFieldReceiveInvoiceStatusService {

	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 未领票(0, "未领票")
	void opInit(InvoiceApply entity, LoginSysUser loginSysUser);

	// 状态流转为 已领票(1, "已领票")
	void opReceive(InvoiceApply entity, LoginSysUser loginSysUser);

	// 状态流转为 已领票(1, "已领票")
	void opReceive(List<InvoiceApply> entitys, InvoiceApplyCustomerOpReceiveInvoiceStatusForm form, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/

}
