package cn.superdesk.uniorder.dubbo.facade.invoice.supplier;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplier;
import cn.superdesk.uniorder.dto.param.invoice.supplier.status.InvoiceApplySupplierOpCommonDimAccountingOrderForm;

import java.util.List;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 10/12/20 4:28 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 10/12/20 4:28 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceApplySupplierFieldMakeInvoiceStatusService {

	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 未开票(0, "未开票")
	void opInit(InvoiceApplySupplier entity, LoginSysUser loginSysUser);

	// 状态流转为 已开票(1, "已开票")
	void opComplete(InvoiceApplySupplier entity, LoginSysUser loginSysUser);

	// 状态流转为 已开票(1, "已开票")
	void opComplete(List<InvoiceApplySupplier> entitys, InvoiceApplySupplierOpCommonDimAccountingOrderForm form, LoginSysUser loginSysUser);

	// 状态流转为 已撤消(2, "已撤消")
	void opBecomeInvalid(InvoiceApplySupplier entity, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/

}
