package cn.superdesk.uniorder.dubbo.facade.invoice.supplier;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplier;
import cn.superdesk.uniorder.dto.param.invoice.supplier.status.InvoiceApplySupplierOpReceiveInvoiceStatusForm;

import java.util.List;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 10/12/20 4:28 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 10/12/20 4:28 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceApplySupplierFieldReceiveInvoiceStatusService {

	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 未收票(0, "未收票")
	void opInit(InvoiceApplySupplier entity, LoginSysUser loginSysUser);

	// 状态流转为 已收票(1, "已收票")
	void opReceive(InvoiceApplySupplier entity, LoginSysUser loginSysUser);

	// 状态流转为 已收票(1, "已收票")
	void opReceive(List<InvoiceApplySupplier> entitys, InvoiceApplySupplierOpReceiveInvoiceStatusForm form, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/

}
