package cn.superdesk.uniorder.dubbo.facade.operationCenter.order;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.param.operationCenter.order.OperationCenterOrderParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderDetailsVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderFormVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/3/24 16:34
 * Description : 运营中心 订单管理页面 接口
 */
public interface DubboOperationCenterOrderService {

    R<OperationCenterOrderFormVo> list(OperationCenterOrderParam param);

    R<OperationCenterOrderDetailsVo> getOperationCenterOrderDetails(Long id);

    String exportExcelOperationCenterOrder(OperationCenterOrderParam param, LoginSysUser loginSysUser);
}
