package cn.superdesk.uniorder.dubbo.facade.order.receive;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.flsc.UnifiedFlscOrderReceiveParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.flsc.refund.UnifiedFlscRefundOrderReceiveParam;

/**
 * @Description: kafka 一般订单 福利商城
 * @Author: linjinyu
 * @CreateDate: 2020/10/27 下午8:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/10/27 下午8:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboReceiveMallFlscOrderService {

	/****************************************** kafka 一般订单 福利商城 start ******************************************/

	void kafkaUnifiedFlscOrderReceive(String message);

	void kafkaUnifiedFlscRefundOrderReceive(String message);

	R<String> httpUnifiedFlscOrderReceive(UnifiedFlscOrderReceiveParam unifiedFlscOrderReceiveParam);

	R<String> httpUnifiedFlscRefundOrderReceive(UnifiedFlscRefundOrderReceiveParam unifiedFlscRefundOrderReceiveParam);

    void kafkaUnifiedFlscAccountingOrderReceive(String message);

    /****************************************** kafka 一般订单 福利商城   end ******************************************/

}
