package cn.superdesk.uniorder.dubbo.facade.order.receive;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.score.ScoreOrderReceiveParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.score.refund.ScoreOrderRefundReceiveParam;

/**
 * @Description: kafka 积分订单 福利商城_侨城汇
 * @Author: linjinyu
 * @CreateDate: 2021/11/30 下午4:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/30 下午4:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboReceiveMallFlscQchOrderService {

	/****************************************** kafka 积分订单 福利商城_侨城汇 start ******************************************/

	/**
	 * http 积分订单 mark by linjinyu at 20210308
	 *
	 * @param orderReceiveParam
	 * @return
	 */
	R<String> httpScoreOrderReceive(ScoreOrderReceiveParam orderReceiveParam);

	R<String> httpScoreOrderRefundReceive(ScoreOrderRefundReceiveParam refundOrderReceiveParam);

	/**
	 * 商城 订单 侨城汇(积分订单)
	 *
	 * @param message
	 */
	void kafkaScoreOrderReceive(String message);

	void kafkaScoreOrderRefundReceive(String message);

	/****************************************** kafka 积分订单 福利商城_侨城汇  end ******************************************/
}
