package cn.superdesk.uniorder.dubbo.facade.order.receive;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.qyng.UnifiedQyngOrderReceiveParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.qyng.refund.UnifiedQyngRefundOrderReceiveParam;

/**
 * @Description: kafka 一般订单 企业内购
 * @Author: linjinyu
 * @CreateDate: 2021/11/30 下午4:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/30 下午4:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboReceiveMallQyngOrderService {

	/****************************************** kafka 一般订单 企业内购 start ******************************************/

	void kafkaUnifiedQyngOrderReceive(String message);

	void kafkaUnifiedQyngRefundOrderReceive(String message);

	R<String> httpUnifiedQyngOrderReceive(UnifiedQyngOrderReceiveParam unifiedQyngOrderReceiveParam);

	R<String> httpUnifiedQyngRefundOrderReceive(UnifiedQyngRefundOrderReceiveParam unifiedQyngRefundOrderReceiveParam);

	/****************************************** kafka 一般订单 企业内购   end ******************************************/
}
