package cn.superdesk.uniorder.dubbo.facade.thirdpart.jd;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoods;
import cn.superdesk.uniorder.dto.param.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsParam;
import cn.superdesk.uniorder.dto.param.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsQueryCriteria;
import cn.superdesk.uniorder.dto.vo.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsHeadVo;
import cn.superdesk.uniorder.dto.vo.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsListItemVo;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-06-22 16:27:47
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-06-22 16:27:47
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboAccountingUnifiedSupplierOrderJdCheckUpReportXGoodsService {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(AccountingUnifiedSupplierOrderJdCheckUpReportXGoods entity);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplierOrderJdCheckUpReportXGoods entity);

    @Deprecated
    void deleteObj(Long id);

    AccountingUnifiedSupplierOrderJdCheckUpReportXGoods findById(Long id);

    @Deprecated
    PageInfo<AccountingUnifiedSupplierOrderJdCheckUpReportXGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<AccountingUnifiedSupplierOrderJdCheckUpReportXGoods> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    int addAccountingUnifiedSupplierOrderJdCheckUpReportXGoods(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsParam param, LoginSysUser loginSysUser);

    int updateAccountingUnifiedSupplierOrderJdCheckUpReportXGoods(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsParam param, LoginSysUser loginSysUser);

    int deleteAccountingUnifiedSupplierOrderJdCheckUpReportXGoods(Long id, LoginSysUser loginSysUser);

    AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsListItemVo findListItemVoById(Long id, LoginSysUser loginSysUser);

    R<List<AccountingUnifiedSupplierOrderJdCheckUpReportXGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsListItemVo>> pageQueryGenericParam(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsQueryCriteria queryCriteria, LoginSysUser loginSysUser);

    AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsHeadVo queryHeadGenericParam(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsQueryCriteria queryCriteria, LoginSysUser loginSysUser);

    List<AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsListItemVo> queryGenericParam(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsQueryCriteria queryCriteria, LoginSysUser loginSysUser);
}
