package cn.superdesk.uniorder.dubbo.facade.thirdpart.qchjc.api;

import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.supplier.QchjcSupplierCancelStatementParam;
import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.supplier.QchjcSupplierPaymentStatusSyncParam;
import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.supplier.QchjcSupplierReceiveInvoiceStatusParam;

/**
 * @author xc
 * @description 集采api接口-同步供应商对账单信息
 * @date 2022/4/10 16:56
 */
public interface DubboQchApiSyncSupplierStatementService {
    /**
     * 供应商收票状态同步
     *
     * @param param
     * @return
     */
    void receiveInvoiceStatusSync(QchjcSupplierReceiveInvoiceStatusParam param);

    /**
     * 供应商对账单付款状态同步
     *
     * @param param
     * @return
     */
    void paymentStatusSync(QchjcSupplierPaymentStatusSyncParam param);

    /**
     * 供应商对账单作废接口
     *
     * @param param
     * @return
     */
    void statementCancelSync(QchjcSupplierCancelStatementParam param);
}
