package cn.superdesk.uniorder.dubbo.facade.unified;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedProject;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedProjectTarget;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectTargetAdd;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectTargetVo;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectVo;

import java.util.List;
import java.util.Map;

public interface DubboUnifiedProjectService {

	UnifiedProject updateObj(UnifiedProject model);

	UnifiedProjectTarget updateTarget(UnifiedProjectTargetAdd model, LoginSysUser loginSysUser);

	R<List<UnifiedProjectVo>> getDataByPage(Map<String, Object> params, int pageNum, int pageSize);

	R<List<UnifiedProjectTargetVo>> getTargetDataByPage(Map<String, Object> params, int pageNum, int pageSize);

}
