package cn.superdesk.uniorder.dubbo.provider._commom;

import cn.superdesk.uniorder.dto._constant.ResourceConstant;
import cn.superdesk.uniorder.dto._variable.AccountingScoreCustomerVariable;
import cn.superdesk.uniorder.dubbo.facade._commom.DubboProviderEnvConstantCustomerService;
import cn.superdesk.uniorder.service._common.ProviderEnvConstantService;
import com.alibaba.dubbo.config.annotation.Service;

import javax.annotation.Resource;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/3/4 下午4:16
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/3/4 下午4:16
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 30000)
public class DubboProviderEnvConstantServiceImpl implements DubboProviderEnvConstantCustomerService {

    @Resource
    private ProviderEnvConstantService providerEnvConstantService;

    public ResourceConstant getResourceConstant() {
        return providerEnvConstantService.getResourceConstant();
    }

    public AccountingScoreCustomerVariable getAccountingScoreCustomerVariable() {
        return providerEnvConstantService.getAccountingScoreCustomerVariable();
    }
}
