package cn.superdesk.uniorder.executor.scheduler.kafka._thirdpart.qchjc.dto.accounting.supplier;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: hey bother , are you ready?
 * @Author: linjinyu
 * @CreateDate: 2022/5/12 10:44 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/12 10:44 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class QchjcSupplierStatementEvent implements Serializable {

    @ApiModelProperty("")
    private String msg;

    /**************************************** 谁,什么时间 start ****************************************/

    @ApiModelProperty("谁 cn.superdesk.uniorder.common.security.dto.LoginSysUser.class")
    private String loginSysUser;
    @ApiModelProperty("什么时间")
    private Date   touchTime;

    /**************************************** 谁,什么时间 start ****************************************/

    /**************************************** 单个的情况 start ****************************************/

    private QchjcSupplierStatementEventSingleStructVo singleStructVo;

    /**************************************** 单个的情况   end ****************************************/

    private QchjcSupplierStatementEventMultipleStructVo multipleStructVo;

}
