package cn.superdesk.uniorder.openapi;


import com.github.xiaoymin.knife4j.spring.annotations.EnableKnife4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/5/27 下午3:30
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/27 下午3:30
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@EnableKnife4j
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@ComponentScan(value = {
		"cn.superdesk.uniorder",
		"cn.superdesk.uniorder.dubbo.provider",

		"cn.superdesk.uniorder.openapicall"
})
public class OpenApiApplication {

	public static void main(String[] args) {
		SpringApplication.run(OpenApiApplication.class, args);
	}
}