package cn.superdesk.uniorder.openapi.oauth2.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/5/27 下午4:49
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/27 下午4:49
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class RefreshTokenRequest implements Serializable {

	/**
	 * refresh_token :
	 * client_id :
	 * client_secret :
	 */

	@ApiModelProperty(value = "授权时获取的refresh_token", required = true)
	private String refreshToken;
	@ApiModelProperty(value = "即对接账号(由对接人员提供)", required = true)
	private String clientId;
	@ApiModelProperty(value = "即对接账号的密码 (由对接人员提供)", required = true)
	private String clientSecret;

//	{
//		"refresh_token" :"",
//			"client_id" :"",
//			"client_secret" :""
//	}


}
