package cn.superdesk.uniorder.openapi.oauth2.response;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/5/27 下午4:49
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/27 下午4:49
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class AccessTokenResponse implements Serializable {


	/**
	 * uid : 7856508607
	 * refresh_token_expires : 1567388177887
	 * time : 1551663377887
	 * expires_in : 86400
	 * refresh_token : refresh_token
	 * access_token : access_token
	 */

	private String uid;
	private long   refreshTokenExpires;
	private long   time;
	private int    expiresIn;
	private String refreshToken;
	private String accessToken;
}
