package cn.superdesk.uniorder.openapi.scheduler.job;

import cn.superdesk.uniorder.openapi.service.qchjc.task.accounting.QchjcCutomerStatementDubboConsumerService;
import cn.superdesk.uniorder.openapi.service.qchjc.task.statistics.ReceivableStatisticsDubboConsumerService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * @author qzy
 * @description 应收明细数据定时任务
 * @date 2022/4/7 19:05
 */
@Component
@Slf4j
public class ReceivableStatisticsTask {
    @Resource
    private ReceivableStatisticsDubboConsumerService receivableStatisticsDubboConsumerService;

    private final ExecutorService executorService = Executors.newFixedThreadPool(5);

    @XxlJob("receivableStatisticsTaskDoSave")
    public void doSave(){

        String jobParam = XxlJobHelper.getJobParam();
        log.info("应收明细数据定时任务 开始 jobParam:{}",jobParam);


        log.info("应收明细数据定时任务   end");
    }


}
