package cn.superdesk.uniorder.openapi.service.qchjc.log;

import cn.superdesk.uniorder.dubbo.facade.thirdpart.qchjc.log.DubboQchjcLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Service;

/**
 * @author xc
 * @description
 * @date 2022/4/8 17:23
 */
@Service
public class RequestLogService {

    @Reference(version = "1.0.0", timeout = 30000, retries = -1)
    private DubboQchjcLogService dubboQchjcLogService;

    /**
     * 记录请求日志
     * @param result   0-失败 1-成功
     * @param  method 方法名
     * @param param 请求参数
     * @param response 返回结果
     */
    public void record(int result, String method ,String param, String response) {
        dubboQchjcLogService.record(result, method, param, response);
    }

}
