package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.3_批量查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class BatchQueryRequestBodySerialNosItemVo implements Serializable {

    /**
     * serialNo : 流水号
     */

    @JsonProperty("serialNo")
    private String serialNo;
}