package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 1.1.6_发票交付接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class DeliverRequest extends _SzhtxxElectronicInvoiceBaseRequest {


    /**
     * invoiceContent : {"sjly":"数据来源","jflx":"交付类型","jfdz":"交付地址","fp_dm":"发票代码","fp_hm":"发票号码","xsf_nsrsbh":"销售方纳税人识别号","gmf_nsrsbh":"购货方纳税人识别号","gmf_mc":"购货方名称","kprq":"开票日期","hjje":"合计不含税金额","hjse":"合计税额","jym":"校验码","tsbz":"推送标识","tsdz":"推送地址"}
     */

    @JsonProperty("invoiceContent")
    private DeliverRequestBodyInvoiceContent invoiceContent;


}
