package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 1.1.8_月汇总信息查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class MonthCollectRequest extends _SzhtxxElectronicInvoiceBaseRequest {


    /**
     * collectByMonth : {"nsrsbh":"税号","fjh":"分机号","kplx":"开票类型","fpzl_dm":"发票种类代码","sl":"税率","ssyf":"所属月份"}
     */

    @JsonProperty("collectByMonth")
    private MonthCollectRequestBody collectByMonth;

}
