package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.11_库存明细查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class RepertoryDetailRequestBody implements Serializable {

    /**
     * nsrsbh : 税号
     * fjh : 分机号
     * fpzl_dm : 发票种类
     */

    @JsonProperty("nsrsbh")
    private String nsrsbh;
    @JsonProperty("fjh")
    private String fjh;
    @JsonProperty("fpzl_dm")
    private String fpzlDm;
}
