package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 1.1.10_票源下载接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class SupportersDownRequest extends _SzhtxxElectronicInvoiceBaseRequest {


    /**
     * invSourceDown : {"nsrsbh":"税号","fjh":"分机号","fpzl":"发票种类","fpsl":"发票份数"}
     */

    @JsonProperty("invSourceDown")
    private SupportersDownRequestBody invSourceDown;


}
