package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 1.1.7_金税盘信息查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class TaxInfoRequest extends _SzhtxxElectronicInvoiceBaseRequest {


    /**
     * goldTaxDev : {"nsrsbh":"440301999999980","fjh":"","qysj":"","fpzl_dm":"51"}
     */

    @JsonProperty("goldTaxDev")
    private TaxInfoRequestBody goldTaxDev;

}
