package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 1.1.5_微信卡包接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class WcCardRequest extends _SzhtxxElectronicInvoiceBaseRequest {

    /**
     * invoiceInfo : {"kprq":"开票日期","fphm":"发票代码","fpdm":"发票代码","kpfmc":"开票方名称","spfmc":"受票方名称","jshj":"价税合计"}
     */

    @JsonProperty("invoiceInfo")
    private WcCardRequestBodyInvoiceInfo invoiceInfo;

}
