package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.5_微信卡包接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class WcCardRequestBodyInvoiceInfo implements Serializable {

    /**
     * kprq : 开票日期
     * fphm : 发票代码
     * fpdm : 发票代码
     * kpfmc : 开票方名称
     * spfmc : 受票方名称
     * jshj : 价税合计
     */

    @JsonProperty("kprq")
    private String kprq;
    @JsonProperty("fphm")
    private String fphm;
    @JsonProperty("fpdm")
    private String fpdm;
    @JsonProperty("kpfmc")
    private String kpfmc;
    @JsonProperty("spfmc")
    private String spfmc;
    @JsonProperty("jshj")
    private String jshj;
}

