package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.3_批量查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class BatchQueryResponseBodyItemVo implements Serializable {

	/**
	 * serailNo : 发票请求唯一流水号
	 * fphm : 发票号码
	 * fpdm : 发票代码
	 * kprq : 开票日期
	 * pdfUrl : pdf 链接
	 * hasPdf : 是否生成 pdf
	 * reason : pdf 生成结果或者错误原因
	 * hjbhsje : 合计不含税金额
	 * hjse : 合计税额
	 * returnCode : 开票状态
	 * returnMsg : 开票状态信息
	 * jym : 校验码
	 */

	@JsonProperty("serailNo")
	private String serailNo;
	@JsonProperty("fphm")
	private String fphm;
	@JsonProperty("fpdm")
	private String fpdm;
	@JsonProperty("kprq")
	private String kprq;
	@JsonProperty("pdfUrl")
	private String pdfUrl;
	@JsonProperty("hasPdf")
	private String hasPdf;
	@JsonProperty("reason")
	private String reason;
	@JsonProperty("hjbhsje")
	private String hjbhsje;
	@JsonProperty("hjse")
	private String hjse;
	@JsonProperty("returnCode")
	private String returnCodeX;
	@JsonProperty("returnMsg")
	private String returnMsgX;
	@JsonProperty("jym")
	private String jym;
}

