package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.10_票源下载接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class SupportersDownResponseBody implements Serializable {

	/**
	 * nsrsbh : 税号
	 * fjh : 分机号
	 * fpdm : 发票代码
	 * fpqshm : 发票起始号码
	 * fpzl : 发票种类
	 * fpsl : 发票份数
	 */

	@JsonProperty("nsrsbh")
	private String nsrsbh;
	@JsonProperty("fjh")
	private String fjh;
	@JsonProperty("fpdm")
	private String fpdm;
	@JsonProperty("fpqshm")
	private String fpqshm;
	@JsonProperty("fpzl")
	private String fpzl;
	@JsonProperty("fpsl")
	private String fpsl;
}
