package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.9_局端可下载票源查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class SupportersQueryResponseBodyItemVo implements Serializable {

	/**
	 * nsrsbh : 纳税人识别号
	 * fpdm : 发票代码
	 * fpfs : 发票份数
	 * gmrq : 购买日期
	 * qshm : 起始号码
	 */

	@JsonProperty("nsrsbh")
	private String nsrsbh;
	@JsonProperty("fpdm")
	private String fpdm;
	@JsonProperty("fpfs")
	private String fpfs;
	@JsonProperty("gmrq")
	private String gmrq;
	@JsonProperty("qshm")
	private String qshm;
}
