package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.7_金税盘信息查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class TaxInfoResponseBodyItemVo implements Serializable {

	/**
	 * fjh : 1
	 * nsrsbh : 440301999999980
	 * fpzl_DM : 51
	 * nsrmc : 航信培训企业
	 * jqbh : 661560745949
	 * qysj :
	 * jspzt :
	 * ssrq : 20220120
	 * scbsrq : 20211201000020
	 * csqsrq : 20220101
	 * sfdbsq : 0
	 * sfdssq : 0
	 * dzkpxe : 51:99999999.99
	 * lxsx : 999
	 * lxsyje : 51:99999999999
	 * jspsz :
	 * bszl :
	 */

	@JsonProperty("fjh")
	private String fjh;
	@JsonProperty("nsrsbh")
	private String nsrsbh;
	@JsonProperty("fpzl_DM")
	private String fpzlDM;
	@JsonProperty("nsrmc")
	private String nsrmc;
	@JsonProperty("jqbh")
	private String jqbh;
	@JsonProperty("qysj")
	private String qysj;
	@JsonProperty("jspzt")
	private String jspzt;
	@JsonProperty("ssrq")
	private String ssrq;
	@JsonProperty("scbsrq")
	private String scbsrq;
	@JsonProperty("csqsrq")
	private String csqsrq;
	@JsonProperty("sfdbsq")
	private String sfdbsq;
	@JsonProperty("sfdssq")
	private String sfdssq;
	@JsonProperty("dzkpxe")
	private String dzkpxe;
	@JsonProperty("lxsx")
	private String lxsx;
	@JsonProperty("lxsyje")
	private String lxsyje;
	@JsonProperty("jspsz")
	private String jspsz;
	@JsonProperty("bszl")
	private String bszl;
}
