package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID17SingleSelect;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/5 3:19 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/5 3:19 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID17SingleSelectRequestBodyStructVo implements Serializable {


//    根据销售单号或发票种类、代码、号码，查询发票信息。
//    注意：xsdbh 与 fpzl、fpdm、fphm 是互斥条件，传销售单号就不按照 fpzl,fpdm,fphm 来查询

    @ApiModelProperty("销售单编号")
    @JsonProperty("xsdbh")
    @JSONField(name = "xsdbh")
    private String xsdbh;

    @ApiModelProperty("发票种类")
    @JsonProperty("fpzl")
    @JSONField(name = "fpzl")
    private String fpzl;
    @ApiModelProperty("代码")
    @JsonProperty("fpdm")
    @JSONField(name = "fpdm")
    private String fpdm;
    @ApiModelProperty("号码")
    @JsonProperty("fphm")
    @JSONField(name = "fphm")
    private String fphm;
}
