package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID17SingleSelect;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/5 3:09 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/5 3:09 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID17SingleSelectResponseBodyEncmsgVo implements Serializable {


    /**
     * SID : 17
     * retcode : 0
     * hjbhsje : 285.71
     * retmsg : 7011-发票查询成功 [,]
     * fpbszt : 1
     * xsdjbh :
     * infoxml : <?xml version="1.0" encoding="GBK"?><Info><GFMC>深圳航天信息有限公司</GFMC><GFSH>440301999999999</GFSH><GFDZDH>深圳福田区下梅林 0755-95113</GFDZDH><GFYHZH>中国建设银行664039281222</GFYHZH><XFMC>航信测试盘</XFMC><XFSH>440300311770061</XFSH><XFDZDH>广东省中山市深圳市罗湖区笋岗东路万通大厦 1329 0756-39486666</XFDZDH><XFYHZH>中国建设银行664039281088291857</XFYHZH><BZ>null</BZ><KPR>wcl</KPR><SKR>null</SKR><FHR>null</FHR><KPSXH>15</KPSXH><DZSYH>8739</DZSYH><QDBZ>0</QDBZ><BMBBBH>29.0</BMBBBH><MXS><MX><SPMC>*经营租赁*商品简易征收SOAP 控制台接口说明书</SPMC><GGXH>300</GGXH><JLDW>30</JLDW><SL>1</SL><DJ>285.714285714286</DJ><HSJBZ>0</HSJBZ><FPHXZ>0</FPHXZ><JE>285.71</JE><SLV>0.05</SLV><SE>14.29</SE><FLBM>3040502020102000000</FLBM><LSLVBS></LSLVBS><XSYH>1</XSYH><YHSM>按 5%简易征收</YHSM></MX></MXS></Info>
     * zfbz : 0
     * kprq : 2019-01-18 22:11:28
     * hjse : 14.29
     * fpzl : 0
     * fphm : 01686396
     * fpdm : 4403092140
     * CheckCode : 75015460362550139715
     * deviceNO : 963248513458
     * ofdpreviewurl :
     * ofddownloadurl :
     * Cipher : 917<8*91019413780<986+05>48>42*1267641-459-920236-+*9*>-+<7/*9*+95009813480+591-05749<-/81-65208267/>0-20+2>
     * dybz : 1
     */

    @JsonProperty("retcode")
    @JSONField(name = "retcode")
    private String returnCode;
    @JsonProperty("retmsg")
    @JSONField(name = "retmsg")
    private String returnMsg;

    @JsonProperty("SID")
    @JSONField(name = "SID")
    private String sid;

    @ApiModelProperty("hjbhsje")
    @JsonProperty("hjbhsje")
    @JSONField(name = "hjbhsje")
    private BigDecimal hjbhsje;
    @ApiModelProperty("fpbszt")
    @JsonProperty("fpbszt")
    @JSONField(name = "fpbszt")
    private Integer fpbszt;
    @ApiModelProperty("xsdjbh")
    @JsonProperty("xsdjbh")
    @JSONField(name = "xsdjbh")
    private String xsdjbh;
    @ApiModelProperty("infoxml")
    @JsonProperty("infoxml")
    @JSONField(name = "infoxml")
    private String infoxml;
    @ApiModelProperty("zfbz")
    @JsonProperty("zfbz")
    @JSONField(name = "zfbz")
    private Integer zfbz;
    @ApiModelProperty("kprq")
    @JsonProperty("kprq")
    @JSONField(name = "kprq")
    private String kprq;
    @ApiModelProperty("hjse")
    @JsonProperty("hjse")
    @JSONField(name = "hjse")
    private BigDecimal hjse;
    @ApiModelProperty("fpzl")
    @JsonProperty("fpzl")
    @JSONField(name = "fpzl")
    private Integer fpzl;


    @ApiModelProperty("fphm")
    @JsonProperty("fphm")
    @JSONField(name = "fphm")
    private String fphm;
    @ApiModelProperty("fpdm")
    @JsonProperty("fpdm")
    @JSONField(name = "fpdm")
    private String fpdm;

    @ApiModelProperty("CheckCode")
    @JsonProperty("CheckCode")
    @JSONField(name = "CheckCode")
    private String CheckCode;
    @ApiModelProperty("Cipher")
    @JsonProperty("Cipher")
    @JSONField(name = "Cipher")
    private String Cipher;

    @ApiModelProperty("deviceNO")
    @JsonProperty("deviceNO")
    @JSONField(name = "deviceNO")
    private String deviceNO;

    @ApiModelProperty("ofdpreviewurl")
    @JsonProperty("ofdpreviewurl")
    @JSONField(name = "ofdpreviewurl")
    private String ofdpreviewurl;
    @ApiModelProperty("ofddownloadurl")
    @JsonProperty("ofddownloadurl")
    @JSONField(name = "ofddownloadurl")
    private String ofddownloadurl;


    @ApiModelProperty("dybz")
    @JsonProperty("dybz")
    @JSONField(name = "dybz")
    private Integer dybz;
}
