package cn.superdesk.uniorder.openapicall.superdeskapp.dto;

import cn.hutool.core.date.DateUtil;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/10/28 下午12:50
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/28 下午12:50
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@ToString
@Builder(toBuilder = true)
@Data
public class ReqSuperdeskOpenData implements Serializable {

//	验证序号,(服务之窗提供)
//	使用中国区的时间。YYYY-MM-dd HH:mm:ss (24 小时制)
//	签名
//	版本号 固定值 "1.0"
//	格式 固定值 "json"
//	固值 "cn"

	private String appKey;
	private String timestamp;
	private String sign;
	private String v;
	private String format;

	private String locale;


//	public ReqSuperdeskOpenData initDefault() {
//
////		this.appKey
//		this.timestamp = DateUtil.now();
////		this.sign
//		this.v = "1.0";
//		this.format = "json";
//		this.locale = "cn";
//
//		return this;
//
//	}

//	public void createSign() {
//
//		String appKey    = "fwzcFiCI7Ulg854dOufU";
//		String appSecret = "abcdefg";
//
//		this.appKey = appKey;
//		this.sign = "";
//	}
//
//	public void createSign(String appKey, String appSecret) {
//
////		String appKey    = "fwzcFiCI7Ulg854dOufU";
////		String appSecret = "abcdefg";
//
//		this.appKey = appKey;
//		this.sign = "";
//	}


}
