package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice._mock;

import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request.BatchQueryRequest;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response.BatchQueryResponse;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.service.BatchQueryCallService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Description: 1.1.3_批量查询接口
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午7:20
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午7:20
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Api(value = "1.1.3_批量查询接口-开放API-调用-第三方-深圳航天信息-电子发票", tags = {"1.1.3_批量查询接口-开放API-调用-第三方-深圳航天信息-电子发票"})
@Slf4j
@RestController
@RequestMapping("/thirdpart/szhtxx/electronicInvoice/batchQuery")
public class BatchQueryMockCallApi {

	@Autowired
	private BatchQueryCallService batchQueryCallService;


	/**
	 * @param request
	 * @return
	 * @url http://192.168.6.223:8088/thirdpart/szhtxx/electronicInvoice/batchQuery/playload
	 */
	@ApiOperation(value = "playload")
	@RequestMapping(value = "/playload", method = RequestMethod.POST)
	@ResponseBody
	public BatchQueryResponse playload(@RequestBody BatchQueryRequest request) {

		return batchQueryCallService.callBatchQueryApi(request);
	}
}
