package cn.superdesk.uniorder.event.invoiceApplyCustomerTrigger;

import cn.superdesk.uniorder.common.enums.accounting.AccountingOrderTypeDimEnum;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 尾巴
 * @Author: linjinyu
 * @CreateDate: 2021/12/28 上午11:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/28 上午11:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Deprecated
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class TailUpdateAccountingScoreCustomerFieldInvoiceStatusEvent implements Serializable {

    /****************************************** 对账单 start ******************************************/

    private List<Long> affectedAccountingOrderIds;

    private AccountingOrderTypeDimEnum dim;

    /****************************************** 对账单   end ******************************************/


    /****************************************** 发票单 start ******************************************/

    private Long invoiceApplyId;

    /****************************************** 发票单   end ******************************************/


    /****************************************** 当前用户 start ******************************************/

    private LoginSysUser loginSysUser;

    /****************************************** 当前用户   end ******************************************/

}
