package cn.superdesk.uniorder.event.invoiceApplyCustomerTrigger;

import cn.superdesk.uniorder.common.enums.invoice.customer.InvoiceApplyCustomerBackAccountStatusEnum;
import cn.superdesk.uniorder.common.enums.order.UnifiedOrderCreditBackAccountStatusEnum;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/3/31 11:36 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/31 11:36 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class TailUpdateUnifiedOrderCreditFieldBackAccountStatusEvent implements Serializable {

    private List<Long> processUnifiedOrderCreditIds;

    private UnifiedOrderCreditBackAccountStatusEnum state;

    private LoginSysUser loginSysUser;
}
