package cn.superdesk.uniorder.event.invoiceApplySupplierTrigger;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @Description: 供应商结算 开票申请
 * @Author: linjinyu
 * @CreateDate: 2021/12/28 上午10:48
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/28 上午10:48
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class InvoiceApplySupplierTriggerEventPublisher {


	@Autowired
	private ApplicationContext applicationContext;

//	TailUpdateInvoiceApplySupplierFieldSaleIsExportEvent
//	TailUpdateInvoiceApplySupplierFieldSaleIsExportListener

	public void triggerTailUpdateInvoiceApplySupplierFieldSaleIsExport(TailUpdateInvoiceApplySupplierFieldSaleIsExportEvent event) {

		log.info("InvoiceApplySupplierTriggerEventPublisher->triggerTailUpdateInvoiceApplySupplierFieldSaleIsExport 事件触发 ...");
		applicationContext.publishEvent(event);
	}

}
