package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceApply.mailTickStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplyFieldMailTickStatusState {

	// 运营领票后准备寄出 -> 状态 -> 未邮寄(0, "未邮寄"),
	void opInit();

	// 运营寄出发票 -> 状态 -> 已邮寄(1, "已邮寄"),
	void opComplete();

}
