package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceApply.receiveInvoiceStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplyFieldReceiveInvoiceStatusState {

	// 财务开票结束后运营待领票 -> 状态 -> 未领票(0, "未领票"),
	void opInit();

	// 运营领票 -> 状态 -> 已领票(1, "已领票"),
	void opReceive();

}
