package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceInvoiced.deleted.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedFieldDeletedState {

	// 初始化或恢复 -> 状态 -> 正常(0, "正常"),
	void opInit();

	// 软删除 -> 状态 -> 删除(1, "删除"),
	void opDelete();

}
