package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceInvoiced.isInvalid.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedFieldIsInvalidState {

	// 初始化或反作废 -> 状态 -> 正常(0, "正常"),
	void opInitOrBeValid();

	// 作废 -> 状态 -> 作废(1, "作废"),
	void opBecomeInvalid();

}
