package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceInvoiced.isOverdue.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedFieldIsOverdueState {

	// 初始化或重置 -> 状态 -> 正常(0, "正常"),
	void opInitOrReset();

	// 计划任务检查-已逾期 -> 状态 -> 逾期(1, "逾期"),
	void opOverdued();

}