package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceInvoiced.isRedWriteOff.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedFieldIsRedWriteOffState {

	// 初始化 -> 状态 -> 否(0, "否"),
	void opInit();

	// 红冲发票 -> 状态 -> 是(1, "是"),
	void opRedWriteOff();

}
