package cn.superdesk.uniorder.pattern.state.invoice.supplier.invoiceApplySupplier.mailTickStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplySupplierFieldMailTickStatusState {

	// 供应商|商户 开票后 未寄出 -> 状态 -> 未邮寄(0, "未邮寄"),
	void opInit();

	// 供应商|商户 op寄票登记 开票后 寄出发票 -> 状态 -> 已邮寄(1, "已邮寄"),
	void opComplete();

}
