package cn.superdesk.uniorder.service._common.impl;

import cn.superdesk.uniorder.dto._constant.ResourceConstant;
import cn.superdesk.uniorder.dto._variable.AccountingScoreCustomerVariable;
import cn.superdesk.uniorder.service._common.ProviderEnvConstantService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description: 整合配置 包括常量与变量
 * @Author: linjinyu
 * @CreateDate: 2021/3/4 下午4:01
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/3/4 下午4:01
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@RequiredArgsConstructor
@Slf4j
@Service
public class ProviderEnvConstantServiceImpl implements ProviderEnvConstantService {

    /**************************************** 系统级 start ****************************************/

    private final ResourceConstant resourceConstant;

    /**************************************** 系统级   end ****************************************/

    /**************************************** 业务级 start ****************************************/

    private final AccountingScoreCustomerVariable accountingScoreCustomerVariable;

    /**************************************** 业务级   end ****************************************/


    public ResourceConstant getResourceConstant() {
        return resourceConstant;
    }

    public AccountingScoreCustomerVariable getAccountingScoreCustomerVariable() {
        return accountingScoreCustomerVariable;
    }
}
