package cn.superdesk.uniorder.service.accounting.score.customer;

import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dto.vo.accounting.score.customer.AccountingOrderScoreCustomerDetailVo;
import cn.superdesk.uniorder.dto.vo.accounting.score.customer.AccountingOrderScoreCustomerListItemVo;

import java.util.List;

/**
 * @Description: 侨城汇 客户结算 Export Excel
 * @Author: linjinyu
 * @CreateDate: 2021/4/15 下午3:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/4/15 下午3:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingScoreCustomerExportExcelService {


    /**
     * 侨城汇 积分结算2.1 对账单列表 导出
     *
     * @param exportData
     * @return
     */
    SysNotify exportExcelAccountingOrderScoreCustomerList(List<AccountingOrderScoreCustomerListItemVo> exportData);

    /**
     * 侨城汇 积分结算
     * 积分结算 > 对账单 > 详情 > op导出账单
     *
     * @param exportData
     * @return
     */
    SysNotify exportExcelAccountingOrderScoreCustomerDetailDimCredit(AccountingOrderScoreCustomerDetailVo exportData);

    /**
     * 侨城汇 积分结算
     * 积分结算 > 对账单 > 详情 > op导出账单（含微信支付）
     *
     * @param exportData
     * @return
     */
    SysNotify exportExcelAccountingOrderScoreCustomerDetailDimCreditWithWechat(AccountingOrderScoreCustomerDetailVo exportData);
}
