package cn.superdesk.uniorder.service.accounting.unified.customer;

import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomerOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ViewDzOrderExcel;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/11/4 下午2:33
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/4 下午2:33
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedOrderCustomerService extends BaseService<AccountingUnifiedCustomerOrder> {

    /**
     * 客户结算-对账单-opt 导出报表(对账单)
     *
     * @param params
     * @return
     */
    List<ViewDzOrderExcel> getDzOrderExcel(Map<String, Object> params);

}
