package cn.superdesk.uniorder.service.fund;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.fund.SysFundActivated;
import cn.superdesk.uniorder.dto.vo.fund.SysFundActivatedVoEx;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface SysFundActivatedService extends BaseService<SysFundActivated> {

	void create(SysFundActivated sysFundActivated, String token) throws UnifiedOrderRuntimeException;

	void update(SysFundActivated sysFundActivated, String token) throws UnifiedOrderRuntimeException;

	R<List<SysFundActivatedVoEx>> findAllViewPage(Map<String, Object> params, int pageNum, int pageSize);

	void importExcel(Map<String, List<Map<String, Object>>> map, String token) throws UnifiedOrderRuntimeException;
}
