package cn.superdesk.uniorder.service.fund;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.fund.SysFundUser;
import cn.superdesk.uniorder.dto.vo.fund.SysFundUserVoEx;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface SysFundUserService extends BaseService<SysFundUser> {

	void create(SysFundUser sysFundUser, String token) throws UnifiedOrderRuntimeException;

	void update(SysFundUser sysFundUser, String token);

	R<List<SysFundUserVoEx>> findAllViewPage(Map<String, Object> params, int pageNum, int pageSize);

	SysFundUserVoEx selectById(Map<String, Object> params) throws UnifiedOrderRuntimeException;
}
