package cn.superdesk.uniorder.service.invoice.common;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigOffLine;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigOffLineParam;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigOffLineQueryCriteria;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeOpCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: extends BaseService<InvoiceTypeModeConfigOffLine>
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-02-10 17:46:12
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-02-10 17:46:12
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceTypeModeConfigOffLineService {


    /****************************************** extends BaseService 部分 start ******************************************/

    @Deprecated
    void addObj(InvoiceTypeModeConfigOffLine entity);

    @Deprecated
    void updateObj(InvoiceTypeModeConfigOffLine entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    InvoiceTypeModeConfigOffLine findById(Long id);

    @Deprecated
    PageInfo<InvoiceTypeModeConfigOffLine> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<InvoiceTypeModeConfigOffLine> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addInvoiceTypeModeConfigOffLine(InvoiceTypeModeConfigOffLine entity, LoginSysUser loginSysUser);

    int updateInvoiceTypeModeConfigOffLine(InvoiceTypeModeConfigOffLine entity, LoginSysUser loginSysUser);

    int deleteInvoiceTypeModeConfigOffLine(Long id, LoginSysUser loginSysUser);

    InvoiceTypeModeConfigOffLine findInvoiceTypeModeConfigOffLineById(Long id);

    R<List<InvoiceTypeModeConfigOffLine>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<InvoiceTypeModeConfigOffLine>> pageQueryGenericParam(InvoiceTypeModeConfigOffLineQueryCriteria criteria);

    /****************************************** 操作部分 start ******************************************/

    InvoiceTypeModeConfigOffLineParam getByInvoiceTypeOpCriteria(InvoiceTypeOpCriteria opCriteria, LoginSysUser loginSysUser);

    /****************************************** 操作部分   end ******************************************/


}
