package cn.superdesk.uniorder.service.invoice.customer.invoiced;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoiced;

/**
 * @Description: 开票申请 发票管理
 * @Author: linjinyu 重构
 * @CreateDate: 7/28/20 7:52 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/28/20 7:52 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedFieldDeletedService {


	/****************************************** 状态机 公共方法 机内使用 实际流转 重用 start ******************************************/

	// 状态流转为 正常(0, "正常")
	void opInitByStateMachine(InvoiceInvoiced entity, LoginSysUser loginSysUser);

	// 状态流转为 删除(1, "删除")
	void opDeleteByStateMachine(InvoiceInvoiced entity, LoginSysUser loginSysUser);

	/****************************************** 状态机 公共方法 机内使用 实际流转 重用   end ******************************************/


	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 正常(0, "正常")
	void opInit(InvoiceInvoiced entity, LoginSysUser loginSysUser);

	// 状态流转为 删除(1, "删除")
	void opDelete(InvoiceInvoiced entity, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/
}
