package cn.superdesk.uniorder.service.marketing.department;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedArea;
import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCity;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionCity;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaVo;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaWeb;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface UnifiedAreaService extends BaseService<UnifiedArea> {

	R<List<UnifiedAreaVo>> getDataByPage(Map<String, Object> params, int pageNum, int pageSize);

	List<SelectOptionCity> getCitySelect(Map<String, Object> params);

	List<UnifiedAreaCity> findAllCity(Map<String, Object> queryMap);

	List<UnifiedAreaWeb> getweb(Map<String, Object> params);

}
