package cn.superdesk.uniorder.service.operationCenter;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterBusiness;
import cn.superdesk.uniorder.dto.param.operationCenter.business.BusinessQueryParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessVo;
import cn.superdesk.uniorder.dto.vo.sys.SysSelectVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface OperationCenterBusinessService  extends BaseService<OperationCenterBusiness> {
    List<BusinessVo> getListByParams(BusinessQueryParam param);

    List<BusinessCustomerVo> getByBusinessId(BusinessQueryParam param);

    /**
     * 业务人员下拉列表
     */
    List<OperationCenterVo> selectAll();

    List<SysSelectVo> selectList(Map<String,Object> params);
}
