package cn.superdesk.uniorder.service.operationCenter;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOrder;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcAccountingScoreCustomerEntity;
import cn.superdesk.uniorder.dto.param.operationCenter.order.OperationCenterOrderParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderDetailsVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderFormVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/3/24 17:03
 * Description : 运营中心 订单管理页面 service层
 */

public interface OperationCenterOrderService extends BaseService<OperationCenterOrder> {

    List<OperationCenterOrderVo> getOperatorCenterOrderList(OperationCenterOrderParam param);


    List<OperationCenterOrderVo> getOrderByOrderNo(String platformCode,String orderSn,String refundOriginOrderSn);


    Map<String, Object> getOrderStatisticsCount(OperationCenterOrderParam param);

    SysNotify exportExcelOperationCenterOrder(OperationCenterOrderParam param);
}
