package cn.superdesk.uniorder.service.order.receive;

import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.opcenter.UnifiedFlscAccountingOrderParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.flsc.UnifiedFlscOrderReceiveParam;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/12/1 下午3:06
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/1 下午3:06
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface ReceiveFlscOrderService {

	UnifiedOrderIssuesFlowingParam kafkaUnifiedOrderReceive(UnifiedFlscOrderReceiveParam unifiedFlscOrderReceiveParam);

    /**
     * 接收福利商城对账订单数据
     * @param unifiedFlscAccountingOrderParam
     * @return
     */
    UnifiedOrderIssuesFlowingParam kafkaUnifiedFlscAccountingOrderReceive(UnifiedFlscAccountingOrderParam unifiedFlscAccountingOrderParam);
}
