package cn.superdesk.uniorder.service.unified;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedProject;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedProjectTarget;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectTargetVo;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface UnifiedProjectService extends BaseService<UnifiedProject> {

	UnifiedProjectTarget updateTarget(UnifiedProjectTarget target);

	R<List<UnifiedProjectVo>> getDataByPage(Map<String, Object> params, int pageNum, int pageSize);

	R<List<UnifiedProjectTargetVo>> getTargetDataByPage(Map<String, Object> params, int pageNum,
														int pageSize);

}
