package cn.superdesk.uniorder.service.unified.settlement;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgramme;
import cn.superdesk.uniorder.dto.param.operationCenter.customer.OperationCenterCustomerParam;
import cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement.UnifiedSettlementParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.OperationCenterCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.settlement.UnifiedSettlementVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;

public interface UnifiedSettlementProgrammeService extends BaseService<UnifiedSettlementProgramme> {
    R<String> saveUnifiedSettlement(UnifiedSettlementParam param, Long sysUserId);

    R<String> updateUnifiedSettlement(UnifiedSettlementParam param, Long sysUserId);

    List<UnifiedSettlementVo> list(OperationCenterCustomerParam param);

    R<UnifiedSettlementParam> get(Long id);

    R<String> setDefault(Long id);
}
