//package cn.superdesk.uniorder.config.exception;
//
//import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
//import cn.superdesk.uniorder.common.rest.response.R;
//import cn.superdesk.uniorder.common.rest.response.ResponseResultOuterUtils;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.web.bind.annotation.ExceptionHandler;
//import org.springframework.web.bind.annotation.ResponseBody;
//import org.springframework.web.bind.annotation.RestControllerAdvice;
//
//import java.lang.reflect.UndeclaredThrowableException;
//
///**
// * @Description: RestControllerAdvice，统一异常处理
// * @Author: linjinyu
// * @CreateDate: 2022/4/8 2:21 下午
// * @UpdateUser: linjinyu
// * @UpdateDate: 2022/4/8 2:21 下午
// * @UpdateRemark: 修改内容
// * @Version: 1.0
// */
//@Slf4j
//@RestControllerAdvice
//public class ExceptionHandlerConfig {
//
//    /**
//     * 业务异常处理
//     *
//     * @param e 业务异常
//     * @return
//     */
//    @ExceptionHandler(value = UnifiedOrderRuntimeException.class)
//    @ResponseBody
//    public R<String> exceptionHandler(UnifiedOrderRuntimeException e) {
//        return ResponseResultOuterUtils.createErrorResult("500", e.getMessage());
//    }
//
//
//    @ExceptionHandler(value = UndeclaredThrowableException.class)
//    @ResponseBody
//    public R<String> exceptionHandler(UndeclaredThrowableException e) {
//        return ResponseResultOuterUtils.createErrorResult("500", e.getMessage());
//    }
//
//
//    /**
//     * 未知异常处理
//     */
//    @ExceptionHandler(value = Exception.class)
//    @ResponseBody
//    public R<String> exceptionHandler(Exception e) {
//        // 把错误信息输入到日志中
//        return ResponseResultOuterUtils.createErrorResult("500", e.getMessage());
//    }
//
//    /**
//     * 空指针异常
//     */
//    @ExceptionHandler(value = NullPointerException.class)
//    @ResponseBody
//    public R<String> exceptionHandler(NullPointerException e) {
//        return ResponseResultOuterUtils.createErrorResult("500", e.getMessage());
//    }
//}
//
