//package cn.superdesk.uniorder.controller.order.base;
//
//import cn.hutool.core.collection.CollUtil;
//import cn.hutool.core.util.ObjectUtil;
//import cn.hutool.json.JSONUtil;
//import cn.superdesk.libs.common.json.JsonUtils;
//import cn.superdesk.uniorder.common.rest.response.R;
//import cn.superdesk.uniorder.common.rest.response.ResponseResultOuterUtils;
//import cn.superdesk.uniorder.controller.base.BaseController;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.ArrayList;
//import java.util.List;
//
//
///**
// * @Description:    问题订单 - 流水记录
// * @Author:         linjinyu
// * @Email  			linjinyu@avic-s.com
// * @CreateDate:     2022-07-13 14:07:41
// * @UpdateUser:     linjinyu
// * @UpdateDate:     2022-07-13 14:07:41
// * @UpdateRemark:   修改内容
// * @Version:        1.0
// */
//@Api(value = "xxx-xxx", tags = {"xxx-xxx"})
//@Slf4j
//@RestController
//@RequestMapping("/unifiedOrderIssuesFlowing")
//public class UnifiedOrderIssuesFlowingController extends BaseController {
//
//	@Autowired
//	private UnifiedOrderIssuesFlowingDubboConsumerService unifiedOrderIssuesFlowingDubboConsumerService;
//
//
//	@ApiOperation(value = "xxx-xxx-op列表")
//	@RequestMapping(value = "list", method = RequestMethod.POST)
//	@ResponseBody
//	public R<List<UnifiedOrderIssuesFlowingListItemVo>> pageQueryGenericParam(
//			@RequestBody UnifiedOrderIssuesFlowingQueryCriteria queryCriteria) {
//
//		log.info("pageQueryUnifiedOrderIssuesFlowing:\n{}", JsonUtils.toJson(queryCriteria));
//
//		// TODO 参数合法性判定
//
//		R<List<UnifiedOrderIssuesFlowingListItemVo>> result = new R<>();
//		result = unifiedOrderIssuesFlowingDubboConsumerService.pageQueryGenericParam(queryCriteria, getToken());
//
//		return result;
//	}
//
//	@ApiOperation(value = "xxx-xxx-op页头")
//	@RequestMapping(value = "head", method = RequestMethod.POST)
//	public R<UnifiedOrderIssuesFlowingHeadVo> pageQueryHeadGenericParam(
//			@RequestBody UnifiedOrderIssuesFlowingQueryCriteria queryCriteria) {
//
//		return ResponseResultOuterUtils.createSuccesResult("",
//					unifiedOrderIssuesFlowingDubboConsumerService
//						.queryHeadGenericParam(
//								queryCriteria,
//								getToken()
//						)
//		);
//	}
//
//	@ApiOperation(value = "xxx-xxx-op列表-op按id查询")
//	@RequestMapping(value = "{id}", method = RequestMethod.GET)
//	@ResponseBody
//	public R<UnifiedOrderIssuesFlowingListItemVo> getById(@PathVariable("id") long id) {
//
//		return ResponseResultOuterUtils.createSuccesResult("",
//				unifiedOrderIssuesFlowingDubboConsumerService
//						.findListItemVoById(
//								id,
//								getToken()
//						)
//		);
//	}
//
//	@ApiOperation(value = "xxx-xxx-op列表-op新增-op提交")
//	@RequestMapping(value = "add", method = RequestMethod.POST)
//	@ResponseBody
//	public R<String> addUnifiedOrderIssuesFlowing(@RequestBody UnifiedOrderIssuesFlowingParam param) {
//
//		log.info("addUnifiedOrderIssuesFlowing:\n{}", JsonUtils.toJson(param));
//
//		// TODO 参数合法性判定
//
//		int ret = unifiedOrderIssuesFlowingDubboConsumerService.addUnifiedOrderIssuesFlowing(param, getToken());
//
//		if (ret == 0) {
//			return ResponseResultOuterUtils.createErrorResult("500", "操作失败");
//		} else {
//			return ResponseResultOuterUtils.createSuccesResult("操作成功");
//		}
//	}
//
//	@ApiOperation(value = "xxx-xxx-op列表-op编辑-op提交")
//	@RequestMapping(value = "update", method = RequestMethod.POST)
//	@ResponseBody
//	public R<String> updateUnifiedOrderIssuesFlowing(@RequestBody UnifiedOrderIssuesFlowingParam param) {
//
//		log.info("updateUnifiedOrderIssuesFlowing:\n{}", JsonUtils.toJson(param));
//
//		int ret = unifiedOrderIssuesFlowingDubboConsumerService.updateUnifiedOrderIssuesFlowing(param, getToken());
//
//		if (ret == 0) {
//			return ResponseResultOuterUtils.createErrorResult("500", "操作失败");
//		} else {
//			return ResponseResultOuterUtils.createSuccesResult("操作成功");
//		}
//	}
//
//	@ApiOperation(value = "xxx-xxx-op列表-op删除")
//	@RequestMapping(value = "delete/{id}", method = RequestMethod.POST)
//	@ResponseBody
//	public R<String> deleteUnifiedOrderIssuesFlowing(@PathVariable("id") long id) {
//
//		// TODO 参数合法性判定
//
//		int ret = unifiedOrderIssuesFlowingDubboConsumerService.deleteUnifiedOrderIssuesFlowing(id, getToken());
//
//		if (ret == 0) {
//			return ResponseResultOuterUtils.createErrorResult("500", "操作失败");
//		} else {
//			return ResponseResultOuterUtils.createSuccesResult("操作成功");
//		}
//	}
//
//	@ApiOperation(value = "xxx-xxx-op列表-op批量删除")
//	@RequestMapping(value = "delete_ids", method = RequestMethod.POST)
//	@ResponseBody
//	public R<String> deleteIdsUnifiedOrderIssuesFlowing(@RequestParam(value = "ids") long[] ids) {
//
//		log.info(JsonUtils.toJson(ids));
//
//		int ret = 0;
//
//		for (long id : ids) {
//			ret = unifiedOrderIssuesFlowingDubboConsumerService.deleteUnifiedOrderIssuesFlowing(id, getToken());
//		}
//
//		if (ret == 0) {
//			return ResponseResultOuterUtils.createErrorResult("500", "操作失败");
//		} else {
//			return ResponseResultOuterUtils.createSuccesResult("操作成功");
//		}
//
//	}
//
//
//}
