package cn.superdesk.uniorder.dubbo.consumer.unified;

import cn.superdesk.uniorder.dao.entity.unified.WeixinNotifyInfo;
import cn.superdesk.uniorder.dubbo.facade.unified.DubboWeixinNotifyInfoService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


@Slf4j
@Component
public class WeixinNotifyInfoDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboWeixinNotifyInfoService dubboWeixinNotifyInfoService;

	public void addObj(WeixinNotifyInfo weixinNotifyInfo) {
		dubboWeixinNotifyInfoService.addObj(weixinNotifyInfo);
	}
}
