package cn.superdesk.uniorder.executor.scheduler.config.thread;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description: 线程池配置属性类
 * @Author: linjinyu
 * @CreateDate: 2020/12/23 下午2:15
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/12/23 下午2:15
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@Component
@ConfigurationProperties(prefix = "task.pool")
public class AsyncTaskProperties {

	private int corePoolSize;

	private int maxPoolSize;

	private int keepAliveSeconds;

	private int queueCapacity;
}
