package cn.superdesk.uniorder.common.queue.block;

import java.lang.ref.WeakReference;

public class TaskEvent {

	private WeakReference<TaskInterface> mTask;
	int mEventType;

	public TaskInterface getTask() {
		return mTask.get();
	}

	public void setTask(TaskInterface mTask) {
		this.mTask = new WeakReference<>(mTask);
	}

	public int getEventType() {
		return mEventType;
	}

	public void setEventType(int mEventType) {
		this.mEventType = mEventType;
	}

	public static class EventType {
		public static final int DO     = 0X00;
		public static final int FINISH = 0X01;
	}
}
