package cn.superdesk.uniorder.common.queue.delayed.instance;

import cn.superdesk.uniorder.common.queue.delayed.DelayTaskBase;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.SuperBuilder;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/3/1 下午8:02
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/1 下午8:02
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@SuperBuilder(toBuilder = true)
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Slf4j
public class DelayTaskInstanceAccountingOrderInvoiceStatusTailUpdate extends DelayTaskBase {

//	public DelayTaskInstanceAccountingOrderInvoiceStatusTailUpdate(String identifier) {
//		super(identifier);
//	}
//
//	private String iam = "DelayTaskInstanceAccountingOrderInvoiceStatusTailUpdate";


	/****************************************** 表单 start ******************************************/

	private List<Long> affectedAccountingOrderIds;
	// AccountingOrderTypeDimEnum dim
	private Integer    dim;

	private Long invoiceApplyId;

	// LoginSysUser
	private String loginSysUser;
}
