package cn.superdesk.uniorder.common.constants;

/**
 * @Description: 状态码 待整理 理想还是 Integer 但之前已经在用 String ,所以只能沿用
 * 参考 HttpStatus.java.md
 * @Author: linjinyu
 * @CreateDate: 2021/5/14 下午3:01
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/14 下午3:01
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class ResponseResultConstants {

	/**
	 * 成功
	 */
	public static final String SUCCESS                = "200";
	/**
	 * TOKEN过期
	 */
	public static final String TOKEN_EXPIRED          = "209";
	/**
	 * 操作失败,请求参数有误
	 */
	public static final String ERROR                  = "400";
	/**
	 * 未通过token验证 token令牌未被识别
	 */
	public static final String TOKEN_INVALID          = "401";
	/**
	 * 无操作权限
	 */
	public static final String NO_OPERATION_AUTHORITY = "402";
	/**
	 * 服务器出现异常
	 */
	public static final String SERVER_ERROR           = "500";
	/**
	 * 请求次数过于频繁
	 */
	public static final String REQUEST_OVER_LIMIT     = "502";
	/**
	 * 非法请求(安全验证,参数验证)
	 */
	public static final String RESULTCODE_ILLEGAL     = "503";

	/**
	 * 这个是什么 体系的？
	 */
	public static final String GET_FIX_CENTER_ERROR_CODE = "1001";


}
