package cn.superdesk.uniorder.common.enums.thirdpart.szhtxx.electronicInvoice;


/**************************************** 原 start ****************************************/

//invoiceType 发票类型	VARCHAR	10		0:专票 2:普票41:卷票 42:二手车 51:电子票 52：电子专票  12机动车发票 不传默认电子发票
//
//redReason	普通发票、电子普通发票、卷票冲红需给出冲红原因。	VARCHAR	1	否	1-销货退回;2-开票有误;3-服务中止;4-销售折让;对于冲红原因为 1、2、3 的，会执行本地校验和联网校验两项检查，只要其中一项检查不通过，不允许开具红票，其它：为空
//blueInvDate	原蓝字发票的开具日期	VARCHAR	10	否	redReason不为空时，则要求填写原蓝字发票的开具日期，格式：yyyyMMdd, 如：20211230注：如果原开票软件中原蓝票的开票时间不一致时，则以开票软件的为准，不作不一致的提示。
//blueInvKind	原蓝字发票的发票类型	VARCHAR	10	否	redReason不为空时，则要求填写原蓝字发票的发票类型，对应蓝字发票种类主要包括以下 4 类：2-普通发票，41-卷票，51-电子普通发票，999-其他普通发票（如：通行费发票）
//invReason	开具理由	VARCHAR	1	否	规模纳税人（含转登记）、代开、委托代开企业，自 2022-01-01 至 2022-12-31 起 3%、1%、 0.5%税率降为免税，此期间依旧开具 3%或 1%税率的，需要传入开具理由。
//0:无理由;
//1:政策出台前发生纳税义务;
//2:前期已开具相应征收率发票，发生销售折让、中止或者退回等情形需要开具红字发票，或者开票有误需要重新开具;
//3:因为实际经营业务需要，放弃享受免征增值税政策。


/**************************************** 转 start ****************************************/

//SzhtxxElectronicInvoiceFptxxInvoiceType 发票类型	VARCHAR	10		0:专票 2:普票41:卷票 42:二手车 51:电子票 52：电子专票  12机动车发票 不传默认电子发票
//
//SzhtxxElectronicInvoiceFptxxRedReason	普通发票、电子普通发票、卷票冲红需给出冲红原因。	VARCHAR	1	否	1-销货退回;2-开票有误;3-服务中止;4-销售折让;对于冲红原因为 1、2、3 的，会执行本地校验和联网校验两项检查，只要其中一项检查不通过，不允许开具红票，其它：为空
//SzhtxxElectronicInvoiceFptxxBlueInvDate	原蓝字发票的开具日期	VARCHAR	10	否	redReason不为空时，则要求填写原蓝字发票的开具日期，格式：yyyyMMdd, 如：20211230注：如果原开票软件中原蓝票的开票时间不一致时，则以开票软件的为准，不作不一致的提示。
//SzhtxxElectronicInvoiceFptxxBlueInvKind	原蓝字发票的发票类型	VARCHAR	10	否	redReason不为空时，则要求填写原蓝字发票的发票类型，对应蓝字发票种类主要包括以下 4 类：2-普通发票，41-卷票，51-电子普通发票，999-其他普通发票（如：通行费发票）
//SzhtxxElectronicInvoiceFptxxInvReason	开具理由	VARCHAR	1	否	规模纳税人（含转登记）、代开、委托代开企业，自 2022-01-01 至 2022-12-31 起 3%、1%、 0.5%税率降为免税，此期间依旧开具 3%或 1%税率的，需要传入开具理由。
//0:无理由;
//1:政策出台前发生纳税义务;
//2:前期已开具相应征收率发票，发生销售折让、中止或者退回等情形需要开具红字发票，或者开票有误需要重新开具;
//3:因为实际经营业务需要，放弃享受免征增值税政策。
