package cn.superdesk.uniorder.common.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/11/24 下午2:12
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/24 下午2:12
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
public class LoginSysUser implements Serializable {

	// 从 token 解包得到
	// userId      "64"
	private Long   sysUserId;
	// userName    "linjy"
	private String sysUserName;
	private String fullName;

	// ... 还有数据在redis上

	private Long    roleType;
//	匿名(-1, "匿名"),
//	统一订单(0, "统一订单"),
//	服务之窗(1, "服务之窗"),
//	福利商城_侨城汇(2, "福利商城_侨城汇"),
	@ApiModelProperty("系统登陆类型 outLogin:0-统一订单;1-服务之窗;2-福利商城_侨城汇; @link SysLoginTypeEnum")
	private Integer outLogin;

	// 这个是什么狗
	private Long ocId;

	private String virtIds;
	private Long   saleId;

}
