package cn.superdesk.uniorder.dao.entity.accounting.unified.customer;

import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table accounting_unified_customer_order_goods
 */
@Data
@ToString
public class AccountingUnifiedCustomerOrderGoods implements Serializable {
    /**
     *
     *
     * column accounting_unified_customer_order_goods.id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column accounting_unified_customer_order_goods.dz_order_id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long dzOrderId;

    /**
     *
     *
     * column accounting_unified_customer_order_goods.good_id
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Long goodId;

    /**
     * Database Column Remarks:
     *   商品编码
     *
     *
     * column accounting_unified_customer_order_goods.goodno
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String goodno;

    /**
     * Database Column Remarks:
     *   商品小计
     *
     *
     * column accounting_unified_customer_order_goods.price
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private BigDecimal price;

    /**
     * Database Column Remarks:
     *   数量
     *
     *
     * column accounting_unified_customer_order_goods.total
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private Integer total;

    /**
     * Database Column Remarks:
     *   单价
     *
     *
     * column accounting_unified_customer_order_goods.unit_price
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private BigDecimal unitPrice;

    /**
     * Database Column Remarks:
     *   规格
     *
     *
     * column accounting_unified_customer_order_goods.optionname
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String optionname;

    /**
     * Database Column Remarks:
     *   单位
     *
     *
     * column accounting_unified_customer_order_goods.unit
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String unit;

    /**
     * Database Column Remarks:
     *   其他字段1 占坑用
     *
     *
     * column accounting_unified_customer_order_goods.other_field1
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String otherField1;

    /**
     * Database Column Remarks:
     *   其他字段1 占坑用
     *
     *
     * column accounting_unified_customer_order_goods.other_field2
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String otherField2;

    /**
     * Database Column Remarks:
     *   运费
     *
     *
     * column accounting_unified_customer_order_goods.dispatch_price
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private BigDecimal dispatchPrice;

    /**
     * Database Column Remarks:
     *   加运费后商品小计
     *
     *
     * column accounting_unified_customer_order_goods.total_price
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private BigDecimal totalPrice;

    /**
     * Database Column Remarks:
     *   商品编码2
     *
     *
     * column accounting_unified_customer_order_goods.tax_code
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String taxCode;

    /**
     * Database Column Remarks:
     *   商品编码
     *
     *
     * column accounting_unified_customer_order_goods.fiscal_code
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private String fiscalCode;

    /**
     *
     * table accounting_unified_customer_order_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    private static final long serialVersionUID = 1L;
}