package cn.superdesk.uniorder.dao.entity.channel;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table unified_channel_sync
 */
@Data
@ToString
public class UnifiedChannelSync implements Serializable {
    /**
     *
     *
     * column unified_channel_sync.id
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column unified_channel_sync.channel_id
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Long channelId;

    /**
     *
     *
     * column unified_channel_sync.channel_name
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String channelName;

    /**
     *
     *
     * column unified_channel_sync.code
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String code;

    /**
     *
     *
     * column unified_channel_sync.leader_name
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String leaderName;

    /**
     *
     *
     * column unified_channel_sync.leader_phone
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String leaderPhone;

    /**
     * Database Column Remarks:
     *   用户类别 1:微信用户 2:管理用户
     *
     *
     * column unified_channel_sync.leader_type
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Integer leaderType;

    /**
     * Database Column Remarks:
     *   渠道商类别为微信的时绑定的微信账号
     *
     *
     * column unified_channel_sync.leader_wx_account
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String leaderWxAccount;

    /**
     *
     *
     * column unified_channel_sync.address
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String address;

    /**
     *
     *
     * column unified_channel_sync.remark
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String remark;

    /**
     *
     *
     * column unified_channel_sync.company_type
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Integer companyType;

    /**
     *
     *
     * column unified_channel_sync.province_code
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String provinceCode;

    /**
     *
     *
     * column unified_channel_sync.province_name
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String provinceName;

    /**
     *
     *
     * column unified_channel_sync.city_code
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String cityCode;

    /**
     *
     *
     * column unified_channel_sync.city_name
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private String cityName;

    /**
     *
     *
     * column unified_channel_sync.enabled
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Integer enabled;

    /**
     *
     *
     * column unified_channel_sync.sync_time
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Date syncTime;

    /**
     *
     *
     * column unified_channel_sync.create_time
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column unified_channel_sync.create_user_id
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column unified_channel_sync.update_time
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column unified_channel_sync.update_user_id
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table unified_channel_sync
     *
     * Mon Aug 31 17:36:04 CST 2020
     */
    private static final long serialVersionUID = 1L;
}