package cn.superdesk.uniorder.dao.entity.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 2021-11-22 15:58:33
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-11-22 15:58:33
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class UploadFiles implements Serializable {

	@ApiModelProperty(value = "")
	private Long id;

	@ApiModelProperty(value = "")
	private String uid;

	@ApiModelProperty(value = "")
	private String appId;

	@ApiModelProperty(value = "")
	private String groupName;

	/**
	 * 提供方 local,qiniu,...
	 */
	@ApiModelProperty(value = "提供方 local,qiniu,...")
	private String provider;

	@ApiModelProperty(value = "")
	private String fileOriginalName;

	@ApiModelProperty(value = "")
	private String fileName;

	@ApiModelProperty(value = "")
	private String fileUrl;

	@ApiModelProperty(value = "")
	private String fileLocation;

	/**
	 * 文件后缀
	 */
	@ApiModelProperty(value = "文件后缀")
	private String suffix;

	/**
	 * image/jpeg
	 */
	@ApiModelProperty(value = "image/jpeg")
	private String mimeType;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	/**
	 * 操作人 sysUserId
	 */
	@ApiModelProperty(value = "操作人 sysUserId")
	private Long createUserId;

	/**
	 * 操作人 sysUserName
	 */
	@ApiModelProperty(value = "操作人 sysUserName")
	private String createUserName;

	private static final long serialVersionUID = 1L;
}