package cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class InvoiceBankStatement implements Serializable {
    /**
     * 流水Id
     */
    private Long id;

    private String mainName;

    /**
     * 银行
     */
    private String bankName;

    /**
     * 金额
     */
    private BigDecimal count;

    /**
     * 未核销金额
     */
    private BigDecimal noCheckCount;

    /**
     * 是否删除 0删除 1未删除
     */
    private Integer enable;

    /**
     * 核销状态 0-未核销;1-已核销;2-部分核销;
     */
    private Integer status;

    /**
     * 收款人
     */
    private String payee;

    /**
     * 收款人账号
     */
    private String payeeAccount;

    /**
     * 收款日期
     */
    private Date payTime;

    /**
     * 备注
     */
    private String remark;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}