package cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class InvoiceInvoicedOperationLog implements Serializable {
    private Long id;

    /**
     * 批次Id
     */
    private String batchId;

    /**
     * 应收账款-发票-系统Id
     */
    private Long invoiceInvoicedId;

    /**
     * 冗余-发票号码
     */
    private String invoiceNumber;

    /**
     * 操作时间 为什么不叫 operation_time 问号, 问就是不要问
     */
    private Date createTime;

    /**
     * 操作人 sysUserId
     */
    private Long createUserId;

    /**
     * 操作人 sysUserName
     */
    private String createUserName;

    /**
     * 操作类型
     */
    private Integer operationType;

    /**
     * 操作之前 json 完整记录
     */
    private String operationBefore;

    /**
     * 操作参数 json 表单参数
     */
    private String operationParams;

    /**
     * 操作之后 json 完整记录
     */
    private String operationAfter;

    private static final long serialVersionUID = 1L;
}
