package cn.superdesk.uniorder.dao.entity.marketing;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class UnifiedStatisticsVirt implements Serializable {
    private Long id;

    private String serviceNo;

    private Long virtId;

    private Integer sYear;

    private Integer sMonth;

    private BigDecimal payableAmount;

    private Integer quantity;

    private BigDecimal orderAmount;

    private BigDecimal orderCostAmount;

    private BigDecimal orderTransportAmount;

    private BigDecimal orderRefundAmount;

    private BigDecimal orderRefundCostAmount;

    private BigDecimal goodsAmount;

    private BigDecimal goodsCostAmount;

    private BigDecimal goodsTransportAmount;

    private BigDecimal goodsRefundAmount;

    private BigDecimal goodsRefundCostAmount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 操作人 sysUserId
     */
    private Long createUserId;

    /**
     * 最近更新时间
     */
    private Date updateTime;

    /**
     * 操作人 sysUserId
     */
    private Long updateUserId;

    private static final long serialVersionUID = 1L;
}