package cn.superdesk.uniorder.dao.entity.operation;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/8/17 下午2:53
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/8/17 下午2:53
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class UnifiedOrderIssuesFlowing implements Serializable {

	private Long id;

	private String uid;

	private String orderSn;

	private Date createTime;

	@ApiModelProperty("处理结果:0-初始;1-正常;2-异常-数据本身问题;2-异常-数据处理问题;")
	private Integer processResult;

	@ApiModelProperty("过来的")
	private String sourceJson;

	@ApiModelProperty("转换的")
	private String processJson;

	@ApiModelProperty("处理过程报告")
	private String processReport;

	private static final long serialVersionUID = 1L;
}