package cn.superdesk.uniorder.dao.entity.order;

import lombok.*;

import java.io.Serializable;
import java.util.Date;


/**
 * @Description: 快递公司
 * @Author: linjinyu
 * @CreateDate: 2022/5/12 5:26 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/12 5:26 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class ExpressCompany implements Serializable {

    private Long id;

    private String companyName;

    private Date createTime;

    private Long createUserId;

    private Date updateTime;

    private Long updateUserId;

    private static final long serialVersionUID = 1L;

}