package cn.superdesk.uniorder.dao.entity.organisation;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Description: 公司信息 还是 运营商信息?
 * @Author: linjinyu 补充
 * @CreateDate: 4/21/20 6:26 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 4/21/20 6:26 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class SysCompany implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;


	/**
	 * 公司-名字
	 */
	private String companyName;

	/**
	 * 公司-联系电话
	 */
	private String tel;

	/**
	 * 公司-地址-深圳市 福田区 深南中路3024号 航空大厦32层7-11室
	 */
	private String address;

	/**
	 * 银行-开户公司名字?
	 */
	private String bankTitle;

	/**
	 * 银行-对公帐号?
	 */
	private String bankNo;

	/**
	 * 银行-名字-细节的-招商银行深圳分行福田支行
	 */
	private String bankName;


}