package cn.superdesk.uniorder.dao.entity.organisation;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_enterprise_ext_accounting
 */
@Data
@ToString
public class SysEnterpriseExtAccounting implements Serializable {
    /**
     *
     *
     * column sys_enterprise_ext_accounting.id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long id;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.service_no
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Integer serviceNo;

    /**
     * Database Column Remarks:
     *   统一订单 项目ID
     *
     *
     * column sys_enterprise_ext_accounting.sys_org_id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long sysOrgId;

    /**
     * Database Column Remarks:
     *   统一订单 企业ID
     *
     *
     * column sys_enterprise_ext_accounting.sys_virt_id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long sysVirtId;

    /**
     * Database Column Remarks:
     *   服务之窗 项目ID
     *
     *
     * column sys_enterprise_ext_accounting.out_org_id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long outOrgId;

    /**
     * Database Column Remarks:
     *   服务之窗 企业ID
     *
     *
     * column sys_enterprise_ext_accounting.out_virt_id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long outVirtId;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.rule_of_account
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Integer ruleOfAccount;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.day_of_month
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Integer dayOfMonth;

    /**
     * Database Column Remarks:
     *   账期-会计期间
     *
     *
     * column sys_enterprise_ext_accounting.account_period
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Integer accountPeriod;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.is_default
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Boolean isDefault;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.deleted
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Boolean deleted;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.create_time
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.create_user_id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.update_time
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column sys_enterprise_ext_accounting.update_user_id
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    private static final long serialVersionUID = 1L;
}