package cn.superdesk.uniorder.dao.entity.scheduler;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_quartz_schedule_task_statement_of_account
 */
@Data
@ToString
public class SysQuartzScheduleTaskStatementOfAccount implements Serializable {
    /**
     * Database Column Remarks:
     *   ID
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   对账单 创建维度:0-订单;1-商品;2-流水;
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.dim_create_by
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Integer dimCreateBy;

    /**
     * Database Column Remarks:
     *   对账单名 eg:某某企业 12月对账单
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.statement_of_account_name
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String statementOfAccountName;

    /**
     * Database Column Remarks:
     *   对账单类型 1-客户结算;2-供应商结算;
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.statement_of_account_type
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Integer statementOfAccountType;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.service_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Integer serviceId;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.service_no
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String serviceNo;

    /**
     * Database Column Remarks:
     *   订单类型-订单来源渠道
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.service_name
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String serviceName;

    /**
     * Database Column Remarks:
     *   统一订单 项目ID
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.sys_org_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long sysOrgId;

    /**
     * Database Column Remarks:
     *   统一订单 企业ID
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.sys_virt_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long sysVirtId;

    /**
     * Database Column Remarks:
     *   服务之窗 项目ID
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.out_org_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long outOrgId;

    /**
     * Database Column Remarks:
     *   服务之窗 企业ID
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.out_virt_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long outVirtId;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.cycle_begin_time
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Date cycleBeginTime;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.cycle_end_time
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Date cycleEndTime;

    /**
     * Database Column Remarks:
     *   状态:1暂停、0启用
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.is_pause
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Integer isPause;

    /**
     * Database Column Remarks:
     *   任务名称
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.job_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long jobId;

    /**
     * Database Column Remarks:
     *   运行状态:-1-失败;0-待命;1-成功
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.run_state
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Integer runState;

    /**
     * Database Column Remarks:
     *   备注
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.remark
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String remark;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.create_time
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.create_user_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.update_time
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.update_user_id
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Long updateUserId;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.run_time
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Date runTime;

    /**
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.finish_time
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private Date finishTime;

    /**
     * Database Column Remarks:
     *   对账单编号
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.accounting_order_sn
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String accountingOrderSn;

    /**
     * Database Column Remarks:
     *   参数json ,记录 什么条件生成
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.params
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String params;

    /**
     * Database Column Remarks:
     *   对账单json
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.result
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String result;

    /**
     * Database Column Remarks:
     *   中间参数 快照
     *
     *
     * column sys_quartz_schedule_task_statement_of_account.params_snapshot
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private String paramsSnapshot;

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    private static final long serialVersionUID = 1L;
}
