package cn.superdesk.uniorder.dao.entity.sys;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 商品信息 20200421 共 42781 行, 查询花费 0.0455 秒。)
 * @Author: linjinyu
 * @CreateDate: 4/21/20 6:19 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 4/21/20 6:19 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class SysGood implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;

	/**
	 * 订单ID 此为组合的 1-xxxx
	 */
	private String sysOrderId;

	/**
	 * 商品纺号
	 */
	private String goodno;

	/**
	 * 数量
	 */
	private Integer total;

	/**
	 * 单价
	 */
	private BigDecimal unitPrice;

	/**
	 * 商品小计
	 */
	private BigDecimal price;

	/**
	 * 运费
	 */
	private BigDecimal dispatchPrice;

	/**
	 * 加运费后 商品小计
	 */
	private BigDecimal totalPrice;

	/**
	 * 规格
	 */
	private String optionname;

	/**
	 * 单位
	 */
	private String unit;

	/**
	 * 商品名称
	 */
	private String otherField1;

	/**
	 * 占坑 未使用
	 */
	private String otherField2;

	/**
	 * 税务 编码
	 */
	private String taxCode;

	/**
	 * 财务 编码
	 */
	private String fiscalCode;


}