package cn.superdesk.uniorder.dao.entity.sys.notify;

import lombok.*;

import java.io.Serializable;
import java.util.Date;

@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SysNotify implements Serializable {

	private Long id;

	/**
	 * 通知类型:1000-websocket
	 */
	private Integer categoryId;

	private Integer templateId;

	private Integer isDeleted;

	private Date fromTime;

	private Long fromUserId;

	private String identifier;

	private Date toTime;

	private Long toUserId;

	private String toUserName;

	/**
	 * 任务通知专用:-1-失败;0-待命;1-成功;
	 */
	private Integer taskState;

	/**
	 * 是否已读:0-未读;1-已读;
	 */
	private Integer isReaded;

	private Date readTime;

	private String title;

	private String detailLink;

	private String remark;

	private String content;

	private String messageBody;

	private static final long serialVersionUID = 1L;
}
