package cn.superdesk.uniorder.dao.entity.sys.role;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class SysMenuOpenApi implements Serializable {
    private Long id;

    /**
     * 归属谁 sysUserId
     */
    private Long belongWho;

    /**
     * 开放等级,设想,值再定吧å
     */
    private Integer level;

    private String requestType;

    private String clazzUrl;

    private String methodUrl;

    private String clazzDesc;

    private String methodDesc;

    private String clazzName;

    private String methodName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 操作人 sysUserId
     */
    private Long createUserId;

    /**
     * 操作人 sysUserName
     */
    private String createUserName;

    /**
     * 最近更新时间
     */
    private Date updateTime;

    /**
     * 操作人 sysUserId
     */
    private Long updateUserId;

    /**
     * 操作人 sysUserName
     */
    private String updateUserName;

    /**
     * 软删除:0-未删除;1-已删除
     */
    private Integer deleted;

    /**
     * 是否启用:1-启用;0-禁用;
     */
    private Integer enabled;

    private static final long serialVersionUID = 1L;
}