package cn.superdesk.uniorder.dao.entity.sys.role;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 后台角色
 * @Author: linjinyu 补充
 * @CreateDate: 4/21/20 6:13 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 4/21/20 6:13 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
@ToString
public class SysRole implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;

    /**
     * 角色名
     */
	private String roleName;

    /**
     * 说明
     */
	private String remarks;

	private Date createTime;

	private Long createUserId;

	private Date updateTime;

	private Long updateUserId;

	/**
	 * 默认为0
	 * 0-系统级  1-运营商 ? TODO 不确定
	 */
	private Byte issystem;

	private String avicCode;


}