package cn.superdesk.uniorder.dao.entity.sys.role;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

/**
 *
 *
 * table sys_role_ext_data_sample
 */
@Data
@ToString
public class SysRoleExtDataSample implements Serializable {
    /**
     *
     *
     * column sys_role_ext_data_sample.id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long id;

    /**
     * Database Column Remarks:
     *   服务No eg:LNSS
     *
     *
     * column sys_role_ext_data_sample.service_no
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private String serviceNo;

    /**
     * Database Column Remarks:
     *   服务名 eg:楼内闪送
     *
     *
     * column sys_role_ext_data_sample.service_name
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private String serviceName;

    /**
     * Database Column Remarks:
     *   数据权限角色 来源:1-system;2-superdesk-app;3-superdesk-mall;
     *
     *
     * column sys_role_ext_data_sample.source_from
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private String sourceFrom;

    /**
     * Database Column Remarks:
     *   引用id,没有统一定义
     *
     *
     * column sys_role_ext_data_sample.source_from_quote_id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long sourceFromQuoteId;

    /**
     *
     *
     * column sys_role_ext_data_sample.source_from_quote_parent_id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long sourceFromQuoteParentId;

    /**
     * Database Column Remarks:
     *   许可时间 开始
     *
     *
     * column sys_role_ext_data_sample.permit_start_time
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Date permitStartTime;

    /**
     * Database Column Remarks:
     *   许可时间 结束
     *
     *
     * column sys_role_ext_data_sample.permit_end_time
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Date permitEndTime;

    /**
     * Database Column Remarks:
     *   是否关联企业 0:未关联1:已关联
     *
     *
     * column sys_role_ext_data_sample.is_bind_virt
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Integer isBindVirt;

    /**
     * Database Column Remarks:
     *   统一订单 项目ID
     *
     *
     * column sys_role_ext_data_sample.sys_org_id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long sysOrgId;

    /**
     * Database Column Remarks:
     *   服务之窗 项目ID
     *
     *
     * column sys_role_ext_data_sample.out_org_id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long outOrgId;

    /**
     * Database Column Remarks:
     *   统一订单 企业 ids
     *
     *
     * column sys_role_ext_data_sample.sys_virt_ids
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private String sysVirtIds;

    /**
     * Database Column Remarks:
     *   第三方 企业 (服务之窗) ids
     *
     *
     * column sys_role_ext_data_sample.out_virt_ids
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private String outVirtIds;

    /**
     *
     *
     * column sys_role_ext_data_sample.deleted
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Integer deleted;

    /**
     *
     *
     * column sys_role_ext_data_sample.create_time
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Date createTime;

    /**
     *
     *
     * column sys_role_ext_data_sample.create_user_id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long createUserId;

    /**
     *
     *
     * column sys_role_ext_data_sample.update_time
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Date updateTime;

    /**
     *
     *
     * column sys_role_ext_data_sample.update_user_id
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private Long updateUserId;

    /**
     *
     * table sys_role_ext_data_sample
     *
     * Mon Sep 21 15:51:22 CST 2020
     */
    private static final long serialVersionUID = 1L;
}
