package cn.superdesk.uniorder.dao.entity.unified;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ToString
public class UnifiedCustomer implements Serializable {

	private Long       projectId;
	private Long       virtId;
	private String     virtName;
	private BigDecimal credit;
	private Integer    cycleDays;

	private Date createTime;
	private Long createUserId;
	private Date updateTime;
	private Long updateUserId;

	private static final long serialVersionUID = 1L;

}