package cn.superdesk.uniorder.dao.mapper._dashboard;

import cn.superdesk.uniorder.dto.param._dashboard.TvHeadDataQueryCriteria;
import cn.superdesk.uniorder.dto.param._dashboard.TvMapDataQueryCriteria;
import cn.superdesk.uniorder.dto.vo._dashboard.TvHeadDataVo;
import cn.superdesk.uniorder.dto.vo._dashboard.TvMapDataVo;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/9/23 下午2:56
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/9/23 下午2:56
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface TvDashboardMapper {

	TvHeadDataVo getHeadData(TvHeadDataQueryCriteria queryCriteria);

	List<TvMapDataVo> getMapData(TvMapDataQueryCriteria queryCriteria);
}
