package cn.superdesk.uniorder.dao.mapper.accounting.unified.customer;

import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ViewDzOrderExcel;
import cn.superdesk.uniorder.dto.vo.invoice.DzInvoiceOrderVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description: 客户结算
 * @Author: linjinyu
 * @CreateDate: 7/9/20 3:57 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/9/20 3:57 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Repository
public interface AccountingUnifiedCustomerOrderGoodsMapperEx {


	/**
	 * 根据goodId获取对账单ID和订单Id
	 * <p>
	 * 弃用 20200716 by linjinyu
	 *
	 * @param id
	 * @return
	 */
	@Deprecated
	List<DzInvoiceOrderVo> selectDzByGoodId(@Param("id") Long id);

	/**
	 * 客户结算-对账单-opt 导出报表(对账单)
	 *
	 * @param params
	 * @return
	 */
	@Deprecated
	List<ViewDzOrderExcel> getDzOrderExcel(Map<String, Object> params);
}