package cn.superdesk.uniorder.dao.mapper.accounting.unified.operator;

import cn.superdesk.uniorder.dto.param.accounting.unified.operator.AccountingUnifiedOperatorQueryParam;
import cn.superdesk.uniorder.dto.vo.accounting.unified.operator.AccountingBillBaseVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.operator.AccountingUnifiedOperatorVo;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface AccountingUnifiedOperatorMapperEx {
    /**
     * 对账任务/账单管理
     * @param param
     * @return
     */
    List<AccountingUnifiedOperatorVo> getAccountingList(AccountingUnifiedOperatorQueryParam param);

    @Select("select t.accounting_order_sn accountingOrderSn ,t.customer_name customerName,CONCAT(t.start_time,'至',t.end_time) accountingCycle,t.accounting_amount accountingAmount,t.reject_reson rejectReason,t.cancel_reason cancelReason" +
            "   FROM accounting_unified_operator t WHERE id =#{billId}")
    AccountingBillBaseVo getBaseBillInfo(Long billId);
}
