package cn.superdesk.uniorder.dao.mapper.accounting.unified.supplier;

import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplier;
import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingOrderUnifiedSupplierQueryCriteria;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSuplierHeadVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSupplierListItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/12/20 下午3:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/20 下午3:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedSupplierMapperEx {

	/****************************************** 供应商结算2.0-对账单列表 引用 1. 后端端 2. 商户端 start ******************************************/

	List<AccountingOrderUnifiedSupplierListItemVo> getStatementOfAccountList(Map<String, Object> params);

	List<AccountingOrderUnifiedSupplierListItemVo> getStatementOfAccountList(AccountingOrderUnifiedSupplierQueryCriteria queryCriteria);

	AccountingOrderUnifiedSuplierHeadVo getStatementOfAccountHeadSum(Map<String, Object> params);

	AccountingOrderUnifiedSuplierHeadVo getStatementOfAccountHeadSum(AccountingOrderUnifiedSupplierQueryCriteria queryCriteria);

	/****************************************** 供应商结算2.0-对账单列表 引用 1. 后端端 2. 商户端   end ******************************************/

	AccountingUnifiedSupplier getByAnnountingOrderSn(@Param("accountingOrderSn") String accountingOrderSn);
}