package cn.superdesk.uniorder.dao.mapper.accounting.unified.supplier;

import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSuplierCheckAmountErrorForFixDimOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 7/10/20 10:45 AM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/10/20 10:45 AM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedSupplierXOrderMapperEx {


	/**
	 * INSERT INTO unified_supplier_dz_order (sup_dz_sn, sn, amount,cost_amount)
	 * SELECT #{supDzSn,jdbcType=VARCHAR},sn,amount,cost_amount from unified_order where id in
	 * <foreach collection="ids" index="index" item="id" open="(" close=")" separator=",">
	 * #{id}
	 * </foreach>
	 *
	 * @param params
	 * @return
	 */
	int createRelation(Map<String, Object> params);

	List<AccountingUnifiedSupplierOrder> findAll(Map<String, Object> params);

	/**
	 *
	 * @param params
	 * @return
	 */
	List<AccountingOrderUnifiedSuplierCheckAmountErrorForFixDimOrder> checkAmountErrorForFixDimOrder(Map<String, Object> params);


	void deleteByAccountingOrderSn(@Param("accountingOrderSn") String accountingOrderSn);
}