package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingSupplierNotYetDimGoodsQueryCriteria;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.notyet.UnifiedOrderJoinGoodsOfSupplierStatementOfAccountVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.notyet.UnifiedOrderSupplierHeadSumVo;

import java.util.List;

/**
 * @Description: 供应商 未对账商品
 * @Author: linjinyu
 * @CreateDate: 2020/10/27 下午2:19
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/10/27 下午2:19
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedOrderMapperExSupplierDimGoods {


	List<UnifiedOrderJoinGoodsOfSupplierStatementOfAccountVo> getSupplierUnAccountingDimGoodsList(AccountingSupplierNotYetDimGoodsQueryCriteria criteria);

	UnifiedOrderSupplierHeadSumVo getSupplierUnAccountingDimGoodsHeadSum(AccountingSupplierNotYetDimGoodsQueryCriteria criteria);

}
