package cn.superdesk.uniorder.dao.mapper.invoice.customer;

import cn.superdesk.uniorder.dto.param.invoice.customer.InvoiceApplyCustomerQueryCriteriaV2_1;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyCustomerHeadDataVoV2_1;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyCustomerPageVo;

import java.util.List;

public interface InvoiceApplyMapperExScoreV2_1 {

	/**
	 * op页面List-积分结算-发票申请管理-积分结算2.1 已适配
	 * 详细也用到(id)
	 *
	 * @param criteria
	 * @return
	 */
	List<InvoiceApplyCustomerPageVo> findViewByPage(InvoiceApplyCustomerQueryCriteriaV2_1 criteria);

	/**
	 * op页面Head-积分结算-发票申请管理-积分结算2.1 已适配
	 *
	 * @param criteria
	 * @return
	 */
	InvoiceApplyCustomerHeadDataVoV2_1 findViewHeadData(InvoiceApplyCustomerQueryCriteriaV2_1 criteria);


	/**
	 * op页面List-积分结算-发票管理-积分结算2.1 已适配
	 * 详细也用到(id)
	 *
	 * @param criteria
	 * @return
	 */
	List<InvoiceApplyCustomerPageVo> findInvoiceListByPageV2_1(InvoiceApplyCustomerQueryCriteriaV2_1 criteria);

	/**
	 * op页面Head-积分结算-发票管理-积分结算2.1 已适配
	 *
	 * @param criteria
	 * @return
	 */
	InvoiceApplyCustomerHeadDataVoV2_1 findInvoiceHeadDataV2_1(InvoiceApplyCustomerQueryCriteriaV2_1 criteria);
}
