package cn.superdesk.uniorder.dao.mapper.invoice.customer.fundrestream;

import cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream.InvoiceBankStatement;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedInvOrderCount;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * InvoiceBankMapper继承基类
 */
@Repository
public interface InvoiceBankStatementMapperEx {

	List<InvoiceBankStatement> getBankByApplyId(Map<String, Object> params);

	List<UnifiedInvOrderCount> getInvOrderCount(Long id);

	List<InvoiceBankStatement> findAll(Map<String, Object> params);
}