package cn.superdesk.uniorder.dao.mapper.invoice.customer.invoiced;

import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedQueryCriteria;
import cn.superdesk.uniorder.dto.vo.invoice.customer.invoiced.InvoiceInvoicedExcelExportVo;
import cn.superdesk.uniorder.dto.vo.invoice.customer.invoiced.InvoiceInvoicedHeadSumAmount;
import cn.superdesk.uniorder.dto.vo.invoice.customer.invoiced.InvoiceInvoicedHeadSumIsBackCollection;
import cn.superdesk.uniorder.dto.vo.invoice.customer.invoiced.InvoiceInvoicedHeadSumIsOverdue;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/7/26 下午2:56
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/26 下午2:56
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedMapperEx {

	/****************************************** 列表 start ******************************************/

	List<InvoiceInvoicedExcelExportVo> pageQueryByCriteria(InvoiceInvoicedQueryCriteria criteria);

	/****************************************** 列表   end ******************************************/

	/****************************************** 列表 统计 start ******************************************/

	InvoiceInvoicedHeadSumAmount headSumAmount(InvoiceInvoicedQueryCriteria criteria);

	List<InvoiceInvoicedHeadSumIsBackCollection> headSumIsBackCollection(InvoiceInvoicedQueryCriteria criteria);

	List<InvoiceInvoicedHeadSumIsOverdue> headSumIsOverdue(InvoiceInvoicedQueryCriteria criteria);

	/****************************************** 列表 统计   end ******************************************/
}
