package cn.superdesk.uniorder.dao.mapper.invoice.supplier;

import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplier;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierPageVoListQueryCriteria;
import cn.superdesk.uniorder.dto.vo.invoice.supplier.InvoiceApplySupplierHeadVo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 供应商 开票申请
 * @Author: linjinyu 重构
 * @CreateDate: 2021/11/30 下午12:27
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/30 下午12:27
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplySupplierMapperEx {

	// queryInvoiceApplyList
	List<InvoiceApplySupplier> findAll(Map<String, Object> params);

	List<InvoiceApplySupplier> queryInvoiceApplySupplierPageVoList(InvoiceApplySupplierPageVoListQueryCriteria queryCriteria);

	InvoiceApplySupplierHeadVo getDataPageHead(Map<String, Object> params);

	// 用于 供应商发票申请 基于 对账单Sn 来返回 对账单 商品数据 弃用 mark by 20201103 linjinyu 此方法改为由 对账单方提供
	//	List<InvoiceApplySupplierSelectGoodsVo> getStatementOfAccountDimOrder2GoodsList(Map<String, Object> params);
}