package cn.superdesk.uniorder.dto.dubbo.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-01-06 20:55:13
 */
@Data
@ToString
public class UnifiedOrderReturnParam implements Serializable {

	@ApiModelProperty("")
	private Long       id;
	@ApiModelProperty("订单维度:1-一般订单;2-积分订单;")
	private Integer    orderDim;
	@ApiModelProperty("")
	private String     orderSn;
	@ApiModelProperty("")
	private String     returnSn;
	@ApiModelProperty("")
	private Long       projectId;
	@ApiModelProperty("")
	private String     projectName;
	@ApiModelProperty("")
	private BigDecimal amount;
	@ApiModelProperty("")
	private BigDecimal transportAmount;
	@ApiModelProperty("")
	private Integer    transportAmountSource;
	@ApiModelProperty("")
	private Integer    completState;
	@ApiModelProperty("")
	private Integer    accountingStateCustomer;
	@ApiModelProperty("")
	private Integer    payState;
	@ApiModelProperty("")
	private Integer    orderState;
	@ApiModelProperty("")
	private String     orderStateName;
	@ApiModelProperty("")
	private String     userType;
	@ApiModelProperty("")
	private String     userName;
	@ApiModelProperty("")
	private Date       createTime;
	@ApiModelProperty("")
	private Long       createUserId;
	@ApiModelProperty("")
	private Date       updateTime;
	@ApiModelProperty("")
	private Long       updateUserId;


}