package cn.superdesk.uniorder.dto.dubbo.channel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-08-28 16:37:32
 */
@Data
@ToString
public class UnifiedChannelProfitSyncParam implements Serializable {

	@ApiModelProperty("")
	private Long       id;
	@ApiModelProperty("")
	private Long       syncId;
	@ApiModelProperty("")
	private Long       channelId;
	@ApiModelProperty("")
	private Long       organizationId;
	@ApiModelProperty("")
	private String     businessCode;
	@ApiModelProperty("")
	private Date       syncTime;
	@ApiModelProperty("")
	private Date       createTime;
	@ApiModelProperty("")
	private Long       createUserId;
	@ApiModelProperty("")
	private Date       updateTime;
	@ApiModelProperty("")
	private Long       updateUserId;
	@ApiModelProperty("")
	private Date       beginDate;
	@ApiModelProperty("")
	private Date       endDate;
	@ApiModelProperty("")
	private BigDecimal proportion;
	@ApiModelProperty("是否关联企业 0:未关联1:已关联")
	private Integer    isBindVirt;
	@ApiModelProperty("已关联的企业id 按;分开")
	private String     virtIds;


}
