package cn.superdesk.uniorder.dto.param._common;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * 文件上传信息
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-11-22 17:13:37
 */
@Data
@ToString
public class UploadFilesQueryCriteria extends AnBaseQueryCriteria {

	@ApiModelProperty("")
	private Long   id;
	@ApiModelProperty("")
	private String uid;
	@ApiModelProperty("")
	private String appId;
	@ApiModelProperty("")
	private String groupName;
	@ApiModelProperty("提供方 local,qiniu,...")
	private String provider;
	@ApiModelProperty("")
	private String fileOriginalName;
	@ApiModelProperty("")
	private String fileName;
	@ApiModelProperty("")
	private String fileUrl;
	@ApiModelProperty("")
	private String fileLocation;
	@ApiModelProperty("文件后缀")
	private String suffix;
	@ApiModelProperty("image/jpeg")
	private String mimeType;
	@ApiModelProperty("创建时间")
	private Date   createTime;
	@ApiModelProperty("操作人 sysUserId")
	private Long   createUserId;
	@ApiModelProperty("操作人 sysUserName")
	private String createUserName;


}