package cn.superdesk.uniorder.dto.param._dashboard;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/9/23 下午3:04
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/9/23 下午3:04
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class TvMapDataQueryCriteria implements Serializable {

	// 1,1,1,1
	private String virtIds;

	// %Y-%m
	private String queryYearMonth;

	// %Y-%m-%d
	private String startTime;
	private String endTime;

	@ApiModelProperty("特殊处理 侨城汇=167")
	private Integer specialHandleCallOct;
//	@ApiModelProperty("特殊处理 累计服务客户调用=168")
//	private Integer specialHandleCallUserCount;


}
