package cn.superdesk.uniorder.dto.param.accounting;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 对账单-申诉 创建 与 编辑
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-10-23 17:19:13
 */
@Data
public class AccountingAppealParam implements Serializable {

	@ApiModelProperty("")
	private Long                           id;
	@ApiModelProperty("对账单Id")
	private Long                           accountingOrderId;
	@ApiModelProperty("对账单编号")
	private String                         accountingOrderSn;
	@ApiModelProperty("对账单类型 unified score")
	private String                         accountingType;
	@ApiModelProperty("对账单类型 customer supplier")
	private String                         accountingSubType;
	@ApiModelProperty("")
	private String                         remark;
	@ApiModelProperty("图片数组 [] ")
	private List<AccountingAppealImgParam> img;
	@ApiModelProperty("")
	private Date                           createTime;
	@ApiModelProperty("")
	private Long                           createUserId;
	@ApiModelProperty("")
	private Date                           updateTime;
	@ApiModelProperty("")
	private Long                           updateUserId;


}