package cn.superdesk.uniorder.dto.param.accounting.qchjc;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author xc
 * @description
 * @date 2022/4/14 20:19
 */
@Data
public class QchjcSupplierAccountingListRequest implements Serializable {
    private String accountingOrderSn;//对账单编号
    private String supplierName;//采购单位
    private String applyUserName;//申请人
    private String createUserName;//创建人
    private String updateUserName;//更新人
    private Integer storageStatus;//入库状态
    private Integer accountingStatus;//对账单状态
    private Integer invoiceStatus;//开票状态
    private Integer receiveInvoiceStatus;//收票状态
    private Integer backAccountStatus;//收款状态
    private String storageStartTime;//入库开始时间
    private String storageEndTime;//入库结束时间
    private String createStartTime;//创建开始时间
    private String createEndTime;//创建结束时间
    @NotNull
    private Integer pageNumber;
    @NotNull
    private Integer pageSize;
}
