package cn.superdesk.uniorder.dto.param.accounting.score.customer;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Description: 客户结算 流水维度 预览
 * @Author: linjinyu
 * @CreateDate: 2020/12/25 下午3:36
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/12/25 下午3:36
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@ToString
public class AccountingOrderScoreCustomerCreateSelectedCreditParam implements Serializable {


	@ApiModelProperty("unifiedOrderCreditId-引用值")
	private Long unifiedOrderCreditId;
	@ApiModelProperty("unifiedOrderGoodsId-引用值")
	private Long unifiedOrderGoodsId;
	@ApiModelProperty("unifiedOrderId-引用值")
	private Long unifiedOrderId;
}
