package cn.superdesk.uniorder.dto.param.accounting.score.customer;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 积分结算 对账单详情 先用 AccountingOrderScoreCustomerOpDetailQueryCriteria
 * @Author: linjinyu
 * @CreateDate: 2022/3/22 11:49 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/22 11:49 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class AccountingOrderScoreCustomerOpDetailDimCreditExportExcelQueryCriteria implements Serializable {

    @ApiModelProperty("对账单Id")
    private Long accountingOrderId;
    // CommonAccountingStateEnum
    @ApiModelProperty("对账单内的流水对账状态;是否对账的问题:-1-不对账;1-已对账;默认为0,不区分;订单|商品|流水,共用的对账状态:-1-不对账;1-已对账;2-未对账;3-已作废; 引用 enum CommonAccountingStateEnum")
    private Integer creditAccountingState = 0;
}
