package cn.superdesk.uniorder.dto.param.accounting.unified.supplier;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 问题订单
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-02-24 13:44:11
 */
@Data
@ToString
public class AccountingUnifiedSupplierIssuesParam implements Serializable {

	@ApiModelProperty("")
	private Long    id;
	@ApiModelProperty("问题来源:1-统一订单;")
	private Integer issuesComeFrom;
	@ApiModelProperty("对账单Id")
	private Long    accountingOrderId;
	@ApiModelProperty("对账单Sn")
	private String  accountingOrderSn;
	@ApiModelProperty("")
	private String  orderSnList;
	@ApiModelProperty("是否是问题:-1-忽略问题;0-不是问题;1-是有问题;")
	private Integer isProblem;
	@ApiModelProperty("是否有处理:-1-不处理;0-待处理;1-进行中;2-已处理;")
	private Integer isProcess;
	@ApiModelProperty("是否有结果:-1-不了了之;0-还没结果;1-有结果;2-;")
	private Integer isResult;
	@ApiModelProperty("")
	private Date    createTime;
	@ApiModelProperty("")
	private Long    createUserId;
	@ApiModelProperty("")
	private Date    updateTime;
	@ApiModelProperty("")
	private Long    updateUserId;
	@ApiModelProperty("问题记录报告")
	private String  problemReport;
	@ApiModelProperty("处理过程报告")
	private String  processReport;
	@ApiModelProperty("处理结果报告")
	private String  resultReport;


}