package cn.superdesk.uniorder.dto.param.accounting.unified.supplier;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2020-10-23 17:19:13
 */
@Data
@ToString
public class AccountingUnifiedSupplierXGoodsParam implements Serializable {


    @ApiModelProperty("")
    private Long   id;
    @ApiModelProperty("对账单Id")
    private Long   accountingOrderId;
    @ApiModelProperty("对账单Sn")
    private String accountingOrderSn;
    @ApiModelProperty("统一订单id")
    private Long   unifiedOrderId;
    @ApiModelProperty("")
    private String orderSn;
    @ApiModelProperty("统一订单商品Id")
    private Long   unifiedOrderGoodsId;
    @ApiModelProperty("统一订单流水Id,目前维度是没有用的")
    private Long   unifiedOrderCreditId;
    @ApiModelProperty("")
    private Date   createTime;
    @ApiModelProperty("")
    private Long   createUserId;
    @ApiModelProperty("")
    private Date   updateTime;
    @ApiModelProperty("")
    private Long   updateUserId;

}