package cn.superdesk.uniorder.dto.param.accounting.unified.supplier;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: 供应商结算2.0 对账单详情 查询 订单维度 商品维度 共用
 * @Author: linjinyu
 * @CreateDate: 2021/12/3 下午4:12
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/3 下午4:12
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SuplierStatementOfAccountDetailQueryCriteria extends AnBaseQueryCriteria {

	@ApiModelProperty("对账单Id - 预留添加 - 目前没有逻辑")
	private Long   accountingOrderId;
	@ApiModelProperty("对账单编号 - 原先逻辑是用这个")
	private String accountingOrderSn;
}
