package cn.superdesk.uniorder.dto.param.accounting.unified.supplier;

import lombok.Data;

import java.io.Serializable;


/**
 * @Description:    Java类作用描述
 * @Author:         linjinyu
 * @CreateDate:     7/10/20 10:24 AM
 * @UpdateUser:     linjinyu
 * @UpdateDate:     7/10/20 10:24 AM
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
@Data
public class UnifiedSupplierCreateDimOrderParam implements Serializable {

	private static final long serialVersionUID = 3967340357144442950L;

	/**
	 * 订单ID集合 逗号分隔 uo.id
	 */
	private String ids;

	private String startTime;
	private String endTime;


	/** ------------------------------------------ 前端没有传 ------------------------------------------ **/

	private String saleId;
	private String saleName;

	private String invTitle;
	private String invType;

	private String taxCode;

	private String address;
	private String isEmail;
	
	/** ------------------------------------------ 前端没有传 ------------------------------------------ **/


}
