package cn.superdesk.uniorder.dto.param.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2022-02-10 17:46:12
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class InvoiceTypeModeConfigOffLineParam implements Serializable {

	@ApiModelProperty("")
	private Long   id;
	@ApiModelProperty("")
	private Long   invoiceTypeId;
	@ApiModelProperty("从属模块-customerGoods(客户结算),customerCredit(积分结算),supplierGoods(供应商结算)")
	private String invoiceTypeModule;

	/****************************************** InvoiceTypeModeRuleSuper start ******************************************/


	@ApiModelProperty("开票规则-开启状态-是否启用:1-启用;0-禁用;")
	private Integer ruleEnable;
	@ApiModelProperty("开票规则-商品行规则(单张发票最大行数) 默认为0,不限")
	private Integer ruleGoodsLines;

	/****************************************** InvoiceTypeModeRuleSuper   end ******************************************/


	@ApiModelProperty("")
	private Date createTime;
	@ApiModelProperty("")
	private Long createUserId;
	@ApiModelProperty("")
	private Date updateTime;
	@ApiModelProperty("")
	private Long updateUserId;


}
