package cn.superdesk.uniorder.dto.param.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @Description: 业务向 开票方式 规则 限制
 * @Author: linjinyu
 * @CreateDate: 2022/3/1 上午11:30
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/1 上午11:30
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class InvoiceTypeModeRuleBiz extends InvoiceTypeModeRuleSuper {

	@ApiModelProperty(value = "单张票面最大限额(不含税)-增值税专用发票")
	private BigDecimal singleInvoiceMaxAmount;
}
