package cn.superdesk.uniorder.dto.param.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/14 下午2:24
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/14 下午2:24
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder(toBuilder = true)
public class InvoiceTypeMoudelXModeIsDefaultStructModule implements Serializable {

//	客户结算(customerGoods)
//	积分结算(customerCredit)
//	供应商结算(supplierGoods)
//	InvoiceTypeMoudelXModeIsDefaultStructModule
//	InvoiceTypeMoudelXModeIsDefaultStructModuleMode

	@ApiModelProperty("客户结算^_^customerGoods")
	List<InvoiceTypeMoudelXModeIsDefaultStructModuleMode> customerGoods;
	@ApiModelProperty("积分结算^_^customerCredit")
	List<InvoiceTypeMoudelXModeIsDefaultStructModuleMode> customerCredit;
	@ApiModelProperty("供应商结算^_^supplierGoods")
	List<InvoiceTypeMoudelXModeIsDefaultStructModuleMode> supplierGoods;
}
