package cn.superdesk.uniorder.dto.param.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/14 下午2:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/14 下午2:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder(toBuilder = true)
public class InvoiceTypeMoudelXModeIsDefaultStructModuleMode implements Serializable {

	@ApiModelProperty(value = "发票种类-开票方式-代码")
	private String modeCode;
	@ApiModelProperty(value = "发票种类-开票方式-名称")
	private String modeName;

	@ApiModelProperty("是否启用:0-禁用;1-启用;默认为1-启用")
	private Integer enabled = 1;
	@ApiModelProperty("是否默认:0-正常;1-默认;")
	private Integer isDefault = 0;
}
