package cn.superdesk.uniorder.dto.param.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @Description: 查询条件类
 * @Author: linjinyu
 * @CreateDate: 2022/2/11 下午6:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/11 下午6:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Data
@Builder(toBuilder = true)
public class InvoiceTypeOpCriteria implements Serializable {

//	@ApiModelProperty("是否启用:0-禁用;1-启用;默认为1-启用")
//	private Integer enabled = 1;

//	@ApiModelProperty("软删除:0-正常;1-删除;默认为0-正常")
//	private Integer deleted = 0;

	@ApiModelProperty("")
	private Long   invoiceTypeId;
	@ApiModelProperty("[red]*[/red] 客户结算(customerGoods)|积分结算(customerCredit)|供应商结算(supplierGoods)")
	private String selectByModule;
	@ApiModelProperty("线下开票(offLine)|深圳航信电子发票(szhtxxElectronicInvoice)")
	private String selectByMode;

}
