package cn.superdesk.uniorder.dto.param.invoice.customer;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/3/7 上午9:46
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/7 上午9:46
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class InvoiceApplyCustomerOpSetRemark2Form implements Serializable {

	@ApiModelProperty("开票申请Id")
	private Long   invoiceApplyId;
	@ApiModelProperty("备注")
	private String remark;
}
