package cn.superdesk.uniorder.dto.param.invoice.customer;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * @Description: invoiceApplySelectFocusScoreDimCredit
 * @Author: linjinyu
 * @CreateDate: 2021/1/20 上午9:51
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/1/20 上午9:51
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class InvoiceApplyOpCreateSelectedCreditParams implements Serializable {


	//		orderGoodsObj
//		{
//			'unifiedOrderCreditId' : "对映 接口 invoiceApplySelect 返回数据 .unifiedOrderCreditId",
//			'unifiedOrderGoodsId' : "对映 接口 invoiceApplySelect 返回数据 .unifiedOrderGoodsId",
//			'unifiedOrderId' : "对映 接口 invoiceApplySelect 返回数据 .unifiedOrderId",
//			'accountingOrderId' : "对映 接口 invoiceApplySelect 返回数据 .accountingOrderId",
//		}

	// uoc.id as unified_order_credit_id,
	private Long unifiedOrderCreditId;
	// uog.id AS unified_order_goods_id,
	private Long unifiedOrderGoodsId;
	// uo.id as unified_order_id,
	private Long unifiedOrderId;
	// ascu.id as accounting_order_id,
	private Long accountingOrderId;
}
