package cn.superdesk.uniorder.dto.param.invoice.customer;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 这个一般订单 订单 商品维度都在用
 * <p>
 * invoiceApplySelectFocusUnifiedDimOrder
 * @Author: linjinyu
 * @CreateDate: 2021/1/20 上午9:37
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/1/20 上午9:37
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceApplyOpCreateSelectedGoodsParams implements Serializable {

	//		orderGoodsObj
//		{
//			'goods_id' : "对映 接口 invoiceApplySelect 返回数据 .goods_id",
//			'order_id' : "对映 接口 invoiceApplySelect 返回数据 .id",
//			'accounting_order_id' : "对映 接口 invoiceApplySelect 返回数据 .accounting_order_id",
//		}

	/**
	 * unified_order_goods.id
	 */
	@JsonProperty("unifiedOrderGoodsId")
	private Long unifiedOrderGoodsId;
	/**
	 * 1. 一般 代表 accounting_unified_customer_order.id
	 */
	@JsonProperty("unifiedOrderId")
	private Long unifiedOrderId;
	/**
	 * 1. 一般 代表 accounting_unified_customer.id
	 */
	@JsonProperty("accountingOrderId")
	private Long accountingOrderId;
}
