package cn.superdesk.uniorder.dto.param.invoice.customer.invoiced;

import cn.superdesk.uniorder.common.excel.model.ExcelRow;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: InvoiceInvoicedOperationLogCommonForm
 * @Author: linjinyu
 * @CreateDate: 2021/8/17 上午11:06
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/8/17 上午11:06
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceInvoicedOpBatchUpdateFieldsForm extends ExcelRow implements Serializable {

	@ApiModelProperty("勾选专用")
	private List<Long> invoiceInvoicedIdList;

	@ApiModelProperty("销方主体Id 表(invoice_bank_info.id)")
	private Long   sellerMainId;
	@ApiModelProperty("销方名称")
	private String sellerCompanyName;
	@ApiModelProperty("销方税号")
	private String sellerTaxpayersIDCode;
	@ApiModelProperty("销方地址电话")
	private String sellerAddressPhone;
	@ApiModelProperty("销方地址----add")
	private String sellerAddress;
	@ApiModelProperty("销方电话----add")
	private String sellerPhone;
	@ApiModelProperty("销方银行名称与帐号")
	private String sellerBankAccountNumber;
	@ApiModelProperty("销方银行帐号")
	private String sellerBankAccount;
	@ApiModelProperty("销方银行名称")
	private String sellerBankName;

	@ApiModelProperty("物业公司-Id-统一订单 sys_user_id ---- add")
	private Long   propertyCompanyId;
	@ApiModelProperty("物业公司-名称")
	private String propertyCompanyName;

	@ApiModelProperty("客户经理-Id-统一订单 sys_user_id ---- add")
	private Long   customerManagerId;
	@ApiModelProperty("客户经理-名称")
	private String customerManagerName;


	@ApiModelProperty("外部系统 集团Id 一般是指 服务之窗 或 福利商城")
	private Long   outCliqueLeave0Id;
	@ApiModelProperty("外部系统 集团名称 一般是指 服务之窗 或 福利商城")
	private String outCliqueLeave0Name;
	@ApiModelProperty("外部系统 区域分公司Id eg: 1/2/3/4 一般是指 服务之窗 或 福利商城")
	private String outCliqueLeave14Id;
	@ApiModelProperty("外部系统 区域分公司名称 eg: 区域/分公司/ 一般是指 服务之窗 或 福利商城")
	private String outCliqueLeave14Name;

	@ApiModelProperty("外部系统 项目Id 一般是指 服务之窗 或 福利商城")
	private Long   outOrgId;
	@ApiModelProperty("外部系统 项目名称 一般是指 服务之窗 或 福利商城")
	private String outOrgName;

	@ApiModelProperty("外部系统 企业Id 一般是指 服务之窗 或 福利商城")
	private Long   outVirtId;
	@ApiModelProperty("外部系统 企业名称 一般是指 服务之窗 或 福利商城")
	private String outVirtName;

}
