package cn.superdesk.uniorder.dto.param.invoice.customer.invoiced;


import cn.superdesk.uniorder.common.excel.model.ExcelRow;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: InvoiceInvoicedOperationLogCommonForm
 * @Author: linjinyu
 * @CreateDate: 2021/8/17 上午11:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/8/17 上午11:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class InvoiceInvoicedOpUpdateFieldsForm extends ExcelRow implements Serializable {


	//	发票种类:
	@ApiModelProperty("表(invoice_type.id)")
	private Long   invoiceTypeId;
	@ApiModelProperty("发票种类")
	private String invoiceType;

	//	开票日期:
	@ApiModelProperty("开票日期 eg 2021-03-03 10:02:34")
	private Date invoicedDate;

	//	回款日期:
	@ApiModelProperty("回款时间 eg 2021-03-03 10:02:34")
	private Date backCollectionTime;

	//	客户经理:
	@ApiModelProperty("客户经理-Id-统一订单 sys_user_id ---- add")
	private Long   customerManagerId;
	@ApiModelProperty("客户经理-名称")
	private String customerManagerName;

	//	备注:
	@ApiModelProperty("备注")
	private String remarks;


}
