package cn.superdesk.uniorder.dto.param.invoice.customer.invoiced;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 应收账款-操作日志-操作留痕
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-07-28 15:28:43
 */
@Data
@ToString
public class InvoiceInvoicedOperationLogParam implements Serializable {

	@ApiModelProperty("Id")
	private Long    id;
	@ApiModelProperty("批次Id")
	private String  batchId;
	@ApiModelProperty("应收账款-发票-系统Id")
	private Long    invoiceInvoicedId;
	@ApiModelProperty("冗余-发票号码")
	private String  invoiceNumber;
	@ApiModelProperty("操作时间 为什么不叫 operation_time 问号, 问就是不要问")
	private Date    createTime;
	@ApiModelProperty("操作人 sysUserId")
	private Long    createUserId;
	@ApiModelProperty("操作人 sysUserName")
	private String  createUserName;
	@ApiModelProperty("操作类型")
	private Integer operationType;
	@ApiModelProperty("操作之前 json 完整记录")
	private String  operationBefore;
	@ApiModelProperty("操作参数 json 表单参数")
	private String  operationParams;
	@ApiModelProperty("操作之后 json 完整记录")
	private String  operationAfter;


}
