package cn.superdesk.uniorder.dto.param.invoice.customer.status;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/11/23 上午9:54
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/23 上午9:54
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class OpChangeStatusBaseItem implements Serializable {

    @ApiModelProperty("对账单Id")
    protected Long   accountingOrderId;
    @ApiModelProperty("对账单Sn")
    protected String accountingOrderSn;

    @ApiModelProperty("发票单Id invoice_apply.id")
    protected Long   invoiceApplyId;
    @ApiModelProperty("发票单编号 invoice_apply.sn")
    protected String invoiceApplySn;
}
