package cn.superdesk.uniorder.dto.param.invoice.customer.status;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 寄票登记部分
 * @Author: linjinyu
 * @CreateDate: 2021/11/22 下午4:08
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/22 下午4:08
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
@Data
public class OpMailTickStatusFormV2_1 implements Serializable {

    private List<OpMailTickStatusFormInnerListItemV2_1> submitList;
}
