package cn.superdesk.uniorder.dto.param.invoice.supplier;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-12-09 17:35:01
 */
@Data
@ToString
public class InvoiceApplySupplierXGoodsQueryCriteria extends AnBaseQueryCriteria {

	@ApiModelProperty("")
	private Long    id;
	@ApiModelProperty("账单id 1. 一般 accounting_unified_supplier.id 2. 积分 accounting_unified_supplier.id")
	private Long    accountingOrderId;
	@ApiModelProperty("")
	private String  accountingOrderSn;
	@ApiModelProperty("对账单 - 对账单类型 1-一般;2-积分;")
	private Integer accountingOrderType;
	@ApiModelProperty("对账单 - 对账单 创建维度:0-订单;1-商品;2-流水;")
	private Integer dimCreateBy;
	@ApiModelProperty("")
	private Long    invoiceApplyId;
	@ApiModelProperty("")
	private String  invoiceApplySn;
	@ApiModelProperty("accounting_order_type=1 dim_create_by=0 代表 accounting_unified_customer_order.id accounting_order_type=1 dim_create_by=1 代表 unified_order.id accounting_order_type=2 dim_create_by=2 代表 unified_order.id")
	private Long    unifiedOrderId;
	@ApiModelProperty("")
	private String  orderSn;
	@ApiModelProperty("")
	private Long    unifiedOrderGoodsId;
	@ApiModelProperty("")
	private Long    goodsId;
	@ApiModelProperty("")
	private Integer backStatus;
	@ApiModelProperty("")
	private Long    bankId;
	@ApiModelProperty("")
	private Date    backTime;
	@ApiModelProperty("软删除")
	private Integer deleted;


}
