package cn.superdesk.uniorder.dto.param.marketing;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-09-06 12:00:09
 */
@Data
@ToString
public class UnifiedStatisticsVirtDimDayParam implements Serializable {

	@ApiModelProperty("")
	private Long       id;
	@ApiModelProperty("")
	private String     serviceNo;
	@ApiModelProperty("")
	private Long       virtId;
	@ApiModelProperty("")
	private Integer    sYear;
	@ApiModelProperty("")
	private Integer    sMonth;
	@ApiModelProperty("")
	private Integer    sDay;
	@ApiModelProperty("")
	private BigDecimal payableAmount;
	@ApiModelProperty("")
	private Integer    quantity;
	@ApiModelProperty("")
	private BigDecimal orderAmount;
	@ApiModelProperty("")
	private BigDecimal orderCostAmount;
	@ApiModelProperty("")
	private BigDecimal orderTransportAmount;
	@ApiModelProperty("")
	private BigDecimal orderRefundAmount;
	@ApiModelProperty("")
	private BigDecimal orderRefundCostAmount;
	@ApiModelProperty("")
	private BigDecimal goodsAmount;
	@ApiModelProperty("")
	private BigDecimal goodsCostAmount;
	@ApiModelProperty("")
	private BigDecimal goodsTransportAmount;
	@ApiModelProperty("")
	private BigDecimal goodsRefundAmount;
	@ApiModelProperty("")
	private BigDecimal goodsRefundCostAmount;
	@ApiModelProperty("")
	private Date       createTime;


}