package cn.superdesk.uniorder.dto.param.operation;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 问题订单-流水记录
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-06-25 14:22:13
 */
//@NoArgsConstructor
//@AllArgsConstructor
//@Builder(toBuilder = true)
@Data
@ToString
public class UnifiedOrderIssuesFlowingParam implements Serializable {

	@ApiModelProperty("")
	private Long id;

	@ApiModelProperty("")
	private String uid;

	private String messageId;

	@ApiModelProperty("")
	private String  orderSn;
	@ApiModelProperty("")
	private Date    createTime;
	@ApiModelProperty("过来的")
	private String  sourceJson;
	@ApiModelProperty("转换的")
	private String  processJson;
	@ApiModelProperty("处理结果:-1-正常;2-异常;")
	private Integer processResult;
	@ApiModelProperty("处理过程报告")
	private String  processReport;


}