package cn.superdesk.uniorder.dto.param.operationCenter.business;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class BusinessQueryParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量
    @ApiModelProperty("姓名")
    private String userName;
    @ApiModelProperty("在职状态:1-在职；0-离职；")
    private Integer jobStatus;
    @ApiModelProperty("状态:1-启用；0-停用；")
    private Integer enabled;
    @ApiModelProperty("业务员id")
    private Integer businessId;
    @ApiModelProperty("客户姓名")
    private String customerName;
}
