package cn.superdesk.uniorder.dto.param.operationCenter.customer;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/4/13 10:22
 * Description : 客户关联运营商-项目入参
 */
@Data
public class OpCenterCustomerOperatorOrgParam implements Serializable {
    @NotNull(message = "客户id不能为空")
    private Long customerId;//客户id
    private String customerName;//客户名称
    @NotNull(message = "类型不能为空")
    private Integer type;//类型
    private List<OpCenterOperatorOrgParam> opCenterOperatorOrgList = new ArrayList<>();
}
