package cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author : zx
 * @Create : 2023/5/10 17:53
 * Description : 订单结算金额
 */
@Data
public class UnifiedSettlementAmountRuleParam implements Serializable {
    private Integer display;//排序 序号
    private String operatorNames;//适用运营商
    private String orgNames;//适用项目
    private String orderTypeNames;//适用订单类型



    private String operatorIds;//运营商id-多个
    private String orgIds;//项目id-多个
    private String orderTypeIds;//订单类型-多个 OpCenterBizPlatformEnum

    private Integer amountRule;//  SettlementAmountRuleEnum
    private BigDecimal amountRate;//结算规则比例



}
