package cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement;

import cn.superdesk.uniorder.dto.vo.accounting.unified.operator.SettlementExportFieldVo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/5/10 16:50
 * Description : 结算方案入参
 */
@Data
public class UnifiedSettlementParam extends SettlementExportFieldVo implements Serializable{
    private Long id;//id

    private Long customerId;//客户id

    private String customerName;//客户名
    private Integer type;//类型
    private String typeDesc;
    private String programmeName;//方案名称

    private Integer settlementScope;//结算范围 SettlementScopeEnum

    //结算范围-部分结算
    List<UnifiedSettlementRangeRuleParam> unifiedSettlementRangeRuleParam1List;

    //订单结算金额
    List<UnifiedSettlementAmountRuleParam> unifiedSettlementAmountRuleParamList;

    //  结算规则
    private Integer settlementRule;// SettlementRuleEnum

    //导出账单规则 账单名称
    private String billName;

    //明细：SettlementExportFieldVo


    private Integer supnameDisplayRule;// SupnameDisplayRuleEnum


    //部分按原供应商名称导出
    List<UnifiedSettlementRangeRuleParam> unifiedSettlementRangeRuleParam2List;

    //自定义供应商名称
    private String customSupplierName;


    //备注
    private String remark;
    //状态
    private Integer enabled;
}
