package cn.superdesk.uniorder.dto.param.organisation;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: 集团树 查 发票抬头
 * @Author: linjinyu
 * @CreateDate: 2021/5/14 下午3:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/14 下午3:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SysCliqueXInvoiceCriteria extends AnBaseQueryCriteria {


	@ApiModelProperty("集团-路径 Like 'xxx%'")
	private String path;

	@ApiModelProperty("发票抬头 Like '%xxx%'")
	private String companyName;

	@ApiModelProperty("纳税人识别码 Like '%xxx%'")
	private String taxpayersIDCode;

	@ApiModelProperty("软删除 ")
	private Integer deleted;

	@ApiModelProperty("是否启用:1-启用;0-禁用;")
	private Integer enabled;

}
