package cn.superdesk.uniorder.dto.param.organisation;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class SysEnterpriseQueryCriteria extends AnBaseQueryCriteria {

//	@ApiModelProperty(value = "")
//	private Long id;


    @ApiModelProperty(value = "目前没作用-项目Id Eq")
    private Long   organizationId;
    @ApiModelProperty(value = "项目名称 Like")
    private String outOrgName;

    @ApiModelProperty(value = "目前没作用-企业ID Eq")
    private Long   enterpriseId;
    @ApiModelProperty(value = "目前没作用-企业编码 Like")
    private String enterpriseNo;
    @ApiModelProperty(value = "企业名称 Like")
    private String enterpriseName;


//	@ApiModelProperty(value = "同步时间")
//	private Date syncTime;

//	@ApiModelProperty(value = "其他字段1 占坑用")
//	private String otherField1;
//	@ApiModelProperty(value = "其他字段2 占坑用")
//	private String otherField2;
//	@ApiModelProperty(value = "其他字段3 占坑用")
//	private String otherField3;

    @ApiModelProperty(value = "是否启用:0-禁用;1-启用;")
    private Integer enabled;
    @ApiModelProperty(value = "软删除:0-未删除;1-已删除")
    private Integer deleted;


    @ApiModelProperty(value = "是否有订单:0-默认;1-有的;2-没有;")
    private Integer isHasOrder;
    @ApiModelProperty(value = "是否有开票设置:空-不限;0-没有:大于0-有")
    private Integer isHasExtInvoice;

//    @ApiModelProperty(value = "引用Enum CommonSourceFromEnum-单选")
//    private String       sourceFrom;
    @ApiModelProperty("引用Enum CommonSourceFromEnum-支持多选")
    private List<String> sourceFromsSelected;


    @ApiModelProperty(value = "早前逻辑,已失传 == 1 作用 关联表 sys_order")
    private Integer isgenbill;
    @ApiModelProperty(value = "早前逻辑,已失传 > 1 作用 关联表 temp_daide")
    private Integer getDD;
    @ApiModelProperty(value = "早前逻辑,已失传 > 1 作用 关联表 temp_daide")
    private Integer getnotDD;


}
