package cn.superdesk.uniorder.dto.param.organisation;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * 供应商|商户信息-扩展-发票相关
 *
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-11-29 16:34:49
 */
@Data
@ToString
public class SysSupplierExtInvoiceQueryCriteria extends AnBaseQueryCriteria {

	//	@ApiModelProperty("")
//	private Long    id;
//	@ApiModelProperty("")
//	private Integer serviceNo;
//	@ApiModelProperty("编号")
//	private String  serialNumber;
	@ApiModelProperty("统一订单 供应商|商户Id 自增长")
	private Long sysSupplierId;
	@ApiModelProperty("外部系统 供应商|商户Id")
	private Long outSaleId;
//	@ApiModelProperty("开票方式(1为随货开票,0为订单预借,2为集中开票 )")
//	private Integer invoiceState;
//	@ApiModelProperty("1普通发票 2增值税发票")
//	private Integer invoiceType;
//	@ApiModelProperty("发票种类:4个人,5单位")
//	private Integer selectedInvoiceTitle;
//	@ApiModelProperty("个人发票抬头")
//	private String  realname;
//	@ApiModelProperty("发票抬头  (如果selectedInvoiceTitle=5则此字段必须)")
//	private String  companyName;
//	@ApiModelProperty("纳税人识别码 备注 开企业抬头发票,请填写 纳税人识别号 ,以免影响您报销")
//	private String  taxpayersIDCode;
//	@ApiModelProperty("1:明细,3:电脑配件,19:耗材,22:办公用品 备注:若增值发票则只能选1 明细")
//	private Integer invoiceContent;
//	@ApiModelProperty("增值票收票人姓名 备注:当invoiceType=2 且invoiceState=1时则此字段必填")
//	private String  invoiceName;
//	@ApiModelProperty("增值票收票人电话 备注:当invoiceType=2 且invoiceState=1时则此字段必填")
//	private String  invoicePhone;
//	@ApiModelProperty("")
//	private String  invoiceEmail;
//	@ApiModelProperty("联系人-名称")
//	private String  contactsName;
//	@ApiModelProperty("联系人-邮箱")
//	private String  contactsEmail;
//	@ApiModelProperty("联系人-电话")
//	private String  contactsPhone;
//	@ApiModelProperty("增值票收票人所在省(京东地址编码) 备注:当invoiceType=2 且invoiceState=1时则此字段必填")
//	private Integer invoiceProvice;
//	@ApiModelProperty("增值票收票人所在市(京东地址编码) 备注:当invoiceType=2 且invoiceState=1时则此字段必填")
//	private Integer invoiceCity;
//	@ApiModelProperty("增值票收票人所在区/县(京东地址编码) 备注:当invoiceType=2 且invoiceState=1时则此字段必填")
//	private Integer invoiceCounty;
//	@ApiModelProperty("增值票收票人所在地址 备注:当invoiceType=2 且invoiceState=1时则此字段必填")
//	private String  invoiceAddress;
//	@ApiModelProperty("复合字段 地址电话")
//	private String  invoiceAddressPhone;
//	@ApiModelProperty("复合字段 银行名称与账号")
//	private String  invoiceBankAccountNumber;
//	@ApiModelProperty("增值票开户银行")
//	private String  invoiceBank;
//	@ApiModelProperty("增值票开户帐号")
//	private String  invoiceAccount;
//	@ApiModelProperty("备注")
//	private String  remark;
//	@ApiModelProperty("")
//	private Integer isDefault;
//	@ApiModelProperty("")
//	private Integer deleted;
//	@ApiModelProperty("是否启用:1-启用;0-禁用;")
//	private Integer enabled;
//	@ApiModelProperty("")
//	private Date    createTime;
//	@ApiModelProperty("")
//	private Long    createUserId;
//	@ApiModelProperty("")
//	private Date    updateTime;
//	@ApiModelProperty("")
//	private Long    updateUserId;


}
