package cn.superdesk.uniorder.dto.param.organisation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class SysSupplierQueryParam implements Serializable {
    @NotNull
    private Integer pageNumber;//页码
    @NotNull
    private Integer pageSize;//每页数量
    @ApiModelProperty("运营商")
    private Integer compId;
    @ApiModelProperty("业务平台")
    private String bizPlatformCode;
    @ApiModelProperty("删除状态:0-未删除;1-已删除")
    private Integer deleted;
    @ApiModelProperty(value = "供应商名称")
    private String saleName;

    private String supplierIds;//多个运营商id。运营中心中的id
}
