package cn.superdesk.uniorder.dto.param.setting;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author linjinyu
 * @email linjinyu@avic-s.com
 * @date 2021-03-19 17:43:24
 */
@Data
@ToString
public class UnifiedServiceParam implements Serializable {

	@ApiModelProperty("")
	private Long       id;
	@ApiModelProperty("serviceId 也是对映的 order_type")
	private Integer    serviceId;
	@ApiModelProperty("")
	private String     serviceNo;
	@ApiModelProperty("")
	private String     serviceName;
	@ApiModelProperty("")
	private String     orderType;
	@ApiModelProperty("")
	private String     orderState;
	@ApiModelProperty("升级版的订单状态是个json")
	private String     orderStateJson;
	@ApiModelProperty("运费-财务编码")
	private String     goodsTransportFiscalCode;
	@ApiModelProperty("运费-税务编码")
	private String     goodsTransportTaxCode;
	@ApiModelProperty("运费-税率%")
	private BigDecimal goodsTransportTaxRate;
	@ApiModelProperty("")
	private Date       createTime;
	@ApiModelProperty("")
	private Long       createUserId;
	@ApiModelProperty("")
	private Date       updateTime;
	@ApiModelProperty("")
	private Long       updateUserId;
	@ApiModelProperty("")
	private Integer    enabled;
	@ApiModelProperty("软删除")
	private Integer    deleted;


}