package cn.superdesk.uniorder.dto.param.system.logger;

import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 操作日志
 *
 * @author linjinyu
 * @email  linjinyu@avic-s.com
 * @date   2020-12-10 17:17:34
 */
@Data
@ToString
public class SysUserOperationLogParam implements Serializable {

    @ApiModelProperty("")
    private Long id;
    @ApiModelProperty("")
    private String nickName;
    @ApiModelProperty("")
    private String userName;
    @ApiModelProperty("")
    private String methodName;
    @ApiModelProperty("")
    private Date operationTime;
    @ApiModelProperty("")
    private String requestIp;
    @ApiModelProperty("")
    private String requestUrl;
    @ApiModelProperty("")
    private String requestParam;
    @ApiModelProperty("")
    private String responseResult;
    @ApiModelProperty("")
    private String resultStatus;
    @ApiModelProperty("")
    private String errorInfo;
    @ApiModelProperty("")
    private String model;
    @ApiModelProperty("")
    private Date requestStartTime;
    @ApiModelProperty("")
    private Date requestEndTime;
    @ApiModelProperty("")
    private Long responseDate;
    

}