package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingUnifiedSupplierCreateParamDimGoodsSelected;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/16 4:16 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/16 4:16 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierJdOpCreateParamDimGoodsSimulateSelectedDimOrder
        extends AccountingUnifiedSupplierCreateParamDimGoodsSelected {

    @ApiModelProperty("订单编号")
    private String  orderSn;
    @ApiModelProperty("订单-供应商对账状态")
    private Integer orderAccountingStateSupplier;
    @ApiModelProperty("订单商品-供应商对账状态")
    private Integer goodsAccountingStateSupplier;
}
