package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/14 5:10 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/14 5:10 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierOrderJdImportLiteVersionDownloadFileExcelRow implements Serializable {


    @ApiModelProperty("订单编号(必填项,不可为空)")
    private String     jdOrderSn;
    @ApiModelProperty("对账金额(必填项,不可为空)")
    private BigDecimal jdOrderAmount;
}
