package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/9 10:35 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/9 10:35 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class SysQuartzScheduleTaskStatementOfAccountJdOpDeleteForm implements Serializable {

    @ApiModelProperty("目前为后端填充值")
    private String batchId;

    @ApiModelProperty("sysQuartzScheduleTaskStatementOfAccountJdId opList 上的Id")
    private Long sysQuartzScheduleTaskStatementOfAccountJdId;


// 【1. 供应商结算-1.2 京东对账-1.2.9 操作项-初步整理-20220606】
// https://www.tapd.cn/33003868/prong/stories/view/1133003868001004590
//1.2.9.5 【删除任务】
//②服务端需判断
//----该对账任务存在，若不存在，1.5s提示“该对账任务不存在，请返回检查”；
//----该对账任务的导入状态为“导入失败”或对账结果为“异常”或对账单状态为“已取消”时，满足其中一个即允许确认删除，否则1.5s提示“只允许删除“导入失败/异常/已取消的对账任务”，请返回检查”；
//满足以上条件，即允许确认删除：
//将该对账任务中所匹配的结算中心供应商结算的商品订单数据的对账状态变更为“未对账”【若无匹配数据，即无需处理】；
//物理删除该对账任务中对账明细所匹配的结算中心商品订单数据（非删除供应商结算未对账商品订单数据）；
//将该对账任务从京东对账表中物理删除；
//记录操作日志，日志内容技术自定，可记录删除主体信息及删除操作人和时间；【很重要】

}
