package cn.superdesk.uniorder.dto.param.thirdpart.jd;

import cn.superdesk.uniorder.common.pagination.AnBaseQueryCriteria;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/6/9 10:35 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/9 10:35 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class SysQuartzScheduleTaskStatementOfAccountJdOpDetailForm extends AnBaseQueryCriteria implements Serializable {

    @ApiModelProperty("sysQuartzScheduleTaskStatementOfAccountJdId opList 上的Id")
    private Long sysQuartzScheduleTaskStatementOfAccountJdId;

    @ApiModelProperty("1.2.4.1 (5)对账单号:对当前列表数据`对账单号`字段内容,`精确`查询; 批次Id")
    private String batchId;

    /**************************************** 供应商结算-京东对账-op列表-op查看对账(对账详情) 页内查询过滤 start ****************************************/

    @ApiModelProperty("⑤第三方订单编号:对当前列表数据`第三方订单编号`字段内容,`精确`查询,可能存在重复多个; 订单编号 215961349611")
    private String  jdOrderSn;
    @ApiModelProperty("原始订单号 215276644920")
    private String  jdOriginalOrderSn;
    @ApiModelProperty("⑥结算中心订单编号:对当前列表数据中`结算中心订单编号`字段内容,`精确`查询;结算中心订单编号-统一订单-第三方订单编号")
    private String  orderSn;
    @ApiModelProperty("对账结果:0-待对账;1-正常;2-异常; 引用 enum ScheduleTaskCheckStateEnum")
    private Integer processResult;

    /**************************************** 供应商结算-京东对账-op列表-op查看对账(对账详情) 页内查询过滤 start ****************************************/


}
