package cn.superdesk.uniorder.dto.param.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.param.accounting.score.customer.AccountingOrderScoreCustomerCreateParam;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyDetailDimCreditItemVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author xc
 * @description 集采采购单位对账单入库参数 由service层返回
 * @date 2022/4/24 14:43
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QchjcCustomerStorageParam {
    private List<InvoiceApplyDetailDimCreditItemVo> resultListCredit;
    private AccountingOrderScoreCustomerCreateParam accountingOrderScoreCustomerCreateParam;
    private LoginSysUser loginSysUser;
}
