package cn.superdesk.uniorder.dto.param.thirdpart.qchjc.organisation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xc
 * @description
 * @date 2022/3/24 17:13
 */
@Data
public class QchjcEnterpriseParam {
    @ApiModelProperty(value = "第三方企业(采购方)ID")
    private String   virtId;
    @ApiModelProperty(value = "第三方企业(采购方)编码")
    private String virtNo;
    @ApiModelProperty(value = "第三方企业(采购方)名称")
    private String virtName;

    @ApiModelProperty(value = "第三方企业(采购方)联系人")
    private String contactsName;
    @ApiModelProperty(value = "第三方企业(采购方)联系电话")
    private String contactsPhone;
    @ApiModelProperty(value = "第三方企业(采购方)联系地址")
    private String contactsAddress;

    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;
    @ApiModelProperty(value = "创建人id")
    private String createUserId;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人姓名")
    private String updateUserName;
    @ApiModelProperty(value = "更新人id")
    private Integer updateUserId;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty("是否启用:1-启用;0-禁用;")
    private Integer enabled;
    @ApiModelProperty("软删除:0-未删除;1-已删除")
    private Integer deleted;
}
