package cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.common.taxInfo;

import cn.superdesk.uniorder.common.enums.common.CommonFormStateEnum;
import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/7 3:12 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/7 3:12 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SzhtxxPaperInvoiceOpTaxInfoForm implements Serializable {

    /**************************************** 表单状态 start ****************************************/

    @ApiModelProperty("表单状态:1-预览;2-提交;-前端不用传(传了会报错) enum 引用 CommonFormStateEnum")
    private CommonFormStateEnum formState;

    /**************************************** 表单状态 start ****************************************/

    /**************************************** 深圳航信纸质票-返回时传 start ****************************************/

    @ApiModelProperty("深圳航信纸质票-返回时传-batchId")
    protected String batchId;
    @ApiModelProperty("深圳航信纸质票-返回时传-编码串")
    @JsonProperty("ENCMSG")
    @JSONField(name = "ENCMSG")
    protected String ENCMSG;

    /**************************************** 深圳航信纸质票-返回时传 start ****************************************/
}
