package cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/3/11 上午10:29
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/11 上午10:29
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SzhtxxElectronicInvoiceFptxxOpSendEmailPdfAttachmentForm implements Serializable {


    @ApiModelProperty("szhtxxElectronicInvoiceFptxxId")
    private Long szhtxxElectronicInvoiceFptxxId;
    @ApiModelProperty("发票请求唯一流水号^_^每张发票的发票请求唯一流水号无重复,由企业定义.限制固定20位.流水号包含公司简称(如:华为终端:HWZD************)")
    private String fpqqlsh;

    @ApiModelProperty("推送邮箱")
    private String targetEmail;
}
