package cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.paperInvoice;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/26 12:40 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/26 12:40 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class SzhtxxPaperInvoiceRedTaxInfoOpEditForm implements Serializable {

    @ApiModelProperty("op红冲发票-szhtxxElectronicInvoiceFptxxId")
    private Long    szhtxxElectronicInvoiceFptxxId;
    @ApiModelProperty("op红冲发票-发票请求唯一流水号:对当前列表数据中`开票申请编号`字段内容,`精确`查询;")
    private String  fpqqlsh;

    @ApiModelProperty("3 信息表编号: 1. 该数据取航信返回的信息表编号内容; 2. 此字段数据可能存在为空;")
    private String redTaxInfoSn;
}
