package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 侨城汇 企业福利 FLSC_QCH
 * @Author: linjinyu
 * @CreateDate: 7/7/20 3:32 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/7/20 3:32 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SlaveSupplierReceiveParam implements Serializable {


//	{"id":"116","merch_name":"\u6d4b\u8bd5\u5546\u62372\u53f7"})

	// 供应商(商户)Id(必须)
	@JsonProperty("id")
	private Long   saleId;
	@JsonProperty("merch_name")
	private String saleName;

//	【【侨城汇-测试环境】数据管理-供应商统计-联系人/联系电话/联系地址数据未推送到统一订单(商城已补充字段)】https://www.tapd.cn/33003868/bugtrace/bugs/view?bug_id=1133003868001003607
//	"realname": "曾测试",
//	"mobile": "13342839294",
//	"address": "深圳市",


	// 联系人(非必须)
	@JsonProperty("realname")
	private String contactsName;
	// 联系人电话(非必须)
	@JsonProperty("mobile")
	private String contactsPhone;
	// 联系人地址(非必须)
	@JsonProperty("address")
	private String contactsAdd;


	/****************************************** 20220119 start ******************************************/

	// 来源(必须) FLSC_QCH(31, "FLSC_QCH", "企业福利_侨城汇"),
	private String serviceNo;

	// 供应商(商户)启用状态:1-启用;0-禁用;(必须)
	private Integer enabled;
	// 软删除:0-未删除;1-已删除
	private Integer deleted;

}
