package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 来源是 商城
 * @Author: linjinyu
 * @CreateDate: 7/7/20 3:32 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/7/20 3:32 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SlaveVirtualarchitectureReceiveParam implements Serializable {

//	{"id":"24","enterprise_no":"hsJ4KA42a2Vj8Z0u","enterprise_name":"\u8fd0\u8425\u5546\u6d4b\u8bd5\u4f01\u4e1a","organization_id":0})

//	{"id":"136","enterprise_no":"Co2V333n7vv7zVoK","enterprise_name":"\u897f\u5b89\u6ca3\u4e1c\u534e\u4fa8\u57ce\u53d1\u5c55\u6709\u9650\u516c\u53f8","organization_id":0}

	private Long   id;
	@JsonProperty("enterprise_no")
	private String enterpriseNo;
	@JsonProperty("enterprise_name")
	private String enterpriseName;
	@JsonProperty("organization_id")
	private Long   organizationId;

	/****************************************** 20220118 start ******************************************/

	@JsonProperty("organization_name")
	private String organizationName;

	// 来源(必须) FLSC_QCH(31, "FLSC_QCH", "企业福利_侨城汇"), FLSC_QCH
	private String serviceNo;

	// 供应商(商户)启用状态:1-启用;0-禁用;(必须)
	private Integer enabled;
	// 软删除:0-未删除;1-已删除
	private Integer deleted;

	/****************************************** 20220118 start ******************************************/
	/**
	 * 业务方运营商id
	 */
	@JsonProperty("biz_operator_id")
	private String bizOperatorId;
}
