package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.score;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 6/5/20 5:58 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 6/5/20 5:58 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class ScoreOrderGoodsReceiveParam implements Serializable {

	// 为了合并 add at 202009151742 目前 志鹏说只更新了 侨城汇
	//	"goodsid" : '订单商品ID',
	@JsonProperty("order_goods_id")
	private Long outSnapshotOrderGoodsId;

	//	"goodsid" : '订单商品ID',
	@JsonProperty("goodsid")
	private Long       goodsId;
	//	"title": "膜法世家 吸黑水润雪肌黑面膜贴21片装 (补水保湿 清洁提亮 面膜女男士 薛之谦同款)",
	@JsonProperty("title")
	private String     title;
	//	"unit": "盒",
	@JsonProperty("unit")
	private String     unit;
	//	"total": "1",
	@JsonProperty("total")
	private Integer    total;
	//	"price": "86.81",
	private BigDecimal price;
	//	"costprice": "77.51",
	@JsonProperty("costprice")
	private BigDecimal costPrice;
	//	"unit_price": "86.810000",
	@JsonProperty("unit_price")
	private BigDecimal unitPrice;
	//	"optionname": "",
	@JsonProperty("optionname")
	private String     optionName;
	//	"fiscal_code": "1070223020000000000",
	@JsonProperty("fiscal_code")
	private String     fiscalCode;

	// ************************************ update by linjinjy 20200727 20200723_林志鹏_税率,退款格式.docx ************************************


	/****************************************** 弃用 start ******************************************/
	// 税务编码 (商城填好传过去的)商城设置 分类税率
	//	"taxCode": "1070223010000000000"
	@JsonProperty("tax_code")
	private String     taxCode;
	/**
	 * "taxCode": "" 京东税率 弃用
	 */
	@JsonProperty("taxCode")
	private String     jdTaxCode;
	// 税率 %   (商城填好传过去的)
	@JsonProperty("tax_rate")
	private BigDecimal taxRate;
	//	"gtax_rate": "-1.00",
	// 商品税率 家豪 说 假定 -1 读 分类的税率 这个逻辑 家豪处理了 反正只读 tax_rate 就好 20200916
	@JsonProperty("gtax_rate")
	private BigDecimal goodsTaxRate;
	/****************************************** 弃用   end ******************************************/


	/****************************************** 20210413 税率修改 start ******************************************/
	//	商户税率	浮点数(新增)
	@JsonProperty("merch_tax_rate")
	private BigDecimal merchTaxRate;
	//	商户税率编码	字符串	(新增)
	@JsonProperty("merch_tax_code")
	private String     merchTaxCode;
	//	商户税率ID	整型	(新增)
	@JsonProperty("merch_tax_id")
	private Long       merchTaxId;

	//	平台税率	    浮点数	(新增)
	@JsonProperty("operation_tax_rate")
	private BigDecimal operationTaxRate;
	//	平台税率编码	字符串	(新增)
	@JsonProperty("operation_tax_code")
	private String     operationTaxCode;
	//	平台税率ID	整型	(新增)
	@JsonProperty("operation_tax_id")
	private Long       operationTaxId;
	/****************************************** 20210413 税率修改   end ******************************************/


	//	"cate_name": "笔记本",  //分类名称
//	@JsonProperty("cate_name")
//	private String cateName;

	// ************************************ update by linjinjy 20200727 20200723_林志鹏_税率,退款格式.docx ************************************


	/****************************************** 三级分类 20200904 by linjinyu 20200904_林志鹏_三极分类 ******************************************/
//[cate_id_lv1] => 670
//[cate_name_lv1] => 电脑、办公
//[cate_id_lv2] => 671
//[cate_name_lv2] => 电脑整机
//[cate_id_lv3] => 672
//[cate_name_lv3] => 笔记本

	@JsonProperty("cate_id_lv1")
	private Long   cateIdLv1;
	@JsonProperty("cate_name_lv1")
	private String cateNameLv1;

	@JsonProperty("cate_id_lv2")
	private Long   cateIdLv2;
	@JsonProperty("cate_name_lv2")
	private String cateNameLv2;

	@JsonProperty("cate_id_lv3")
	private Long   cateIdLv3;
	@JsonProperty("cate_name_lv3")
	private String cateNameLv3;
	/****************************************** 三级分类  20200904 by linjinyu ******************************************/

	@JsonProperty("self_option")
	private String selfOption;

}
