package cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.qyng;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 7/14/20 2:00 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/14/20 2:00 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedQyngOrderGoodsReceiveParam implements Serializable {

	// 为了合并 add at 202009151742 目前 志鹏说只更新了 侨城汇
	@JsonProperty("order_goods_id")
	private Long orderGoodsId;
	@JsonProperty("goodsid")
	private Long goodsId;

	/**
	 * "title": "心相印 CS005 1层三折擦手纸/纸巾  225*215mm/张 200张/包 28包/袋 (单位:袋)",
	 */
	@JsonProperty("title")
	private String     title;
	/**
	 * "unit": "袋",
	 */
	@JsonProperty("unit")
	private String     unit;
	/**
	 * "total": "25",
	 */
	@JsonProperty("total")
	private Integer    total;
	/**
	 * "price": "3833.50",
	 */
	@JsonProperty("price")
	private BigDecimal price;

	/**
	 * "costprice": "137.90",
	 */
	@JsonProperty("costprice")
	private BigDecimal costPrice;

	/**
	 * "optionname": "",
	 */
	@JsonProperty("optionname")
	private String     optionname;


	/**
	 * "unit_price": "153.340000",
	 */
	@JsonProperty("unit_price")
	private BigDecimal unitPrice;
	/**
	 * "fiscal_code": "",
	 */
	private String     fiscalCode;


	/**
	 *
	 * "taxCode": "" 商城设置 分类税率
	 */
	@JsonProperty("tax_code")
	private String     taxCode;
	/**
	 * "taxCode": "" 京东税率 弃用
	 */
	@JsonProperty("taxCode")
	private String     jdTaxCode;
	// TODO 不有一个 tax_code

	// 税率 %   (商城填好传过去的) 分类 税率
	@JsonProperty("tax_rate")
	private BigDecimal taxRate;

	//	"gtax_rate": "-1.00",
	// 商品税率 家豪 说 假定 -1 读 分类的税率 这个逻辑 家豪处理了 反正只读 tax_rate 就好
	@JsonProperty("gtax_rate")
	private BigDecimal goodsTaxRate;


//[cate_id_lv1] => 670
//[cate_name_lv1] => 电脑、办公
//[cate_id_lv2] => 671
//[cate_name_lv2] => 电脑整机
//[cate_id_lv3] => 672
//[cate_name_lv3] => 笔记本

	@JsonProperty("cate_id_lv1")
	private Long   cateIdLv1;
	@JsonProperty("cate_name_lv1")
	private String cateNameLv1;

	@JsonProperty("cate_id_lv2")
	private Long   cateIdLv2;
	@JsonProperty("cate_name_lv2")
	private String cateNameLv2;

	@JsonProperty("cate_id_lv3")
	private Long   cateIdLv3;
	@JsonProperty("cate_name_lv3")
	private String cateNameLv3;


}
