package cn.superdesk.uniorder.dto.vo._statistics;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author xc
 * @description
 * @date 2022/6/21 15:35
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ReceivableBalanceDetail implements Serializable {
    private String seq;//序号
    private String settlementName;//客户
    private String serviceNoName;//平台名称
    private BigDecimal receivableAmount;//应收账款
    private BigDecimal actualReceipt;//实收账款
    private BigDecimal endingBalance;//期末余额
}
