package cn.superdesk.uniorder.dto.vo._statistics;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author xc
 * @description 应收余额vo
 * @date 2022/6/21 15:07
 */
@Data
public class ReceivableBalanceVO implements Serializable {
    private List<ReceivableBalanceDetail> receivableBalanceList;//应收数据列表

    private BigDecimal totalReceivableAmount;//应收账款合计
    private BigDecimal totalActualReceipt;//实收账款合计
    private BigDecimal totalEndingBalance;//期末余额合计
}
