package cn.superdesk.uniorder.dto.vo._statistics;

import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.accounting.QchjcOrderVo;
import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.invoice.QchjcInvoiceApplyVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author xc
 * @description 应用明细数据Vo
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReceivableDetailDataVo implements Serializable {




    private String accountingOrderSn;
    private Long   chargeUserId;
    private Date  chargeCreatedAt;
    private String chargeUserName;




    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private String orderSn;

    private String refundOrderSn;

    private String creditNo;

    private String serviceNo;

    private String serviceNoName;

    private Byte orderState;

    private String orderStateName;

    private Date billCreatedAt;

    private Date finishTime;

    private Long goodsId;

    private String goodsName;

    private String goodsUnit;

    private Long goodsQuantity;

    private BigDecimal goodsPrice;

    private BigDecimal goodsTotalAmount;

    private Byte creditType;

    private String creditName;

    private BigDecimal balance;

    private BigDecimal operationTaxRate;

    private String operationTaxCode;

    private Byte accountingState; //#对账(结算)单 状态:0-未确认;1-已确认;-1-已取消

    private Byte chargeStatus; //冲销状态 1-未冲销 2-已冲销 3-已撤销'

    private Byte makeInvoiceStatus;

    private Byte backStatus;

    private BigDecimal incomeNoTax;

    private BigDecimal taxAmount;

    private BigDecimal receivableAmount;

    private Date accountAt;

    private Byte accountState; //入账状态0未入账 1已入账 3撤销入账 4已撤销




}
