package cn.superdesk.uniorder.dto.vo._statistics;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description 应收报表Page Vo
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReceivableStatisticsPageVo implements Serializable {



    private String seq;//序号

    private  Long  settlementId;  //客户Id

    private  String settlementName; //客户

    private BigDecimal operationTaxRate; //税率
    private BigDecimal formatOperationTaxRate; //税率/100

    private BigDecimal incomeNoTax; //收入

    private BigDecimal taxAmount;//税额

    private BigDecimal receivableAmount;//应收账款


}
