package cn.superdesk.uniorder.dto.vo._statistics.payable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @description 应付明细数据Vo
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayableDetailDataVo implements Serializable {


    private Long creditId; //客户结算中心id

    private Long settlementId;

    private String settlementName;

    private String orderSn;

    private String refundOrderSn;

    private String creditNo;

    private String serviceNo;

    private String serviceNoName;

    private Byte orderState;

    private String orderStateName;

    private Date billCreatedAt;

    private Date finishTime;

    private Long goodsId;

    private String goodsName;

    private String goodsUnit;

    private Long goodsQuantity;

    private BigDecimal goodsPrice;

    private BigDecimal goodsTotalAmount;

    private String merchTaxCode;

    private BigDecimal merchTaxRate;

    private Byte accountingState; //对账状态 0未对账 1 已对账

    private Byte makeInvoiceStatus;

    private Byte backStatus;

    private BigDecimal costNoTax;

    private BigDecimal taxAmount;

    private BigDecimal payableAmount;

    private Date accountAt;

    private Byte accountState;

    private BigDecimal balanceCost; //结算成本

    private String accountingOrderSn;


}
