package cn.superdesk.uniorder.dto.vo._statistics.payable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author xc
 * @description 应付报表Page Vo
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayableStatisticsPageVo implements Serializable {

    private String seq;//序号

    private  Long  settlementId;  //客户Id

    private  String settlementName; //客户

    private BigDecimal merchTaxRate; //税率
    private BigDecimal formatMerchTaxRate; //税率

    private BigDecimal costNotax; //收入

    private BigDecimal taxAmount;//税额

    private BigDecimal payableAmount;//应付账款


}
