package cn.superdesk.uniorder.dto.vo._superdeskapp.jwt;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/6/30 下午5:48
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/6/30 下午5:48
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SupperdeskAppTokenUser implements Serializable {

	/**
	 * departmentName : null
	 * businessTypePowerList :
	 * orgPowerList :
	 * virNameList :
	 * departmentId : null
	 * userName : linjinyu
	 * userId : 2911
	 * realName : 林进雨
	 * compId : null
	 * virPowerList :
	 * userType : 2
	 * tokenType : 2
	 * orgNameList :
	 */

	/**
	 * "userId": 2902,管理用户ID
	 */
	private Long   userId;
	private String userName;
	private String realName;

	/**
	 * "compId": 1,运营商ID或者渠道商ID
	 */
	private Long compId;

	/**
	 * "vir_powerList": [],企业权限 列表项字段 enterpise_id
	 */
	private String virPowerList;
	private String virNameList;

	/**
	 * "org_powerList": [],项目权限 列表项字段 organization_id
	 */
	private String orgPowerList;
	private String orgNameList;

	private Long   departmentId;
	private String departmentName;

	/**
	 * "businessType_PowerList": [] 业务权限 列表项字段 business_code
	 */
	private String businessTypePowerList;

	/**
	 * "userType": 20-运营商管理员,21-渠道商管理员,22-运营商操作员,23-渠道商操作员
	 */
	private Integer userType;
	/**
	 * "tokenType": 2,token类型 1-微信端 2-PC端
	 */
	private Integer tokenType;

}
