package cn.superdesk.uniorder.dto.vo.accounting.score.customer;

import cn.superdesk.uniorder.dto.vo.invoice.common.InvoiceBankInfoVo;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyDetailDimCreditItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 结构体 引用
 * 1. 积分结算2.0-对账单-详情 早前就在用
 * @Author: linjinyu
 * @CreateDate: 2022/1/12 下午4:59
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/1/12 下午4:59
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class AccountingOrderScoreCustomerDetailVo implements Serializable {

	@ApiModelProperty("对账单 view obj")
	private AccountingOrderScoreCustomerListItemVo  accounting;
	@ApiModelProperty("流水 list")
	private List<InvoiceApplyDetailDimCreditItemVo> creditList;
	@ApiModelProperty("销方信息")
	private InvoiceBankInfoVo                       bankInfo;

}
