package cn.superdesk.uniorder.dto.vo.accounting.score.customer;

import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyDetailDimCreditItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/17 下午5:33
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/17 下午5:33
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class AccountingOrderScoreCustomerOpCreatePreviewStruct implements Serializable {

    @ApiModelProperty("未对账流水界面点选后的结果集-如果存在数据变动,变动的流水不会返回")
    private List<InvoiceApplyDetailDimCreditItemVo>           list;
    @ApiModelProperty("warning 信息")
    private AccountingOrderScoreCustomerOpCreatePreviewReport report;


    @ApiModelProperty("未对账流水界面点选后的结果集-如果存在数据变动,变动的流水不会返回,以积分批次分级")
    private Map<String, List<InvoiceApplyDetailDimCreditItemVo>> groupByBatchs;
}
