package cn.superdesk.uniorder.dto.vo.accounting.unified.customer;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ToString
public class ViewDzOrderExcel implements Serializable {

	private Long id;

	private Long       dzOrderId;
	private Long       goodsId;
	private String     goodsNo;
	private BigDecimal price;
	private Integer    total;
	private BigDecimal unitPrice;
	private String     optionname;
	private String     unit;
	private String     goodsName;
	private String goodsAlias;
	/**
	 * 运费
	 */
	private BigDecimal dispatchPrice;
	private BigDecimal totalPrice;
	private String     taxCode;
	private String     fiscalCode;

	private Date finishTime;
	private Date createTime;

	private String merchName;
	private String orderSn;


	private String addressMobile;

	private String remark;

	// 支付方式
	private Integer payType;
	private String  payTypeName;

	// 订单状态 业务方的
	private Integer status;
	private String  statusName;

	private Integer realnameId;
	private String  realname;

	private BigDecimal orderPrice;
	private Long       enterpriseId;
	private String     enterpriseName;

	private String  accountingOrderSn;
	private Integer accountingStatus;

	private Integer invoiceType;
	private Integer invoiceStatus;
	/**
	 * 购方名称(开票抬头)
	 */
	private String  companyName;
	/**
	 * 购方银行帐号
	 */
	private String  invoiceAccount;
	/**
	 * 购方税号
	 */
	private String  invoiceTaxpayersIDCode;

	private static final long serialVersionUID = 1L;


}
