package cn.superdesk.uniorder.dto.vo.accounting.unified.customer.notyet;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class UnifiedOrderCustomerNotCheckVo implements Serializable {

	private static final long serialVersionUID = 3988518570223054936L;

	private Long id;

	private String orderSn;//编号

	private String purchaseVirtName;//企业名称

	@ApiModelProperty("下单人Id")
	private Long   purchaseUserId;
	@ApiModelProperty("下单人姓名")
	private String purchaseUserName;
	@ApiModelProperty("下单人联系电话")
	private String purchasePhone;

	private String     saleName;//商户名称
	private String     otherParams;//其他信息
	private BigDecimal amount;//金额

	private Integer payType;//1-款到发货,2-货到付款,3-月结
	private String  orderStateName;
	private String  serviceName;

	private Date createTime;//下单时间
	private Date updateTime;

	private String remarks;

}
