package cn.superdesk.uniorder.dto.vo.accounting.unified.supplier;

import cn.superdesk.uniorder.common.enums.accounting.AccountingOrderDimCreateByEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/11/2 下午2:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/2 下午2:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class AccountingOrderUnifiedSupplierStatisticsFixVoDimOrder extends AccountingOrderUnifiedSupplierStatisticsVo {

    private AccountingOrderDimCreateByEnum dimCreateByEnum = AccountingOrderDimCreateByEnum.订单;

}
