package cn.superdesk.uniorder.dto.vo.fund;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: // 修改标记 20211201
 * @Author: linjinyu 重构
 * @CreateDate: 2021/12/1 下午6:24
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/1 下午6:24
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@ToString
@Data
public class SysFundActivatedVo implements Serializable {

	/**
	 * id
	 */
	private Long id;

	/**
	 * 基金用户id
	 */
	private Long fundUserId;

	/**
	 * 发票号 // 修改标记 20211201
	 */
	private String invoiceNumber;

	/**
	 * 核销金额
	 */
	private BigDecimal checkCount;

	/**
	 * 基金金额
	 */
	private BigDecimal fundCount;

	/**
	 * 激活状态 1已激活 0未激活
	 */
	private Integer activatedStatus;

	/**
	 * 创建人
	 */
	private Long createUserId;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新人
	 */
	private Long checkUserId;

	/**
	 * 更新时间
	 */
	private Date checkTime;

	private static final long serialVersionUID = 1L;

}