package cn.superdesk.uniorder.dto.vo.fund;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:    // 修改标记 20211201
 * @Author:         linjinyu
 * @CreateDate:     2021/12/2 下午12:16
 * @UpdateUser:     linjinyu
 * @UpdateDate:     2021/12/2 下午12:16
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
@Data
@ToString
public class SysFundGrantVo implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long id;
	/**
	 * 基金用户id
	 */
	private Long fundUserId;

	/**
	 * 发票号 // 修改标记 20211201
	 */
	private String invoiceNumber;

	/**
	 * 发票金额
	 */
	private BigDecimal invoiceCount;
	/**
	 * 基金金额
	 */
	private BigDecimal fundCount;
	/**
	 * 待核销金额
	 */
	private BigDecimal noCheckCount;
	/**
	 * 待激活基金
	 */
	private BigDecimal noActivatedFund;

	/**
	 * 激活状态 2已激活 1部分激活 0未激活
	 */
	private Integer activatedStatus;


	private Long createUserId;
	private Date createTime;

}