package cn.superdesk.uniorder.dto.vo.fund;

//import cn.superdesk.uniorder.dao.entity.sys.SysFundUser;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class SysFundUserVoEx extends SysFundUserVo implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 项目名称
	 */
	private String organizationName;
	/**
	 * 企业名称
	 */
	private String enterpriseName;
	/**
	 * 基金用户名称
	 */
	private String realname;
	/**
	 * 基金用户电话
	 */
	private String mobile;

	/**
	 * 采购总金额
	 */
	private BigDecimal purchaseCount;
	/**
	 * 基金余额
	 */
	private BigDecimal fundBalance;
	/**
	 * 消费基金
	 */
	private BigDecimal consumerFund;
	/**
	 * 发放基金余额
	 */
	private BigDecimal grantFundBalance;
	private BigDecimal noGetCount;

	private String createUserName;
	private String updateUserName;

}
