package cn.superdesk.uniorder.dto.vo.invoice.common;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
public class InvoiceBankVo implements Serializable {
	/**
	 * 流水Id
	 */
	private Long       id;
	private String     mainName;
	/**
	 * 银行
	 */
	private String     bankName;
	/**
	 * 金额
	 */
	private BigDecimal count;
	/**
	 * 未核销金额
	 */
	private BigDecimal noCheckCount;
	/**
	 * 是否删除 0删除 1未删除
	 */
	private Integer    enable;
	/**
	 * 核销状态 0未核销 1已核销 2部分核销
	 */
	private Integer    status;
	/**
	 * 收款人
	 */
	private String     payee;
	/**
	 * 收款人账号
	 */
	private String     payeeAccount;
	/**
	 * 收款日期
	 */
	private Date       payTime;
	/**
	 * 备注
	 */
	private String     remark;
	private Date       createTime;
	private Date       backTime;

	private static final long serialVersionUID = 1L;

}
