package cn.superdesk.uniorder.dto.vo.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/2/10 下午8:10
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/2/10 下午8:10
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder(toBuilder = true)
public class InvoiceTypeSelectModeVo implements Serializable {

	@ApiModelProperty(value = "发票种类-开票方式-代码")
	private String modeCode;
	@ApiModelProperty(value = "发票种类-开票方式-名称")
	private String modeName;


}
