package cn.superdesk.uniorder.dto.vo.invoice.customer;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: TODO 目前这个有个问题 Mapper 里边还是 订单维度的 表关联方式 mark by linjinyu at 20210317
 * @Author: linjinyu
 * @CreateDate: 2021/3/17 下午5:34
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/3/17 下午5:34
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class ExportExcelInvoiceApplyForceUnifiedDimGoodsVo implements Serializable {

	private static final long serialVersionUID = 1L;

	// auco.id AS id, //订单Id
	private Long id;

	//对账单id
	private Long   dzId;
	//对账单编号 //对账单编号
	//	private String dzSn;
	private String accountingOrderSn;

	//#父订单编号
	private String parentOrderSn;
	//#订单编号
	private String orderSn;

	//项目id
	private Long   organizationId;
	//#项目名称##
	private String organizationName;

	//企业Id
	private Long   enterpriseId;
	//#企业名称
	private String enterpriseName;

	//#订单金额
	private BigDecimal price;

	//支付方式
	private Integer payType;
	//#支付方式名称
	private String  payTypeName;

	private Integer status;//订单状态
	private String  statusName;//#订单状态名称


	// 收货地址
	private String addressAddress;
	// 收货人姓名
	private String addressRealname;
	// 收货人电话
	private String addressMobile;

	private Date createTime;//#下单时间
	private Date finishTime;//#完成时间
	private Date sendTime;//#发货时间
	private Date syncTime;
	private Date payTime;

	private String merchName;//#供应商名称

	private String remark;//#买家备注


	private String     optionname;//#商品规格
	private Integer    total;//#数量
	private BigDecimal unitPrice;//#商品单价(折扣后)
	private BigDecimal totalPrice;//#商品价格(折扣后)

	private String unit;//#单位

	private String fiscalCode;
	private String taxCode;//#商品编码


	private String  invoiceCompanyName;
	private String  invoiceTaxpayersIDcode;
	private Integer invoiceType;//#发票种类
	private String  invoiceTypeName;//#发票种类


	private String     dispatchName;
	private BigDecimal dispatchPrice;//#运费

	private Long   expressCompanyId;//快递公司ID##
	private String expressCompanyName;//#快递公司名称##
	private String expressNo;//#快递单号##


	private Integer backAccountStatus;//回款状态##
	private String  backAccountStatusName;//#回款状态名称##

	private String invoiceNumber;//发票号
	private String invoiceApplySn;//发票申请编号## // 修改标记 20211201
	private String invoiceRemark;//发票备注
	private String invoiceTitle;//发票抬头

	private Date    makeInvoiceTime;//#开票时间##
	private Integer makeInvoiceStatus;//开票状态##
	private String  makeInvoiceStatusName;//#开票状态名称##


	private Long    orderId;
	private Integer parentOrderId;


	private String orderType;

	private String searchField1;
	private String searchField2;
	private String searchField3;

	private String invoiceAccount;
	private String invoiceBank;


	private Integer realnameId;
	private String  realname;//#下单人
	private String  mobile;//#下单人电话##
	private Integer examineId;
	private String  examineName;//审核人

	private String detailUrl;


	private Long dzOrderGoodId;

	private Long dzOrderId;

	private Long goodId;

	private String goodno;

	private String otherField1;//#商品信息
	private String otherField2;

	private BigDecimal orderPrice;


}
