package cn.superdesk.uniorder.dto.vo.invoice.customer.mailTickStatus;

import cn.superdesk.uniorder.dto.vo.accounting.score.customer.AccountingOrderScoreCustomerListItemVo;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyCustomerPageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/4/29 12:10 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/29 12:10 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class InvoiceManagerCustomerOpMailTickStatusPageVo implements Serializable {

    @ApiModelProperty("待寄票的发票单列表")
    private List<InvoiceApplyCustomerPageVo> pageVoList;

    @ApiModelProperty("待寄票的发票单对映的对账单信息")
    private AccountingOrderScoreCustomerListItemVo accountingOrder;

}
