package cn.superdesk.uniorder.dto.vo.marketing.department;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 区域管理
 * @Author: linjinyu
 * @CreateDate: 2020/11/24 上午11:55
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/24 上午11:55
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedAreaParam implements Serializable {

	private static final long serialVersionUID = -4861121077618144553L;


	private Long    id;
	private Long    parentId;
	private Integer lev;

	// 区域名称
	private String areaName;
	//private String areaCode;

	// add by linjinyu at 20201126
	private Integer yearly;
	private Integer monthly;

	// 客户经理
	private String customerUsers;
	// 采购专家
	private String purchaseUsers;


	private BigDecimal okrTarget;
	private BigDecimal kpiTarget;
	private BigDecimal profitKpiTarget;

	private String remarks;


}
