package cn.superdesk.uniorder.dto.vo.operationCenter.order;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/3/27 16:37
 * Description : 将统计数据和订单列表 封装 类
 */
@Data
public class OperationCenterOrderFormVo  implements Serializable {
    //=======订单统计字段===========
    //订单数
    private Long orderCount;
    //商品金额
    private BigDecimal orderGoodsAmountCount;
    //运费金额
    private BigDecimal transportAmountCount;
    //优惠金额
    private BigDecimal discountAmountCount;
    //订单金额
    private BigDecimal orderPriceCount;
    //结算金额
    private BigDecimal orderSettlementAmountCount;
    //订单集合
    List<OperationCenterOrderVo> operationCenterOrderVos;
}
