package cn.superdesk.uniorder.dto.vo.operationCenter.payment;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/3/29 16:20
 * Description : 支付方式配置列表 封装
 */
@Data
public class OperationCenterPaymentVo implements Serializable {
    private Long id;
    //平台支付方式名称
    private String payName;

    private Integer isCombined;

    //业务平台 业务支付方式
    List<OperationCenterPaymentBizVo> operationCenterPaymentBizVoList;
    // 关联运营商类型 0-不关联 1-关联所有运营商 3-关联指定运营商
    private Integer associateType;
    //状态
    private Integer enabled;
    //创建人
    private String createUserName;
    //创建时间
    private String createTime;
    //更新人
    private String updateUserName;
    //更新时间
    private String updateTime;

}
