package cn.superdesk.uniorder.dto.vo.organisation;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: InvoiceBankInfo
 * @Author: linjinyu
 * @CreateDate: 2021/12/13 下午5:47
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/13 下午5:47
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class SysPlatformExtInvoiceVo implements Serializable {

	private Long id;

	private String companyName;

	private String taxpayersIDCode;

	private String bankAccount;

	private String bankName;

	private String supplyName;

	private String tel;

	private String address;

	private String param1;

	private String param2;

	private Date createTime;

	private Long createUserId;

	private Date updateTime;

	private Long updateUserId;

	private Integer isDefault;

	private Integer enabled;

	/**
	 * 软删除:0-未删除;1-已删除
	 */
	private Integer deleted;

	private static final long serialVersionUID = 1L;
}
