package cn.superdesk.uniorder.dto.vo.organisation;

import cn.superdesk.uniorder.dto.param.organisation.UnifiedSupplierParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/5/14 下午2:10
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/14 下午2:10
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */

@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
@ToString
public class UnifiedSupplierVo extends UnifiedSupplierParam {

    /**************************************** mark by linjinyu at 20220516 v2.3 start ****************************************/

    @ApiModelProperty("订单类型-订单来源-引用enum CommonServiceNoEnum")
    private String  serviceNoName;
    @ApiModelProperty("操作来源-引用enum CommonSourceFromEnum")
    private String  sourceFromName;

    /**************************************** mark by linjinyu at 20220516 v2.3   end ****************************************/

}
