package cn.superdesk.uniorder.dto.vo.sys;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SysSupplierVo implements Serializable {
    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "业务方供应商id")
    private Long saleId;
    @ApiModelProperty(value = "供应商名")
    private String saleName;
    @ApiModelProperty(value = "联系人")
    private String contactsName;
    @ApiModelProperty(value = "电话")
    private String contactsPhone;
    @ApiModelProperty(value = "地址")
    private String contactsAdd;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "软删除:0-未删除;1-已删除")
    private Integer deleted;
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "业务平台 OpCenterBizPlatformEnum")
    private String bizPlatformCode;
    @ApiModelProperty(value = "业务平台")
    private String bizPlatformName;
}
