package cn.superdesk.uniorder.dto.vo.sys;

import cn.superdesk.uniorder.dto.vo.order.OrderSourceTypeUser;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/16 10:48 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/16 10:48 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class SysUserView implements Serializable {

    private static final long serialVersionUID = 7407207897470670014L;

    private Long id;

    private String userName;
    private String fullname;
    private String phone;

    private Long   roleId;
    private String roleName;


    //<!--		su.sys_role_ext_data_id,-->
    //<result column="sys_role_ext_data_id" property="sysRoleExtDataId" jdbcType="BIGINT"/>
    private Long   sysRoleExtDataId;
    //<!--		sred.name as sys_role_ext_data_name,-->
    //<result column="sys_role_ext_data_name" property="sysRoleExtDataName" jdbcType="VARCHAR"/>
    private String sysRoleExtDataName;

    private Date createTime;
    private Long createUserId;

    private Date updateTime;
    private Long updateUserId;

    // <!--		su.source_from,-->
    // <result column="source_from" property="sourceFrom" jdbcType="VARCHAR"/>
    private String sourceFrom;
    private String sourceFromName;

    // 个性化
    private String personalizedLogo;
    private String personalizedSubhead;

    private List<OrderSourceTypeUser> sourceTypeList;

}
