package cn.superdesk.uniorder.dto.vo.sys;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SysVirtVo implements Serializable {
    @ApiModelProperty("主键id")
    private Long   id;
    @ApiModelProperty("企业名称")
    private String enterpriseName;
    @ApiModelProperty("业务方企业id")
    private Long   enterpriseId;
    @ApiModelProperty(value = "业务平台 OpCenterBizPlatformEnum")
    private String bizPlatformCode;
    @ApiModelProperty(value = "业务平台")
    private String bizPlatformName;
    @ApiModelProperty(value = "业务方运营商id")
    private String bizOperatorId;
    @ApiModelProperty(value = "业务方运营商名称")
    private String bizOperatorName;
    @ApiModelProperty("所属项目id")
    private Long   orgId;
    @ApiModelProperty(value = "所属项目")
    private String orgName;
    @ApiModelProperty("删除状态:0-未删除;1-已删除")
    private Integer virtDeleted;
    @ApiModelProperty("更新时间")
    private Date virtSyncTime;
}
