package cn.superdesk.uniorder.dto.vo.sys.role;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description: @link ViewMenuTree @link ViewRoleMenu @link SysMenuTreeNode 为什么要分开写呀? 什么鬼 就差子List的问题
 * @Author: linjinyu
 * @CreateDate: 2021/11/24 下午2:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/24 下午2:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class ViewRoleMenu implements Serializable {

	private static final long serialVersionUID = -3481391725402940241L;

	private Long roleId;

	private Long menuId;
	private Long pid;

	private String  menuName;
	private String  menuUrl;
	private String  perms;
	private Integer menuType;
	private String  menuIcon;
	private Integer orderNum;


}
