package cn.superdesk.uniorder.dto.vo.thirdpart.jd;

import cn.superdesk.uniorder.dto.vo.order.UnifiedOrderDebugVo;
import cn.superdesk.uniorder.dto.vo.order.UnifiedOrderGoodsDebugVo;
import lombok.*;

import java.io.Serializable;
import java.util.List;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/7/7 10:23 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/7/7 10:23 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierOrderJdCheckUpReportSnapshotStruct implements Serializable {


    private List<UnifiedOrderDebugVo>      unifiedOrderDebugVoList;
    private List<UnifiedOrderGoodsDebugVo> unifiedOrderGoodsDebugVoList;
}
