package cn.superdesk.uniorder.dto.vo.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-06-22 16:27:47
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-06-22 16:27:47
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsListItemVo implements Serializable {

    @ApiModelProperty("系统信息-自增Id")
    private Long id;

    @ApiModelProperty("供应商结算-对账单-创建维度:0-订单;1-商品;2-流水;")
    private Integer dimCreateBy;

    @ApiModelProperty("批次Id")
    private String batchId;

    @ApiModelProperty("对账(结算)单-Id")
    private Long   accountingOrderId;
    @ApiModelProperty("对账(结算)单-Sn")
    private String accountingOrderSn;

    @ApiModelProperty("统一订单-Id")
    private Long   unifiedOrderId;
    @ApiModelProperty("第三方商城的订单Sn")
    private String orderSn;

    @ApiModelProperty("统一订单商品-Id")
    private Long unifiedOrderGoodsId;
    @ApiModelProperty("第三方商城的商品表Id")
    private Long goodsId;
    @ApiModelProperty("第三方商城的订单的商品快照Id")
    private Long outSnapshotOrderGoodsId;

    @ApiModelProperty("统一订单流水Id,目前维度是没有用的")
    private Long unifiedOrderCreditId;

    @ApiModelProperty("系统信息-创建时间")
    private Date createTime;
    @ApiModelProperty("系统信息-创建人Id")
    private Long createUserId;


}