package cn.superdesk.uniorder.dto.vo.thirdpart.jd;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: SysQuartzScheduleTaskStatementOfAccountJdListItemVo 里边的两个字段
 * @Author: linjinyu
 * @CreateDate: 2022/6/20 3:43 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/6/20 3:43 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class AccountingUnifiedSupplierOrderJdUpperLevelsStatisticsVo implements Serializable {

    @ApiModelProperty("统计部分_第三方对账金额")
    private BigDecimal statisticsAmountDimOrderOutsider;

    @ApiModelProperty(value = "统计部分_导入对账数据_订单维度_总数")
    private Long statisticsQuantityDimOrderTotal;
    @ApiModelProperty(value = "统计部分_导入对账数据_订单维度_正常")
    private Long statisticsQuantityDimOrderNormal;
    @ApiModelProperty(value = "统计部分_导入对账数据_订单维度_异常")
    private Long statisticsQuantityDimOrderException;
}
