package cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.invoice.QchjcInvoiceSupplierApplyVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author xc
 * @description
 * @date 2022/4/5 11:57
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QchjcAccountingUnifiedSupplierVo implements Serializable {

    private Long    id;
    private Long    unifiedId;
    private Integer dimCreateBy;
    private String  accountingOrderSn;
    private Integer accountingStatus;
    private Integer invoiceStatus;
    private String  invoiceTitle;
    private Integer invoiceType;
    private String  taxCode;
    private String  address;

    private String saleId;
    private String saleName;

    private String contactsEmail;
    private String contactsFullAddress;
    private String contactsName;
    private String contactsPhone;

    private String sellerAddress;
    private String sellerEmail;
    private String sellerPhone;
    private String sellerUserId;
    private String sellerUserName;

    private Integer isSendEmail;
    private Date    sendEmailTime;

    private Integer dateType;
    private Date    startTime;
    private Date    endTime;

    private Integer backAccountStatus;

    private Date   createTime;
    private String createUserId;
    private String createUserName;

    private Date   updateTime;
    private String updateUserId;
    private String updateUserName;

    private String remark;

    private Integer invoiceApplyStatus;
    private String  invoiceApplyUserId;
    private Date    invoiceApplyTime;
    private Integer invoiceApplyModeRecord;

    private BigDecimal accountingOrderAmount;
    private BigDecimal accountingOrderAmountWithFreight;

    private BigDecimal rebateAmount;
    private BigDecimal statisticsTotalAmount;
    private BigDecimal accountingAmount;
    private BigDecimal unAccountingAmount;
    private BigDecimal jcUnAccountingAmount;

    private Date syncTime;

    private Integer storageStatus;
    private Date    storageTime;

    private List<QchjcOrderVo> orderSelected;

    private Integer invoiceCount;
    private Integer receiveInvoiceStatus;
    private String  billCycle;
    private String  storageReason;
    private String  applyUserName;
    private Integer orderCount;

    private List<QchjcInvoiceSupplierApplyVo> invoiceSupplierApplyList;
}
