package cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.invoice.QchjcInvoiceApplyVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author xc
 * @description
 * @date 2022/4/4 17:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QchjcCustomerStatementVo implements Serializable {

    private Long       id;
    private Long       unifiedId;
    private BigDecimal accountingAmount;
    private String     accountingOrderSn;
    private Integer    accountingStatus;
    private Date       createTime;
    private String     createUserId;
    private String     createUserName;
    private Integer    dateType;
    private Date       startTime;
    private Date       endTime;
    private Integer    invoiceStatus;

    private List<QchjcOrderVo> orderSelected;

    private Integer payStatus;

    private String purchaseAddress;
    private String purchaseEmail;
    private String purchasePhone;
    private String purchaseUserId;
    private String purchaseUserName;
    private String purchaseVirtId;
    private String purchaseVirtName;

    private String     remark;
    private BigDecimal statisticsTotalAmount;
    private BigDecimal unAccountingAmount;
    private BigDecimal jcUnAccountingAmount;

    private Date   updateTime;
    private String updateUserId;
    private String updateUserName;

    private Date    syncTime;
    private Date    storageTime;
    private Integer storageStatus;
    private Integer invoiceCount;
    private Integer receiveInvoiceStatus;
    private Integer backAccountStatus;
    private String  billCycle;
    private String  storageReason;
    private String  applyUserName;
    private Integer orderCount;

    private List<QchjcInvoiceApplyVo> invoiceApplyVoList;
}
