package cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.accounting;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author xc
 * @description
 * @date 2022/4/4 17:56
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QchjcOrderVo implements Serializable {
    private Long       id;
    private Long       unifiedId;
    private Date       accountingTime;
    private String     accountingOrderSn;
    private Integer    completState;
    private Date       createTime;
    private String     createUserId;
    private String     expressSn;
    private String     express;
    private String     expressCompany;
    private Date       finishTime;
    private BigDecimal orderAmount;
    private BigDecimal orderCostAmount;
    List<QchjcOrderGoodsVo> orderGoodsSelected;
    private String     orderSn;
    private String     orderSnOutTrade;
    private Integer    orderState;
    private String     orderStateName;
    private Integer    orderType;
    private String     otherParams;
    private String     outSnapshotOrderId;
    private Integer    payState;
    private String     payStateName;
    private Date       payTime;
    private Integer    payType;
    private String     payTypeName;
    private String     purchaseDepartmentName;
    private String     purchasePhone;
    private String     purchaseUserId;
    private String     purchaseUserName;
    private String     purchaseVirtId;
    private String     purchaseVirtName;
    private String     recAddress;
    private String     recUserId;
    private String     recUserName;
    private String     recUserPhone;
    private String     refundOrderSn;
    private String     remarks;
    private Date       sendTime;
    private String     supplierId;
    private String     supplierName;
    private BigDecimal transportAmount;
    private BigDecimal transportMerchantAssumeAmount;
    private Long       unifiedOrderId;
    private Date       updateTime;
    private String     updateUserId;
    private Long       outOrgId;
    private String     outOrgName;
    private Date       syncTime;
    private Date       storageTime;
    private Integer    storageStatus;
    /**
     * 退品销售金额(统一订单)
     */
    @ApiModelProperty(value = "退品销售金额(统一订单)")
    private BigDecimal refundGoodsAmount;

    /**
     * 退品成本金额(统一订单)
     */
    @ApiModelProperty(value = "退品成本金额(统一订单)")
    private BigDecimal refundGoodsCostAmount;
}
