package cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.invoice;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author xc
 * @description
 * @date 2022/4/17 16:30
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QchjcInvoiceApplyVo implements Serializable {

    private String invoiceSn;

    private String purchaseVirtName;
    private String applyUserName;

    private BigDecimal invoiceApplyAmount;
    private String     invoiceApplySn;

    private String invoiceType;
    private String invoiceMode;

    private String invoiceNumber;

    private Integer orderCount;
    private Integer jcOrderCount;
    private Integer unifiedOrderCount;


    private List<QchjcApplyResVo> applyList;

}
