package cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/3/9 下午5:36
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/9 下午5:36
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class SzhtxxElectronicInvoiceFptxxHeadDataVo implements Serializable {

	@ApiModelProperty("发票娄")
	private Integer fptxxCount;

	@ApiModelProperty(value = "价税合计金额^_^小数点后2位,以元为单位,精确到分")
	private BigDecimal kphjje;
	@ApiModelProperty(value = "合计不含税金额.所有商品行不含税金额之和.^_^小数点后2位,以元为单位精确到分(单行商品金额之和).")
	private BigDecimal hjbhsje;
	@ApiModelProperty(value = "合计税额.所有商品行税额之和.^_^小数点后2位,以元为单位精确到分(单行商品税额之和)")
	private BigDecimal hjse;
}
