package cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.paperInvoice;

import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxDetailVo;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID1SingleBilling.SID1SingleBillingRequestBody;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 红冲预览页面
 * @Author: linjinyu
 * @CreateDate: 2022/3/17 上午10:24
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/17 上午10:24
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
public class SzhtxxPaperInvoiceFptxxOpRedWriteVo implements Serializable {

    @ApiModelProperty("蓝票信息-想要红冲")
    private SzhtxxElectronicInvoiceFptxxDetailVo fptxxOrigin;

    @ApiModelProperty("深圳航信纸质票RequestBody")
    private SID1SingleBillingRequestBody         fttxxRedWrite;

}
