package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
public class UnifiedCustomerContactsDetail implements Serializable {

	private static final long serialVersionUID = 44601267754211489L;

	private Long       virtId;
	private Long       sysUserId;
	private String     sysUserName;
	private String     mobile;
	/**
	 * 订单总金额
	 */
	private BigDecimal orderAmount;
	/**
	 * 开票总金额
	 */
	private BigDecimal invAmount;
	/**
	 * 回款总金额
	 */
	private BigDecimal backAmount;
	/**
	 * 待回款总金额
	 */
	private BigDecimal notbackAmount;


}
