package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description: 市场管理 - 大概是里边的东西
 * @Author: linjinyu 整理
 * @CreateDate: 2021/11/25 上午10:24
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/25 上午10:24
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedCustomerDetail implements Serializable {

	private static final long serialVersionUID = 6463158428639116026L;

	private Long   virtId; //企业ID
	private String virtName;//企业名称

	private Long   projectId;//项目ID
	private String projectName;//项目名称

	private BigDecimal credit;

	private Integer cycleDays;

	private Date createTime;
	private Long createUserId;
	private Date updateTime;
	private Long updateUserId;

	private BigDecimal orderAmount;//订单总金额
	private BigDecimal invAmount;//开票总金额
	private BigDecimal backAmount;//回款总金额
	private BigDecimal notbackAmount;//待回款总金额

	private String customerUserName;//客户经理

	private String purchaseUserName;//采购经理

	private String cityName;
	private String areaName;

	private List<UnifiedCustomerContactsDetail> contacts;

}