package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: mark by linjinyu at 20201125 重构
 * @Author: linjinyu
 * @CreateDate: 2020/11/25 上午11:41
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/25 上午11:41
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedCustomerTJ implements Serializable {

	private Long   areaId;
	private String areaName;

	private String serviceNo;

	private Long   virtId;
	private String virtName;

	private String customerUsernames;
	private String purchaseUsernames;

	private Integer sYear;
	private Integer sMonth;

	private BigDecimal orderAmount;
	// 成本金额
	private BigDecimal orderCostAmount;
	private BigDecimal orderRefundAmount;
	// 退货成本金额
	private BigDecimal orderRefundCostAmount;
	// 运费
	private BigDecimal orderTransportAmount;

	private BigDecimal goodsAmount;
	private BigDecimal goodsCostAmount;
	private BigDecimal goodsRefundAmount;
	private BigDecimal goodsRefundCostAmount;
	private BigDecimal goodsTransportAmount;

	// 应付
	private BigDecimal payableAmount;

	// 上月完成金额
	private BigDecimal lastOrderAmount;
	// 上月环比 上月环比=(本月完成金额-上月完成金额)÷上月完成金额×100%
	private BigDecimal lastRate;

	//add 2020-0219


	// 本月累计毛利润
	private BigDecimal profit;
	// 本月累计毛利率
	private BigDecimal profitRate;


}
