package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 前端-市场管理-企业管理
 * @Author: linjinyu
 * @CreateDate: 7/8/20 7:56 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/8/20 7:56 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class UnifiedCustomerVo implements Serializable {

    private static final long serialVersionUID = 8337887984898738101L;

    private Long   virtId;//企业ID
    private String virtName;//企业名称

    private Long   projectId;//项目ID
    private String projectName;//项目名称

    //change and add 20191018
    private Long areaId;
    private Long areaItemId;

    private String areaName;//父级区域


    private String customerUserName;//客户经理
    private String purchaseUserName;//采购经理

    private String customerUsers;
    private String purchaseUsers;

    private BigDecimal orderAmount;//订单总金额
    private BigDecimal invAmount;//开票总金额
    private BigDecimal backAmount;//回款总金额
    private BigDecimal notbackAmount;//待回款总金额

    private BigDecimal credit;//信用额

    private Integer cycleDays;

    private Date createTime;
    private Long createUserId;
    private Date updateTime;
    private Long updateUserId;

}
