package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class UnifiedWarningVo implements Serializable {

	private static final long serialVersionUID = -86037853830840078L;

	private Long id;

	private Long   projectId;
	private String projectName;

	private Long   virtId;
	private String virtName;

	/**
	 * 1-发票预期,2-信用超额
	 */
	private Byte warningType;

	private String invNo;

	private BigDecimal creditPass;

	/**
	 * 1-已处理 2-未处理
	 */
	private Byte state;

	/**
	 * 预警时间
	 */
	private Date createTime;
	private Long createUserId;
	/**
	 * 处理时间
	 */
	private Date updateTime;
	private Long updateUserId;

}
