package cn.superdesk.uniorder.dto.vo.unified;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class WarningOrderInvoiceVo implements Serializable {

	private static final long serialVersionUID = 6188294720886222012L;

	/**
	 * 企业ID
	 */
	private Long       virtId;
	/**
	 * 企业名称
	 */
	private String     virtName;
	/**
	 * 项目ID
	 */
	private Long       projectId;
	/**
	 * 信用额
	 */
	private BigDecimal credit;
	private Integer    cycleDays;
	/**
	 * 发票号
	 */
	private String     invoiceNumber;
	/**
	 * 开票时间
	 */
	private Date       makeInvoiceTime;


}
