package cn.superdesk.uniorder.dto.vo.wechat;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @Description: 微信端-对账单 页面
 * @Author: linjinyu
 * @CreateDate: 5/14/20 5:21 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 5/14/20 5:21 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class WxBillVirtItem implements Serializable {


	private static final long serialVersionUID = -2767599606531836196L;

	private int        year;
	private int        month;
	/**
	 * 消费总额
	 */
	private BigDecimal amount;
	/**
	 * 待付款总额
	 */
	private BigDecimal upayamount;

}
