package cn.superdesk.uniorder.dto.vo.wechat;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class WxChannelItemList implements Serializable {

	/**
	 * 分组名 eg: 楼内闪送
	 */
	private String serviceName;

	private Long   virtId;
	private String virtName;

	private Long       orgId;
	private String     projectName;
	/**
	 * 订单总金额
	 */
	private BigDecimal amount;
	/**
	 * 可分润金额
	 */
	private BigDecimal amountProfit;
	/**
	 * 订单的回款金额
	 */
	private BigDecimal amountBack;
	/**
	 * 可提现 金额
	 */
	private BigDecimal amountCash;

}
