package cn.superdesk.uniorder.dubbo.consumer.websocket.biz.dto;

import cn.superdesk.uniorder.dao.entity.scheduler.SysQuartzScheduleTaskStatementOfAccount;
import lombok.Builder;
import lombok.Getter;

import java.io.Serializable;

/**
 * @Description: 前后端路由
 * 前端 : http://192.168.6.223:8282/#/task/viewTask?id=3002
 * 后端 : http://192.168.6.223:8089/web/sysQuartzScheduleTaskStatementOfAccount/runTask/1
 * @Author: linjinyu
 * @CreateDate: 2021/2/20 下午6:40
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/20 下午6:40
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */

@Builder(toBuilder = true)
@Getter
public class WrapperBodySysQuartzScheduleTaskStatementOfAccountRunTask implements Serializable {

	public static final String ACTION = "task/viewTask";

	private SysQuartzScheduleTaskStatementOfAccount sysQuartzScheduleTaskStatementOfAccount;

}
