package cn.superdesk.uniorder.dubbo.facade._commom;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.common.UploadFiles;
import cn.superdesk.uniorder.dto.param._common.UploadFilesParam;
import cn.superdesk.uniorder.dto.param._common.UploadFilesQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 文件上传信息
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-11-22 17:13:37
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-11-22 17:13:37
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUploadFilesService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UploadFilesParam param);

	@Deprecated
	void updateObj(UploadFilesParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UploadFiles findById(Long id);

	@Deprecated
	PageInfo<UploadFiles> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UploadFiles> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUploadFiles(UploadFilesParam param);

	void updateUploadFiles(UploadFilesParam param);

	void deleteUploadFiles(Long id);

	UploadFiles findUploadFilesById(Long id);

	UploadFiles findUploadFilesByUid(String uid);

	List<UploadFiles> findUploadFilesByIds(List<Long> ids);

	List<UploadFiles> findUploadFilesByUids(List<String> uids);

	R<List<UploadFiles>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<UploadFiles>> pageQueryGenericParam(UploadFilesQueryCriteria criteria);
}
