package cn.superdesk.uniorder.dubbo.facade.fund;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.fund.SysFundActivated;
import cn.superdesk.uniorder.dto.vo.fund.SysFundActivatedVoEx;

import java.util.List;
import java.util.Map;

public interface DubboSysFundActivatedService {

	void create(String token, SysFundActivated sysFundActivated) throws UnifiedOrderRuntimeException;

	void update(String token, SysFundActivated sysFundActivated) throws UnifiedOrderRuntimeException;

	R<List<SysFundActivatedVoEx>> findAllViewPage(Map<String, Object> params, int pageNum, int pageSize);

	void importExcel(String token, Map<String, List<Map<String, Object>>> map) throws UnifiedOrderRuntimeException;
}
