package cn.superdesk.uniorder.dubbo.facade.fund;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.fund.SysFundGrant;
import cn.superdesk.uniorder.dto.vo.fund.SysFundGrantVoEx;

import java.util.List;
import java.util.Map;

public interface DubboSysFundGrantService {

	void create(String token, SysFundGrant sysFundGrant) throws UnifiedOrderRuntimeException;

	R<List<SysFundGrantVoEx>> findAllViewPage(Map<String, Object> params, int pageNum, int pageSize);

	void importExcel(String token, Map<String, List<Map<String, Object>>> map) throws UnifiedOrderRuntimeException;
}
