package cn.superdesk.uniorder.dubbo.facade.invoice.customer.invoiced;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoiced;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 10/12/20 4:28 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 10/12/20 4:28 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceInvoicedFieldIsInvalidService {

	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 正常(0, "正常")
	void opInitOrBeValid(InvoiceInvoiced entity, LoginSysUser loginSysUser);

	// 状态流转为 作废(1, "作废")
	void opBecomeInvalid(InvoiceInvoiced entity, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/

}
