package cn.superdesk.uniorder.dubbo.facade.invoice.customer.state;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApply;
import cn.superdesk.uniorder.dto.param.invoice.customer.status.OpMailTickStatusFormV2_1;

import java.util.List;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 10/12/20 4:28 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 10/12/20 4:28 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceApplyFieldMailTickStatusService {

	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 未邮寄(0, "未邮寄")
	void opInit(InvoiceApply entity, LoginSysUser loginSysUser);

	// 状态流转为 已邮寄(1, "已邮寄")
	void opComplete(InvoiceApply entity, LoginSysUser loginSysUser);

	// 状态流转为 已邮寄(1, "已邮寄")
	void opCompleteV2_1(List<InvoiceApply> entitys, OpMailTickStatusFormV2_1 form, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/

}
