package cn.superdesk.uniorder.dubbo.facade.invoice.supplier;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplier;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 10/12/20 4:28 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 10/12/20 4:28 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceApplySupplierFieldMailTickStatusService {

	/****************************************** 状态机 外部使用 类门面 start ******************************************/

	// 状态流转为 未邮寄(0, "未邮寄")
	void opInit(InvoiceApplySupplier entity, LoginSysUser loginSysUser);
	// 状态流转为 已邮寄(1, "已邮寄")
	void opComplete(InvoiceApplySupplier entity, LoginSysUser loginSysUser);

	/****************************************** 状态机 外部使用 类门面   end ******************************************/

}
