package cn.superdesk.uniorder.dubbo.facade.operationCenter.accounting;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.param.operationCenter.order.OperationCenterOrderParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.accounting.UnifiedAccountingOrderInfoVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderFormVo;

import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/4/27 15:56
 * Description :
 */
public interface DubboUnifiedAccountingService {
    R<List<UnifiedAccountingOrderInfoVo>> getOrderGoodsList(OperationCenterOrderParam param);

    R<List<UnifiedAccountingOrderInfoVo>> getOrderCreditList(OperationCenterOrderParam param);

    R<String> importExcelOrderList(OperationCenterOrderParam param, LoginSysUser loginSysUser);
}
