package cn.superdesk.uniorder.dubbo.facade.order.receive;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.mix.UnifiedMixOrderReceiveParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.unified.mix.refund.UnifiedMixRefundOrderReceiveParam;

/**
 * @Description: kafka 一般订单 混合商城 计划弃用 用于过渡
 * @Author: linjinyu
 * @CreateDate: 2020/10/27 下午8:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/10/27 下午8:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboReceiveMallMixOrderService {

	/****************************************** kafka 一般订单 福利商城 start ******************************************/

	void kafkaUnifiedMixOrderReceive(String message);

	void kafkaUnifiedMixRefundOrderReceive(String message);

	R<String> httpUnifiedMixOrderReceive(UnifiedMixOrderReceiveParam unifiedMixOrderReceiveParam);

	R<String> httpUnifiedMixRefundOrderReceive(UnifiedMixRefundOrderReceiveParam unifiedMixRefundOrderReceiveParam);

	/****************************************** kafka 一般订单 福利商城   end ******************************************/

}
