package cn.superdesk.uniorder.dubbo.facade.order.receive;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskappservices.meetingroomreservation.MeetingRoomReservationOrderReceiveParam;

/**
 * @Description: kafka 服务之窗 会议室预约
 * @Author: linjinyu
 * @CreateDate: 2021/11/30 下午4:27
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/30 下午4:27
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboReceiveMeetingRoomReservationOrderService {

	/****************************************** kafka 服务之窗 会议室预约 start ******************************************/

	R<String> httpMeetingRoomReservationOrderMergeReceive(MeetingRoomReservationOrderReceiveParam meetingRoomReservationOrderReceiveParam);

	void kafkaMeetingRoomReservationOrderMergeReceive(String message);

	void kafkaMeetingRoomReservationOrderDeleteReceive(String message);

	/****************************************** kafka 服务之窗 会议室预约   end ******************************************/
}
