package cn.superdesk.uniorder.dubbo.facade.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueXInvoice;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueXInvoiceParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-05-13 19:10:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-05-13 19:10:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysCliqueXInvoiceService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysCliqueXInvoiceParam param);

	@Deprecated
	void updateObj(SysCliqueXInvoiceParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysCliqueXInvoice findById(Long id);

	@Deprecated
	PageInfo<SysCliqueXInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysCliqueXInvoice> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysCliqueXInvoice(SysCliqueXInvoiceParam param);

	void updateSysCliqueXInvoice(SysCliqueXInvoiceParam param);

	void deleteSysCliqueXInvoice(Long id);

	SysCliqueXInvoice findSysCliqueXInvoiceById(Long id);

	R<List<SysCliqueXInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
