package cn.superdesk.uniorder.dubbo.facade.thirdpart.qchjc.api;

import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.customer.QchjcCustomerCancelStatementParam;
import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.customer.QchjcCustomerMakeInvoiceStatusParam;
import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.customer.QchjcCustomerReceivePaymentStatusParam;

/**
 * @author xc
 * @description 集采api接口-同步采购单位对账单信息
 * @date 2022/4/10 16:55
 */
public interface DubboQchApiSyncCustomerStatementService {

    /**
     * 采购单位开票状态同步
     *
     * @param param
     * @return
     */
    void makeInvoiceStatusSync(QchjcCustomerMakeInvoiceStatusParam param);

    /**
     * 采购单位收款状态同步
     *
     * @param param
     * @return
     */
    void receivePaymentStatusSync(QchjcCustomerReceivePaymentStatusParam param);

    /**
     * 采购单位对账单作废接口
     *
     * @param param
     * @return
     */
    void statementCancelSync(QchjcCustomerCancelStatementParam param);
}
