package cn.superdesk.uniorder.dubbo.facade.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApply;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxx;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.common.singleBilling.SzhtxxInvoiceFptxxOpSingleBillingForm;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxOpSendEmailPdfAttachmentForm;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxParam;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxQueryCriteria;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxDetailVo;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxHeadDataVo;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxListItemVo;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request.SingleBillingRequestBodyKpContent;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-01-24 11:50:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-01-24 11:50:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSzhtxxElectronicInvoiceFptxxService {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SzhtxxElectronicInvoiceFptxx entity);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxx entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SzhtxxElectronicInvoiceFptxx findById(Long id);

    @Deprecated
    PageInfo<SzhtxxElectronicInvoiceFptxx> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SzhtxxElectronicInvoiceFptxx> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end  ******************************************/


    int addSzhtxxElectronicInvoiceFptxx(SzhtxxElectronicInvoiceFptxxParam param);

    int updateSzhtxxElectronicInvoiceFptxx(SzhtxxElectronicInvoiceFptxxParam param);

    int deleteSzhtxxElectronicInvoiceFptxx(Long id);

    SzhtxxElectronicInvoiceFptxx findSzhtxxElectronicInvoiceFptxxById(Long id);

    R<List<SzhtxxElectronicInvoiceFptxx>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<SzhtxxElectronicInvoiceFptxxListItemVo>> pageQueryGenericParam(
            SzhtxxElectronicInvoiceFptxxQueryCriteria criteria,
            LoginSysUser loginSysUser);

    List<SzhtxxElectronicInvoiceFptxxListItemVo> queryGenericParam(
            SzhtxxElectronicInvoiceFptxxQueryCriteria queryCriteria,
            LoginSysUser loginSysUser);

    SzhtxxElectronicInvoiceFptxxListItemVo queryOneByFpqqlsh(String fpqqlsh, LoginSysUser loginSysUser);

    String exportExcelSzhtxxElectronicInvoiceFptxxList(
            SzhtxxElectronicInvoiceFptxxQueryCriteria queryCriteria,
            LoginSysUser loginSysUser);

    SzhtxxElectronicInvoiceFptxxHeadDataVo headDataGenericParam(
            SzhtxxElectronicInvoiceFptxxQueryCriteria queryCriteria,
            LoginSysUser loginSysUser);

    SzhtxxElectronicInvoiceFptxxDetailVo detailGenericParam(
            SzhtxxElectronicInvoiceFptxxQueryCriteria queryCriteria,
            LoginSysUser loginSysUser);

    String exportExcelSzhtxxElectronicInvoiceDetail(
            SzhtxxElectronicInvoiceFptxxQueryCriteria queryCriteria,
            LoginSysUser loginSysUser);

    SingleBillingRequestBodyKpContent opRedWritePre(
            SzhtxxInvoiceFptxxOpSingleBillingForm form,
            SzhtxxElectronicInvoiceFptxxListItemVo fptxxListItemVo,
            LoginSysUser loginSysUser);

    SysNotify opRedWrite(
            SzhtxxInvoiceFptxxOpSingleBillingForm form,
            SzhtxxElectronicInvoiceFptxxListItemVo fptxxListItemVo,
            InvoiceApply invoiceApplyEntity,
            LoginSysUser loginSysUser);

    /**************************************** 调用深圳航信电子票 start ****************************************/

    SysNotify callDeliverApi(
            SzhtxxElectronicInvoiceFptxxOpSendEmailPdfAttachmentForm form,
            SzhtxxElectronicInvoiceFptxxListItemVo fptxxListItemVo,
            LoginSysUser loginSysUser);

    SysNotify callTaxInfoApi(String nsrsbh, LoginSysUser loginSysUser);

    /**************************************** 调用深圳航信电子票   end ****************************************/


}
