package cn.superdesk.uniorder.dubbo.provider.thirdpart.qchjc.api;

import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.supplier.QchjcSupplierCancelStatementParam;
import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.supplier.QchjcSupplierPaymentStatusSyncParam;
import cn.superdesk.uniorder.dto.param.thirdpart.qchjc.api.supplier.QchjcSupplierReceiveInvoiceStatusParam;
import cn.superdesk.uniorder.dubbo.facade.thirdpart.qchjc.api.DubboQchApiSyncSupplierStatementService;
import cn.superdesk.uniorder.service.thirdpart.qchjc.account.QchjcSupplierStatementService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author xc
 * @description
 * @date 2022/4/10 17:37
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboQchApiSyncSupplierStatementServiceImpl implements DubboQchApiSyncSupplierStatementService {

    @Autowired
    private QchjcSupplierStatementService qchjcSupplierStatementService;

    @Override
    public void receiveInvoiceStatusSync(QchjcSupplierReceiveInvoiceStatusParam param) {
        qchjcSupplierStatementService.receiveInvoiceStatusSync(param);
    }

    @Override
    public void paymentStatusSync(QchjcSupplierPaymentStatusSyncParam param) {
        qchjcSupplierStatementService.paymentStatusSync(param);
    }

    @Override
    public void statementCancelSync(QchjcSupplierCancelStatementParam param) {
        qchjcSupplierStatementService.statementCancelSync(param);
    }
}
