package cn.superdesk.uniorder.dubbo.provider.thirdpart.qchjc.invocie;

import cn.superdesk.uniorder.common.exception.OpenApiException;
import cn.superdesk.uniorder.dubbo.facade.thirdpart.qchjc.invoice.DubboQchjcSupplierInvoiceService;
import cn.superdesk.uniorder.service.thirdpart.qchjc.invoice.QchjcSupplierInvoiceService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * @author xc
 * @description
 * @date 2022/4/1 20:15
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboQchjcSupplierInvoiceServiceImpl implements DubboQchjcSupplierInvoiceService {

    @Autowired
    private QchjcSupplierInvoiceService qchjcSupplierInvoiceService;

    @Override
    public void receive(String data) throws OpenApiException {
        qchjcSupplierInvoiceService.receive(data);
    }
}
