package cn.superdesk.uniorder.dubbo.provider.thirdpart.qchjc.log;

import cn.superdesk.uniorder.dubbo.facade.thirdpart.qchjc.log.DubboQchjcLogService;
import cn.superdesk.uniorder.service.thirdpart.qchjc.log.QchjcLogService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author xc
 * @description
 * @date 2022/4/8 17:26
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboQchjcLogServiceImpl implements DubboQchjcLogService {
    @Autowired
    private QchjcLogService qchjcLogService;


    @Override
    public void record(int result, String method, String param, String response) {
        qchjcLogService.record(result, method, param, response);
    }
}
