package cn.superdesk.uniorder.executor.scheduler.kafka._inner.dto.invoice.customer;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/23 10:45 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/23 10:45 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class InvoiceApplyCustomerKafkaEventCheckAndUpdateAccountingOrderFieldInvoiceStatusEvent implements Serializable {


    @ApiModelProperty("")
    private String msg;

    /**************************************** 谁,什么时间 start ****************************************/

    @ApiModelProperty("谁 cn.superdesk.uniorder.common.security.dto.LoginSysUser.class")
    private String loginSysUser;
    @ApiModelProperty("什么时间")
    private Date   touchTime;

    /**************************************** 谁,什么时间 start ****************************************/


    /****************************************** 发票单 start ******************************************/

    @ApiModelProperty("private AccountingOrderTypeDimEnum dim;")
    private Integer accountingOrderTypeDim;
    private Long invoiceApplyId;

    /****************************************** 发票单   end ******************************************/



}
