package cn.superdesk.uniorder.executor.scheduler.kafka._thirdpart.qchjc.dto.accounting.customer;


import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @Description: 单个的情况
 * @Author: linjinyu
 * @CreateDate: 2022/5/12 12:02 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/12 12:02 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
@Data
@ToString
public class QchjcCustomerStatementEventSingleStructVo implements Serializable {

    @ApiModelProperty("对账单Id")
    private Long   accountingOrderId;
    @ApiModelProperty("对账单Sn")
    private String accountingOrderSn;

    @ApiModelProperty("发票单Id")
    private Long   invoiceApplyId;
    @ApiModelProperty("发票单Sn")
    private String invoiceApplySn;
}


