package cn.superdesk.uniorder.openapi.annotation;

import cn.superdesk.uniorder.openapi.annotation.impl.GreaterThanZeroValidator;

import javax.validation.Constraint;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author xc
 * @description
 * @date 2022/4/19 16:33
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = GreaterThanZeroValidator.class)
public @interface GreaterThanZero {
    String message() default "数值必须大于0";

    Class<?>[] groups() default {};

    Class<?>[] payload() default {};
}
