package cn.superdesk.uniorder.openapi.api.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Accessors(chain = true)
@Data
public class O<T> implements Serializable {

//{"result":""  //具体结果:说明,每个接口都会单独进行说明;
//"resultCode":null,  //错误码,详见"点击这里";
//"success":true,   // 执行结果成功,还是失败;
//"resultMessage":""   // 错误描述


	@ApiModelProperty(value = "业务处理结果编码,详细参见:【错误码】")
	private Integer resultCode;
	@ApiModelProperty(value = "对resultCode的简要说明")
	private String  resultMessage;
	@ApiModelProperty(value = "true成功 false 失败")
	private Boolean success;
	@ApiModelProperty(value = "json")
	private T       result;
}
