package cn.superdesk.uniorder.openapi.api.order.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: sundryFee 杂费
 * @Author: linjinyu
 * @CreateDate: 2021/5/27 下午4:30
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/5/27 下午4:30
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Data
public class MergeOrderSundryFeeParam implements Serializable {

	@ApiModelProperty(value = "杂费名称 业务方杂费各称", required = true)
	private String sundryFeeName;
	@ApiModelProperty(value = "杂费名称 别名", required = false)
	private String sundryFeeAlias;

	@ApiModelProperty(value = "杂费金额", required = true)
	private BigDecimal sundryFeeAmount;


}
