package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.8_月汇总信息查询接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@Data
public class MonthCollectRequestBody implements Serializable {

    /**
     * nsrsbh : 税号
     * fjh : 分机号
     * kplx : 开票类型
     * fpzl_dm : 发票种类代码
     * sl : 税率
     * ssyf : 所属月份
     */

    @JsonProperty("nsrsbh")
    private String nsrsbh;
    @JsonProperty("fjh")
    private String fjh;
    @JsonProperty("kplx")
    private String kplx;
    @JsonProperty("fpzl_dm")
    private String fpzlDm;
    @JsonProperty("sl")
    private String sl;
    @JsonProperty("ssyf")
    private String ssyf;
}
