package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @Description: BaseRequest
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:01
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:01
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
@Data
public class _SzhtxxElectronicInvoiceBaseRequest implements Serializable {

    /**
     * passWord : 1031530698uNeAnogkN8kkbppABrnF+Q==
     * taxpayerId : 440301999999980
     */
    @ApiModelProperty("密码(由注册码生成,航信提供)")
    protected String passWord   = "1031530698uNeAnogkN8kkbppABrnF+Q==";
    @ApiModelProperty("销货方税号")
    protected String taxpayerId = "440301999999980";

//    public void init() {
//        passWord = "1031530698uNeAnogkN8kkbppABrnF+Q==";
//        taxpayerId = "440301999999980";
//    }

}
