package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 1.1.1_单张开具接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@NoArgsConstructor
@Data
public class SingleBillingResponse extends _SzhtxxElectronicInvoiceBaseResponse {


	/**
	 * datas : {"fphm":"发票号码 ","fpdm":"发票代码 ","kprq":"开票日期","pdfUrl":"pdf 下载链接","hjbhsje":"合计不含税金额","hjse":"合计税额","jym":"校验码","ssyf":"所属月份","fjh":"分机号","ewm":"二维码","szqm":"签名值"}
	 */

	@JsonProperty("datas")
	private SingleBillingResponseBody datas;



}
