package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 1.1.10_票源下载接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@NoArgsConstructor
@Data
public class SupportersDownResponse extends _SzhtxxElectronicInvoiceBaseResponse {


	/**
	 * datas : {"nsrsbh":"税号","fjh":"分机号","fpdm":"发票代码","fpqshm":"发票起始号码","fpzl":"发票种类","fpsl":"发票份数"}
	 */

	@JsonProperty("datas")
	private SupportersDownResponseBody datas;

}
