package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 1.1.5_微信卡包接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午6:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午6:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class WcCardResponse extends _SzhtxxElectronicInvoiceBaseResponse {


	/**
	 * datas : {"ewmurl":"二维码短码"}
	 */

	@JsonProperty("datas")
	private WcCardResponseBody datas;

}
