package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 1.1.5_微信卡包接口-
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午5:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午5:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class WcCardResponseBody implements Serializable {

	/**
	 * ewmurl : 二维码短码
	 */

	@JsonProperty("ewmurl")
	private String ewmurl;
}
