package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID121TaxInfo;

import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request._SzhtxxPaperInvoiceBaseRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 10. 获取金税盘状态接口 SID=121
 * 获取金税盘是否开启金税盘。
 * @Author: linjinyu
 * @CreateDate: 2022/5/7 2:54 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/7 2:54 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@SuperBuilder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID121TaxInfoRequestBody extends _SzhtxxPaperInvoiceBaseRequest {

    @ApiModelProperty("明文")
    private String structVo;

    public SID121TaxInfoRequestBody packing() {

//        try {
//            this.SIDParam = this.base64EncodeAndReplace(AnJsonUtils.toJson(structVo));
//
//        } catch (UnsupportedEncodingException unsupportedEncodingException) {
//            unsupportedEncodingException.printStackTrace();
//            this.SIDParam = "ERROR";
//        }

        this.SIDParam = structVo;

        return this;

    }
}
