package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID25TaxDeviceInfo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 结构体
 * @Author: linjinyu
 * @CreateDate: 2022/4/27 7:04 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/27 7:04 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID25TaxDeviceInfoRequestBodyStructVo implements Serializable {


    /**
     * SIDParam : <?xml version='1.0' encoding='GBK'?><FPXT_COM_INPUT><ID>0400</ID><DATA></DATA></FPXT_COM_INPUT>
     */
    @ApiModelProperty("<?xml version='1.0' encoding='GBK'?><FPXT_COM_INPUT><ID>0400</ID><DATA></DATA></FPXT_COM_INPUT>")
    @JsonProperty("SIDParam")
    @JSONField(name = "SIDParam")
    private String sIdParam;
}
