package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID4ToInvalid;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: 结构体
 * @Author: linjinyu
 * @CreateDate: 2022/4/27 7:04 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/27 7:04 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID4ToInvalidRequestBodyStructVo implements Serializable {

//1. InfoKind int 是 发票种类 固定值: 0-专用发票; 2-普通发票; 11-货运发票; 12-机动车票; 41-卷式发票; 51-电子发票;
//2. InfoNumber string 20 是 发票号码
//3. InfoTypeCode string 20 是 发票代码
//4. issuer 否 作废人，(使用百旺组件版时传递)

    @ApiModelProperty("1. InfoKind int 是 发票种类 固定值: 0-专用发票; 2-普通发票; 11-货运发票; 12-机动车票; 41-卷式发票; 51-电子发票;")
    @JsonProperty("InfoKind")
    @JSONField(name = "InfoKind")
    private Integer infoKind;

    @ApiModelProperty("2. InfoNumber string 20 是 发票号码")
    @JsonProperty("InfoNumber")
    @JSONField(name = "InfoNumber")
    private String infoNumber;

    @ApiModelProperty("3. InfoTypeCode string 20 是 发票代码")
    @JsonProperty("InfoTypeCode")
    @JSONField(name = "InfoTypeCode")
    private String infoTypeCode;

    @ApiModelProperty("4. issuer 否 作废人，(使用百旺组件版时传递)")
    @JsonProperty("issuer")
    @JSONField(name = "issuer")
    private String issuer;
}
