package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID121TaxInfo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/7 2:57 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/7 2:57 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID121TaxInfoResponseBodyEncmsgVo implements Serializable {

//    {
//        "SID": "121",
//            "retcode": "0",
//            "openFlag":"1",
//            "retmsg": "已开启！"
//    }

    @JsonProperty("retcode")
    @JSONField(name = "retcode")
    private String returnCode;
    @JsonProperty("retmsg")
    @JSONField(name = "retmsg")
    private String returnMsg;

    @JsonProperty("SID")
    @JSONField(name = "SID")
    private String sid;

    @ApiModelProperty("1-已开启;0-未开启;空-表示未知;")
    @JsonProperty("openFlag")
    @JSONField(name = "openFlag")
    private Integer openFlag;
}
