package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID20BitchLlq;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/24 6:44 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/24 6:44 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID20BitchLlqResponseBodyEncmsgVo implements Serializable {

    @JsonProperty("retcode")
    @JSONField(name = "retcode")
    private String returnCode;
    @JsonProperty("retmsg")
    @JSONField(name = "retmsg")
    private String returnMsg;

    @JsonProperty("SID")
    @JSONField(name = "SID")
    private String sid;


    @ApiModelProperty("调用结果 XML 格式的信息，读取本字段后，不用 base64 解码，直接加载 xml 内容读取xml 的字段即可")
    @JsonProperty("responseMsg")
    @JSONField(name = "responseMsg")
    private String responseMsg;
}
