package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID5SelectBillInfo;


import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/7/15 10:59 上午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/7/15 10:59 上午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID5SelectBillInfoResponseBodyEncmsgVo implements Serializable {


    @JsonProperty("retcode")
    @JSONField(name = "retcode")
    private String returnCode;
    @JsonProperty("retmsg")
    @JSONField(name = "retmsg")
    private String returnMsg;

    @JsonProperty("SID")
    @JSONField(name = "SID")
    private String sid;

    @ApiModelProperty("kpfwqh")
    @JsonProperty("kpfwqh")
    @JSONField(name = "kpfwqh")
    private String kpfwqh;

    @ApiModelProperty("uploadMode")
    @JsonProperty("uploadMode")
    @JSONField(name = "uploadMode")
    private String uploadMode;

    @ApiModelProperty("kpdh")
    @JsonProperty("kpdh")
    @JSONField(name = "kpdh")
    private String kpdh;

    @ApiModelProperty("nsrsbh")
    @JsonProperty("nsrsbh")
    @JSONField(name = "nsrsbh")
    private String nsrsbh;

    @ApiModelProperty("RecNo")
    @JsonProperty("RecNo")
    @JSONField(name = "RecNo")
    private Integer RecNo;

    private List<SID5SelectBillInfoResponseBodyEncmsgVoFpItemBean> fpArray;

}
