package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID5SelectBillInfo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/7/15 12:29 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/7/15 12:29 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SID5SelectBillInfoResponseBodyEncmsgVoFpItemBean implements Serializable {

    @JsonProperty("SLV")
    @JSONField(name = "SLV")
    private String slv;
    @JsonProperty("SKR")
    @JSONField(name = "SKR")
    private String skr;
    @JsonProperty("KPR")
    @JSONField(name = "KPR")
    private String kpr;
    @JsonProperty("FHR")
    @JSONField(name = "FHR")
    private String fhr;
    @JsonProperty("GFYHZH")
    @JSONField(name = "GFYHZH")
    private String gfyhzh;
    @JsonProperty("GFDZDH")
    @JSONField(name = "GFDZDH")
    private String gfdzdh;
    @JsonProperty("MW")
    @JSONField(name = "MW")
    private String mw;
    @JsonProperty("JYM")
    @JSONField(name = "JYM")
    private String jym;
    @JsonProperty("BZ")
    @JSONField(name = "BZ")
    private String bz;
    @JsonProperty("XFYHZH")
    @JSONField(name = "XFYHZH")
    private String xfyhzh;
    @JsonProperty("XFDZDH")
    @JSONField(name = "XFDZDH")
    private String xfdzdh;
    @JsonProperty("ZFRQ")
    @JSONField(name = "ZFRQ")
    private String zfrq;
    @JsonProperty("ZFBZ")
    @JSONField(name = "ZFBZ")
    private String zfbz;
    @JsonProperty("XSDH")
    @JSONField(name = "XSDH")
    private String xsdh;
    @JsonProperty("XFSH")
    @JSONField(name = "XFSH")
    private String xfsh;
    @JsonProperty("XFMC")
    @JSONField(name = "XFMC")
    private String xfmc;
    @JsonProperty("QDBZ")
    @JSONField(name = "QDBZ")
    private String qdbz;
    @JsonProperty("KPRQ")
    @JSONField(name = "KPRQ")
    private String kprq;
    @JsonProperty("KPJH")
    @JSONField(name = "KPJH")
    private String kpjh;
    @JsonProperty("HJSE")
    @JSONField(name = "HJSE")
    private String hjse;
    @JsonProperty("HJJE")
    @JSONField(name = "HJJE")
    private String hjje;
    @JsonProperty("GFSH")
    @JSONField(name = "GFSH")
    private String gfsh;
    @JsonProperty("GFMC")
    @JSONField(name = "GFMC")
    private String gfmc;
    @JsonProperty("FPZL")
    @JSONField(name = "FPZL")
    private String fpzl;
    @JsonProperty("FPDM")
    @JSONField(name = "FPDM")
    private String fpdm;
    @JsonProperty("FPHM")
    @JSONField(name = "FPHM")
    private String fphm;
    @JsonProperty("ZYSPMC")
    @JSONField(name = "ZYSPMC")
    private String zyspmc;
    @JsonProperty("BMBBBH")
    @JSONField(name = "BMBBBH")
    private String bmbbbh;
    @JsonProperty("YYSBZ")
    @JSONField(name = "YYSBZ")
    private String yysbz;
    @JsonProperty("HZTZDH")
    @JSONField(name = "HZTZDH")
    private String hztzdh;
    @JsonProperty("LZFPDM")
    @JSONField(name = "LZFPDM")
    private String lzfpdm;
    @JsonProperty("LZFPHM")
    @JSONField(name = "LZFPHM")
    private String lzfphm;
    @JsonProperty("DYBZ")
    @JSONField(name = "DYBZ")
    private String dybz;
    @JsonProperty("XFBZ")
    @JSONField(name = "XFBZ")
    private String xfbz;
    @JsonProperty("BSZT")
    @JSONField(name = "BSZT")
    private String bszt;
    @JsonProperty("BSBZ")
    @JSONField(name = "BSBZ")
    private String bsbz;

    @JsonProperty("deviceNO")
    @JSONField(name = "deviceNO")
    private String deviceNO;

    @JsonProperty("ofddownloadurl")
    @JSONField(name = "ofddownloadurl")
    private String ofddownloadurl;

    @JsonProperty("ofdpreviewurl")
    @JSONField(name = "ofdpreviewurl")
    private String ofdpreviewurl;

    @JsonProperty("QD")
    @JSONField(name = "QD")
    private List<SID5SelectBillInfoResponseBodyEncmsgVoFpXmItemBean> qd;
    @JsonProperty("MX")
    @JSONField(name = "MX")
    private List<SID5SelectBillInfoResponseBodyEncmsgVoFpXmItemBean> mx;


}