package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice._mock;

import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.request.TaxInfoRequest;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.dto.response.TaxInfoResponse;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.electronicInvoice.service.TaxInfoCallService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Description: 1.1.7_金税盘信息查询接口
 * @Author: linjinyu
 * @CreateDate: 2021/12/23 下午7:20
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/12/23 下午7:20
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Api(value = "1.1.7_金税盘信息查询接口-开放API-调用-第三方-深圳航天信息-电子发票", tags = {"1.1.7_金税盘信息查询接口-开放API-调用-第三方-深圳航天信息-电子发票"})
@Slf4j
@RestController
@RequestMapping("/thirdpart/szhtxx/electronicInvoice/taxInfo")
public class TaxInfoMockCallApi {

	@Autowired
	private TaxInfoCallService taxInfoCallService;


	/**
	 * @param request
	 * @return
	 * @url http://192.168.6.223:8088/thirdpart/szhtxx/electronicInvoice/taxInfo/playload
	 */
	@ApiOperation(value = "playload")
	@RequestMapping(value = "/playload", method = RequestMethod.POST)
	@ResponseBody
	public TaxInfoResponse playload(@RequestBody TaxInfoRequest request) {

		return taxInfoCallService.callTaxInfoApi(request);
	}
}
