package cn.superdesk.uniorder.pattern.state.invoice.supplier.invoiceApplySupplier.receiveInvoiceStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplySupplierFieldReceiveInvoiceStatusState {

	// 供应商|商户 开票后 发票 寄出 寄给 侨城汇-运营 此时侨城汇-运营 未收票 -> 状态 -> 未收票(0, "未收票"),
	void opInit();

	// 侨城汇-运营 op收票登记 发票 寄到后 侨城汇-运营 收到邮件后 此时侨城汇-运营 登记收票 填写发票号 上传凭证等等资料 此时侨城汇-运营 已收票 -> 状态 -> 已收票(1, "已收票"),
	void opReceive();

}
