package cn.superdesk.uniorder.service.accounting.score.customer.strategy;

import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.accounting.score.customer.AccountingScoreCustomer;
import cn.superdesk.uniorder.common.strategy.Strategy;

/**
 * @author xc
 * @description 侨城汇集采-积分结算策略
 * @date 2022/5/20 15:44
 */
public interface AccountingScoreCustomerStrategy extends Strategy {

    /**
     * 积分结算账单取消对账
     */
    int opCancelAccounting(AccountingScoreCustomer accountingScoreCustomer,
            /* 对账单状态:0-未确认;1-已确认;-1-已取消; */Integer accountingStatus,
                           LoginSysUser loginSysUser);
}
