package cn.superdesk.uniorder.service.accounting.unified.customer.impl;

import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomerOrder;
import cn.superdesk.uniorder.dao.mapper.accounting.unified.customer.AccountingUnifiedCustomerOrderGoodsMapper;
import cn.superdesk.uniorder.dao.mapper.accounting.unified.customer.AccountingUnifiedCustomerOrderGoodsMapperEx;
import cn.superdesk.uniorder.dao.mapper.accounting.unified.customer.AccountingUnifiedCustomerOrderMapper;
import cn.superdesk.uniorder.dao.mapper.accounting.unified.customer.AccountingUnifiedCustomerOrderMapperEx;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ViewDzOrderExcel;
import cn.superdesk.uniorder.service.accounting.unified.customer.AccountingUnifiedOrderCustomerService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class AccountingUnifiedOrderCustomerServiceImpl implements AccountingUnifiedOrderCustomerService {

    @Autowired
    AccountingUnifiedCustomerOrderMapper      accountingUnifiedCustomerOrderMapper;
    @Autowired
    AccountingUnifiedCustomerOrderGoodsMapper accountingUnifiedCustomerOrderGoodsMapper;

    @Autowired
    AccountingUnifiedCustomerOrderMapperEx      accountingUnifiedCustomerOrderMapperEx;
    @Autowired
    AccountingUnifiedCustomerOrderGoodsMapperEx accountingUnifiedCustomerOrderGoodsMapperEx;

    @Override
    public PageInfo<AccountingUnifiedCustomerOrder> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }

    @Override
    public void deleteObj(Long id) {


    }

    @Override
    public int updateByPrimaryKeySelective(AccountingUnifiedCustomerOrder t) {

        return accountingUnifiedCustomerOrderMapper.updateByPrimaryKeySelective(t);
    }

    @Override
    public AccountingUnifiedCustomerOrder findById(Long id) {

        return accountingUnifiedCustomerOrderMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insertSelective(AccountingUnifiedCustomerOrder t) {

        return accountingUnifiedCustomerOrderMapper.insert(t);
    }

    @Override
    public List<AccountingUnifiedCustomerOrder> findAll(Map<String, Object> queryMap) {

        return accountingUnifiedCustomerOrderMapperEx.findAll(queryMap);
    }

    /**
     * 客户结算-对账单-opt 导出报表(对账单)
     *
     * @param params
     * @return
     */
    @Deprecated
    @Override
    public List<ViewDzOrderExcel> getDzOrderExcel(Map<String, Object> params) {

        return accountingUnifiedCustomerOrderGoodsMapperEx.getDzOrderExcel(params);
    }

}
