package cn.superdesk.uniorder.service.accounting.unified.operator;

import cn.superdesk.uniorder.dao.entity.accounting.unified.operator.AccountingUnifiedOperator;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dto.param.accounting.unified.operator.AccountingUnifiedOperatorQueryParam;
import cn.superdesk.uniorder.dto.vo.accounting.unified.operator.AccountingBillBaseVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.operator.AccountingBillVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.operator.AccountingUnifiedOperatorVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;

public interface AccountingUnifiedOperatorService extends BaseService<AccountingUnifiedOperator> {
    List<AccountingUnifiedOperatorVo> getAccountingList(AccountingUnifiedOperatorQueryParam param);

    AccountingBillBaseVo getBaseBillInfo(Long billId);

    SysNotify exportList(AccountingUnifiedOperatorQueryParam param);

    SysNotify exportAccountList(AccountingUnifiedOperatorQueryParam param);

    SysNotify exportAccountSupplierList(AccountingUnifiedOperatorQueryParam param);

    AccountingBillVo getBillVo(Long id);
}
