package cn.superdesk.uniorder.service.accounting.unified.supplier;


import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierIssues;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSupplierListItemVo;

import java.util.List;

/**
 * @Description: 作为 供应商结算 对账单 共用的 Excel 导出 服务
 * @Author: linjinyu
 * @CreateDate: 2021/2/25 上午11:39
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/25 上午11:39
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedSupplierExportExcelService {

    /**
     * 已添加 数据脱敏逻辑 20211203
     *
     * @param accountingUnifiedSupplierIssues
     * @param loginSysUser
     */
    void exportAccountingUnifiedSupplierIssues(AccountingUnifiedSupplierIssues accountingUnifiedSupplierIssues, LoginSysUser loginSysUser);

    /**
     * 供应商结算 对账单 导出
     *
     * @param list
     */
    SysNotify exportExcelAccountingSupplierList(List<AccountingOrderUnifiedSupplierListItemVo> list);
}
