package cn.superdesk.uniorder.service.fund;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.fund.SysFundGrant;
import cn.superdesk.uniorder.dto.vo.fund.SysFundGrantVoEx;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface SysFundGrantService extends BaseService<SysFundGrant> {

	void create(SysFundGrant sysFundGrant, String token) throws UnifiedOrderRuntimeException;

	R<List<SysFundGrantVoEx>> findAllViewPage(Map<String, Object> params, int pageNum, int pageSize);

	SysFundGrant findByInvoiceNumber(String invoiceNumber);

	void importExcel(Map<String, List<Map<String, Object>>> map, String token) throws UnifiedOrderRuntimeException;
}
