package cn.superdesk.uniorder.service.invoice.common;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxElectronicInvoice;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigSzhtxxElectronicInvoiceParam;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigSzhtxxElectronicInvoiceQueryCriteria;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeOpCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: extends BaseService<InvoiceTypeModeConfigSzhtxxElectronicInvoice>
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-02-10 17:46:12
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-02-10 17:46:12
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceTypeModeConfigSzhtxxElectronicInvoiceService {


    /****************************************** extends BaseService 部分 start ******************************************/

    @Deprecated
    void addObj(InvoiceTypeModeConfigSzhtxxElectronicInvoice entity);

    @Deprecated
    void updateObj(InvoiceTypeModeConfigSzhtxxElectronicInvoice entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    InvoiceTypeModeConfigSzhtxxElectronicInvoice findById(Long id);

    @Deprecated
    PageInfo<InvoiceTypeModeConfigSzhtxxElectronicInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<InvoiceTypeModeConfigSzhtxxElectronicInvoice> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    int addInvoiceTypeModeConfigSzhtxxElectronicInvoice(InvoiceTypeModeConfigSzhtxxElectronicInvoice entity, LoginSysUser loginSysUser);

    int updateInvoiceTypeModeConfigSzhtxxElectronicInvoice(InvoiceTypeModeConfigSzhtxxElectronicInvoice entity, LoginSysUser loginSysUser);

    int deleteInvoiceTypeModeConfigSzhtxxElectronicInvoice(Long id, LoginSysUser loginSysUser);

    InvoiceTypeModeConfigSzhtxxElectronicInvoice findInvoiceTypeModeConfigSzhtxxElectronicInvoiceById(Long id);

    R<List<InvoiceTypeModeConfigSzhtxxElectronicInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<InvoiceTypeModeConfigSzhtxxElectronicInvoice>> pageQueryGenericParam(InvoiceTypeModeConfigSzhtxxElectronicInvoiceQueryCriteria criteria);

    /****************************************** 操作部分 start ******************************************/

    InvoiceTypeModeConfigSzhtxxElectronicInvoiceParam getByInvoiceTypeOpCriteria(InvoiceTypeOpCriteria opCriteria, LoginSysUser loginSysUser);

    /****************************************** 操作部分   end ******************************************/


}
