package cn.superdesk.uniorder.service.invoice.common;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoice;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoiceParam;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoiceQueryCriteria;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeOpCriteria;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-04-22 10:22:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-04-22 10:22:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceTypeModeConfigSzhtxxPaperInvoiceService extends BaseService<InvoiceTypeModeConfigSzhtxxPaperInvoice> {


    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(InvoiceTypeModeConfigSzhtxxPaperInvoice entity);

    int updateByPrimaryKeySelective(InvoiceTypeModeConfigSzhtxxPaperInvoice entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    InvoiceTypeModeConfigSzhtxxPaperInvoice findById(Long id);

    @Deprecated
    PageInfo<InvoiceTypeModeConfigSzhtxxPaperInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<InvoiceTypeModeConfigSzhtxxPaperInvoice> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    int addInvoiceTypeModeConfigSzhtxxPaperInvoice(InvoiceTypeModeConfigSzhtxxPaperInvoice entity, LoginSysUser loginSysUser);

    int updateInvoiceTypeModeConfigSzhtxxPaperInvoice(InvoiceTypeModeConfigSzhtxxPaperInvoice entity, LoginSysUser loginSysUser);

    int deleteInvoiceTypeModeConfigSzhtxxPaperInvoice(Long id, LoginSysUser loginSysUser);

    InvoiceTypeModeConfigSzhtxxPaperInvoice findInvoiceTypeModeConfigSzhtxxPaperInvoiceById(Long id);

    R<List<InvoiceTypeModeConfigSzhtxxPaperInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<InvoiceTypeModeConfigSzhtxxPaperInvoice>> pageQueryGenericParam(InvoiceTypeModeConfigSzhtxxPaperInvoiceQueryCriteria criteria);


    /****************************************** 操作部分 start ******************************************/

    InvoiceTypeModeConfigSzhtxxPaperInvoiceParam getByInvoiceTypeOpCriteria(InvoiceTypeOpCriteria opCriteria, LoginSysUser loginSysUser);

    /****************************************** 操作部分   end ******************************************/


}