package cn.superdesk.uniorder.service.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedCustomerInvoiceTitle;
import cn.superdesk.uniorder.dto.param.operationCenter.base.OperationCenterBaseParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.OperationCenterBillStartVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/11 09:36
 * Description :
 */
public interface OperationCenterBillStartService extends BaseService<UnifiedCustomerInvoiceTitle> {
    List<OperationCenterBillStartVo> getBillStartListByCustomerId(OperationCenterBaseParam param);

    int countBillStartByCustomerId(Long customerId);

    /**
     * 根据ID查询-未删除的开票抬头
     */
    UnifiedCustomerInvoiceTitle getUnifiedBillStartById(Long billId);

    void updateBillStartIsDefault(Map<String, Object> conditions);
}
