package cn.superdesk.uniorder.service.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedCustomerOperatorOrg;
import cn.superdesk.uniorder.service.base.Base;

import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/4/13 11:36
 * Description :
 */
public interface OperationCenterCustomerOperatorOrgService extends Base<UnifiedCustomerOperatorOrg> {
    /**
     * 批量插入
     * @param centerCustomerOperatorOrgList
     */
    void insertBatch(List<UnifiedCustomerOperatorOrg> centerCustomerOperatorOrgList);

    /**
     * 根据客户id-软删除
     *
     * @param customerId
     * @param userId
     */
    void deleteByCustomerId(Long customerId, Long userId);
}
