package cn.superdesk.uniorder.service.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedOperators;
import cn.superdesk.uniorder.dto.param.operationCenter.base.OperationCenterParam;
import cn.superdesk.uniorder.dto.param.operationCenter.operators.OperationCenterOperatorsParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.operators.OperationCenterOperatorsVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/3/27 09:09
 * Description : 运营商
 */
public interface OperationCenterOperatorsService extends BaseService<UnifiedOperators> {
    List<OperationCenterOperatorsVo> getOpCenterOperatorList(OperationCenterOperatorsParam param);

    List<OperationCenterVo> selectOperationCenterOperators(OperationCenterParam param);

}
