package cn.superdesk.uniorder.service.order.base;


import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.notyet.CustomerUnAccountingDimGoodsVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.statement.CustomerStatementOfAccountDetailVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.notyet.UnifiedOrderJoinGoodsOfSupplierStatementOfAccountVo;
import cn.superdesk.uniorder.dto.vo.invoice.customer.InvoiceApplyDetailDimCreditItemVo;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedOrderJoinGoodsDetailVo;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedOrderGoodsVo;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/3/5 下午2:55
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/3/5 下午2:55
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedOrderExportExcelService {


	/****************************************** 订单管理 export excel start ******************************************/

	SysNotify exportExcelOrderManagerGoodsData(List<UnifiedOrderGoodsVo> exportData);

	SysNotify exportExcelOrderManagerGoodsCostPrice(List<UnifiedOrderGoodsVo> exportData);

	/****************************************** 订单管理 export excel   end ******************************************/

	/****************************************** 客户结算 未对账 start ******************************************/

	SysNotify exportExcelAccountingCustomerNotYetDimOrder(List<UnifiedOrderJoinGoodsDetailVo> exportData);

	SysNotify exportExcelAccountingCustomerNotYetDimGoods(List<CustomerUnAccountingDimGoodsVo> exportData);

	/****************************************** 客户结算 未对账   end ******************************************/

	/****************************************** 积分结算对账 未对账 start ******************************************/

	SysNotify exportExcelScoreOrderReconciliationNotYet(List<InvoiceApplyDetailDimCreditItemVo> exportData);

	/****************************************** 积分结算对账 未对账   end ******************************************/

	/****************************************** 供应商结算对账 未对账 start ******************************************/

	SysNotify exportExcelAccountingSupplierNotYetDimGoods(List<UnifiedOrderJoinGoodsOfSupplierStatementOfAccountVo> exportData);

	/****************************************** 供应商结算对账 未对账   end ******************************************/


	/****************************************** 客户结算 对账单 start ******************************************/

	SysNotify exportCustomerStatementOfAccountDetailCompatible(String accountingOrderSn, CustomerStatementOfAccountDetailVo exportData);

	/****************************************** 客户结算 对账单   end ******************************************/

	/****************************************** 供应商结算对账 对账单 详情 start ******************************************/

	SysNotify exportSupplierStatementOfAccountDetailCompatible(String accountingOrderSn, List<UnifiedOrderJoinGoodsOfSupplierStatementOfAccountVo> exportData);

	/****************************************** 供应商结算对账 对账单 详情   end ******************************************/


}
