package cn.superdesk.uniorder.service.order.receive;

import cn.superdesk.uniorder.common.pagination.PageQueryParam;
import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrder;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskappservices.flashdeliver.FlashDeliverOrderPatchUnifiedOrderFieldOutVirt;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskappservices.flashdeliver.FlashDeliverOrderReceiveParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskappservices.flashdeliver.FlashDeliverOrderStatusUpdateReceiveParam;

import java.util.List;

/**
 * @Description: kafka 服务之窗 楼闪送
 * @Author: linjinyu
 * @CreateDate: 2020/12/9 下午2:06
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/12/9 下午2:06
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface ReceiveFlashDeliverOrderService {


	/****************************************** kafka 服务之窗 楼闪送 start ******************************************/

	UnifiedOrderIssuesFlowingParam kafkaFlashdeliverOrderReceive(FlashDeliverOrderReceiveParam flashdeliverOrderReceiveParam);

	void kafkaFlashDeliverOrderReceiveStateUpdate(FlashDeliverOrderStatusUpdateReceiveParam flashdeliverOrderStatusUpdateReceiveParam);

	/****************************************** kafka 服务之窗 楼闪送   end ******************************************/

	UnifiedOrderIssuesFlowingParam kafkaFlashDeliverPatchUnifiedOrderFieldOutVirt(FlashDeliverOrderPatchUnifiedOrderFieldOutVirt patchUnifiedOrderFieldOutVirt);

	R<List<UnifiedOrder>> patchFlashDeliverPatchUnifiedOrderFieldOutVirt(PageQueryParam pageQueryParam);
}
