package cn.superdesk.uniorder.service.order.receive;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingParam;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.proxyclient.ProxyClientOrderOptBecomeInvalidQueryCriteria;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskmall.proxyclient.ProxyClientOrderReceiveParam;

/**
 * @Description: 代客下单
 * @Author: linjinyu
 * @CreateDate: 2021/4/26 上午11:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/4/26 上午11:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface ReceiveProxyClientOrderService {

	/****************************************** kafka 代客下单 start ******************************************/

	UnifiedOrderIssuesFlowingParam kafkaProxyClientOrderReceive(ProxyClientOrderReceiveParam proxyClientOrderReceiveParam);

	R<String> proxyClientOrderOptBecomeInvalid(ProxyClientOrderOptBecomeInvalidQueryCriteria queryCriteria);

	/****************************************** kafka 代客下单   end ******************************************/
}
