package cn.superdesk.uniorder.service.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.UnifiedSupplierCostConfig;
import cn.superdesk.uniorder.dto.param.organisation.UnifiedSupplierQueryCriteria;
import cn.superdesk.uniorder.dto.vo.unified.OrderCostUpdateParam;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;

public interface UnifiedSupplierCostConfigService extends BaseService<UnifiedSupplierCostConfig> {

    R<List<UnifiedSupplierCostConfig>> getDataByPage(UnifiedSupplierQueryCriteria criteria, int pageNum, int pageSize);

    UnifiedSupplierCostConfig findBySaleId(Long saleId);

    void updateOrderCost(OrderCostUpdateParam updateMap);

    void updateOrderGoodsCost(OrderCostUpdateParam updateMap);
}
