package cn.superdesk.uniorder.service.setting;

import cn.superdesk.uniorder.dao.entity.setting.UnifiedSnConfig;
import cn.superdesk.uniorder.service.base.BaseService;

/**
 * @Description: 重构
 * @Author: linjinyu
 * @CreateDate: 2021/10/25 下午6:47
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/25 下午6:47
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedSnConfigService extends BaseService<UnifiedSnConfig> {

	@Deprecated
	String getSnQuoteDatabase(String serviceNo);

	/****************************************** 对账单 start ******************************************/

	String getCustomerStatementOfAccountSnBySnowflake(String serviceNo);

	String getSupplierStatementOfAccountSnBySnowflake(String serviceNo);

	/****************************************** 对账单   end ******************************************/


	/****************************************** 发票申请 start ******************************************/

	String getCustomerInvoiceApplySnBySnowflake();

	String getSupplierInvoiceApplySnBySnowflake();

	/****************************************** 发票申请   end ******************************************/


	/****************************************** 银行流水 start ******************************************/

	String getBankRecordSnBySnowflake();

	/****************************************** 银行流水 start ******************************************/

	String getSnBySnowflake(String serviceNo, String postfix);

}
