package cn.superdesk.uniorder.service.thirdpart.szhtxx.paperInvoice;

import cn.hutool.core.date.DateTime;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApply;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.common.redBitchLlq.SzhtxxInvoiceFptxxOpRedLowerWorkLlqForm;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.common.singleBilling.SzhtxxInvoiceFptxxOpSingleBillingForm;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxListItemVo;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID20BitchLlq.SID20BitchLlqRequestBody;
import cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID20BitchLlq.SID20BitchLlqResponseBody;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/5/31 2:51 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/5/31 2:51 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SzhtxxPaperInvoiceFptxxSID20BitchLlqService {


    /**************************************** 金税盘页面-op申请红字信息表编号-op确认申请(纸质专用发票)(深圳航信纸质票) start ****************************************/

    int recordSID20BitchLlqID0200Request(
            SzhtxxInvoiceFptxxOpSingleBillingForm form,
            SzhtxxElectronicInvoiceFptxxListItemVo fptxxListItemVo,
            InvoiceApply invoiceApplyCustomerEnity,
            SID20BitchLlqRequestBody requestBody,
            DateTime now, LoginSysUser loginSysUser);

    int recordSID20BitchLlqID0200Response(
            SzhtxxInvoiceFptxxOpSingleBillingForm form,
            SzhtxxElectronicInvoiceFptxxListItemVo fptxxListItemVo,
            InvoiceApply invoiceApplyCustomerEnity,
            SID20BitchLlqResponseBody responseBody,
            DateTime now, LoginSysUser loginSysUser);

    /**************************************** 金税盘页面-op申请红字信息表编号-op确认申请(纸质专用发票)(深圳航信纸质票)   end ****************************************/

    /**************************************** 金税盘页面-op下载红字信息表编号-op确认下载(纸质专用发票)(深圳航信纸质票) start ****************************************/

    int recordSID20LowerWorkLlqRequestID0201Request(
            SzhtxxInvoiceFptxxOpRedLowerWorkLlqForm form,
            SID20BitchLlqRequestBody requestBody,
            DateTime now, LoginSysUser loginSysUser);

    int recordSID20LowerWorkLlqRequestID0201Response(
            SzhtxxInvoiceFptxxOpRedLowerWorkLlqForm form,
            SID20BitchLlqResponseBody responseBody,
            DateTime now, LoginSysUser loginSysUser);


    /**************************************** 金税盘页面-op下载红字信息表编号-op确认下载(纸质专用发票)(深圳航信纸质票)   end ****************************************/
}
