package cn.superdesk.uniorder.service.unified;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCityVirt;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedCustomer;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedCustomerContactsKey;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedCustomerVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface UnifiedCustomerService extends BaseService<UnifiedCustomer> {

	UnifiedCustomer addObjTran(UnifiedCustomer customer, List<UnifiedCustomerContactsKey> contactskeys);

	UnifiedCustomer updateObjTran(UnifiedCustomer customer, List<UnifiedCustomerContactsKey> contactskeys);

	R<List<UnifiedCustomerVo>> getDataByPage(Map<String, Object> params, int pageNum, int pageSize);

	UnifiedCustomer updateObjTranNew(UnifiedCustomer customer, UnifiedAreaCityVirt av);

	UnifiedCustomer addObjTranNew(UnifiedCustomer customer, UnifiedAreaCityVirt av);

}
