package cn.superdesk.uniorder.service.unified;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedWarning;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedWarningVo;
import cn.superdesk.uniorder.dto.vo.unified.WarningOrderAmountVo;
import cn.superdesk.uniorder.dto.vo.unified.WarningOrderInvoiceVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface UnifiedWarningService extends BaseService<UnifiedWarning> {

	R<List<UnifiedWarningVo>> getDataByPage(Map<String, Object> params, int pageNum, int pageSize);

	List<WarningOrderAmountVo> getWarningOrderAmount(Map<String, Object> queryMap);

	List<WarningOrderInvoiceVo> getWarningOrderInv(Map<String, Object> queryMap);

}
