package cn.superdesk.uniorder.dubbo.consumer.kafka;


import cn.superdesk.uniorder.dto.dubbo.kafka.KafkaConsumerRecordParams;
import cn.superdesk.uniorder.dubbo.facade.kafka.DubboKafkaConsumerRecordService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 5/13/20 10:21 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 5/13/20 10:21 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class KafkaConsumerRecordDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboKafkaConsumerRecordService dubboKafkaConsumerRecordService;


	public void addObj(KafkaConsumerRecordParams params) {
		dubboKafkaConsumerRecordService.addObj(params);
	}
}
