package cn.superdesk.uniorder.dubbo.consumer.order.receive;

import cn.superdesk.uniorder.dubbo.facade.order.receive.DubboReceivePostOfficeOrderService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/11/30 下午5:07
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/11/30 下午5:07
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class ReceivePostOfficeOrderDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 180000, retries = -1)
	private DubboReceivePostOfficeOrderService dubboReceivePostOfficeOrderService;
	
	/****************************************** kafka 服务之窗 小邮局订单 start ******************************************/

	public void kafkaPostOfficeOrderMergeReceive(String message) {
		dubboReceivePostOfficeOrderService.kafkaPostOfficeOrderMergeReceive(message);
	}

	public void kafkaPostOfficeOrderDeleteReceive(String message) {
		dubboReceivePostOfficeOrderService.kafkaPostOfficeOrderDeleteReceive(message);
	}

	/****************************************** kafka 服务之窗 小邮局订单   end ******************************************/
}
