package cn.superdesk.uniorder.interceptor.logger.annotation;


import cn.superdesk.uniorder.interceptor.logger.config.ControllerLoggerAutoConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/12/10 下午5:51
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/12/10 下午5:51
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import(ControllerLoggerAutoConfiguration.class)
public @interface EnableControllerLogger {
}
