

## HTTP方式接收 - 转kafka - 订单


**接口地址**:`/web/openapi/order/meetingRoomReservation/receive/fake/order`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
	"serviceNo": "",
	"uid": "",
	"messageId": "",
	"serviceName": "",
	"orderId": 0,
	"orderSn": "",
	"orderAmount": 0,
	"orderCostAmount": 0,
	"transportAmount": 0,
	"expressSn": "",
	"dispatchName": "",
	"dispatchType": 0,
	"payType": 0,
	"payTypeName": "",
	"payState": 0,
	"payStateName": "",
	"orderState": 0,
	"orderStateName": "",
	"completState": 0,
	"createTime": "",
	"payTime": "",
	"sendTime": "",
	"finishTime": "",
	"saleId": 0,
	"saleName": "",
	"purchaseOrgId": 0,
	"purchaseOrgName": "",
	"purchaseVirtId": 0,
	"purchaseVirtName": "",
	"purchaseUserId": 0,
	"purchaseUserName": "",
	"purchasePhone": "",
	"recUserId": 0,
	"recUserName": "",
	"recUserPhone": "",
	"recAddress": "",
	"remarks": "",
	"otherParams": "",
	"goodsList": [
		{
			"goodsId": 0,
			"outSnapshotOrderGoodsId": 0,
			"goodsName": "",
			"quantity": 0,
			"price": 0,
			"costPrice": 0,
			"unit": "",
			"taxRate": 0,
			"taxCode": "",
			"merchTaxRate": 0,
			"merchTaxCode": "",
			"merchTaxId": 0,
			"operationTaxRate": 0,
			"operationTaxCode": "",
			"operationTaxId": 0,
			"cateIdLv1": 0,
			"cateNameLv1": "",
			"cateIdLv2": 0,
			"cateNameLv2": "",
			"cateIdLv3": 0,
			"cateNameLv3": "",
			"goodsParams": ""
		}
	]
}
```


**请求参数**:


**请求参数**:


| 参数名称 | 参数说明 | in    | 是否必须 | 数据类型 | schema |
| -------- | -------- | ----- | -------- | -------- | ------ |
|orderReceiveParam|orderReceiveParam|body|true|MeetingRoomReservationOrderReceiveParam|MeetingRoomReservationOrderReceiveParam|
|&emsp;&emsp;serviceNo|必填 | 来源 服务编码 HYSY||false|string||
|&emsp;&emsp;uid|统一订单 接收到信息 生成 统一uid 不传 (本地系统)||false|string||
|&emsp;&emsp;messageId|外部系统 发送时信息 生成 messageId 选传 (外部系统)||false|string||
|&emsp;&emsp;serviceName|必填 | 来源 服务名称 会议室预约||false|string||
|&emsp;&emsp;orderId|必填 | 业务系统的订单Id 对映 订单ID||false|integer(int64)||
|&emsp;&emsp;orderSn|必填 | 业务系统的订单编号 对映 订单编号||false|string||
|&emsp;&emsp;orderAmount|必填 | 订单 销售金额 对映 订单月结费用(订单时长费用（含延时时长费用）+附加服务费用-抵扣时长费用)||false|number||
|&emsp;&emsp;orderCostAmount|必填 | 订单 成本金额 如果业务系统没有 填入订单销售金额 不要为0 对映 ||false|number||
|&emsp;&emsp;transportAmount|必填 | 运费 快递费 如果没有 填0 对映 ||false|number||
|&emsp;&emsp;expressSn|选填 | 快递号 对映 ||false|string||
|&emsp;&emsp;dispatchName|选填 | 快递名 eg: 京东快递 顺丰快递 对映 ||false|string||
|&emsp;&emsp;dispatchType|选填 | 快递类型 不知道 填0 对映 ||false|integer(int32)||
|&emsp;&emsp;payType|必填 | 支付方式 eg : 1-款到发货,2-货到付款,3-月结 对映 ||false|integer(int32)||
|&emsp;&emsp;payTypeName|||false|string||
|&emsp;&emsp;payState|必填 | 支付状态 eg : 1-已付款 2-未付款 对映 ||false|integer(int32)||
|&emsp;&emsp;payStateName|||false|string||
|&emsp;&emsp;orderState|必填 | 订单状态 eg : -1-已取消 对映 ||false|integer(int32)||
|&emsp;&emsp;orderStateName|||false|string||
|&emsp;&emsp;completState|必须 | 订单完成状态 业务方归类订单状态推送完成状态:1-已完成;2-未完成;3-已取消/已作废/已删除;\n未完成：未支付、待使用、待审核\n已完成：已使用\n已作废：审核不通过、已失效、已取消\n 假定 会议室预约订单状态为 已使用 此字段填入1(已完成)   对映 ||false|integer(int32)||
|&emsp;&emsp;createTime|必填 | 订单时间 下单时间 对映 ||false|string(date-time)||
|&emsp;&emsp;payTime|订单时间 支付时间 对映 ||false|string(date-time)||
|&emsp;&emsp;sendTime|订单时间 发货时间 对映 ||false|string(date-time)||
|&emsp;&emsp;finishTime|订单时间 完成时间 对映 ||false|string(date-time)||
|&emsp;&emsp;saleId|必填 | 商户信息 ID 对映 ||false|integer(int64)||
|&emsp;&emsp;saleName|必填 | 商户信息 名称 对映 ||false|string||
|&emsp;&emsp;purchaseOrgId|下单人信息 项目 ID 对映 ||false|integer(int64)||
|&emsp;&emsp;purchaseOrgName|下单人信息 项目 名称 对映 ||false|string||
|&emsp;&emsp;purchaseVirtId|下单人信息 企业 ID 对映 ||false|integer(int64)||
|&emsp;&emsp;purchaseVirtName|下单人信息 企业 名称 对映 ||false|string||
|&emsp;&emsp;purchaseUserId|下单人信息 用户 ID 对映 预订人姓名||false|integer(int64)||
|&emsp;&emsp;purchaseUserName|下单人信息 用户 名称 对映 ||false|string||
|&emsp;&emsp;purchasePhone|下单人信息 用户 手机||false|string||
|&emsp;&emsp;recUserId|收货人信息 用户 ID 对映 ||false|integer(int64)||
|&emsp;&emsp;recUserName|收货人信息 用户 名称 对映 ||false|string||
|&emsp;&emsp;recUserPhone|收货人信息 用户 手机 对映 ||false|string||
|&emsp;&emsp;recAddress|收货人信息 用户 地址 对映 ||false|string||
|&emsp;&emsp;remarks|买家备注 对映 会议室（2021-09-24 18:00 ~ 2021-09-24 21:00），时长总计(xx小时)，抵扣时长(xx小时)，预订部门（xxxx），参会人数(x人)||false|string||
|&emsp;&emsp;otherParams|将会议室订单所有的订单字段，以会议室预约存储数据结构转jsonStr形式传||false|string||
|&emsp;&emsp;goodsList|必填，如果 goodsList 为null 直接结束，不作处理||false|array|MeetingRoomReservationOrderGoodsReceiveParam|
|&emsp;&emsp;&emsp;&emsp;goodsId|必填 | 业务方 业务方 商品Id (商品表Id)\n1. 会议室商品订单 对映 会议室ID\n2. 附加服务商品订单 对映 附加服务ID\n3. 免费抵扣时长 对映 默认一个负数ID||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;outSnapshotOrderGoodsId|必填 | 业务方 订单商品快照Id (订单商品表Id)||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;goodsName|必填 | 业务方 商品各称||false|string||
|&emsp;&emsp;&emsp;&emsp;quantity|必填 | 商品 数量||false|integer(int32)||
|&emsp;&emsp;&emsp;&emsp;price|必填 | 商品 单个 销售价||false|number||
|&emsp;&emsp;&emsp;&emsp;costPrice|必填 | 商品 单个 成本价||false|number||
|&emsp;&emsp;&emsp;&emsp;unit|商品单位 eg: 个，件 如果没有 填项||false|string||
|&emsp;&emsp;&emsp;&emsp;taxRate|老版税率 税率 取值范围(0-100)% eg : 16 代表 16%||false|number||
|&emsp;&emsp;&emsp;&emsp;taxCode|老版税率 编码||false|string||
|&emsp;&emsp;&emsp;&emsp;merchTaxRate|商户税率 税率||false|number||
|&emsp;&emsp;&emsp;&emsp;merchTaxCode|商户税率 编码||false|string||
|&emsp;&emsp;&emsp;&emsp;merchTaxId|商户税率 ID||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;operationTaxRate|平台税率 税率||false|number||
|&emsp;&emsp;&emsp;&emsp;operationTaxCode|平台税率 编码||false|string||
|&emsp;&emsp;&emsp;&emsp;operationTaxId|平台税率 ID||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;cateIdLv1|三级分类 一级分类 ID||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;cateNameLv1|三级分类 一级分类 名称||false|string||
|&emsp;&emsp;&emsp;&emsp;cateIdLv2|三级分类 二级分类 ID||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;cateNameLv2|三级分类 二级分类 名称||false|string||
|&emsp;&emsp;&emsp;&emsp;cateIdLv3|三级分类 三级分类 ID||false|integer(int64)||
|&emsp;&emsp;&emsp;&emsp;cateNameLv3|三级分类 三级分类 名称||false|string||
|&emsp;&emsp;&emsp;&emsp;goodsParams|商品属性 一般为 json 字串||false|string||


**响应状态**:


| 状态码 | 说明 | schema |
| -------- | -------- | ----- | 
|200|OK|ROfstring|


**响应参数**:


| 参数名称 | 参数说明 | 类型 | schema |
| -------- | -------- | ----- |----- | 
|code||string||
|success||boolean||
|message||string||
|data||string||
|headData||object||
|currentPage||integer(int32)|integer(int32)|
|pageSize||integer(int32)|integer(int32)|
|count||integer(int32)|integer(int32)|


**响应示例**:
```javascript
{
	"code": "",
	"success": true,
	"message": "",
	"data": "",
	"headData": {},
	"currentPage": 0,
	"pageSize": 0,
	"count": 0
}
```